#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AbstractContactEditorWidget
      switch(to) {
        case 1: return (void*)(Akonadi::AbstractContactEditorWidget*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AbstractContactFormatter
      switch(to) {
        case 2: return (void*)(Akonadi::AbstractContactFormatter*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AbstractContactGroupFormatter
      switch(to) {
        case 3: return (void*)(Akonadi::AbstractContactGroupFormatter*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AddressAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::AddressAttribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentBase
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(Akonadi::AgentBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 8: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentInstance
      switch(to) {
        case 10: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentManager
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::AgentType
      switch(to) {
        case 15: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::AgentTypeModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Attribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)(Akonadi::Attribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)(Akonadi::Attribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)(Akonadi::Attribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)(Akonadi::Attribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)(Akonadi::Attribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::AttributeFactory
      switch(to) {
        case 20: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::CachePolicy
      switch(to) {
        case 21: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::ChangeRecorder
      switch(to) {
        case 96: return (void*)(Akonadi::Monitor*)(Akonadi::ChangeRecorder*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ChangeRecorder*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::ChangeRecorderPrivate
      switch(to) {
        case 23: return (void*)(Akonadi::ChangeRecorderPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Collection
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 24: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::CollectionComboBox
      switch(to) {
        case 131: return (void*)(KComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 159: return (void*)(QComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionComboBox*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionComboBox*)xptr;
        case 133: return (void*)(KCompletionBase*)(Akonadi::CollectionComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)xptr;
        default: return xptr;
      }
    case 26:   //Akonadi::CollectionCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCopyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionCopyJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)xptr;
        default: return xptr;
      }
    case 27:   //Akonadi::CollectionCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionCreateJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)xptr;
        default: return xptr;
      }
    case 28:   //Akonadi::CollectionDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionDeleteJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionDeleteJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //Akonadi::CollectionDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::CollectionDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)xptr;
        default: return xptr;
      }
    case 30:   //Akonadi::CollectionFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionFetchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionFetchJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)xptr;
        default: return xptr;
      }
    case 31:   //Akonadi::CollectionFetchScope
      switch(to) {
        case 31: return (void*)(Akonadi::CollectionFetchScope*)xptr;
        default: return xptr;
      }
    case 32:   //Akonadi::CollectionFilterProxyModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 33:   //Akonadi::CollectionModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(Akonadi::CollectionModel*)xptr;
        default: return xptr;
      }
    case 34:   //Akonadi::CollectionModelPrivate
      switch(to) {
        case 34: return (void*)(Akonadi::CollectionModelPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Akonadi::CollectionModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionModifyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionModifyJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)xptr;
        default: return xptr;
      }
    case 36:   //Akonadi::CollectionMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionMoveJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionMoveJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)xptr;
        default: return xptr;
      }
    case 37:   //Akonadi::CollectionPropertiesDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)xptr;
        default: return xptr;
      }
    case 38:   //Akonadi::CollectionPropertiesPage
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)xptr;
        default: return xptr;
      }
    case 39:   //Akonadi::CollectionPropertiesPageFactory
      switch(to) {
        case 39: return (void*)(Akonadi::CollectionPropertiesPageFactory*)xptr;
        default: return xptr;
      }
    case 40:   //Akonadi::CollectionQuotaAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::CollectionQuotaAttribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)xptr;
        default: return xptr;
      }
    case 41:   //Akonadi::CollectionRequester
      switch(to) {
        case 138: return (void*)(KHBox*)(Akonadi::CollectionRequester*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::CollectionRequester*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionRequester*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionRequester*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)xptr;
        default: return xptr;
      }
    case 42:   //Akonadi::CollectionStatistics
      switch(to) {
        case 42: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 43:   //Akonadi::CollectionStatisticsDelegate
      switch(to) {
        case 207: return (void*)(QStyledItemDelegate*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        default: return xptr;
      }
    case 44:   //Akonadi::CollectionStatisticsJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)xptr;
        default: return xptr;
      }
    case 45:   //Akonadi::CollectionStatisticsModel
      switch(to) {
        case 33: return (void*)(Akonadi::CollectionModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)xptr;
        default: return xptr;
      }
    case 46:   //Akonadi::CollectionView
      switch(to) {
        case 210: return (void*)(QTreeView*)(Akonadi::CollectionView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::CollectionView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::CollectionView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::CollectionView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::CollectionView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::CollectionView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)xptr;
        default: return xptr;
      }
    case 47:   //Akonadi::ContactDefaultActions
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::ContactDefaultActions*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)xptr;
        default: return xptr;
      }
    case 48:   //Akonadi::ContactEditor
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactEditor*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactEditor*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)xptr;
        default: return xptr;
      }
    case 49:   //Akonadi::ContactEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactEditorDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactEditorDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)xptr;
        default: return xptr;
      }
    case 50:   //Akonadi::ContactEditorPagePlugin
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)xptr;
        default: return xptr;
      }
    case 51:   //Akonadi::ContactGroupEditor
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupEditor*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupEditor*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)xptr;
        default: return xptr;
      }
    case 52:   //Akonadi::ContactGroupEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)xptr;
        default: return xptr;
      }
    case 53:   //Akonadi::ContactGroupExpandJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)xptr;
        default: return xptr;
      }
    case 54:   //Akonadi::ContactGroupSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)xptr;
        default: return xptr;
      }
    case 55:   //Akonadi::ContactGroupViewer
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupViewer*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactGroupViewer*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)xptr;
        default: return xptr;
      }
    case 56:   //Akonadi::ContactGroupViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)xptr;
        default: return xptr;
      }
    case 57:   //Akonadi::ContactSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ContactSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactSearchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)xptr;
        default: return xptr;
      }
    case 58:   //Akonadi::ContactViewer
      switch(to) {
        case 214: return (void*)(QWidget*)(Akonadi::ContactViewer*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactViewer*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)xptr;
        default: return xptr;
      }
    case 59:   //Akonadi::ContactViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ContactViewerDialog*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ContactViewerDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)xptr;
        default: return xptr;
      }
    case 60:   //Akonadi::Control
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::Control*)xptr;
        case 60: return (void*)(Akonadi::Control*)xptr;
        default: return xptr;
      }
    case 61:   //Akonadi::Entity
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)xptr;
        case 73: return (void*)(Akonadi::Item*)(Akonadi::Entity*)xptr;
        case 24: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 62:   //Akonadi::EntityDisplayAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityDisplayAttribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)xptr;
        default: return xptr;
      }
    case 63:   //Akonadi::EntityHiddenAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityHiddenAttribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)xptr;
        default: return xptr;
      }
    case 64:   //Akonadi::EntityListView
      switch(to) {
        case 183: return (void*)(QListView*)(Akonadi::EntityListView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::EntityListView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::EntityListView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::EntityListView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::EntityListView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)xptr;
        default: return xptr;
      }
    case 65:   //Akonadi::EntityMimeTypeFilterModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        default: return xptr;
      }
    case 66:   //Akonadi::EntityPrivate
      switch(to) {
        case 66: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 67:   //Akonadi::EntityTreeModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::EntityTreeModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityTreeModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)xptr;
        default: return xptr;
      }
    case 68:   //Akonadi::EntityTreeModelPrivate
      switch(to) {
        case 68: return (void*)(Akonadi::EntityTreeModelPrivate*)xptr;
        default: return xptr;
      }
    case 69:   //Akonadi::EntityTreeView
      switch(to) {
        case 210: return (void*)(QTreeView*)(Akonadi::EntityTreeView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::EntityTreeView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::EntityTreeView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::EntityTreeView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::EntityTreeView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::EntityTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)xptr;
        default: return xptr;
      }
    case 70:   //Akonadi::EntityTreeViewStateSaver
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        default: return xptr;
      }
    case 71:   //Akonadi::Exception
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 72:   //Akonadi::FavoriteCollectionsModel
      switch(to) {
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 143: return (void*)(KSelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)xptr;
        default: return xptr;
      }
    case 73:   //Akonadi::Item
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Item*)xptr;
        case 73: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 74:   //Akonadi::ItemCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCopyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCopyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemCopyJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)xptr;
        default: return xptr;
      }
    case 75:   //Akonadi::ItemCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemCreateJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)xptr;
        default: return xptr;
      }
    case 76:   //Akonadi::ItemDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemDeleteJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemDeleteJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)xptr;
        default: return xptr;
      }
    case 77:   //Akonadi::ItemFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemFetchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemFetchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemFetchJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)xptr;
        default: return xptr;
      }
    case 78:   //Akonadi::ItemFetchScope
      switch(to) {
        case 78: return (void*)(Akonadi::ItemFetchScope*)xptr;
        default: return xptr;
      }
    case 79:   //Akonadi::ItemModel
      switch(to) {
        case 152: return (void*)(QAbstractTableModel*)(Akonadi::ItemModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::ItemModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(Akonadi::ItemModel*)xptr;
        default: return xptr;
      }
    case 80:   //Akonadi::ItemModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemModifyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemModifyJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemModifyJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)xptr;
        default: return xptr;
      }
    case 81:   //Akonadi::ItemMonitor
      switch(to) {
        case 81: return (void*)(Akonadi::ItemMonitor*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(Akonadi::ItemMonitor*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(Akonadi::ItemMonitor*)xptr;
        default: return xptr;
      }
    case 82:   //Akonadi::ItemMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemMoveJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemMoveJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemMoveJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)xptr;
        default: return xptr;
      }
    case 83:   //Akonadi::ItemSearchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSearchJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemSearchJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        default: return xptr;
      }
    case 84:   //Akonadi::ItemSerializerPlugin
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)(Akonadi::ItemSerializerPlugin*)xptr;
        default: return xptr;
      }
    case 85:   //Akonadi::ItemSerializerPluginV2
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)(Akonadi::ItemSerializerPluginV2*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)xptr;
        default: return xptr;
      }
    case 86:   //Akonadi::ItemSync
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSync*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemSync*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSync*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemSync*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)xptr;
        default: return xptr;
      }
    case 87:   //Akonadi::ItemView
      switch(to) {
        case 210: return (void*)(QTreeView*)(Akonadi::ItemView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::ItemView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::ItemView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::ItemView*)xptr;
        case 214: return (void*)(QWidget*)(Akonadi::ItemView*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)xptr;
        default: return xptr;
      }
    case 88:   //Akonadi::Job
      switch(to) {
        case 135: return (void*)(KCompositeJob*)(Akonadi::Job*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::Job*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::Job*)xptr;
        case 88: return (void*)(Akonadi::Job*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(Akonadi::Job*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(Akonadi::Job*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(Akonadi::Job*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(Akonadi::Job*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(Akonadi::Job*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(Akonadi::Job*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(Akonadi::Job*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(Akonadi::Job*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(Akonadi::Job*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(Akonadi::Job*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(Akonadi::Job*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(Akonadi::Job*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(Akonadi::Job*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(Akonadi::Job*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(Akonadi::Job*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::Job*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(Akonadi::Job*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(Akonadi::Job*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::Job*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(Akonadi::Job*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(Akonadi::Job*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(Akonadi::Job*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::Job*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(Akonadi::Job*)xptr;
        default: return xptr;
      }
    case 89:   //Akonadi::JobPrivate
      switch(to) {
        case 89: return (void*)(Akonadi::JobPrivate*)xptr;
        default: return xptr;
      }
    case 90:   //Akonadi::LinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::LinkJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::LinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::LinkJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::LinkJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)xptr;
        default: return xptr;
      }
    case 91:   //Akonadi::MessageFolderAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageFolderAttribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)xptr;
        default: return xptr;
      }
    case 92:   //Akonadi::MessageModel
      switch(to) {
        case 79: return (void*)(Akonadi::ItemModel*)(Akonadi::MessageModel*)xptr;
        case 152: return (void*)(QAbstractTableModel*)(Akonadi::MessageModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::MessageModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::MessageModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)xptr;
        default: return xptr;
      }
    case 93:   //Akonadi::MessageThreaderProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)xptr;
        default: return xptr;
      }
    case 94:   //Akonadi::MessageThreadingAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageThreadingAttribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)xptr;
        default: return xptr;
      }
    case 95:   //Akonadi::MimeTypeChecker
      switch(to) {
        case 95: return (void*)(Akonadi::MimeTypeChecker*)xptr;
        default: return xptr;
      }
    case 96:   //Akonadi::Monitor
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::Monitor*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(Akonadi::Monitor*)xptr;
        default: return xptr;
      }
    case 97:   //Akonadi::MonitorPrivate
      switch(to) {
        case 97: return (void*)(Akonadi::MonitorPrivate*)xptr;
        default: return xptr;
      }
    case 98:   //Akonadi::PartFetcher
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::PartFetcher*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::PartFetcher*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)xptr;
        default: return xptr;
      }
    case 99:   //Akonadi::PayloadBase
      switch(to) {
        case 99: return (void*)(Akonadi::PayloadBase*)xptr;
        default: return xptr;
      }
    case 100:   //Akonadi::PayloadException
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 101:   //Akonadi::PreprocessorBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::PreprocessorBase*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::PreprocessorBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::PreprocessorBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)xptr;
        default: return xptr;
      }
    case 102:   //Akonadi::ResourceBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::ResourceBase*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ResourceBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::ResourceBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)xptr;
        default: return xptr;
      }
    case 103:   //Akonadi::ResourceSynchronizationJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)xptr;
        default: return xptr;
      }
    case 104:   //Akonadi::SearchCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::SearchCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::SearchCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::SearchCreateJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::SearchCreateJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)xptr;
        default: return xptr;
      }
    case 105:   //Akonadi::SelectionProxyModel
      switch(to) {
        case 143: return (void*)(KSelectionProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::SelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(Akonadi::SelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 106:   //Akonadi::ServerManager
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::ServerManager*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)xptr;
        default: return xptr;
      }
    case 107:   //Akonadi::Session
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::Session*)xptr;
        case 107: return (void*)(Akonadi::Session*)xptr;
        default: return xptr;
      }
    case 108:   //Akonadi::SessionPrivate
      switch(to) {
        case 108: return (void*)(Akonadi::SessionPrivate*)xptr;
        default: return xptr;
      }
    case 109:   //Akonadi::StandardActionManager
      switch(to) {
        case 191: return (void*)(QObject*)(Akonadi::StandardActionManager*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)xptr;
        default: return xptr;
      }
    case 110:   //Akonadi::StatisticsProxyModel
      switch(to) {
        case 204: return (void*)(QSortFilterProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::StatisticsProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)xptr;
        default: return xptr;
      }
    case 111:   //Akonadi::TransactionBeginJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionBeginJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionBeginJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)xptr;
        default: return xptr;
      }
    case 112:   //Akonadi::TransactionCommitJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionCommitJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionCommitJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)xptr;
        default: return xptr;
      }
    case 113:   //Akonadi::TransactionRollbackJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionRollbackJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionRollbackJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)xptr;
        default: return xptr;
      }
    case 114:   //Akonadi::TransactionSequence
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionSequence*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionSequence*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionSequence*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::TransactionSequence*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)xptr;
        default: return xptr;
      }
    case 115:   //Akonadi::TransportResourceBase
      switch(to) {
        case 115: return (void*)(Akonadi::TransportResourceBase*)xptr;
        default: return xptr;
      }
    case 116:   //Akonadi::UnlinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::UnlinkJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::UnlinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::UnlinkJob*)xptr;
        case 191: return (void*)(QObject*)(Akonadi::UnlinkJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)xptr;
        default: return xptr;
      }
    case 117:   //KABC::Address
      switch(to) {
        case 117: return (void*)(KABC::Address*)xptr;
        default: return xptr;
      }
    case 118:   //KABC::Addressee
      switch(to) {
        case 118: return (void*)(KABC::Addressee*)xptr;
        default: return xptr;
      }
    case 119:   //KABC::AddresseeList
      switch(to) {
        case 119: return (void*)(KABC::AddresseeList*)xptr;
        default: return xptr;
      }
    case 120:   //KABC::ContactGroup
      switch(to) {
        case 120: return (void*)(KABC::ContactGroup*)xptr;
        default: return xptr;
      }
    case 121:   //KABC::Geo
      switch(to) {
        case 121: return (void*)(KABC::Geo*)xptr;
        default: return xptr;
      }
    case 122:   //KABC::Key
      switch(to) {
        case 122: return (void*)(KABC::Key*)xptr;
        default: return xptr;
      }
    case 123:   //KABC::PhoneNumber
      switch(to) {
        case 123: return (void*)(KABC::PhoneNumber*)xptr;
        default: return xptr;
      }
    case 124:   //KABC::Picture
      switch(to) {
        case 124: return (void*)(KABC::Picture*)xptr;
        default: return xptr;
      }
    case 125:   //KABC::Secrecy
      switch(to) {
        case 125: return (void*)(KABC::Secrecy*)xptr;
        default: return xptr;
      }
    case 126:   //KABC::Sound
      switch(to) {
        case 126: return (void*)(KABC::Sound*)xptr;
        default: return xptr;
      }
    case 127:   //KABC::TimeZone
      switch(to) {
        case 127: return (void*)(KABC::TimeZone*)xptr;
        default: return xptr;
      }
    case 128:   //KAction
      switch(to) {
        case 128: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 129:   //KActionCollection
      switch(to) {
        case 129: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 130:   //KCharsets
      switch(to) {
        case 130: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 131:   //KComboBox
      switch(to) {
        case 159: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 214: return (void*)(QWidget*)(KComboBox*)xptr;
        case 191: return (void*)(QObject*)(KComboBox*)xptr;
        case 133: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 131: return (void*)(KComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 132:   //KCompletion
      switch(to) {
        case 191: return (void*)(QObject*)(KCompletion*)xptr;
        case 132: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 133:   //KCompletionBase
      switch(to) {
        case 133: return (void*)(KCompletionBase*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 134:   //KComponentData
      switch(to) {
        case 134: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 135:   //KCompositeJob
      switch(to) {
        case 140: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 191: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 135: return (void*)(KCompositeJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KCompositeJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KCompositeJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KCompositeJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KCompositeJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KCompositeJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KCompositeJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KCompositeJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KCompositeJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KCompositeJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KCompositeJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KCompositeJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KCompositeJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KCompositeJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KCompositeJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KCompositeJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KCompositeJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KCompositeJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KCompositeJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KCompositeJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KCompositeJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KCompositeJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KCompositeJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KCompositeJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KCompositeJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 136:   //KConfigGroup
      switch(to) {
        case 136: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 137:   //KDialog
      switch(to) {
        case 164: return (void*)(QDialog*)(KDialog*)xptr;
        case 214: return (void*)(QWidget*)(KDialog*)xptr;
        case 191: return (void*)(QObject*)(KDialog*)xptr;
        case 137: return (void*)(KDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(KDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(KDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(KDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(KDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(KDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 138:   //KHBox
      switch(to) {
        case 172: return (void*)(QFrame*)(KHBox*)xptr;
        case 214: return (void*)(QWidget*)(KHBox*)xptr;
        case 191: return (void*)(QObject*)(KHBox*)xptr;
        case 138: return (void*)(KHBox*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(KHBox*)xptr;
        default: return xptr;
      }
    case 139:   //KIcon
      switch(to) {
        case 176: return (void*)(QIcon*)(KIcon*)xptr;
        case 139: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 140:   //KJob
      switch(to) {
        case 191: return (void*)(QObject*)(KJob*)xptr;
        case 140: return (void*)(KJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KJob*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(KJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(KJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 141:   //KLocale
      switch(to) {
        case 141: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 142:   //KLocalizedString
      switch(to) {
        case 142: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 143:   //KSelectionProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(KSelectionProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(KSelectionProxyModel*)xptr;
        case 191: return (void*)(QObject*)(KSelectionProxyModel*)xptr;
        case 143: return (void*)(KSelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(KSelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(KSelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 144:   //KStandardDirs
      switch(to) {
        case 144: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 145:   //KUrl
      switch(to) {
        case 211: return (void*)(QUrl*)(KUrl*)xptr;
        case 145: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 146:   //KXMLGUIClient
      switch(to) {
        case 146: return (void*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 147:   //KXmlGuiWindow
      switch(to) {
        case 147: return (void*)(KXmlGuiWindow*)xptr;
        default: return xptr;
      }
    case 148:   //QAbstractItemModel
      switch(to) {
        case 191: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractItemModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractItemModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractItemModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractItemModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QAbstractItemModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QAbstractItemModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 149:   //QAbstractItemView
      switch(to) {
        case 151: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 172: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 214: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 191: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 149: return (void*)(QAbstractItemView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractItemView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractItemView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 150:   //QAbstractProxyModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 191: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 151:   //QAbstractScrollArea
      switch(to) {
        case 172: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 214: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 191: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractScrollArea*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractScrollArea*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 152:   //QAbstractTableModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 191: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 152: return (void*)(QAbstractTableModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractTableModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 153:   //QActionEvent
      switch(to) {
        case 153: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QBool
      switch(to) {
        case 154: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 155:   //QByteArray
      switch(to) {
        case 155: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 156:   //QChildEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 156: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 157:   //QCloseEvent
      switch(to) {
        case 157: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 158:   //QColor
      switch(to) {
        case 158: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 159:   //QComboBox
      switch(to) {
        case 214: return (void*)(QWidget*)(QComboBox*)xptr;
        case 191: return (void*)(QObject*)(QComboBox*)xptr;
        case 159: return (void*)(QComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 160:   //QContextMenuEvent
      switch(to) {
        case 160: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QDBusContext
      switch(to) {
        case 161: return (void*)(QDBusContext*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QDBusContext*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 162:   //QDataStream
      switch(to) {
        case 162: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 163:   //QDateTime
      switch(to) {
        case 163: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 164:   //QDialog
      switch(to) {
        case 214: return (void*)(QWidget*)(QDialog*)xptr;
        case 191: return (void*)(QObject*)(QDialog*)xptr;
        case 164: return (void*)(QDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 165:   //QDragEnterEvent
      switch(to) {
        case 165: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QDragLeaveEvent
      switch(to) {
        case 166: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 167:   //QDragMoveEvent
      switch(to) {
        case 167: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 168:   //QDropEvent
      switch(to) {
        case 168: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 169:   //QEvent
      switch(to) {
        case 169: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 170:   //QFocusEvent
      switch(to) {
        case 170: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 171:   //QFont
      switch(to) {
        case 171: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 172:   //QFrame
      switch(to) {
        case 214: return (void*)(QWidget*)(QFrame*)xptr;
        case 191: return (void*)(QObject*)(QFrame*)xptr;
        case 172: return (void*)(QFrame*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QFrame*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QFrame*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QFrame*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QFrame*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 174:   //QHideEvent
      switch(to) {
        case 174: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 175:   //QIODevice
      switch(to) {
        case 191: return (void*)(QObject*)(QIODevice*)xptr;
        case 175: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 176:   //QIcon
      switch(to) {
        case 176: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 177:   //QIncompatibleFlag
      switch(to) {
        case 177: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 178:   //QInputMethodEvent
      switch(to) {
        case 178: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 179:   //QItemSelection
      switch(to) {
        case 179: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 180:   //QItemSelectionModel
      switch(to) {
        case 191: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 180: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 181:   //QKeyEvent
      switch(to) {
        case 181: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 182:   //QLineEdit
      switch(to) {
        case 182: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 183:   //QListView
      switch(to) {
        case 149: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 172: return (void*)(QFrame*)(QListView*)xptr;
        case 214: return (void*)(QWidget*)(QListView*)xptr;
        case 191: return (void*)(QObject*)(QListView*)xptr;
        case 183: return (void*)(QListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QListView*)xptr;
        default: return xptr;
      }
    case 184:   //QLocale
      switch(to) {
        case 184: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 185:   //QMenu
      switch(to) {
        case 185: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 186:   //QMetaObject
      switch(to) {
        case 186: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 187:   //QMimeData
      switch(to) {
        case 187: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 188:   //QModelIndex
      switch(to) {
        case 188: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 189:   //QMouseEvent
      switch(to) {
        case 189: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 190:   //QMoveEvent
      switch(to) {
        case 190: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 191:   //QObject
      switch(to) {
        case 191: return (void*)(QObject*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QObject*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QObject*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QObject*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QObject*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QObject*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(QObject*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(QObject*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QObject*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(QObject*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(QObject*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)(QObject*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(QObject*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QObject*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(QObject*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QObject*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(QObject*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(QObject*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(QObject*)xptr;
        case 88: return (void*)(Akonadi::Job*)(QObject*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QObject*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QObject*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QObject*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)(QObject*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QObject*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(QObject*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QObject*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(QObject*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QObject*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(QObject*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(QObject*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QObject*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QObject*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QObject*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QObject*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(QObject*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QObject*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(QObject*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(QObject*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(QObject*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(QObject*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QObject*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QObject*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QObject*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)(QObject*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QObject*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QObject*)xptr;
        case 107: return (void*)(Akonadi::Session*)(QObject*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QObject*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QObject*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QObject*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(QObject*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)(QObject*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(QObject*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)(QObject*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(QObject*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 60: return (void*)(Akonadi::Control*)(QObject*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(QObject*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(QObject*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(QObject*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QObject*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(QObject*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(QObject*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 192:   //QPaintEngine
      switch(to) {
        case 192: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 193:   //QPaintEvent
      switch(to) {
        case 193: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 194:   //QPainter
      switch(to) {
        case 194: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 195:   //QPalette
      switch(to) {
        case 195: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 196:   //QPoint
      switch(to) {
        case 196: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 197:   //QRect
      switch(to) {
        case 197: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 198:   //QRegExp
      switch(to) {
        case 198: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 199:   //QRegion
      switch(to) {
        case 199: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 200:   //QResizeEvent
      switch(to) {
        case 200: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 201:   //QSettings
      switch(to) {
        case 201: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 202:   //QShowEvent
      switch(to) {
        case 202: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 203:   //QSize
      switch(to) {
        case 203: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 204:   //QSortFilterProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 191: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 204: return (void*)(QSortFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QSortFilterProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QSortFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 205:   //QStyle
      switch(to) {
        case 191: return (void*)(QObject*)(QStyle*)xptr;
        case 205: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 206:   //QStyleOptionViewItem
      switch(to) {
        case 206: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 207:   //QStyledItemDelegate
      switch(to) {
        case 191: return (void*)(QObject*)(QStyledItemDelegate*)xptr;
        case 207: return (void*)(QStyledItemDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QStyledItemDelegate*)xptr;
        default: return xptr;
      }
    case 208:   //QTabletEvent
      switch(to) {
        case 208: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 209:   //QTimerEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 209: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 210:   //QTreeView
      switch(to) {
        case 149: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 172: return (void*)(QFrame*)(QTreeView*)xptr;
        case 214: return (void*)(QWidget*)(QTreeView*)xptr;
        case 191: return (void*)(QObject*)(QTreeView*)xptr;
        case 210: return (void*)(QTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QTreeView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QTreeView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 211:   //QUrl
      switch(to) {
        case 211: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 212:   //QVariant
      switch(to) {
        case 212: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 213:   //QWheelEvent
      switch(to) {
        case 213: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 214:   //QWidget
      switch(to) {
        case 191: return (void*)(QObject*)(QWidget*)xptr;
        case 214: return (void*)(QWidget*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QWidget*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QWidget*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QWidget*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QWidget*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QWidget*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QWidget*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QWidget*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QWidget*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QWidget*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QWidget*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QWidget*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QWidget*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QWidget*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QWidget*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QWidget*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QWidget*)xptr;
        default: return xptr;
      }
    case 215:   //boost::exception
      switch(to) {
        case 215: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 216:   //boost::exception_detail::large_size
      switch(to) {
        case 216: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 217:   //boost::exception_detail::small_size
      switch(to) {
        case 217: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    19, 0,	// 1: Akonadi::Attribute
    191, 161, 0,	// 3: QObject, QDBusContext
    6, 0,	// 6: Akonadi::AgentBase::Observer
    204, 0,	// 8: QSortFilterProxyModel
    140, 0,	// 10: KJob
    148, 0,	// 12: QAbstractItemModel
    214, 0,	// 14: QWidget
    191, 0,	// 16: QObject
    137, 0,	// 18: KDialog
    96, 0,	// 20: Akonadi::Monitor
    61, 0,	// 22: Akonadi::Entity
    131, 0,	// 24: KComboBox
    88, 0,	// 26: Akonadi::Job
    138, 0,	// 28: KHBox
    207, 0,	// 30: QStyledItemDelegate
    33, 0,	// 32: Akonadi::CollectionModel
    210, 0,	// 34: QTreeView
    83, 0,	// 36: Akonadi::ItemSearchJob
    214, 81, 0,	// 38: QWidget, Akonadi::ItemMonitor
    183, 0,	// 41: QListView
    105, 0,	// 43: Akonadi::SelectionProxyModel
    152, 0,	// 45: QAbstractTableModel
    84, 0,	// 47: Akonadi::ItemSerializerPlugin
    135, 0,	// 49: KCompositeJob
    79, 0,	// 51: Akonadi::ItemModel
    150, 0,	// 53: QAbstractProxyModel
    71, 0,	// 55: Akonadi::Exception
    5, 0,	// 57: Akonadi::AgentBase
    143, 0,	// 59: KSelectionProxyModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_Akonadi__ItemModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__MessageModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__EntityTreeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemSync(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__TransportResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__PreprocessorBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Item(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionStatisticsModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__StandardActionManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionPropertiesDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ServerManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Job(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AddressAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ChangeRecorder(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPageFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionQuotaAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionRequester(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatistics(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactDefaultActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorPagePlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupExpandJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Control(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityDisplayAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityHiddenAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityListView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityMimeTypeFilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeViewStateSaver(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__FavoriteCollectionsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Item(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMonitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPluginV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSync(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Job(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__LinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageFolderAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreaderProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreadingAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MimeTypeChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Monitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PartFetcher(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PreprocessorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceSynchronizationJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SearchCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SelectionProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ServerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Session(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StandardActionManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StatisticsProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionBeginJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionCommitJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionRollbackJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransportResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__UnlinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AbstractContactEditorWidget", true, 0, 0, 0, 0, 0 },	//1
    { "Akonadi::AbstractContactFormatter", true, 0, 0, 0, 0, 0 },	//2
    { "Akonadi::AbstractContactGroupFormatter", true, 0, 0, 0, 0, 0 },	//3
    { "Akonadi::AddressAttribute", false, 1, xcall_Akonadi__AddressAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AddressAttribute) },	//4
    { "Akonadi::AgentBase", false, 3, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//5
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//6
    { "Akonadi::AgentBase::ObserverV2", false, 6, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//7
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//8
    { "Akonadi::AgentFilterProxyModel", false, 8, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//9
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//10
    { "Akonadi::AgentInstanceCreateJob", false, 10, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//11
    { "Akonadi::AgentInstanceModel", false, 12, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//12
    { "Akonadi::AgentInstanceWidget", false, 14, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//13
    { "Akonadi::AgentManager", false, 16, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//14
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//15
    { "Akonadi::AgentTypeDialog", false, 18, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//16
    { "Akonadi::AgentTypeModel", false, 12, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//17
    { "Akonadi::AgentTypeWidget", false, 14, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//18
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//19
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//20
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//21
    { "Akonadi::ChangeRecorder", false, 20, xcall_Akonadi__ChangeRecorder, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ChangeRecorder) },	//22
    { "Akonadi::ChangeRecorderPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Akonadi::Collection", false, 22, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//24
    { "Akonadi::CollectionComboBox", false, 24, xcall_Akonadi__CollectionComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionComboBox) },	//25
    { "Akonadi::CollectionCopyJob", false, 26, xcall_Akonadi__CollectionCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCopyJob) },	//26
    { "Akonadi::CollectionCreateJob", false, 26, xcall_Akonadi__CollectionCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCreateJob) },	//27
    { "Akonadi::CollectionDeleteJob", false, 26, xcall_Akonadi__CollectionDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDeleteJob) },	//28
    { "Akonadi::CollectionDialog", false, 18, xcall_Akonadi__CollectionDialog, xenum_Akonadi__CollectionDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDialog) },	//29
    { "Akonadi::CollectionFetchJob", false, 26, xcall_Akonadi__CollectionFetchJob, xenum_Akonadi__CollectionFetchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFetchJob) },	//30
    { "Akonadi::CollectionFetchScope", false, 0, xcall_Akonadi__CollectionFetchScope, xenum_Akonadi__CollectionFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionFetchScope) },	//31
    { "Akonadi::CollectionFilterProxyModel", false, 8, xcall_Akonadi__CollectionFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFilterProxyModel) },	//32
    { "Akonadi::CollectionModel", false, 12, xcall_Akonadi__CollectionModel, xenum_Akonadi__CollectionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModel) },	//33
    { "Akonadi::CollectionModelPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Akonadi::CollectionModifyJob", false, 26, xcall_Akonadi__CollectionModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModifyJob) },	//35
    { "Akonadi::CollectionMoveJob", false, 26, xcall_Akonadi__CollectionMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionMoveJob) },	//36
    { "Akonadi::CollectionPropertiesDialog", false, 18, xcall_Akonadi__CollectionPropertiesDialog, xenum_Akonadi__CollectionPropertiesDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesDialog) },	//37
    { "Akonadi::CollectionPropertiesPage", false, 14, xcall_Akonadi__CollectionPropertiesPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPage) },	//38
    { "Akonadi::CollectionPropertiesPageFactory", false, 0, xcall_Akonadi__CollectionPropertiesPageFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPageFactory) },	//39
    { "Akonadi::CollectionQuotaAttribute", false, 1, xcall_Akonadi__CollectionQuotaAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionQuotaAttribute) },	//40
    { "Akonadi::CollectionRequester", false, 28, xcall_Akonadi__CollectionRequester, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionRequester) },	//41
    { "Akonadi::CollectionStatistics", false, 0, xcall_Akonadi__CollectionStatistics, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionStatistics) },	//42
    { "Akonadi::CollectionStatisticsDelegate", false, 30, xcall_Akonadi__CollectionStatisticsDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsDelegate) },	//43
    { "Akonadi::CollectionStatisticsJob", false, 26, xcall_Akonadi__CollectionStatisticsJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsJob) },	//44
    { "Akonadi::CollectionStatisticsModel", false, 32, xcall_Akonadi__CollectionStatisticsModel, xenum_Akonadi__CollectionStatisticsModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsModel) },	//45
    { "Akonadi::CollectionView", false, 34, xcall_Akonadi__CollectionView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionView) },	//46
    { "Akonadi::ContactDefaultActions", false, 16, xcall_Akonadi__ContactDefaultActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactDefaultActions) },	//47
    { "Akonadi::ContactEditor", false, 14, xcall_Akonadi__ContactEditor, xenum_Akonadi__ContactEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditor) },	//48
    { "Akonadi::ContactEditorDialog", false, 18, xcall_Akonadi__ContactEditorDialog, xenum_Akonadi__ContactEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorDialog) },	//49
    { "Akonadi::ContactEditorPagePlugin", false, 14, xcall_Akonadi__ContactEditorPagePlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorPagePlugin) },	//50
    { "Akonadi::ContactGroupEditor", false, 14, xcall_Akonadi__ContactGroupEditor, xenum_Akonadi__ContactGroupEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditor) },	//51
    { "Akonadi::ContactGroupEditorDialog", false, 18, xcall_Akonadi__ContactGroupEditorDialog, xenum_Akonadi__ContactGroupEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditorDialog) },	//52
    { "Akonadi::ContactGroupExpandJob", false, 10, xcall_Akonadi__ContactGroupExpandJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupExpandJob) },	//53
    { "Akonadi::ContactGroupSearchJob", false, 36, xcall_Akonadi__ContactGroupSearchJob, xenum_Akonadi__ContactGroupSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupSearchJob) },	//54
    { "Akonadi::ContactGroupViewer", false, 38, xcall_Akonadi__ContactGroupViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewer) },	//55
    { "Akonadi::ContactGroupViewerDialog", false, 18, xcall_Akonadi__ContactGroupViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewerDialog) },	//56
    { "Akonadi::ContactSearchJob", false, 36, xcall_Akonadi__ContactSearchJob, xenum_Akonadi__ContactSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactSearchJob) },	//57
    { "Akonadi::ContactViewer", false, 38, xcall_Akonadi__ContactViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewer) },	//58
    { "Akonadi::ContactViewerDialog", false, 18, xcall_Akonadi__ContactViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewerDialog) },	//59
    { "Akonadi::Control", false, 16, xcall_Akonadi__Control, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Control) },	//60
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//61
    { "Akonadi::EntityDisplayAttribute", false, 1, xcall_Akonadi__EntityDisplayAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityDisplayAttribute) },	//62
    { "Akonadi::EntityHiddenAttribute", false, 1, xcall_Akonadi__EntityHiddenAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityHiddenAttribute) },	//63
    { "Akonadi::EntityListView", false, 41, xcall_Akonadi__EntityListView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityListView) },	//64
    { "Akonadi::EntityMimeTypeFilterModel", false, 8, xcall_Akonadi__EntityMimeTypeFilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityMimeTypeFilterModel) },	//65
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//66
    { "Akonadi::EntityTreeModel", false, 12, xcall_Akonadi__EntityTreeModel, xenum_Akonadi__EntityTreeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeModel) },	//67
    { "Akonadi::EntityTreeModelPrivate", true, 0, 0, 0, 0, 0 },	//68
    { "Akonadi::EntityTreeView", false, 34, xcall_Akonadi__EntityTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeView) },	//69
    { "Akonadi::EntityTreeViewStateSaver", false, 16, xcall_Akonadi__EntityTreeViewStateSaver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeViewStateSaver) },	//70
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//71
    { "Akonadi::FavoriteCollectionsModel", false, 43, xcall_Akonadi__FavoriteCollectionsModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::FavoriteCollectionsModel) },	//72
    { "Akonadi::Item", false, 22, xcall_Akonadi__Item, xenum_Akonadi__Item, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Item) },	//73
    { "Akonadi::ItemCopyJob", false, 26, xcall_Akonadi__ItemCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCopyJob) },	//74
    { "Akonadi::ItemCreateJob", false, 26, xcall_Akonadi__ItemCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCreateJob) },	//75
    { "Akonadi::ItemDeleteJob", false, 26, xcall_Akonadi__ItemDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemDeleteJob) },	//76
    { "Akonadi::ItemFetchJob", false, 26, xcall_Akonadi__ItemFetchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemFetchJob) },	//77
    { "Akonadi::ItemFetchScope", false, 0, xcall_Akonadi__ItemFetchScope, xenum_Akonadi__ItemFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::ItemFetchScope) },	//78
    { "Akonadi::ItemModel", false, 45, xcall_Akonadi__ItemModel, xenum_Akonadi__ItemModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModel) },	//79
    { "Akonadi::ItemModifyJob", false, 26, xcall_Akonadi__ItemModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModifyJob) },	//80
    { "Akonadi::ItemMonitor", false, 0, xcall_Akonadi__ItemMonitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMonitor) },	//81
    { "Akonadi::ItemMoveJob", false, 26, xcall_Akonadi__ItemMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMoveJob) },	//82
    { "Akonadi::ItemSearchJob", false, 26, xcall_Akonadi__ItemSearchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSearchJob) },	//83
    { "Akonadi::ItemSerializerPlugin", false, 0, xcall_Akonadi__ItemSerializerPlugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPlugin) },	//84
    { "Akonadi::ItemSerializerPluginV2", false, 47, xcall_Akonadi__ItemSerializerPluginV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPluginV2) },	//85
    { "Akonadi::ItemSync", false, 26, xcall_Akonadi__ItemSync, xenum_Akonadi__ItemSync, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSync) },	//86
    { "Akonadi::ItemView", false, 34, xcall_Akonadi__ItemView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemView) },	//87
    { "Akonadi::Job", false, 49, xcall_Akonadi__Job, xenum_Akonadi__Job, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Job) },	//88
    { "Akonadi::JobPrivate", true, 0, 0, 0, 0, 0 },	//89
    { "Akonadi::LinkJob", false, 26, xcall_Akonadi__LinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::LinkJob) },	//90
    { "Akonadi::MessageFolderAttribute", false, 1, xcall_Akonadi__MessageFolderAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageFolderAttribute) },	//91
    { "Akonadi::MessageModel", false, 51, xcall_Akonadi__MessageModel, xenum_Akonadi__MessageModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageModel) },	//92
    { "Akonadi::MessageThreaderProxyModel", false, 53, xcall_Akonadi__MessageThreaderProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageThreaderProxyModel) },	//93
    { "Akonadi::MessageThreadingAttribute", false, 1, xcall_Akonadi__MessageThreadingAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageThreadingAttribute) },	//94
    { "Akonadi::MimeTypeChecker", false, 0, xcall_Akonadi__MimeTypeChecker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::MimeTypeChecker) },	//95
    { "Akonadi::Monitor", false, 16, xcall_Akonadi__Monitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Monitor) },	//96
    { "Akonadi::MonitorPrivate", true, 0, 0, 0, 0, 0 },	//97
    { "Akonadi::PartFetcher", false, 10, xcall_Akonadi__PartFetcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PartFetcher) },	//98
    { "Akonadi::PayloadBase", false, 0, xcall_Akonadi__PayloadBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadBase) },	//99
    { "Akonadi::PayloadException", false, 55, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//100
    { "Akonadi::PreprocessorBase", false, 57, xcall_Akonadi__PreprocessorBase, xenum_Akonadi__PreprocessorBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PreprocessorBase) },	//101
    { "Akonadi::ResourceBase", false, 57, xcall_Akonadi__ResourceBase, xenum_Akonadi__ResourceBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceBase) },	//102
    { "Akonadi::ResourceSynchronizationJob", false, 10, xcall_Akonadi__ResourceSynchronizationJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceSynchronizationJob) },	//103
    { "Akonadi::SearchCreateJob", false, 26, xcall_Akonadi__SearchCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SearchCreateJob) },	//104
    { "Akonadi::SelectionProxyModel", false, 59, xcall_Akonadi__SelectionProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SelectionProxyModel) },	//105
    { "Akonadi::ServerManager", false, 16, xcall_Akonadi__ServerManager, xenum_Akonadi__ServerManager, Smoke::cf_virtual, sizeof(Akonadi::ServerManager) },	//106
    { "Akonadi::Session", false, 16, xcall_Akonadi__Session, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Session) },	//107
    { "Akonadi::SessionPrivate", true, 0, 0, 0, 0, 0 },	//108
    { "Akonadi::StandardActionManager", false, 16, xcall_Akonadi__StandardActionManager, xenum_Akonadi__StandardActionManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StandardActionManager) },	//109
    { "Akonadi::StatisticsProxyModel", false, 8, xcall_Akonadi__StatisticsProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StatisticsProxyModel) },	//110
    { "Akonadi::TransactionBeginJob", false, 26, xcall_Akonadi__TransactionBeginJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionBeginJob) },	//111
    { "Akonadi::TransactionCommitJob", false, 26, xcall_Akonadi__TransactionCommitJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionCommitJob) },	//112
    { "Akonadi::TransactionRollbackJob", false, 26, xcall_Akonadi__TransactionRollbackJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionRollbackJob) },	//113
    { "Akonadi::TransactionSequence", false, 26, xcall_Akonadi__TransactionSequence, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionSequence) },	//114
    { "Akonadi::TransportResourceBase", false, 0, xcall_Akonadi__TransportResourceBase, xenum_Akonadi__TransportResourceBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::TransportResourceBase) },	//115
    { "Akonadi::UnlinkJob", false, 26, xcall_Akonadi__UnlinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::UnlinkJob) },	//116
    { "KABC::Address", true, 0, 0, 0, 0, 0 },	//117
    { "KABC::Addressee", true, 0, 0, 0, 0, 0 },	//118
    { "KABC::AddresseeList", true, 0, 0, 0, 0, 0 },	//119
    { "KABC::ContactGroup", true, 0, 0, 0, 0, 0 },	//120
    { "KABC::Geo", true, 0, 0, 0, 0, 0 },	//121
    { "KABC::Key", true, 0, 0, 0, 0, 0 },	//122
    { "KABC::PhoneNumber", true, 0, 0, 0, 0, 0 },	//123
    { "KABC::Picture", true, 0, 0, 0, 0, 0 },	//124
    { "KABC::Secrecy", true, 0, 0, 0, 0, 0 },	//125
    { "KABC::Sound", true, 0, 0, 0, 0, 0 },	//126
    { "KABC::TimeZone", true, 0, 0, 0, 0, 0 },	//127
    { "KAction", true, 0, 0, 0, 0, 0 },	//128
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//129
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//130
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//131
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//132
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//133
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//134
    { "KCompositeJob", true, 0, 0, 0, 0, 0 },	//135
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//136
    { "KDialog", true, 0, 0, 0, 0, 0 },	//137
    { "KHBox", true, 0, 0, 0, 0, 0 },	//138
    { "KIcon", true, 0, 0, 0, 0, 0 },	//139
    { "KJob", true, 0, 0, 0, 0, 0 },	//140
    { "KLocale", true, 0, 0, 0, 0, 0 },	//141
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//142
    { "KSelectionProxyModel", true, 0, 0, 0, 0, 0 },	//143
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//144
    { "KUrl", true, 0, 0, 0, 0, 0 },	//145
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//146
    { "KXmlGuiWindow", true, 0, 0, 0, 0, 0 },	//147
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//148
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//149
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//150
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//151
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//152
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QBool", true, 0, 0, 0, 0, 0 },	//154
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//155
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//156
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//157
    { "QColor", true, 0, 0, 0, 0, 0 },	//158
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//159
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//161
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//162
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//163
    { "QDialog", true, 0, 0, 0, 0, 0 },	//164
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//166
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//167
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//168
    { "QEvent", true, 0, 0, 0, 0, 0 },	//169
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//170
    { "QFont", true, 0, 0, 0, 0, 0 },	//171
    { "QFrame", true, 0, 0, 0, 0, 0 },	//172
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//173
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//174
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//175
    { "QIcon", true, 0, 0, 0, 0, 0 },	//176
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//177
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//178
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//179
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//180
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//181
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//182
    { "QListView", true, 0, 0, 0, 0, 0 },	//183
    { "QLocale", true, 0, 0, 0, 0, 0 },	//184
    { "QMenu", true, 0, 0, 0, 0, 0 },	//185
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//186
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//187
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//188
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//189
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//190
    { "QObject", true, 0, 0, 0, 0, 0 },	//191
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//192
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//193
    { "QPainter", true, 0, 0, 0, 0, 0 },	//194
    { "QPalette", true, 0, 0, 0, 0, 0 },	//195
    { "QPoint", true, 0, 0, 0, 0, 0 },	//196
    { "QRect", true, 0, 0, 0, 0, 0 },	//197
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//198
    { "QRegion", true, 0, 0, 0, 0, 0 },	//199
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//200
    { "QSettings", true, 0, 0, 0, 0, 0 },	//201
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//202
    { "QSize", true, 0, 0, 0, 0, 0 },	//203
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//204
    { "QStyle", true, 0, 0, 0, 0, 0 },	//205
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//206
    { "QStyledItemDelegate", true, 0, 0, 0, 0, 0 },	//207
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//208
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//209
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//210
    { "QUrl", true, 0, 0, 0, 0, 0 },	//211
    { "QVariant", true, 0, 0, 0, 0, 0 },	//212
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//213
    { "QWidget", true, 0, 0, 0, 0, 0 },	//214
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//215
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//216
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//217
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AbstractContactEditorWidget*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AbstractContactFormatter*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AbstractContactGroupFormatter*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AddressAttribute*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Akonadi::AgentBase*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentBase::Observer*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentBase::ObserverV2*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Akonadi::AgentBase::Status", 5, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Akonadi::AgentBasePrivate*", 8, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentFilterProxyModel*", 9, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Akonadi::AgentInstance", 10, Smoke::t_class|Smoke::tf_stack },	//11
    { "Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "Akonadi::AgentInstance*", 10, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Akonadi::AgentInstance::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Akonadi::AgentInstanceCreateJob*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentInstanceModel*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Akonadi::AgentInstanceModel::Roles", 12, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Akonadi::AgentInstanceWidget*", 13, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentType", 15, Smoke::t_class|Smoke::tf_stack },	//20
    { "Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref },	//21
    { "Akonadi::AgentType*", 15, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::AgentTypeDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AgentTypeModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::AgentTypeModel::Roles", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Akonadi::AgentTypeWidget*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Akonadi::Attribute*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::AttributeFactory*", 20, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::CachePolicy", 21, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::CachePolicy*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::ChangeRecorder*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Akonadi::ChangeRecorderPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Akonadi::Collection", 24, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Collection*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Collection::Id", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "Akonadi::Collection::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "Akonadi::Collection::Right", 24, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Akonadi::Collection::UrlType", 24, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Akonadi::CollectionComboBox*", 25, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Akonadi::CollectionCopyJob*", 26, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Akonadi::CollectionCreateJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Akonadi::CollectionDeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Akonadi::CollectionDialog*", 29, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Akonadi::CollectionDialog::CollectionDialogOption", 29, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Akonadi::CollectionFetchJob*", 30, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Akonadi::CollectionFetchJob::Type", 30, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref },	//49
    { "Akonadi::CollectionFetchScope*", 31, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Akonadi::CollectionFetchScope::AncestorRetrieval", 31, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Akonadi::CollectionFilterProxyModel*", 32, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Akonadi::CollectionModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Akonadi::CollectionModel::Roles", 33, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Akonadi::CollectionModelPrivate*", 34, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Akonadi::CollectionModifyJob*", 35, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Akonadi::CollectionMoveJob*", 36, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Akonadi::CollectionPropertiesDialog*", 37, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Akonadi::CollectionPropertiesDialog::DefaultPage", 37, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Akonadi::CollectionPropertiesPage*", 38, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Akonadi::CollectionPropertiesPageFactory*", 39, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Akonadi::CollectionQuotaAttribute*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "Akonadi::CollectionRequester*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Akonadi::CollectionStatistics", 42, Smoke::t_class|Smoke::tf_stack },	//64
    { "Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref },	//65
    { "Akonadi::CollectionStatistics*", 42, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Akonadi::CollectionStatisticsDelegate*", 43, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Akonadi::CollectionStatisticsJob*", 44, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Akonadi::CollectionStatisticsModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Akonadi::CollectionStatisticsModel::Roles", 45, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Akonadi::CollectionView*", 46, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Akonadi::ContactDefaultActions*", 47, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Akonadi::ContactEditor*", 48, Smoke::t_class|Smoke::tf_ptr },	//73
    { "Akonadi::ContactEditor::Mode", 48, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Akonadi::ContactEditorDialog*", 49, Smoke::t_class|Smoke::tf_ptr },	//75
    { "Akonadi::ContactEditorDialog::Mode", 49, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Akonadi::ContactEditorPagePlugin*", 50, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Akonadi::ContactGroupEditor*", 51, Smoke::t_class|Smoke::tf_ptr },	//78
    { "Akonadi::ContactGroupEditor::Mode", 51, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Akonadi::ContactGroupEditorDialog*", 52, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Akonadi::ContactGroupEditorDialog::Mode", 52, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Akonadi::ContactGroupExpandJob*", 53, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Akonadi::ContactGroupSearchJob*", 54, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Akonadi::ContactGroupSearchJob::Criterion", 54, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Akonadi::ContactGroupSearchJob::Match", 54, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Akonadi::ContactGroupViewer*", 55, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Akonadi::ContactGroupViewerDialog*", 56, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Akonadi::ContactSearchJob*", 57, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Akonadi::ContactSearchJob::Criterion", 57, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Akonadi::ContactSearchJob::Match", 57, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Akonadi::ContactViewer*", 58, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Akonadi::ContactViewerDialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Akonadi::Control*", 60, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref },	//94
    { "Akonadi::Entity*", 61, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Akonadi::Entity::CreateOption", 61, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Akonadi::EntityDisplayAttribute*", 62, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Akonadi::EntityHiddenAttribute*", 63, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Akonadi::EntityListView*", 64, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Akonadi::EntityMimeTypeFilterModel*", 65, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Akonadi::EntityTreeModel*", 67, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Akonadi::EntityTreeModel::CollectionFetchStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Akonadi::EntityTreeModel::FetchState", 67, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Akonadi::EntityTreeModel::HeaderGroup", 67, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Akonadi::EntityTreeModel::ItemPopulationStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Akonadi::EntityTreeModel::Roles", 67, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Akonadi::EntityTreeView*", 69, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Akonadi::EntityTreeViewStateSaver*", 70, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Akonadi::Exception*", 71, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Akonadi::FavoriteCollectionsModel*", 72, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Akonadi::Item", 73, Smoke::t_class|Smoke::tf_stack },	//113
    { "Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref },	//114
    { "Akonadi::Item*", 73, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Akonadi::Item::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "Akonadi::Item::UrlType", 73, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Akonadi::ItemCopyJob*", 74, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Akonadi::ItemCreateJob*", 75, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Akonadi::ItemDeleteJob*", 76, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Akonadi::ItemFetchJob*", 77, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref },	//122
    { "Akonadi::ItemFetchScope*", 78, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Akonadi::ItemFetchScope::AncestorRetrieval", 78, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Akonadi::ItemModel*", 79, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Akonadi::ItemModel::Column", 79, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Akonadi::ItemModel::Roles", 79, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Akonadi::ItemModifyJob*", 80, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Akonadi::ItemMonitor*", 81, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Akonadi::ItemMoveJob*", 82, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Akonadi::ItemSearchJob*", 83, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Akonadi::ItemSerializerPlugin*", 84, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Akonadi::ItemSerializerPluginV2*", 85, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Akonadi::ItemSync*", 86, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Akonadi::ItemSync::TransactionMode", 86, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Akonadi::ItemView*", 87, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Akonadi::Job*", 88, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Akonadi::Job::Error", 88, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Akonadi::JobPrivate*", 89, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Akonadi::LinkJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Akonadi::MessageFolderAttribute*", 91, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Akonadi::MessageModel*", 92, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Akonadi::MessageModel::Column", 92, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Akonadi::MessageThreaderProxyModel*", 93, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Akonadi::MessageThreadingAttribute*", 94, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref },	//146
    { "Akonadi::MimeTypeChecker*", 95, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Akonadi::Monitor*", 96, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Akonadi::MonitorPrivate*", 97, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Akonadi::PartFetcher*", 98, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Akonadi::PayloadBase*", 99, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Akonadi::PayloadException*", 100, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Akonadi::PreprocessorBase*", 101, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Akonadi::PreprocessorBase::ProcessingResult", 101, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Akonadi::ResourceBase*", 102, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Akonadi::ResourceBase::SchedulePriority", 102, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Akonadi::ResourceSynchronizationJob*", 103, Smoke::t_class|Smoke::tf_ptr },	//157
    { "Akonadi::SearchCreateJob*", 104, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Akonadi::SelectionProxyModel*", 105, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Akonadi::ServerManager*", 106, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Akonadi::ServerManager::State", 106, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Akonadi::Session*", 107, Smoke::t_class|Smoke::tf_ptr },	//162
    { "Akonadi::SessionPrivate*", 108, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Akonadi::StandardActionManager*", 109, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Akonadi::StandardActionManager::TextContext", 109, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Akonadi::StandardActionManager::Type", 109, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Akonadi::StatisticsProxyModel*", 110, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Akonadi::TransactionBeginJob*", 111, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Akonadi::TransactionCommitJob*", 112, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Akonadi::TransactionRollbackJob*", 113, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Akonadi::TransactionSequence*", 114, Smoke::t_class|Smoke::tf_ptr },	//171
    { "Akonadi::TransportResourceBase*", 115, Smoke::t_class|Smoke::tf_ptr },	//172
    { "Akonadi::TransportResourceBase::TransportResult", 115, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Akonadi::UnlinkJob*", 116, Smoke::t_class|Smoke::tf_ptr },	//174
    { "KABC::Address", 117, Smoke::t_class|Smoke::tf_stack },	//175
    { "KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref },	//176
    { "KABC::Address::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "KABC::Addressee", 118, Smoke::t_class|Smoke::tf_stack },	//178
    { "KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref },	//179
    { "KABC::AddresseeList", 119, Smoke::t_class|Smoke::tf_stack },	//180
    { "KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref },	//181
    { "KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref },	//182
    { "KABC::PhoneNumber", 123, Smoke::t_class|Smoke::tf_stack },	//183
    { "KABC::PhoneNumber::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//184
    { "KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref },	//185
    { "KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref },	//186
    { "KABC::SortingCriterion", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref },	//188
    { "KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref },	//189
    { "KAction*", 128, Smoke::t_class|Smoke::tf_ptr },	//190
    { "KActionCollection*", 129, Smoke::t_class|Smoke::tf_ptr },	//191
    { "KCharsets*", 130, Smoke::t_class|Smoke::tf_ptr },	//192
    { "KCompletion*", 132, Smoke::t_class|Smoke::tf_ptr },	//193
    { "KComponentData", 134, Smoke::t_class|Smoke::tf_stack },	//194
    { "KConfigGroup&", 136, Smoke::t_class|Smoke::tf_ref },	//195
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "KIcon", 139, Smoke::t_class|Smoke::tf_stack },	//198
    { "KJob*", 140, Smoke::t_class|Smoke::tf_ptr },	//199
    { "KLocale*", 141, Smoke::t_class|Smoke::tf_ptr },	//200
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//201
    { "KStandardDirs*", 144, Smoke::t_class|Smoke::tf_ptr },	//202
    { "KUrl", 145, Smoke::t_class|Smoke::tf_stack },	//203
    { "KXMLGUIClient*", 146, Smoke::t_class|Smoke::tf_ptr },	//204
    { "KXmlGuiWindow*", 147, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QAbstractItemModel*", 148, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QAbstractItemView*", 149, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QAbstractItemView::CursorAction", 149, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QAbstractItemView::EditTrigger", 149, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QAbstractItemView::ScrollHint", 149, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QAbstractItemView::SelectionMode", 149, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QActionEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QBool", 154, Smoke::t_class|Smoke::tf_stack },	//214
    { "QByteArray", 155, Smoke::t_class|Smoke::tf_stack },	//215
    { "QChildEvent*", 156, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QCloseEvent*", 157, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QColor", 158, Smoke::t_class|Smoke::tf_stack },	//218
    { "QContextMenuEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QDataStream&", 162, Smoke::t_class|Smoke::tf_ref },	//221
    { "QDateTime", 163, Smoke::t_class|Smoke::tf_stack },	//222
    { "QDragEnterEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QDragLeaveEvent*", 166, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QDragMoveEvent*", 167, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QDropEvent*", 168, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QEvent*", 169, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//228
    { "QFlags<Akonadi::CollectionDialog::CollectionDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//229
    { "QFlags<KABC::Address::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//230
    { "QFlags<KABC::PhoneNumber::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//231
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//232
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//233
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//234
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//235
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//236
    { "QFocusEvent*", 170, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QHideEvent*", 174, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QIODevice&", 175, Smoke::t_class|Smoke::tf_ref },	//239
    { "QIcon", 176, Smoke::t_class|Smoke::tf_stack },	//240
    { "QIncompatibleFlag", 177, Smoke::t_class|Smoke::tf_stack },	//241
    { "QInputMethodEvent*", 178, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QItemSelection", 179, Smoke::t_class|Smoke::tf_stack },	//243
    { "QItemSelectionModel*", 180, Smoke::t_class|Smoke::tf_ptr },	//244
    { "QKeyEvent*", 181, Smoke::t_class|Smoke::tf_ptr },	//245
    { "QLineEdit*", 182, Smoke::t_class|Smoke::tf_ptr },	//246
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<Akonadi::Collection::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QList<Akonadi::Collection>", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QList<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//252
    { "QList<Akonadi::Item>", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "QList<KABC::ContactGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QMenu*", 185, Smoke::t_class|Smoke::tf_ptr },	//258
    { "QMetaObject::Call", 186, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QMimeData*", 187, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QModelIndex", 188, Smoke::t_class|Smoke::tf_stack },	//261
    { "QMouseEvent*", 189, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QMoveEvent*", 190, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QObject*", 191, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QPaintEngine*", 192, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QPaintEvent*", 193, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QPainter*", 194, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QRect", 197, Smoke::t_class|Smoke::tf_stack },	//269
    { "QRegExp&", 198, Smoke::t_class|Smoke::tf_ref },	//270
    { "QRegion", 199, Smoke::t_class|Smoke::tf_stack },	//271
    { "QResizeEvent*", 200, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QSet<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//273
    { "QSettings*", 201, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QShowEvent*", 202, Smoke::t_class|Smoke::tf_ptr },	//275
    { "QSize", 203, Smoke::t_class|Smoke::tf_stack },	//276
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//277
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//278
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//279
    { "QStyle&", 205, Smoke::t_class|Smoke::tf_ref },	//280
    { "QStyleOptionViewItem", 206, Smoke::t_class|Smoke::tf_stack },	//281
    { "QStyleOptionViewItem*", 206, Smoke::t_class|Smoke::tf_ptr },	//282
    { "QTabletEvent*", 208, Smoke::t_class|Smoke::tf_ptr },	//283
    { "QTimerEvent*", 209, Smoke::t_class|Smoke::tf_ptr },	//284
    { "QTreeView*", 210, Smoke::t_class|Smoke::tf_ptr },	//285
    { "QUrl", 211, Smoke::t_class|Smoke::tf_stack },	//286
    { "QVariant", 212, Smoke::t_class|Smoke::tf_stack },	//287
    { "QVariantMap", 0, Smoke::t_voidp|Smoke::tf_stack },	//288
    { "QVector<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//289
    { "QVector<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//290
    { "QWheelEvent*", 213, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QWidget*", 214, Smoke::t_class|Smoke::tf_ptr },	//292
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtMsgType", 173, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtValidLicenseForActiveQtModule", 173, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtValidLicenseForCoreModule", 173, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtValidLicenseForDBusModule", 173, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtValidLicenseForDeclarativeModule", 173, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtValidLicenseForGuiModule", 173, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForHelpModule", 173, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForMultimediaModule", 173, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForNetworkModule", 173, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtValidLicenseForOpenGLModule", 173, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtValidLicenseForOpenVGModule", 173, Smoke::t_enum|Smoke::tf_stack },	//375
    { "QtValidLicenseForQt3SupportLightModule", 173, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtValidLicenseForQt3SupportModule", 173, Smoke::t_enum|Smoke::tf_stack },	//377
    { "QtValidLicenseForScriptModule", 173, Smoke::t_enum|Smoke::tf_stack },	//378
    { "QtValidLicenseForScriptToolsModule", 173, Smoke::t_enum|Smoke::tf_stack },	//379
    { "QtValidLicenseForSqlModule", 173, Smoke::t_enum|Smoke::tf_stack },	//380
    { "QtValidLicenseForSvgModule", 173, Smoke::t_enum|Smoke::tf_stack },	//381
    { "QtValidLicenseForTestModule", 173, Smoke::t_enum|Smoke::tf_stack },	//382
    { "QtValidLicenseForXmlModule", 173, Smoke::t_enum|Smoke::tf_stack },	//383
    { "QtValidLicenseForXmlPatternsModule", 173, Smoke::t_enum|Smoke::tf_stack },	//384
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//385
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//386
    { "__codecvt_result", 173, Smoke::t_enum|Smoke::tf_stack },	//387
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//388
    { "boost::exception*", 215, Smoke::t_class|Smoke::tf_ptr },	//389
    { "boost::exception_detail::large_size", 216, Smoke::t_class|Smoke::tf_stack },	//390
    { "boost::exception_detail::small_size", 217, Smoke::t_class|Smoke::tf_stack },	//391
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//392
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//393
    { "const Akonadi::AddressAttribute&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const Akonadi::AgentBase::Observer&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const Akonadi::AgentBase::ObserverV2&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const Akonadi::Attribute&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const Akonadi::AttributeFactory&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const Akonadi::Collection::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//403
    { "const Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const Akonadi::CollectionPropertiesPageFactory&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const Akonadi::CollectionQuotaAttribute&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const Akonadi::EntityDisplayAttribute&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const Akonadi::EntityHiddenAttribute&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "const Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const Akonadi::Exception&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const Akonadi::Item::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//415
    { "const Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const Akonadi::ItemSerializerPlugin&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const Akonadi::ItemSerializerPluginV2&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const Akonadi::MessageFolderAttribute&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const Akonadi::MessageThreadingAttribute&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const Akonadi::PayloadBase&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const Akonadi::PayloadException&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const Akonadi::TransportResourceBase&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const KABC::ContactGroup&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const KABC::PhoneNumber&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const KComponentData&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const KConfigGroup&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const KLocalizedString&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const KUrl&", 145, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QAbstractItemModel*", 148, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//439
    { "const QByteArray&", 155, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QColor&", 158, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QDateTime&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QEvent*", 169, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//443
    { "const QFont&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QItemSelection&", 179, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QList<Akonadi::Collection::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QList<Akonadi::Collection>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QList<Akonadi::Item::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QList<Akonadi::Item>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QLocale&", 184, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QMetaObject&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QMetaObject*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//454
    { "const QMimeData*", 187, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//455
    { "const QModelIndex&", 188, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QObject*", 191, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//457
    { "const QPalette&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QPoint&", 196, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QRect&", 197, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QRegExp&", 198, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//465
    { "const QStyleOptionViewItem&", 206, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QVariant&", 212, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//468
    { "const boost::exception&", 215, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const boost::exception*", 215, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//470
    { "const boost::shared_ptr<T>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//472
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//473
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//475
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//476
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//477
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//478
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//479
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//480
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//481
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//482
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//483
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//484
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//485
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//486
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//487
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    463, 464, 464, 464, 0,	//1  const QString&, const QStringList&, const QStringList&, const QStringList&
    440, 0,	//6  const QByteArray&
    463, 0,	//8  const QString&
    464, 0,	//10  const QStringList&
    394, 0,	//12  const Akonadi::AddressAttribute&
    463, 464, 0,	//14  const QString&, const QStringList&
    463, 464, 464, 0,	//17  const QString&, const QStringList&, const QStringList&
    472, 0,	//21  const char*
    472, 472, 0,	//23  const char*, const char*
    472, 472, 476, 0,	//26  const char*, const char*, int
    259, 476, 486, 0,	//30  QMetaObject::Call, int, void**
    385, 0,	//34  WId
    6, 0,	//36  Akonadi::AgentBase::Observer*
    476, 463, 0,	//38  int, const QString&
    476, 0,	//41  int
    468, 0,	//43  const QVariantMap&
    388, 0,	//45  bool
    9, 463, 0,	//47  Akonadi::AgentBasePrivate*, const QString&
    414, 402, 0,	//50  const Akonadi::Item&, const Akonadi::Collection&
    414, 462, 0,	//53  const Akonadi::Item&, const QSet<QByteArray>&
    414, 0,	//56  const Akonadi::Item&
    402, 402, 0,	//58  const Akonadi::Collection&, const Akonadi::Collection&
    402, 0,	//61  const Akonadi::Collection&
    395, 0,	//63  const Akonadi::AgentBase::Observer&
    414, 402, 402, 0,	//65  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    402, 402, 402, 0,	//69  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    402, 462, 0,	//73  const Akonadi::Collection&, const QSet<QByteArray>&
    396, 0,	//76  const Akonadi::AgentBase::ObserverV2&
    264, 0,	//78  QObject*
    476, 456, 0,	//80  int, const QModelIndex&
    397, 0,	//83  const Akonadi::AgentInstance&
    292, 0,	//85  QWidget*
    398, 264, 0,	//87  const Akonadi::AgentType&, QObject*
    463, 264, 0,	//90  const QString&, QObject*
    398, 0,	//93  const Akonadi::AgentType&
    456, 0,	//95  const QModelIndex&
    456, 476, 0,	//97  const QModelIndex&, int
    476, 339, 476, 0,	//100  int, Qt::Orientation, int
    476, 476, 456, 0,	//104  int, int, const QModelIndex&
    456, 467, 476, 0,	//108  const QModelIndex&, const QVariant&, int
    476, 339, 0,	//112  int, Qt::Orientation
    476, 476, 0,	//115  int, int
    397, 397, 0,	//118  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    402, 388, 0,	//121  const Akonadi::Collection&, bool
    397, 463, 0,	//124  const Akonadi::AgentInstance&, const QString&
    397, 388, 0,	//127  const Akonadi::AgentInstance&, bool
    398, 398, 0,	//130  const Akonadi::AgentType&, const Akonadi::AgentType&
    399, 0,	//133  const Akonadi::Attribute&
    400, 0,	//135  const Akonadi::AttributeFactory&
    401, 0,	//137  const Akonadi::CachePolicy&
    274, 0,	//139  QSettings*
    33, 264, 0,	//141  Akonadi::ChangeRecorderPrivate*, QObject*
    33, 0,	//144  Akonadi::ChangeRecorderPrivate*
    479, 0,	//146  long long
    438, 0,	//148  const KUrl&
    228, 0,	//150  QFlags<Akonadi::Collection::Right>
    407, 0,	//152  const Akonadi::CollectionStatistics&
    40, 0,	//154  Akonadi::Collection::UrlType
    207, 292, 0,	//156  QAbstractItemModel*, QWidget*
    207, 0,	//159  QAbstractItemModel*
    402, 402, 264, 0,	//161  const Akonadi::Collection&, const Akonadi::Collection&, QObject*
    402, 264, 0,	//165  const Akonadi::Collection&, QObject*
    440, 440, 0,	//168  const QByteArray&, const QByteArray&
    229, 207, 292, 0,	//171  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*
    212, 0,	//175  QAbstractItemView::SelectionMode
    229, 0,	//177  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>
    229, 207, 0,	//179  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*
    402, 48, 264, 0,	//182  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*
    447, 264, 0,	//186  const QList<Akonadi::Collection>&, QObject*
    447, 48, 264, 0,	//189  const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*
    446, 48, 264, 0,	//193  const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*
    404, 0,	//197  const Akonadi::CollectionFetchScope&
    403, 0,	//199  const Akonadi::Collection::List&
    199, 0,	//201  KJob*
    402, 48, 0,	//203  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type
    447, 0,	//206  const QList<Akonadi::Collection>&
    447, 48, 0,	//208  const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type
    446, 0,	//211  const QList<Akonadi::Collection::Id>&
    446, 48, 0,	//213  const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type
    51, 0,	//216  Akonadi::CollectionFetchScope::AncestorRetrieval
    476, 339, 467, 476, 0,	//218  int, Qt::Orientation, const QVariant&, int
    450, 0,	//223  const QList<QModelIndex>&
    455, 315, 476, 476, 456, 0,	//225  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    37, 0,	//231  Akonadi::Collection::Id
    55, 264, 0,	//233  Akonadi::CollectionModelPrivate*, QObject*
    476, 339, 467, 0,	//236  int, Qt::Orientation, const QVariant&
    456, 467, 0,	//240  const QModelIndex&, const QVariant&
    55, 0,	//243  Akonadi::CollectionModelPrivate*
    402, 292, 0,	//245  const Akonadi::Collection&, QWidget*
    402, 464, 292, 0,	//248  const Akonadi::Collection&, const QStringList&, QWidget*
    61, 0,	//252  Akonadi::CollectionPropertiesPageFactory*
    59, 0,	//254  Akonadi::CollectionPropertiesDialog::DefaultPage
    402, 464, 0,	//256  const Akonadi::Collection&, const QStringList&
    35, 0,	//259  Akonadi::Collection&
    405, 0,	//261  const Akonadi::CollectionPropertiesPageFactory&
    479, 479, 0,	//263  long long, long long
    406, 0,	//266  const Akonadi::CollectionQuotaAttribute&
    208, 0,	//268  QAbstractItemView*
    285, 0,	//270  QTreeView*
    268, 466, 456, 0,	//272  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    282, 456, 0,	//276  QStyleOptionViewItem*, const QModelIndex&
    205, 292, 0,	//279  KXmlGuiWindow*, QWidget*
    204, 292, 0,	//282  KXMLGUIClient*, QWidget*
    205, 0,	//285  KXmlGuiWindow*
    204, 0,	//287  KXMLGUIClient*
    456, 456, 0,	//289  const QModelIndex&, const QModelIndex&
    225, 0,	//292  QDragMoveEvent*
    224, 0,	//294  QDragLeaveEvent*
    226, 0,	//296  QDropEvent*
    219, 0,	//298  QContextMenuEvent*
    463, 463, 0,	//300  const QString&, const QString&
    430, 0,	//303  const KABC::PhoneNumber&
    425, 0,	//305  const KABC::Address&
    74, 292, 0,	//307  Akonadi::ContactEditor::Mode, QWidget*
    74, 1, 292, 0,	//310  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    426, 0,	//314  const KABC::Addressee&
    74, 0,	//316  Akonadi::ContactEditor::Mode
    74, 1, 0,	//318  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*
    76, 292, 0,	//321  Akonadi::ContactEditorDialog::Mode, QWidget*
    76, 1, 292, 0,	//324  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    76, 0,	//328  Akonadi::ContactEditorDialog::Mode
    76, 1, 0,	//330  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*
    179, 0,	//333  KABC::Addressee&
    79, 292, 0,	//335  Akonadi::ContactGroupEditor::Mode, QWidget*
    427, 0,	//338  const KABC::ContactGroup&
    79, 0,	//340  Akonadi::ContactGroupEditor::Mode
    81, 292, 0,	//342  Akonadi::ContactGroupEditorDialog::Mode, QWidget*
    81, 0,	//345  Akonadi::ContactGroupEditorDialog::Mode
    427, 264, 0,	//347  const KABC::ContactGroup&, QObject*
    84, 463, 0,	//350  Akonadi::ContactGroupSearchJob::Criterion, const QString&
    84, 463, 85, 0,	//353  Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match
    3, 0,	//357  Akonadi::AbstractContactGroupFormatter*
    89, 463, 0,	//359  Akonadi::ContactSearchJob::Criterion, const QString&
    89, 463, 90, 0,	//362  Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match
    2, 0,	//366  Akonadi::AbstractContactFormatter*
    408, 0,	//368  const Akonadi::Entity&
    27, 0,	//370  Akonadi::Attribute*
    101, 0,	//372  Akonadi::EntityPrivate*
    441, 0,	//374  const QColor&
    409, 0,	//376  const Akonadi::EntityDisplayAttribute&
    410, 0,	//378  const Akonadi::EntityHiddenAttribute&
    233, 0,	//380  QFlags<Qt::DropAction>
    105, 0,	//382  Akonadi::EntityTreeModel::HeaderGroup
    456, 476, 467, 476, 236, 0,	//384  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    456, 476, 467, 0,	//390  const QModelIndex&, int, const QVariant&
    456, 476, 467, 476, 0,	//394  const QModelIndex&, int, const QVariant&, int
    32, 264, 0,	//399  Akonadi::ChangeRecorder*, QObject*
    106, 0,	//402  Akonadi::EntityTreeModel::ItemPopulationStrategy
    103, 0,	//404  Akonadi::EntityTreeModel::CollectionFetchStrategy
    439, 402, 0,	//406  const QAbstractItemModel*, const Akonadi::Collection&
    439, 414, 0,	//409  const QAbstractItemModel*, const Akonadi::Item&
    414, 476, 476, 0,	//412  const Akonadi::Item&, int, int
    402, 476, 476, 0,	//416  const Akonadi::Collection&, int, int
    476, 339, 476, 105, 0,	//420  int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup
    414, 467, 236, 0,	//425  const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>
    402, 467, 236, 0,	//429  const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>
    32, 108, 264, 0,	//433  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*
    32, 0,	//437  Akonadi::ChangeRecorder*
    414, 476, 0,	//439  const Akonadi::Item&, int
    402, 476, 0,	//442  const Akonadi::Collection&, int
    32, 108, 0,	//445  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*
    284, 0,	//448  QTimerEvent*
    195, 0,	//450  KConfigGroup&
    436, 0,	//452  const KConfigGroup&
    413, 0,	//454  const Akonadi::Exception&
    207, 436, 264, 0,	//456  QAbstractItemModel*, const KConfigGroup&, QObject*
    402, 463, 0,	//460  const Akonadi::Collection&, const QString&
    207, 436, 0,	//463  QAbstractItemModel*, const KConfigGroup&
    442, 0,	//466  const QDateTime&
    462, 0,	//468  const QSet<QByteArray>&
    117, 0,	//470  Akonadi::Item::UrlType
    414, 402, 264, 0,	//472  const Akonadi::Item&, const Akonadi::Collection&, QObject*
    449, 402, 264, 0,	//476  const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*
    449, 402, 0,	//480  const QList<Akonadi::Item>&, const Akonadi::Collection&
    414, 264, 0,	//483  const Akonadi::Item&, QObject*
    449, 264, 0,	//486  const QList<Akonadi::Item>&, QObject*
    449, 0,	//489  const QList<Akonadi::Item>&
    448, 264, 0,	//491  const QList<Akonadi::Item::Id>&, QObject*
    122, 0,	//494  Akonadi::ItemFetchScope&
    416, 0,	//496  const Akonadi::ItemFetchScope&
    415, 0,	//498  const Akonadi::Item::List&
    448, 0,	//500  const QList<Akonadi::Item::Id>&
    440, 388, 0,	//502  const QByteArray&, bool
    124, 0,	//505  Akonadi::ItemFetchScope::AncestorRetrieval
    414, 473, 0,	//507  const Akonadi::Item&, const int
    114, 440, 239, 476, 0,	//510  Akonadi::Item&, const QByteArray&, QIODevice&, int
    414, 440, 239, 477, 0,	//515  const Akonadi::Item&, const QByteArray&, QIODevice&, int&
    417, 0,	//520  const Akonadi::ItemSerializerPlugin&
    114, 414, 0,	//522  Akonadi::Item&, const Akonadi::Item&
    418, 0,	//525  const Akonadi::ItemSerializerPluginV2&
    449, 449, 0,	//527  const QList<Akonadi::Item>&, const QList<Akonadi::Item>&
    135, 0,	//530  Akonadi::ItemSync::TransactionMode
    414, 114, 0,	//532  const Akonadi::Item&, Akonadi::Item&
    137, 0,	//535  Akonadi::Job*
    139, 264, 0,	//537  Akonadi::JobPrivate*, QObject*
    402, 449, 264, 0,	//540  const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*
    402, 449, 0,	//544  const Akonadi::Collection&, const QList<Akonadi::Item>&
    419, 0,	//547  const Akonadi::MessageFolderAttribute&
    476, 476, 483, 0,	//549  int, int, unsigned int
    420, 0,	//553  const Akonadi::MessageThreadingAttribute&
    421, 0,	//555  const Akonadi::MimeTypeChecker&
    414, 463, 0,	//557  const Akonadi::Item&, const QString&
    414, 388, 0,	//560  const Akonadi::Item&, bool
    463, 388, 0,	//563  const QString&, bool
    162, 0,	//566  Akonadi::Session*
    37, 407, 0,	//568  Akonadi::Collection::Id, const Akonadi::CollectionStatistics&
    149, 264, 0,	//571  Akonadi::MonitorPrivate*, QObject*
    149, 0,	//574  Akonadi::MonitorPrivate*
    456, 440, 264, 0,	//576  const QModelIndex&, const QByteArray&, QObject*
    456, 440, 0,	//580  const QModelIndex&, const QByteArray&
    422, 0,	//583  const Akonadi::PayloadBase&
    423, 0,	//585  const Akonadi::PayloadException&
    154, 0,	//587  Akonadi::PreprocessorBase::ProcessingResult
    481, 0,	//589  qlonglong
    447, 447, 0,	//591  const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&
    479, 388, 0,	//594  long long, bool
    264, 472, 467, 156, 0,	//597  QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority
    264, 472, 467, 0,	//602  QObject*, const char*, const QVariant&
    397, 264, 0,	//606  const Akonadi::AgentInstance&, QObject*
    463, 463, 264, 0,	//609  const QString&, const QString&, QObject*
    244, 264, 0,	//613  QItemSelectionModel*, QObject*
    244, 0,	//616  QItemSelectionModel*
    161, 0,	//618  Akonadi::ServerManager::State
    440, 264, 0,	//620  const QByteArray&, QObject*
    163, 440, 264, 0,	//623  Akonadi::SessionPrivate*, const QByteArray&, QObject*
    163, 0,	//627  Akonadi::SessionPrivate*
    163, 440, 0,	//629  Akonadi::SessionPrivate*, const QByteArray&
    191, 292, 0,	//632  KActionCollection*, QWidget*
    112, 0,	//635  Akonadi::FavoriteCollectionsModel*
    166, 0,	//637  Akonadi::StandardActionManager::Type
    166, 437, 0,	//639  Akonadi::StandardActionManager::Type, const KLocalizedString&
    166, 388, 0,	//642  Akonadi::StandardActionManager::Type, bool
    166, 165, 463, 0,	//645  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&
    166, 165, 437, 0,	//649  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&
    258, 166, 0,	//653  QMenu*, Akonadi::StandardActionManager::Type
    191, 0,	//656  KActionCollection*
    414, 173, 463, 0,	//658  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&
    424, 0,	//662  const Akonadi::TransportResourceBase&
    414, 173, 0,	//664  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult
    264, 227, 0,	//667  QObject*, QEvent*
    246, 0,	//670  QLineEdit*
    464, 388, 0,	//672  const QStringList&, bool
    484, 388, 388, 0,	//675  unsigned long, bool, bool
    291, 0,	//679  QWheelEvent*
    193, 388, 0,	//681  KCompletion*, bool
    197, 0,	//684  KGlobalSettings::Completion
    476, 485, 0,	//686  int, void*
    199, 463, 463, 0,	//689  KJob*, const QString&, const QString&
    238, 0,	//693  QHideEvent*
    217, 0,	//695  QCloseEvent*
    245, 0,	//697  QKeyEvent*
    216, 0,	//699  QChildEvent*
    445, 0,	//701  const QItemSelection&
    456, 452, 0,	//703  const QModelIndex&, const QMap<int,QVariant>&
    476, 347, 0,	//706  int, Qt::SortOrder
    327, 0,	//709  Qt::InputMethodQuery
    292, 206, 0,	//711  QWidget*, QAbstractItemDelegate::EndEditHint
    456, 210, 227, 0,	//714  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    456, 443, 0,	//718  const QModelIndex&, const QEvent*
    227, 0,	//721  QEvent*
    262, 0,	//723  QMouseEvent*
    223, 0,	//725  QDragEnterEvent*
    237, 0,	//727  QFocusEvent*
    272, 0,	//729  QResizeEvent*
    242, 0,	//731  QInputMethodEvent*
    267, 0,	//733  QPaintEvent*
    275, 0,	//735  QShowEvent*
    456, 211, 0,	//737  const QModelIndex&, QAbstractItemView::ScrollHint
    459, 0,	//740  const QPoint&
    456, 476, 476, 0,	//742  const QModelIndex&, int, int
    209, 235, 0,	//746  QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>
    460, 232, 0,	//749  const QRect&, QFlags<QItemSelectionModel::SelectionFlag>
    445, 445, 0,	//752  const QItemSelection&, const QItemSelection&
    466, 456, 0,	//755  const QStyleOptionViewItem&, const QModelIndex&
    292, 466, 456, 0,	//758  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    292, 456, 0,	//762  QWidget*, const QModelIndex&
    292, 207, 456, 0,	//765  QWidget*, QAbstractItemModel*, const QModelIndex&
    467, 451, 0,	//769  const QVariant&, const QLocale&
    227, 207, 466, 456, 0,	//772  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    268, 460, 456, 0,	//777  QPainter*, const QRect&, const QModelIndex&
    263, 0,	//781  QMoveEvent*
    283, 0,	//783  QTabletEvent*
    213, 0,	//785  QActionEvent*
    386, 0,	//787  _XEvent*
    265, 0,	//789  QPaintDevice::PaintDeviceMetric
    280, 0,	//791  QStyle&
    458, 0,	//793  const QPalette&
    444, 0,	//795  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "AddIfMissing",	//3
    "AddToFavoriteCollections",	//4
    "AddressAttribute",	//5
    "AddressAttribute#",	//6
    "AddressAttribute$",	//7
    "AddressAttribute$?",	//8
    "AddressAttribute$??",	//9
    "AddressAttribute$???",	//10
    "Adjust",	//11
    "AdjustToContents",	//12
    "AdjustToContentsOnFirstShow",	//13
    "AdjustToMinimumContentsLength",	//14
    "AdjustToMinimumContentsLengthWithIcon",	//15
    "AfterChangeReplay",	//16
    "AgentBase",	//17
    "AgentBase#$",	//18
    "AgentBase$",	//19
    "AgentFilterProxyModel",	//20
    "AgentFilterProxyModel#",	//21
    "AgentInstance",	//22
    "AgentInstance#",	//23
    "AgentInstanceCreateJob",	//24
    "AgentInstanceCreateJob#",	//25
    "AgentInstanceCreateJob##",	//26
    "AgentInstanceCreateJob$",	//27
    "AgentInstanceCreateJob$#",	//28
    "AgentInstanceModel",	//29
    "AgentInstanceModel#",	//30
    "AgentInstanceWidget",	//31
    "AgentInstanceWidget#",	//32
    "AgentType",	//33
    "AgentType#",	//34
    "AgentTypeDialog",	//35
    "AgentTypeDialog#",	//36
    "AgentTypeModel",	//37
    "AgentTypeModel#",	//38
    "AgentTypeWidget",	//39
    "AgentTypeWidget#",	//40
    "All",	//41
    "AllEditTriggers",	//42
    "AllRights",	//43
    "AllowToCreateNewChildCollection",	//44
    "AmazingCompletionRole",	//45
    "AnimatingState",	//46
    "AnyKeyPressed",	//47
    "AppNameCaption",	//48
    "Append",	//49
    "Apply",	//50
    "Attribute",	//51
    "Attribute#",	//52
    "AttributeFactory",	//53
    "AttributeFactory#",	//54
    "AvailablePartsRole",	//55
    "Base",	//56
    "Batched",	//57
    "BelowItem",	//58
    "Box",	//59
    "Broken",	//60
    "Bytes",	//61
    "CachePage",	//62
    "CachePolicy",	//63
    "CachePolicy#",	//64
    "CanChangeCollection",	//65
    "CanChangeItem",	//66
    "CanCreateCollection",	//67
    "CanCreateItem",	//68
    "CanDeleteCollection",	//69
    "CanDeleteItem",	//70
    "CanLinkItem",	//71
    "CanUnlinkItem",	//72
    "Cancel",	//73
    "CapabilitiesRole",	//74
    "ChangeRecorder",	//75
    "ChangeRecorder#",	//76
    "ChangeRecorder##",	//77
    "ChildrenOfExactSelection",	//78
    "Close",	//79
    "CollapsingState",	//80
    "Collection",	//81
    "Collection#",	//82
    "Collection$",	//83
    "CollectionChildOrderRole",	//84
    "CollectionComboBox",	//85
    "CollectionComboBox#",	//86
    "CollectionComboBox##",	//87
    "CollectionCopyJob",	//88
    "CollectionCopyJob##",	//89
    "CollectionCopyJob###",	//90
    "CollectionCreateJob",	//91
    "CollectionCreateJob#",	//92
    "CollectionCreateJob##",	//93
    "CollectionDeleteJob",	//94
    "CollectionDeleteJob#",	//95
    "CollectionDeleteJob##",	//96
    "CollectionDerefRole",	//97
    "CollectionDialog",	//98
    "CollectionDialog#",	//99
    "CollectionDialog##",	//100
    "CollectionDialog$",	//101
    "CollectionDialog$#",	//102
    "CollectionDialog$##",	//103
    "CollectionFetchJob",	//104
    "CollectionFetchJob#",	//105
    "CollectionFetchJob#$",	//106
    "CollectionFetchJob#$#",	//107
    "CollectionFetchJob?",	//108
    "CollectionFetchJob?#",	//109
    "CollectionFetchJob?$",	//110
    "CollectionFetchJob?$#",	//111
    "CollectionFetchScope",	//112
    "CollectionFetchScope#",	//113
    "CollectionFilterProxyModel",	//114
    "CollectionFilterProxyModel#",	//115
    "CollectionIdRole",	//116
    "CollectionModel",	//117
    "CollectionModel#",	//118
    "CollectionModel##",	//119
    "CollectionModifyJob",	//120
    "CollectionModifyJob#",	//121
    "CollectionModifyJob##",	//122
    "CollectionMoveJob",	//123
    "CollectionMoveJob##",	//124
    "CollectionMoveJob###",	//125
    "CollectionProperties",	//126
    "CollectionPropertiesDialog",	//127
    "CollectionPropertiesDialog#",	//128
    "CollectionPropertiesDialog##",	//129
    "CollectionPropertiesDialog#?",	//130
    "CollectionPropertiesDialog#?#",	//131
    "CollectionPropertiesPage",	//132
    "CollectionPropertiesPage#",	//133
    "CollectionPropertiesPageFactory",	//134
    "CollectionPropertiesPageFactory#",	//135
    "CollectionQuotaAttribute",	//136
    "CollectionQuotaAttribute#",	//137
    "CollectionQuotaAttribute$$",	//138
    "CollectionRefRole",	//139
    "CollectionRequester",	//140
    "CollectionRequester#",	//141
    "CollectionRequester##",	//142
    "CollectionRole",	//143
    "CollectionStatistics",	//144
    "CollectionStatistics#",	//145
    "CollectionStatisticsDelegate",	//146
    "CollectionStatisticsDelegate#",	//147
    "CollectionStatisticsJob",	//148
    "CollectionStatisticsJob#",	//149
    "CollectionStatisticsJob##",	//150
    "CollectionStatisticsModel",	//151
    "CollectionStatisticsModel#",	//152
    "CollectionSyncProgressRole",	//153
    "CollectionTreeHeaders",	//154
    "CollectionView",	//155
    "CollectionView#",	//156
    "CollectionView##",	//157
    "ColumnCountRole",	//158
    "ConnectionFailed",	//159
    "ContactDefaultActions",	//160
    "ContactDefaultActions#",	//161
    "ContactEditor",	//162
    "ContactEditor$",	//163
    "ContactEditor$#",	//164
    "ContactEditor$##",	//165
    "ContactEditorDialog",	//166
    "ContactEditorDialog$",	//167
    "ContactEditorDialog$#",	//168
    "ContactEditorDialog$##",	//169
    "ContactEditorPagePlugin",	//170
    "ContactGroupEditor",	//171
    "ContactGroupEditor$",	//172
    "ContactGroupEditor$#",	//173
    "ContactGroupEditorDialog",	//174
    "ContactGroupEditorDialog$",	//175
    "ContactGroupEditorDialog$#",	//176
    "ContactGroupExpandJob",	//177
    "ContactGroupExpandJob#",	//178
    "ContactGroupExpandJob##",	//179
    "ContactGroupExpandJob$",	//180
    "ContactGroupExpandJob$#",	//181
    "ContactGroupSearchJob",	//182
    "ContactGroupSearchJob#",	//183
    "ContactGroupViewer",	//184
    "ContactGroupViewer#",	//185
    "ContactGroupViewerDialog",	//186
    "ContactGroupViewerDialog#",	//187
    "ContactSearchJob",	//188
    "ContactSearchJob#",	//189
    "ContactUid",	//190
    "ContactViewer",	//191
    "ContactViewer#",	//192
    "ContactViewerDialog",	//193
    "ContactViewerDialog#",	//194
    "ContainsMatch",	//195
    "ContiguousSelection",	//196
    "Control",	//197
    "CopyCollectionToDialog",	//198
    "CopyCollectionToMenu",	//199
    "CopyCollections",	//200
    "CopyItemToDialog",	//201
    "CopyItemToMenu",	//202
    "CopyItems",	//203
    "CreateCollection",	//204
    "CreateMode",	//205
    "CreateResource",	//206
    "CurrentChanged",	//207
    "CutCollections",	//208
    "CutItems",	//209
    "Date",	//210
    "Default",	//211
    "DelayedPopup",	//212
    "DeleteCollections",	//213
    "DeleteItems",	//214
    "DeleteResources",	//215
    "DescriptionRole",	//216
    "Details",	//217
    "DialogText",	//218
    "DialogTitle",	//219
    "Directories",	//220
    "DoubleClicked",	//221
    "DragDrop",	//222
    "DragOnly",	//223
    "DragSelectingState",	//224
    "DraggingState",	//225
    "DrawChildren",	//226
    "DrawWindowBackground",	//227
    "DropOnly",	//228
    "EditKeyPressed",	//229
    "EditMode",	//230
    "EditingState",	//231
    "Email",	//232
    "EmitResult",	//233
    "EndHeaderGroup",	//234
    "EndRole",	//235
    "EnsureVisible",	//236
    "Entity",	//237
    "Entity#",	//238
    "EntityDisplayAttribute",	//239
    "EntityDisplayAttribute#",	//240
    "EntityHiddenAttribute",	//241
    "EntityHiddenAttribute#",	//242
    "EntityListView",	//243
    "EntityListView#",	//244
    "EntityListView##",	//245
    "EntityMimeTypeFilterModel",	//246
    "EntityMimeTypeFilterModel#",	//247
    "EntityTreeHeaders",	//248
    "EntityTreeModel",	//249
    "EntityTreeModel#",	//250
    "EntityTreeModel##",	//251
    "EntityTreeModel###",	//252
    "EntityTreeView",	//253
    "EntityTreeView#",	//254
    "EntityTreeView##",	//255
    "EntityTreeViewStateSaver",	//256
    "EntityTreeViewStateSaver#",	//257
    "EntityUrlRole",	//258
    "ErrorMessageText",	//259
    "ErrorMessageTitle",	//260
    "ExactMatch",	//261
    "ExactSelection",	//262
    "Exception",	//263
    "Exception#",	//264
    "Exception$",	//265
    "ExpandingState",	//266
    "ExtendedSelection",	//267
    "FavoriteCollectionsModel",	//268
    "FavoriteCollectionsModel##",	//269
    "FavoriteCollectionsModel###",	//270
    "FetchCollectionsRecursive",	//271
    "FetchFirstLevelChildCollections",	//272
    "FetchNoCollections",	//273
    "FetchStateRole",	//274
    "FetchingState",	//275
    "Files",	//276
    "FirstLevel",	//277
    "Fixed",	//278
    "Free",	//279
    "FullPayload",	//280
    "GeneralPage",	//281
    "HIGCompliantCaption",	//282
    "HLine",	//283
    "Help",	//284
    "IconMode",	//285
    "Id",	//286
    "IdRole",	//287
    "IdentifierRole",	//288
    "Idle",	//289
    "IdleState",	//290
    "IgnoreMask",	//291
    "ImmediatePopulation",	//292
    "InsertAfterCurrent",	//293
    "InsertAlphabetically",	//294
    "InsertAtBottom",	//295
    "InsertAtCurrent",	//296
    "InsertAtTop",	//297
    "InsertBeforeCurrent",	//298
    "InstanceIdentifierRole",	//299
    "InstanceRole",	//300
    "InstantPopup",	//301
    "InternalMove",	//302
    "InvisibleCollectionFetch",	//303
    "Item",	//304
    "Item#",	//305
    "Item$",	//306
    "ItemCopyJob",	//307
    "ItemCopyJob##",	//308
    "ItemCopyJob###",	//309
    "ItemCopyJob?#",	//310
    "ItemCopyJob?##",	//311
    "ItemCreateJob",	//312
    "ItemCreateJob##",	//313
    "ItemCreateJob###",	//314
    "ItemDeleteJob",	//315
    "ItemDeleteJob#",	//316
    "ItemDeleteJob##",	//317
    "ItemDeleteJob?",	//318
    "ItemDeleteJob?#",	//319
    "ItemFetchJob",	//320
    "ItemFetchJob#",	//321
    "ItemFetchJob##",	//322
    "ItemFetchJob?",	//323
    "ItemFetchJob?#",	//324
    "ItemFetchScope",	//325
    "ItemFetchScope#",	//326
    "ItemIdRole",	//327
    "ItemListHeaders",	//328
    "ItemModel",	//329
    "ItemModel#",	//330
    "ItemModifyJob",	//331
    "ItemModifyJob#",	//332
    "ItemModifyJob##",	//333
    "ItemModifyJob?",	//334
    "ItemModifyJob?#",	//335
    "ItemMonitor",	//336
    "ItemMoveJob",	//337
    "ItemMoveJob##",	//338
    "ItemMoveJob###",	//339
    "ItemMoveJob?#",	//340
    "ItemMoveJob?##",	//341
    "ItemRole",	//342
    "ItemSearchJob",	//343
    "ItemSearchJob$",	//344
    "ItemSearchJob$#",	//345
    "ItemSerializerPlugin",	//346
    "ItemSerializerPlugin#",	//347
    "ItemSerializerPluginV2",	//348
    "ItemSerializerPluginV2#",	//349
    "ItemSync",	//350
    "ItemSync#",	//351
    "ItemSync##",	//352
    "ItemView",	//353
    "ItemView#",	//354
    "ItemView##",	//355
    "Job",	//356
    "Job#",	//357
    "Job##",	//358
    "Killable",	//359
    "KilledJobError",	//360
    "LastType",	//361
    "LazyPopulation",	//362
    "LeftToRight",	//363
    "LicensedActiveQt",	//364
    "LicensedCore",	//365
    "LicensedDBus",	//366
    "LicensedDeclarative",	//367
    "LicensedGui",	//368
    "LicensedHelp",	//369
    "LicensedMultimedia",	//370
    "LicensedNetwork",	//371
    "LicensedOpenGL",	//372
    "LicensedOpenVG",	//373
    "LicensedQt3Support",	//374
    "LicensedQt3SupportLight",	//375
    "LicensedScript",	//376
    "LicensedScriptTools",	//377
    "LicensedSql",	//378
    "LicensedSvg",	//379
    "LicensedTest",	//380
    "LicensedXml",	//381
    "LicensedXmlPatterns",	//382
    "LinkJob",	//383
    "LinkJob#?",	//384
    "LinkJob#?#",	//385
    "ListMode",	//386
    "LoadedPartsRole",	//387
    "ManageLocalSubscriptions",	//388
    "MessageBoxAlternativeText",	//389
    "MessageBoxText",	//390
    "MessageBoxTitle",	//391
    "MessageFolderAttribute",	//392
    "MessageFolderAttribute#",	//393
    "MessageModel",	//394
    "MessageModel#",	//395
    "MessageThreaderProxyModel",	//396
    "MessageThreaderProxyModel#",	//397
    "MessageThreadingAttribute",	//398
    "MessageThreadingAttribute#",	//399
    "MimeType",	//400
    "MimeTypeChecker",	//401
    "MimeTypeChecker#",	//402
    "MimeTypeRole",	//403
    "MimeTypesRole",	//404
    "ModifiedCaption",	//405
    "Monitor",	//406
    "Monitor#",	//407
    "Monitor##",	//408
    "MoveCollectionToDialog",	//409
    "MoveCollectionToMenu",	//410
    "MoveCollectionsToTrash",	//411
    "MoveDown",	//412
    "MoveEnd",	//413
    "MoveHome",	//414
    "MoveItemToDialog",	//415
    "MoveItemToMenu",	//416
    "MoveItemsToTrash",	//417
    "MoveLeft",	//418
    "MoveNext",	//419
    "MovePageDown",	//420
    "MovePageUp",	//421
    "MovePrevious",	//422
    "MoveRight",	//423
    "MoveToTrashRestoreCollection",	//424
    "MoveToTrashRestoreCollectionAlternative",	//425
    "MoveToTrashRestoreItem",	//426
    "MoveToTrashRestoreItemAlternative",	//427
    "MoveUp",	//428
    "MultiSelection",	//429
    "MultipleTransactions",	//430
    "Name",	//431
    "NameOrEmail",	//432
    "NextCompletionMatch",	//433
    "NickName",	//434
    "No",	//435
    "NoCapabilities",	//436
    "NoCaptionFlags",	//437
    "NoDefault",	//438
    "NoDragDrop",	//439
    "NoEditTriggers",	//440
    "NoError",	//441
    "NoFrame",	//442
    "NoInsert",	//443
    "NoItemPopulation",	//444
    "NoSelection",	//445
    "NoState",	//446
    "NoTransaction",	//447
    "NonOverlappingRoots",	//448
    "None",	//449
    "NotRunning",	//450
    "Observer",	//451
    "Observer#",	//452
    "ObserverV2",	//453
    "ObserverV2#",	//454
    "Ok",	//455
    "OldCollectionIdRole",	//456
    "OldCollectionRole",	//457
    "OnItem",	//458
    "OnViewport",	//459
    "OnlineRole",	//460
    "Panel",	//461
    "Parent",	//462
    "ParentCollectionRole",	//463
    "PartFetcher",	//464
    "PartFetcher##",	//465
    "PartFetcher###",	//466
    "Paste",	//467
    "PayloadBase",	//468
    "PayloadBase#",	//469
    "PayloadException",	//470
    "PayloadException#",	//471
    "PayloadException$",	//472
    "PendingCutRole",	//473
    "Plain",	//474
    "PositionAtBottom",	//475
    "PositionAtCenter",	//476
    "PositionAtTop",	//477
    "Prepend",	//478
    "PreprocessorBase",	//479
    "PreprocessorBase$",	//480
    "PrevCompletionMatch",	//481
    "ProcessingCompleted",	//482
    "ProcessingDelayed",	//483
    "ProcessingFailed",	//484
    "ProcessingRefused",	//485
    "ProgressRole",	//486
    "ProtocolVersionMismatch",	//487
    "QtCriticalMsg",	//488
    "QtDebugMsg",	//489
    "QtFatalMsg",	//490
    "QtSystemMsg",	//491
    "QtWarningMsg",	//492
    "Quietly",	//493
    "Raised",	//494
    "ReadOnly",	//495
    "Receiver",	//496
    "Recursive",	//497
    "RecursiveSizeRole",	//498
    "RecursiveStatisticsRole",	//499
    "RecursiveTotalRole",	//500
    "RecursiveUnreadRole",	//501
    "Rejected",	//502
    "RemoteId",	//503
    "RemoteIdRole",	//504
    "RemoveFromFavoriteCollections",	//505
    "RenameFavoriteCollection",	//506
    "Reset",	//507
    "ResourceBase",	//508
    "ResourceBase$",	//509
    "ResourceProperties",	//510
    "ResourceSynchronizationJob",	//511
    "ResourceSynchronizationJob#",	//512
    "ResourceSynchronizationJob##",	//513
    "RestoreCollectionsFromTrash",	//514
    "RestoreItemsFromTrash",	//515
    "Running",	//516
    "ScrollPerItem",	//517
    "ScrollPerPixel",	//518
    "SearchCreateJob",	//519
    "SearchCreateJob$$",	//520
    "SearchCreateJob$$#",	//521
    "SelectColumns",	//522
    "SelectItems",	//523
    "SelectRows",	//524
    "SelectedClicked",	//525
    "SelectionProxyModel",	//526
    "SelectionProxyModel#",	//527
    "SelectionProxyModel##",	//528
    "Sender",	//529
    "Session",	//530
    "Session#",	//531
    "Session##",	//532
    "Session###",	//533
    "SessionRole",	//534
    "Shadow_Mask",	//535
    "Shape_Mask",	//536
    "SinglePass",	//537
    "SingleSelection",	//538
    "SingleTransaction",	//539
    "Size",	//540
    "SizeRole",	//541
    "Snap",	//542
    "StandardActionManager",	//543
    "StandardActionManager#",	//544
    "StandardActionManager##",	//545
    "Starting",	//546
    "StartsWithMatch",	//547
    "Static",	//548
    "StatisticsProxyModel",	//549
    "StatisticsProxyModel#",	//550
    "StatisticsRole",	//551
    "StatusMessageRole",	//552
    "StatusRole",	//553
    "Stopping",	//554
    "StyledPanel",	//555
    "SubTreeRoots",	//556
    "SubTrees",	//557
    "SubTreesWithoutRoots",	//558
    "Subject",	//559
    "SubstringCompletion",	//560
    "Sunken",	//561
    "Suspendable",	//562
    "SynchronizeCollections",	//563
    "SynchronizeCollectionsRecursive",	//564
    "SynchronizeFavoriteCollections",	//565
    "SynchronizeResources",	//566
    "TerminalUserRole",	//567
    "TextCompletion",	//568
    "ToggleWorkOffline",	//569
    "TopToBottom",	//570
    "TotalRole",	//571
    "TransactionBeginJob",	//572
    "TransactionBeginJob#",	//573
    "TransactionCommitJob",	//574
    "TransactionCommitJob#",	//575
    "TransactionRollbackJob",	//576
    "TransactionRollbackJob#",	//577
    "TransactionSequence",	//578
    "TransactionSequence#",	//579
    "TransportFailed",	//580
    "TransportResourceBase",	//581
    "TransportResourceBase#",	//582
    "TransportSucceeded",	//583
    "Try",	//584
    "TypeIdentifierRole",	//585
    "TypeRole",	//586
    "Unknown",	//587
    "UnlinkJob",	//588
    "UnlinkJob#?",	//589
    "UnlinkJob#?#",	//590
    "UnreadCountRole",	//591
    "UnreadRole",	//592
    "UrlShort",	//593
    "UrlWithMimeType",	//594
    "UrlWithName",	//595
    "User1",	//596
    "User2",	//597
    "User3",	//598
    "UserCanceled",	//599
    "UserDefinedError",	//600
    "UserError",	//601
    "UserHeaders",	//602
    "UserRole",	//603
    "VLine",	//604
    "WinPanel",	//605
    "Yes",	//606
    "_CS_GNU_LIBC_VERSION",	//607
    "_CS_GNU_LIBPTHREAD_VERSION",	//608
    "_CS_LFS64_CFLAGS",	//609
    "_CS_LFS64_LDFLAGS",	//610
    "_CS_LFS64_LIBS",	//611
    "_CS_LFS64_LINTFLAGS",	//612
    "_CS_LFS_CFLAGS",	//613
    "_CS_LFS_LDFLAGS",	//614
    "_CS_LFS_LIBS",	//615
    "_CS_LFS_LINTFLAGS",	//616
    "_CS_PATH",	//617
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//618
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//619
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//620
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//621
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//622
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//623
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//624
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//625
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//626
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//627
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//628
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//629
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//630
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//631
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//632
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//633
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//634
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//635
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//636
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//637
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//638
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//639
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//640
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//641
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//642
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//643
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//644
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//645
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//646
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//647
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//648
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//649
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//650
    "_CS_V6_ENV",	//651
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//652
    "_CS_V7_ENV",	//653
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//654
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//655
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//656
    "_CS_XBS5_ILP32_OFF32_LIBS",	//657
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//658
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//659
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//660
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//661
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//662
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//663
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//664
    "_CS_XBS5_LP64_OFF64_LIBS",	//665
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//666
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//667
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//668
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//669
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//670
    "__codecvt_error",	//671
    "__codecvt_noconv",	//672
    "__codecvt_ok",	//673
    "__codecvt_partial",	//674
    "abortActivity",	//675
    "abortCurrentTask",	//676
    "abortRequested",	//677
    "aboutToQuit",	//678
    "aboutToStart",	//679
    "aboutToStart#",	//680
    "accept",	//681
    "accessRightsFilter",	//682
    "action",	//683
    "action$",	//684
    "actionEvent",	//685
    "actionStateUpdated",	//686
    "activated",	//687
    "activated#",	//688
    "activeIcon",	//689
    "activeIconName",	//690
    "addAttribute",	//691
    "addAttribute#",	//692
    "addCapabilityFilter",	//693
    "addCapabilityFilter$",	//694
    "addCollection",	//695
    "addCollection#",	//696
    "addMimeTypeExclusionFilter",	//697
    "addMimeTypeExclusionFilter$",	//698
    "addMimeTypeExclusionFilters",	//699
    "addMimeTypeExclusionFilters?",	//700
    "addMimeTypeFilter",	//701
    "addMimeTypeFilter$",	//702
    "addMimeTypeFilters",	//703
    "addMimeTypeFilters?",	//704
    "addMimeTypeInclusionFilter",	//705
    "addMimeTypeInclusionFilter$",	//706
    "addMimeTypeInclusionFilters",	//707
    "addMimeTypeInclusionFilters?",	//708
    "addSubjob",	//709
    "addSubjob#",	//710
    "addWantedMimeType",	//711
    "addWantedMimeType$",	//712
    "addressClicked",	//713
    "addressClicked#",	//714
    "advancedStatus",	//715
    "advancedStatus?",	//716
    "agentFilterProxyModel",	//717
    "agentName",	//718
    "agentNameChanged",	//719
    "agentNameChanged$",	//720
    "agentType",	//721
    "akonadiItemIdUri",	//722
    "allAttributes",	//723
    "allMonitored",	//724
    "allMonitored$",	//725
    "ancestorRetrieval",	//726
    "apply",	//727
    "apply#",	//728
    "apply##",	//729
    "attribute",	//730
    "attribute#",	//731
    "attributes",	//732
    "attributesSynchronized",	//733
    "attributesSynchronized$",	//734
    "availableParts",	//735
    "availableParts#",	//736
    "availablePayloadMetaTypeIds",	//737
    "availablePayloadParts",	//738
    "backgroundColor",	//739
    "bcc",	//740
    "buddy",	//741
    "cacheOnly",	//742
    "cachePolicy",	//743
    "cacheTimeout",	//744
    "canFetchMore",	//745
    "canFetchMore#",	//746
    "canHandle",	//747
    "canHandle#",	//748
    "cancelTask",	//749
    "cancelTask$",	//750
    "capabilities",	//751
    "cc",	//752
    "changeCollectionDialogOptions",	//753
    "changeCollectionDialogOptions$",	//754
    "changeCommitted",	//755
    "changeCommitted#",	//756
    "changeEvent",	//757
    "changeProcessed",	//758
    "changeRecorder",	//759
    "changesAdded",	//760
    "childEvent",	//761
    "cleanup",	//762
    "clear",	//763
    "clearAndReset",	//764
    "clearAttributes",	//765
    "clearCache",	//766
    "clearFilters",	//767
    "clearFlag",	//768
    "clearFlag#",	//769
    "clearFlags",	//770
    "clearPayload",	//771
    "clicked",	//772
    "clicked#",	//773
    "clone",	//774
    "closeEditor",	//775
    "closeEvent",	//776
    "collection",	//777
    "collectionAdded",	//778
    "collectionAdded##",	//779
    "collectionAttributesRetrieved",	//780
    "collectionAttributesRetrieved#",	//781
    "collectionChanged",	//782
    "collectionChanged#",	//783
    "collectionChanged#?",	//784
    "collectionFetchScope",	//785
    "collectionFetchStrategy",	//786
    "collectionForId",	//787
    "collectionForId?",	//788
    "collectionIds",	//789
    "collectionMonitored",	//790
    "collectionMonitored#$",	//791
    "collectionMoved",	//792
    "collectionMoved###",	//793
    "collectionRemoved",	//794
    "collectionRemoved#",	//795
    "collectionStatisticsChanged",	//796
    "collectionStatisticsChanged?#",	//797
    "collectionSubscribed",	//798
    "collectionSubscribed##",	//799
    "collectionTreeOnly",	//800
    "collectionTreeSynchronized",	//801
    "collectionUnsubscribed",	//802
    "collectionUnsubscribed#",	//803
    "collections",	//804
    "collectionsMonitored",	//805
    "collectionsReceived",	//806
    "collectionsReceived?",	//807
    "collectionsRetrievalDone",	//808
    "collectionsRetrieved",	//809
    "collectionsRetrieved?",	//810
    "collectionsRetrievedIncremental",	//811
    "collectionsRetrievedIncremental??",	//812
    "columnCount",	//813
    "columnCount#",	//814
    "commit",	//815
    "commitData",	//816
    "componentData",	//817
    "config",	//818
    "configurationDialogAccepted",	//819
    "configurationDialogRejected",	//820
    "configure",	//821
    "configure#",	//822
    "configure$",	//823
    "connectNotify",	//824
    "connectNotify$",	//825
    "connectToView",	//826
    "connectToView#",	//827
    "contact",	//828
    "contactGroup",	//829
    "contactGroupStored",	//830
    "contactGroupStored#",	//831
    "contactGroups",	//832
    "contactStored",	//833
    "contactStored#",	//834
    "contacts",	//835
    "containsWantedMimeType",	//836
    "containsWantedMimeType?",	//837
    "contentMimeTypes",	//838
    "contextMenuEvent",	//839
    "contextMenuEvent#",	//840
    "count",	//841
    "create",	//842
    "createAction",	//843
    "createAction$",	//844
    "createActionFolderMenu",	//845
    "createActionFolderMenu#$",	//846
    "createAllActions",	//847
    "createAttribute",	//848
    "createAttribute#",	//849
    "createEditor",	//850
    "createIndex",	//851
    "createIndex$$$",	//852
    "createWidget",	//853
    "createWidget#",	//854
    "createdCollection",	//855
    "currentAgentInstance",	//856
    "currentAgentType",	//857
    "currentChanged",	//858
    "currentChanged#",	//859
    "currentChanged##",	//860
    "currentCollection",	//861
    "currentItem",	//862
    "currentValue",	//863
    "customEvent",	//864
    "d_func",	//865
    "data",	//866
    "data#",	//867
    "data#$",	//868
    "dataChanged",	//869
    "defaultPageObjectName",	//870
    "defaultPageObjectName$",	//871
    "defaultSession",	//872
    "deferTask",	//873
    "deletedItems",	//874
    "deliveryDone",	//875
    "description",	//876
    "deserialize",	//877
    "deserialize#",	//878
    "deserialize###$",	//879
    "destinationCollection",	//880
    "devType",	//881
    "dialPhoneNumber",	//882
    "dialPhoneNumber#",	//883
    "disableAutomaticConflictHandling",	//884
    "disableRevisionCheck",	//885
    "disconnectNotify",	//886
    "displayName",	//887
    "displayText",	//888
    "doHandleResponse",	//889
    "doHandleResponse##",	//890
    "doItemsLayout",	//891
    "doKill",	//892
    "doResume",	//893
    "doSetOnline",	//894
    "doSetOnline$",	//895
    "doStart",	//896
    "doSuspend",	//897
    "done",	//898
    "done$",	//899
    "doubleClicked",	//900
    "doubleClicked#",	//901
    "dragEnterEvent",	//902
    "dragLeaveEvent",	//903
    "dragLeaveEvent#",	//904
    "dragMoveEvent",	//905
    "dragMoveEvent#",	//906
    "drawBranches",	//907
    "drawRow",	//908
    "dropEvent",	//909
    "dropEvent#",	//910
    "dropMimeData",	//911
    "dropMimeData#$$$#",	//912
    "edit",	//913
    "editor",	//914
    "editorDestroyed",	//915
    "editorEvent",	//916
    "emailClicked",	//917
    "emailClicked$$",	//918
    "emitWriteFinished",	//919
    "enabledChange",	//920
    "enterEvent",	//921
    "entityColumnCount",	//922
    "entityColumnCount$",	//923
    "entityData",	//924
    "entityData#$",	//925
    "entityData#$$",	//926
    "entityHeaderData",	//927
    "entityHeaderData$$$$",	//928
    "entityMatch",	//929
    "entityMatch##$",	//930
    "error",	//931
    "error$",	//932
    "errorString",	//933
    "event",	//934
    "eventFilter",	//935
    "excludeCapabilities",	//936
    "excludeCapabilities$",	//937
    "favoriteLabel",	//938
    "favoriteLabel#",	//939
    "fetchAllAttributes",	//940
    "fetchAllAttributes$",	//941
    "fetchAttribute",	//942
    "fetchAttribute#",	//943
    "fetchAttribute#$",	//944
    "fetchChangedOnly",	//945
    "fetchChangedOnly$",	//946
    "fetchCollection",	//947
    "fetchCollection$",	//948
    "fetchCollectionStatistics",	//949
    "fetchCollectionStatistics$",	//950
    "fetchFullPayload",	//951
    "fetchFullPayload$",	//952
    "fetchModificationTime",	//953
    "fetchMore",	//954
    "fetchMore#",	//955
    "fetchPayloadPart",	//956
    "fetchPayloadPart#",	//957
    "fetchPayloadPart#$",	//958
    "fetchScope",	//959
    "filterAcceptsColumn",	//960
    "filterAcceptsRow",	//961
    "filterAcceptsRow$#",	//962
    "finishProcessing",	//963
    "finishProcessing$",	//964
    "flags",	//965
    "flags#",	//966
    "focusInEvent",	//967
    "focusNextPrevChild",	//968
    "focusOutEvent",	//969
    "fontChange",	//970
    "from",	//971
    "fromUrl",	//972
    "fromUrl#",	//973
    "fullPayload",	//974
    "hasAttribute",	//975
    "hasAttribute#",	//976
    "hasChildren",	//977
    "hasChildren#",	//978
    "hasFlag",	//979
    "hasFlag#",	//980
    "hasPayload",	//981
    "headerData",	//982
    "headerData$$",	//983
    "headerData$$$",	//984
    "heightForWidth",	//985
    "hideEvent",	//986
    "hidePopup",	//987
    "horizontalOffset",	//988
    "horizontalScrollbarAction",	//989
    "horizontalScrollbarValueChanged",	//990
    "icon",	//991
    "iconName",	//992
    "id",	//993
    "identifier",	//994
    "ignorePayload",	//995
    "ignoreSession",	//996
    "ignoreSession#",	//997
    "includeRootCollection",	//998
    "includeStatistics",	//999
    "includeStatistics$",	//1000
    "includeUnsubscribed",	//1001
    "includeUnsubscribed$",	//1002
    "includeUnubscribed",	//1003
    "index",	//1004
    "index$$",	//1005
    "index$$#",	//1006
    "indexAt",	//1007
    "indexForItem",	//1008
    "indexForItem#$",	//1009
    "inheritFromParent",	//1010
    "initStyleOption",	//1011
    "initStyleOption##",	//1012
    "inputMethodEvent",	//1013
    "inputMethodQuery",	//1014
    "insertColumns",	//1015
    "insertRows",	//1016
    "instance",	//1017
    "instance$",	//1018
    "instanceAdded",	//1019
    "instanceAdded#",	//1020
    "instanceError",	//1021
    "instanceError#$",	//1022
    "instanceNameChanged",	//1023
    "instanceNameChanged#",	//1024
    "instanceOnline",	//1025
    "instanceOnline#$",	//1026
    "instanceProgressChanged",	//1027
    "instanceProgressChanged#",	//1028
    "instanceRemoved",	//1029
    "instanceRemoved#",	//1030
    "instanceStatusChanged",	//1031
    "instanceStatusChanged#",	//1032
    "instanceWarning",	//1033
    "instanceWarning#$",	//1034
    "instances",	//1035
    "interceptAction",	//1036
    "interceptAction$",	//1037
    "interceptAction$$",	//1038
    "intervalCheckTime",	//1039
    "invalidateCache",	//1040
    "invalidateCache#",	//1041
    "isAllMonitored",	//1042
    "isDropActionMenuEnabled",	//1043
    "isEmpty",	//1044
    "isExtraColumnsEnabled",	//1045
    "isIndexHidden",	//1046
    "isOnline",	//1047
    "isOutboundFolder",	//1048
    "isRunning",	//1049
    "isToolTipEnabled",	//1050
    "isValid",	//1051
    "isVirtual",	//1052
    "isWantedCollection",	//1053
    "isWantedCollection#",	//1054
    "isWantedCollection#$",	//1055
    "isWantedItem",	//1056
    "isWantedItem#",	//1057
    "isWantedItem#$",	//1058
    "isWantedMimeType",	//1059
    "isWantedMimeType$",	//1060
    "item",	//1061
    "itemAdded",	//1062
    "itemAdded##",	//1063
    "itemChanged",	//1064
    "itemChanged#",	//1065
    "itemChanged#?",	//1066
    "itemData",	//1067
    "itemFetchScope",	//1068
    "itemForIndex",	//1069
    "itemForIndex#",	//1070
    "itemLinked",	//1071
    "itemLinked##",	//1072
    "itemMonitored",	//1073
    "itemMonitored#$",	//1074
    "itemMoved",	//1075
    "itemMoved###",	//1076
    "itemPopulationStrategy",	//1077
    "itemRemoved",	//1078
    "itemRemoved#",	//1079
    "itemRetrieved",	//1080
    "itemRetrieved#",	//1081
    "itemSent",	//1082
    "itemSent#$",	//1083
    "itemSent#$$",	//1084
    "itemUnlinked",	//1085
    "itemUnlinked##",	//1086
    "items",	//1087
    "itemsMonitored",	//1088
    "itemsMonitoredEx",	//1089
    "itemsReceived",	//1090
    "itemsReceived?",	//1091
    "itemsRetrievalDone",	//1092
    "itemsRetrieved",	//1093
    "itemsRetrieved?",	//1094
    "itemsRetrievedIncremental",	//1095
    "itemsRetrievedIncremental??",	//1096
    "keyPressEvent",	//1097
    "keyReleaseEvent",	//1098
    "keyboardSearch",	//1099
    "languageChange",	//1100
    "leaveEvent",	//1101
    "lessThan",	//1102
    "load",	//1103
    "load#",	//1104
    "loadContact",	//1105
    "loadContact#",	//1106
    "loadContactGroup",	//1107
    "loadContactGroup#",	//1108
    "loadedPayloadParts",	//1109
    "localParts",	//1110
    "makeCompletion",	//1111
    "mapFromSource",	//1112
    "mapFromSource#",	//1113
    "mapSelectionFromSource",	//1114
    "mapSelectionToSource",	//1115
    "mapToSource",	//1116
    "mapToSource#",	//1117
    "match",	//1118
    "match#$#",	//1119
    "match#$#$",	//1120
    "match#$#$$",	//1121
    "maximumValue",	//1122
    "metaObject",	//1123
    "metric",	//1124
    "mimeData",	//1125
    "mimeData?",	//1126
    "mimeType",	//1127
    "mimeTypeExclusionFilters",	//1128
    "mimeTypeFilter",	//1129
    "mimeTypeFilters",	//1130
    "mimeTypeInclusionFilters",	//1131
    "mimeTypeMonitored",	//1132
    "mimeTypeMonitored$$",	//1133
    "mimeTypes",	//1134
    "mimeTypesMonitored",	//1135
    "minimumSizeHint",	//1136
    "modelIndexForCollection",	//1137
    "modelIndexForCollection##",	//1138
    "modelIndexesForItem",	//1139
    "modelIndexesForItem##",	//1140
    "modificationTime",	//1141
    "mouseDoubleClickEvent",	//1142
    "mouseMoveEvent",	//1143
    "mousePressEvent",	//1144
    "mouseReleaseEvent",	//1145
    "moveCursor",	//1146
    "moveEvent",	//1147
    "name",	//1148
    "nameChanged",	//1149
    "nameChanged$",	//1150
    "nothingToReplay",	//1151
    "onlineChanged",	//1152
    "onlineChanged$",	//1153
    "operator!=",	//1154
    "operator!=#",	//1155
    "operator<",	//1156
    "operator<#",	//1157
    "operator=",	//1158
    "operator=#",	//1159
    "operator==",	//1160
    "operator==#",	//1161
    "pageTitle",	//1162
    "paint",	//1163
    "paint###",	//1164
    "paintEngine",	//1165
    "paintEvent",	//1166
    "paletteChange",	//1167
    "parent",	//1168
    "parent#",	//1169
    "parentCollection",	//1170
    "parentRemoteId",	//1171
    "partName",	//1172
    "parts",	//1173
    "parts#",	//1174
    "payloadData",	//1175
    "payloadParts",	//1176
    "percent",	//1177
    "percent$",	//1178
    "perfectParents",	//1179
    "phoneNumberClicked",	//1180
    "phoneNumberClicked#",	//1181
    "processItem",	//1182
    "processItem#",	//1183
    "progress",	//1184
    "progressAnimationEnabled",	//1185
    "progressMessage",	//1186
    "qt_metacall",	//1187
    "qt_metacall$$?",	//1188
    "qt_metacast",	//1189
    "qt_metacast$",	//1190
    "rawContact",	//1191
    "reconfigure",	//1192
    "reconnected",	//1193
    "registerObserver",	//1194
    "registerObserver#",	//1195
    "registerPage",	//1196
    "registerPage#",	//1197
    "reject",	//1198
    "reloadConfiguration",	//1199
    "remoteId",	//1200
    "remoteRevision",	//1201
    "removeAttribute",	//1202
    "removeAttribute#",	//1203
    "removeCollection",	//1204
    "removeCollection#",	//1205
    "removeColumns",	//1206
    "removeInstance",	//1207
    "removeInstance#",	//1208
    "removeRows",	//1209
    "removeSubjob",	//1210
    "removeSubjob#",	//1211
    "removeWantedMimeType",	//1212
    "removeWantedMimeType$",	//1213
    "replayNext",	//1214
    "reset",	//1215
    "resizeEvent",	//1216
    "resource",	//1217
    "resourceMonitored",	//1218
    "resourceMonitored#$",	//1219
    "resourcesMonitored",	//1220
    "restart",	//1221
    "restart#",	//1222
    "restoreState",	//1223
    "restoreState#",	//1224
    "retrieveCollectionAttributes",	//1225
    "retrieveCollectionAttributes#",	//1226
    "retrieveCollections",	//1227
    "retrieveItem",	//1228
    "retrieveItem#?",	//1229
    "retrieveItems",	//1230
    "retrieveItems#",	//1231
    "revert",	//1232
    "revision",	//1233
    "rights",	//1234
    "rollback",	//1235
    "root",	//1236
    "rootCollectionDisplayName",	//1237
    "rowCount",	//1238
    "rowCount#",	//1239
    "rowsAboutToBeRemoved",	//1240
    "rowsInserted",	//1241
    "save",	//1242
    "save#",	//1243
    "saveContact",	//1244
    "saveContactGroup",	//1245
    "saveState",	//1246
    "saveState#",	//1247
    "scheduleCustomTask",	//1248
    "scheduleCustomTask#$#",	//1249
    "scheduleCustomTask#$#$",	//1250
    "scrollContentsBy",	//1251
    "scrollTo",	//1252
    "selectAll",	//1253
    "selectedAgentInstances",	//1254
    "selectedCollection",	//1255
    "selectedCollections",	//1256
    "selectedIndexes",	//1257
    "selectedItems",	//1258
    "selectionChanged",	//1259
    "selectionCommand",	//1260
    "selectionMode",	//1261
    "self",	//1262
    "sendEmail",	//1263
    "sendEmail$$",	//1264
    "sendItem",	//1265
    "sendItem#",	//1266
    "sendSms",	//1267
    "sendSms#",	//1268
    "serialize",	//1269
    "serialize###$",	//1270
    "serialized",	//1271
    "session",	//1272
    "sessionId",	//1273
    "setAccessRightsFilter",	//1274
    "setAccessRightsFilter$",	//1275
    "setActionText",	//1276
    "setActionText$#",	//1277
    "setActiveIconName",	//1278
    "setActiveIconName$",	//1279
    "setAgentName",	//1280
    "setAgentName$",	//1281
    "setAllMonitored",	//1282
    "setAllMonitored$",	//1283
    "setAncestorRetrieval",	//1284
    "setAncestorRetrieval$",	//1285
    "setAutoCompletion",	//1286
    "setAutomaticCommittingEnabled",	//1287
    "setAutomaticCommittingEnabled$",	//1288
    "setAutomaticProgressReporting",	//1289
    "setAutomaticProgressReporting$",	//1290
    "setBackgroundColor",	//1291
    "setBackgroundColor#",	//1292
    "setBcc",	//1293
    "setBcc?",	//1294
    "setCacheOnly",	//1295
    "setCacheOnly$",	//1296
    "setCachePolicy",	//1297
    "setCachePolicy#",	//1298
    "setCacheTimeout",	//1299
    "setCacheTimeout$",	//1300
    "setCapabilityFilter",	//1301
    "setCapabilityFilter?",	//1302
    "setCaption",	//1303
    "setCc",	//1304
    "setCc?",	//1305
    "setChangeRecordingEnabled",	//1306
    "setChangeRecordingEnabled$",	//1307
    "setCollection",	//1308
    "setCollection#",	//1309
    "setCollectionFetchScope",	//1310
    "setCollectionFetchScope#",	//1311
    "setCollectionFetchStrategy",	//1312
    "setCollectionFetchStrategy$",	//1313
    "setCollectionMonitored",	//1314
    "setCollectionMonitored#",	//1315
    "setCollectionMonitored#$",	//1316
    "setCollectionPropertiesPageNames",	//1317
    "setCollectionPropertiesPageNames?",	//1318
    "setCollectionSelectionModel",	//1319
    "setCollectionSelectionModel#",	//1320
    "setCollectionStreamingEnabled",	//1321
    "setCollectionStreamingEnabled$",	//1322
    "setCollectionTreeOnly",	//1323
    "setCollectionTreeOnly$",	//1324
    "setCollections",	//1325
    "setCollections?",	//1326
    "setCompletedItems",	//1327
    "setCompletedText",	//1328
    "setCompletionMode",	//1329
    "setCompletionObject",	//1330
    "setConfig",	//1331
    "setConfig#",	//1332
    "setContact",	//1333
    "setContact#",	//1334
    "setContactFormatter",	//1335
    "setContactFormatter#",	//1336
    "setContactGroup",	//1337
    "setContactGroup#",	//1338
    "setContactGroupFormatter",	//1339
    "setContactGroupFormatter#",	//1340
    "setContactGroupTemplate",	//1341
    "setContactGroupTemplate#",	//1342
    "setContactTemplate",	//1343
    "setContactTemplate#",	//1344
    "setContentMimeTypes",	//1345
    "setContentMimeTypes?",	//1346
    "setContextMenuEnabled",	//1347
    "setContextText",	//1348
    "setContextText$$#",	//1349
    "setContextText$$$",	//1350
    "setCount",	//1351
    "setCount$",	//1352
    "setCurrentValue",	//1353
    "setCurrentValue$",	//1354
    "setData",	//1355
    "setData##",	//1356
    "setData##$",	//1357
    "setDefaultAddressBook",	//1358
    "setDefaultAddressBook#",	//1359
    "setDefaultCollection",	//1360
    "setDefaultCollection#",	//1361
    "setDescription",	//1362
    "setDescription$",	//1363
    "setDisplayName",	//1364
    "setDisplayName$",	//1365
    "setDropActionMenuEnabled",	//1366
    "setDropActionMenuEnabled$",	//1367
    "setEditorData",	//1368
    "setExcludeVirtualCollections",	//1369
    "setExcludeVirtualCollections$",	//1370
    "setExtraColumnsEnabled",	//1371
    "setExtraColumnsEnabled$",	//1372
    "setFavoriteCollectionsModel",	//1373
    "setFavoriteCollectionsModel#",	//1374
    "setFavoriteLabel",	//1375
    "setFavoriteLabel#$",	//1376
    "setFavoriteSelectionModel",	//1377
    "setFavoriteSelectionModel#",	//1378
    "setFetchModificationTime",	//1379
    "setFetchModificationTime$",	//1380
    "setFetchScope",	//1381
    "setFetchScope#",	//1382
    "setFlag",	//1383
    "setFlag#",	//1384
    "setFlags",	//1385
    "setFlags?",	//1386
    "setFrom",	//1387
    "setFrom$",	//1388
    "setFullPayload",	//1389
    "setFullPayload$",	//1390
    "setFullSyncItems",	//1391
    "setFullSyncItems?",	//1392
    "setHandleSignals",	//1393
    "setHeaderData",	//1394
    "setHeaderData$$#",	//1395
    "setHeaderData$$#$",	//1396
    "setHeaderGroup",	//1397
    "setHeaderGroup$",	//1398
    "setHierarchicalRemoteIdentifiersEnabled",	//1399
    "setHierarchicalRemoteIdentifiersEnabled$",	//1400
    "setIconName",	//1401
    "setIconName$",	//1402
    "setId",	//1403
    "setId$",	//1404
    "setIgnoreJobFailure",	//1405
    "setIgnoreJobFailure#",	//1406
    "setIgnorePayload",	//1407
    "setIgnorePayload$",	//1408
    "setIncludeRootCollection",	//1409
    "setIncludeRootCollection$",	//1410
    "setIncludeStatistics",	//1411
    "setIncludeStatistics$",	//1412
    "setIncludeUnsubscribed",	//1413
    "setIncludeUnsubscribed$",	//1414
    "setIncrementalSyncItems",	//1415
    "setIncrementalSyncItems??",	//1416
    "setInheritFromParent",	//1417
    "setInheritFromParent$",	//1418
    "setIntervalCheckTime",	//1419
    "setIntervalCheckTime$",	//1420
    "setIsOnline",	//1421
    "setIsOnline$",	//1422
    "setItem",	//1423
    "setItem#",	//1424
    "setItemData",	//1425
    "setItemFetchScope",	//1426
    "setItemFetchScope#",	//1427
    "setItemMonitored",	//1428
    "setItemMonitored#",	//1429
    "setItemMonitored#$",	//1430
    "setItemPopulationStrategy",	//1431
    "setItemPopulationStrategy$",	//1432
    "setItemSelectionModel",	//1433
    "setItemSelectionModel#",	//1434
    "setItemStreamingEnabled",	//1435
    "setItemStreamingEnabled$",	//1436
    "setItemSynchronizationFetchScope",	//1437
    "setItemSynchronizationFetchScope#",	//1438
    "setItemTransactionMode",	//1439
    "setItemTransactionMode$",	//1440
    "setLimit",	//1441
    "setLimit$",	//1442
    "setLineEdit",	//1443
    "setLocalParts",	//1444
    "setLocalParts?",	//1445
    "setMaximumValue",	//1446
    "setMaximumValue$",	//1447
    "setMimeType",	//1448
    "setMimeType$",	//1449
    "setMimeTypeFilter",	//1450
    "setMimeTypeFilter?",	//1451
    "setMimeTypeMonitored",	//1452
    "setMimeTypeMonitored$",	//1453
    "setMimeTypeMonitored$$",	//1454
    "setModel",	//1455
    "setModel#",	//1456
    "setModelData",	//1457
    "setModificationTime",	//1458
    "setModificationTime#",	//1459
    "setName",	//1460
    "setName$",	//1461
    "setNeedsNetwork",	//1462
    "setNeedsNetwork$",	//1463
    "setOnline",	//1464
    "setOnline$",	//1465
    "setOutboundFolder",	//1466
    "setOutboundFolder$",	//1467
    "setPageTitle",	//1468
    "setPageTitle$",	//1469
    "setParent",	//1470
    "setParent#",	//1471
    "setParent$",	//1472
    "setParentCollection",	//1473
    "setParentCollection#",	//1474
    "setParentRemoteId",	//1475
    "setParentRemoteId$",	//1476
    "setPayloadFromData",	//1477
    "setPayloadFromData#",	//1478
    "setPerfectParents",	//1479
    "setPerfectParents?",	//1480
    "setPlainCaption",	//1481
    "setProgressAnimationEnabled",	//1482
    "setProgressAnimationEnabled$",	//1483
    "setQuery",	//1484
    "setQuery$",	//1485
    "setQuery$$",	//1486
    "setQuery$$$",	//1487
    "setQueryLanguage",	//1488
    "setQueryLanguage$",	//1489
    "setRawContact",	//1490
    "setRawContact#",	//1491
    "setReadOnly",	//1492
    "setReadOnly$",	//1493
    "setRemoteId",	//1494
    "setRemoteId$",	//1495
    "setRemoteRevision",	//1496
    "setRemoteRevision$",	//1497
    "setResource",	//1498
    "setResource$",	//1499
    "setResourceMonitored",	//1500
    "setResourceMonitored#",	//1501
    "setResourceMonitored#$",	//1502
    "setRevision",	//1503
    "setRevision$",	//1504
    "setRights",	//1505
    "setRights$",	//1506
    "setRootCollectionDisplayName",	//1507
    "setRootCollectionDisplayName$",	//1508
    "setRootIndex",	//1509
    "setSelection",	//1510
    "setSelectionMode",	//1511
    "setSelectionMode$",	//1512
    "setSelectionModel",	//1513
    "setSession",	//1514
    "setSession#",	//1515
    "setShowSystemEntities",	//1516
    "setShowSystemEntities$",	//1517
    "setSize",	//1518
    "setSize$",	//1519
    "setSourceModel",	//1520
    "setSourceModel#",	//1521
    "setStatistics",	//1522
    "setStatistics#",	//1523
    "setStreamingEnabled",	//1524
    "setStreamingEnabled$",	//1525
    "setSubjectParents",	//1526
    "setSubjectParents?",	//1527
    "setSyncOnDemand",	//1528
    "setSyncOnDemand$",	//1529
    "setTo",	//1530
    "setTo?",	//1531
    "setToolTipEnabled",	//1532
    "setToolTipEnabled$",	//1533
    "setTotalItems",	//1534
    "setTotalItems$",	//1535
    "setTransactionMode",	//1536
    "setTransactionMode$",	//1537
    "setUnperfectParents",	//1538
    "setUnperfectParents?",	//1539
    "setUnreadCount",	//1540
    "setUnreadCount$",	//1541
    "setUnreadCountShown",	//1542
    "setUnreadCountShown$",	//1543
    "setVisible",	//1544
    "setWantedMimeTypes",	//1545
    "setWantedMimeTypes?",	//1546
    "setXmlGuiClient",	//1547
    "setXmlGuiClient#",	//1548
    "setXmlGuiWindow",	//1549
    "setXmlGuiWindow#",	//1550
    "showAddress",	//1551
    "showAddress#",	//1552
    "showEvent",	//1553
    "showPopup",	//1554
    "showSelfTestDialog",	//1555
    "showSelfTestDialog#",	//1556
    "showUrl",	//1557
    "showUrl#",	//1558
    "size",	//1559
    "sizeHint",	//1560
    "sizeHintForColumn",	//1561
    "sizeHintForRow",	//1562
    "slotButtonClicked",	//1563
    "slotButtonClicked$",	//1564
    "slotInfoMessage",	//1565
    "slotResult",	//1566
    "slotResult#",	//1567
    "smsClicked",	//1568
    "smsClicked#",	//1569
    "sort",	//1570
    "span",	//1571
    "start",	//1572
    "start#",	//1573
    "startDrag",	//1574
    "startDrag$",	//1575
    "started",	//1576
    "state",	//1577
    "stateChanged",	//1578
    "stateChanged$",	//1579
    "staticMetaObject",	//1580
    "statistics",	//1581
    "status",	//1582
    "status$",	//1583
    "status$$",	//1584
    "statusMessage",	//1585
    "stop",	//1586
    "stop#",	//1587
    "stopped",	//1588
    "storageCollectionId",	//1589
    "storeContact",	//1590
    "storeContact#",	//1591
    "styleChange",	//1592
    "subjectParents",	//1593
    "submit",	//1594
    "supportedDropActions",	//1595
    "syncOnDemand",	//1596
    "synchronize",	//1597
    "synchronizeCollection",	//1598
    "synchronizeCollection#",	//1599
    "synchronizeCollection#$",	//1600
    "synchronizeCollection$",	//1601
    "synchronizeCollection$$",	//1602
    "synchronizeCollectionAttributes",	//1603
    "synchronizeCollectionAttributes$",	//1604
    "synchronizeCollectionTree",	//1605
    "synchronized",	//1606
    "systemEntitiesShown",	//1607
    "tabletEvent",	//1608
    "taskDone",	//1609
    "timerEvent",	//1610
    "timerEvent#",	//1611
    "title",	//1612
    "to",	//1613
    "tr",	//1614
    "tr$",	//1615
    "tr$$",	//1616
    "tr$$$",	//1617
    "trUtf8",	//1618
    "trUtf8$",	//1619
    "trUtf8$$",	//1620
    "trUtf8$$$",	//1621
    "type",	//1622
    "type$",	//1623
    "typeAdded",	//1624
    "typeAdded#",	//1625
    "typeName",	//1626
    "typeRemoved",	//1627
    "typeRemoved#",	//1628
    "types",	//1629
    "unperfectParents",	//1630
    "unreadCount",	//1631
    "unreadCountShown",	//1632
    "updateEditorData",	//1633
    "updateEditorGeometries",	//1634
    "updateEditorGeometry",	//1635
    "updateGeometries",	//1636
    "updateItem",	//1637
    "updateItem##",	//1638
    "url",	//1639
    "url$",	//1640
    "urlClicked",	//1641
    "urlClicked#",	//1642
    "useDefaultPage",	//1643
    "useDefaultPage$",	//1644
    "verticalOffset",	//1645
    "verticalScrollbarAction",	//1646
    "verticalScrollbarValueChanged",	//1647
    "view",	//1648
    "viewOptions",	//1649
    "viewer",	//1650
    "viewportEvent",	//1651
    "virtual_hook",	//1652
    "visualRect",	//1653
    "visualRegionForSelection",	//1654
    "wantedMimeTypes",	//1655
    "warning",	//1656
    "warning$",	//1657
    "what",	//1658
    "wheelEvent",	//1659
    "widgetNeedsAkonadi",	//1660
    "widgetNeedsAkonadi#",	//1661
    "winIdForDialogs",	//1662
    "windowActivationChange",	//1663
    "writeFinished",	//1664
    "writeFinished#",	//1665
    "x11Event",	//1666
    "~AddressAttribute",	//1667
    "~AgentBase",	//1668
    "~AgentFilterProxyModel",	//1669
    "~AgentInstance",	//1670
    "~AgentInstanceCreateJob",	//1671
    "~AgentInstanceModel",	//1672
    "~AgentInstanceWidget",	//1673
    "~AgentManager",	//1674
    "~AgentType",	//1675
    "~AgentTypeDialog",	//1676
    "~AgentTypeModel",	//1677
    "~AgentTypeWidget",	//1678
    "~Attribute",	//1679
    "~AttributeFactory",	//1680
    "~CachePolicy",	//1681
    "~ChangeRecorder",	//1682
    "~Collection",	//1683
    "~CollectionComboBox",	//1684
    "~CollectionCopyJob",	//1685
    "~CollectionCreateJob",	//1686
    "~CollectionDeleteJob",	//1687
    "~CollectionDialog",	//1688
    "~CollectionFetchJob",	//1689
    "~CollectionFetchScope",	//1690
    "~CollectionFilterProxyModel",	//1691
    "~CollectionModel",	//1692
    "~CollectionModifyJob",	//1693
    "~CollectionMoveJob",	//1694
    "~CollectionPropertiesDialog",	//1695
    "~CollectionPropertiesPage",	//1696
    "~CollectionPropertiesPageFactory",	//1697
    "~CollectionQuotaAttribute",	//1698
    "~CollectionRequester",	//1699
    "~CollectionStatistics",	//1700
    "~CollectionStatisticsDelegate",	//1701
    "~CollectionStatisticsJob",	//1702
    "~CollectionStatisticsModel",	//1703
    "~CollectionView",	//1704
    "~ContactDefaultActions",	//1705
    "~ContactEditor",	//1706
    "~ContactEditorDialog",	//1707
    "~ContactEditorPagePlugin",	//1708
    "~ContactGroupEditor",	//1709
    "~ContactGroupEditorDialog",	//1710
    "~ContactGroupExpandJob",	//1711
    "~ContactGroupSearchJob",	//1712
    "~ContactGroupViewer",	//1713
    "~ContactGroupViewerDialog",	//1714
    "~ContactSearchJob",	//1715
    "~ContactViewer",	//1716
    "~ContactViewerDialog",	//1717
    "~Control",	//1718
    "~Entity",	//1719
    "~EntityDisplayAttribute",	//1720
    "~EntityHiddenAttribute",	//1721
    "~EntityListView",	//1722
    "~EntityMimeTypeFilterModel",	//1723
    "~EntityTreeModel",	//1724
    "~EntityTreeView",	//1725
    "~EntityTreeViewStateSaver",	//1726
    "~Exception",	//1727
    "~FavoriteCollectionsModel",	//1728
    "~Item",	//1729
    "~ItemCopyJob",	//1730
    "~ItemCreateJob",	//1731
    "~ItemDeleteJob",	//1732
    "~ItemFetchJob",	//1733
    "~ItemFetchScope",	//1734
    "~ItemModel",	//1735
    "~ItemModifyJob",	//1736
    "~ItemMonitor",	//1737
    "~ItemMoveJob",	//1738
    "~ItemSearchJob",	//1739
    "~ItemSerializerPlugin",	//1740
    "~ItemSerializerPluginV2",	//1741
    "~ItemSync",	//1742
    "~ItemView",	//1743
    "~Job",	//1744
    "~LinkJob",	//1745
    "~MessageFolderAttribute",	//1746
    "~MessageModel",	//1747
    "~MessageThreaderProxyModel",	//1748
    "~MessageThreadingAttribute",	//1749
    "~MimeTypeChecker",	//1750
    "~Monitor",	//1751
    "~Observer",	//1752
    "~ObserverV2",	//1753
    "~PartFetcher",	//1754
    "~PayloadBase",	//1755
    "~PayloadException",	//1756
    "~PreprocessorBase",	//1757
    "~ResourceBase",	//1758
    "~ResourceSynchronizationJob",	//1759
    "~SearchCreateJob",	//1760
    "~SelectionProxyModel",	//1761
    "~ServerManager",	//1762
    "~Session",	//1763
    "~StandardActionManager",	//1764
    "~StatisticsProxyModel",	//1765
    "~TransactionBeginJob",	//1766
    "~TransactionCommitJob",	//1767
    "~TransactionRollbackJob",	//1768
    "~TransactionSequence",	//1769
    "~TransportResourceBase",	//1770
    "~UnlinkJob",	//1771
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 5, 1, 4, Smoke::mf_ctor, 4, 1},	//1 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&, const QStringList&)
    {4, 774, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 4, 2},	//2 Akonadi::AddressAttribute::clone() const
    {4, 1622, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 3},	//3 Akonadi::AddressAttribute::type() const
    {4, 1271, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 4},	//4 Akonadi::AddressAttribute::serialized() const
    {4, 877, 6, 1, Smoke::mf_virtual, 0, 5},	//5 Akonadi::AddressAttribute::deserialize(const QByteArray&)
    {4, 971, 0, 0, Smoke::mf_const, 277, 6},	//6 Akonadi::AddressAttribute::from() const
    {4, 1387, 8, 1, 0, 0, 7},	//7 Akonadi::AddressAttribute::setFrom(const QString&)
    {4, 1613, 0, 0, Smoke::mf_const, 278, 8},	//8 Akonadi::AddressAttribute::to() const
    {4, 1530, 10, 1, 0, 0, 9},	//9 Akonadi::AddressAttribute::setTo(const QStringList&)
    {4, 752, 0, 0, Smoke::mf_const, 278, 10},	//10 Akonadi::AddressAttribute::cc() const
    {4, 1304, 10, 1, 0, 0, 11},	//11 Akonadi::AddressAttribute::setCc(const QStringList&)
    {4, 740, 0, 0, Smoke::mf_const, 278, 12},	//12 Akonadi::AddressAttribute::bcc() const
    {4, 1293, 10, 1, 0, 0, 13},	//13 Akonadi::AddressAttribute::setBcc(const QStringList&)
    {4, 5, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 14},	//14 Akonadi::AddressAttribute::AddressAttribute(const Akonadi::AddressAttribute&)
    {4, 5, 0, 0, Smoke::mf_ctor, 4, 15},	//15 Akonadi::AddressAttribute::AddressAttribute()
    {4, 5, 8, 1, Smoke::mf_ctor, 4, 16},	//16 Akonadi::AddressAttribute::AddressAttribute(const QString&)
    {4, 5, 14, 2, Smoke::mf_ctor, 4, 17},	//17 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&)
    {4, 5, 17, 3, Smoke::mf_ctor, 4, 18},	//18 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&)
    {4, 1667, 0, 0, Smoke::mf_dtor, 0, 19 },	//19 Akonadi::AddressAttribute::~AddressAttribute()
    {5, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//20 Akonadi::AgentBase::metaObject() const
    {5, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//21 Akonadi::AgentBase::qt_metacast(const char*)
    {5, 1614, 23, 2, Smoke::mf_static, 277, 3},	//22 Akonadi::AgentBase::tr(const char*, const char*)
    {5, 1618, 23, 2, Smoke::mf_static, 277, 4},	//23 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {5, 1614, 26, 3, Smoke::mf_static, 277, 5},	//24 Akonadi::AgentBase::tr(const char*, const char*, int)
    {5, 1618, 26, 3, Smoke::mf_static, 277, 6},	//25 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {5, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//26 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {5, 1582, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 476, 8},	//27 Akonadi::AgentBase::status() const
    {5, 1585, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 9},	//28 Akonadi::AgentBase::statusMessage() const
    {5, 1184, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 476, 10},	//29 Akonadi::AgentBase::progress() const
    {5, 1186, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 11},	//30 Akonadi::AgentBase::progressMessage() const
    {5, 821, 34, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//31 Akonadi::AgentBase::configure(WId)
    {5, 1662, 0, 0, Smoke::mf_const, 484, 13},	//32 Akonadi::AgentBase::winIdForDialogs() const
    {5, 994, 0, 0, Smoke::mf_const, 277, 14},	//33 Akonadi::AgentBase::identifier() const
    {5, 762, 0, 0, Smoke::mf_virtual, 0, 15},	//34 Akonadi::AgentBase::cleanup()
    {5, 1194, 36, 1, 0, 0, 16},	//35 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {5, 1280, 8, 1, 0, 0, 17},	//36 Akonadi::AgentBase::setAgentName(const QString&)
    {5, 718, 0, 0, Smoke::mf_const, 277, 18},	//37 Akonadi::AgentBase::agentName() const
    {5, 817, 0, 0, Smoke::mf_static, 194, 19},	//38 Akonadi::AgentBase::componentData()
    {5, 719, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//39 Akonadi::AgentBase::agentNameChanged(const QString&)
    {5, 1582, 38, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//40 Akonadi::AgentBase::status(int, const QString&)
    {5, 1177, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//41 Akonadi::AgentBase::percent(int)
    {5, 1656, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//42 Akonadi::AgentBase::warning(const QString&)
    {5, 931, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//43 Akonadi::AgentBase::error(const QString&)
    {5, 715, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//44 Akonadi::AgentBase::advancedStatus(const QVariantMap&)
    {5, 677, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//45 Akonadi::AgentBase::abortRequested()
    {5, 1199, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//46 Akonadi::AgentBase::reloadConfiguration()
    {5, 1152, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//47 Akonadi::AgentBase::onlineChanged(bool)
    {5, 819, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//48 Akonadi::AgentBase::configurationDialogAccepted()
    {5, 820, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//49 Akonadi::AgentBase::configurationDialogRejected()
    {5, 17, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 31},	//50 Akonadi::AgentBase::AgentBase(const QString&)
    {5, 678, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//51 Akonadi::AgentBase::aboutToQuit()
    {5, 759, 0, 0, Smoke::mf_const|Smoke::mf_protected, 32, 33},	//52 Akonadi::AgentBase::changeRecorder() const
    {5, 818, 0, 0, Smoke::mf_protected, 201, 34},	//53 Akonadi::AgentBase::config()
    {5, 758, 0, 0, Smoke::mf_protected, 0, 35},	//54 Akonadi::AgentBase::changeProcessed()
    {5, 1047, 0, 0, Smoke::mf_const|Smoke::mf_protected, 388, 36},	//55 Akonadi::AgentBase::isOnline() const
    {5, 1462, 45, 1, Smoke::mf_protected, 0, 37},	//56 Akonadi::AgentBase::setNeedsNetwork(bool)
    {5, 1464, 45, 1, Smoke::mf_protected, 0, 38},	//57 Akonadi::AgentBase::setOnline(bool)
    {5, 17, 47, 2, Smoke::mf_ctor|Smoke::mf_protected, 5, 39},	//58 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {5, 894, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//59 Akonadi::AgentBase::doSetOnline(bool)
    {5, 1614, 21, 1, Smoke::mf_static, 277, 41},	//60 Akonadi::AgentBase::tr(const char*)
    {5, 1618, 21, 1, Smoke::mf_static, 277, 42},	//61 Akonadi::AgentBase::trUtf8(const char*)
    {5, 1582, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//62 Akonadi::AgentBase::status(int)
    {5, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 44},	//63 Akonadi::AgentBase::staticMetaObject() const
    {5, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 45},	//64 Akonadi::AgentBase::Idle (enum)
    {5, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 46},	//65 Akonadi::AgentBase::Running (enum)
    {5, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 47},	//66 Akonadi::AgentBase::Broken (enum)
    {5, 1668, 0, 0, Smoke::mf_dtor, 0, 48 },	//67 Akonadi::AgentBase::~AgentBase()
    {6, 451, 0, 0, Smoke::mf_ctor, 6, 1},	//68 Akonadi::AgentBase::Observer::Observer()
    {6, 1062, 50, 2, Smoke::mf_virtual, 0, 2},	//69 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {6, 1064, 53, 2, Smoke::mf_virtual, 0, 3},	//70 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {6, 1078, 56, 1, Smoke::mf_virtual, 0, 4},	//71 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {6, 778, 58, 2, Smoke::mf_virtual, 0, 5},	//72 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {6, 782, 61, 1, Smoke::mf_virtual, 0, 6},	//73 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {6, 794, 61, 1, Smoke::mf_virtual, 0, 7},	//74 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {6, 451, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 6, 8},	//75 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {6, 1752, 0, 0, Smoke::mf_dtor, 0, 9 },	//76 Akonadi::AgentBase::Observer::~Observer()
    {7, 782, 61, 1, Smoke::mf_virtual, 0, 1},	//77 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {7, 1075, 65, 3, Smoke::mf_virtual, 0, 2},	//78 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 1071, 50, 2, Smoke::mf_virtual, 0, 3},	//79 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 1085, 50, 2, Smoke::mf_virtual, 0, 4},	//80 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 792, 69, 3, Smoke::mf_virtual, 0, 5},	//81 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 782, 73, 2, Smoke::mf_virtual, 0, 6},	//82 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {7, 453, 0, 0, Smoke::mf_ctor, 7, 7},	//83 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {7, 453, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 8},	//84 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {7, 1753, 0, 0, Smoke::mf_dtor, 0, 9 },	//85 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {9, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//86 Akonadi::AgentFilterProxyModel::metaObject() const
    {9, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//87 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {9, 1614, 23, 2, Smoke::mf_static, 277, 3},	//88 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {9, 1618, 23, 2, Smoke::mf_static, 277, 4},	//89 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {9, 1614, 26, 3, Smoke::mf_static, 277, 5},	//90 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {9, 1618, 26, 3, Smoke::mf_static, 277, 6},	//91 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {9, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//92 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {9, 20, 78, 1, Smoke::mf_ctor, 10, 8},	//93 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {9, 701, 8, 1, 0, 0, 9},	//94 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {9, 693, 8, 1, 0, 0, 10},	//95 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {9, 767, 0, 0, 0, 0, 11},	//96 Akonadi::AgentFilterProxyModel::clearFilters()
    {9, 936, 8, 1, 0, 0, 12},	//97 Akonadi::AgentFilterProxyModel::excludeCapabilities(const QString&)
    {9, 961, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 13},	//98 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {9, 1614, 21, 1, Smoke::mf_static, 277, 14},	//99 Akonadi::AgentFilterProxyModel::tr(const char*)
    {9, 1618, 21, 1, Smoke::mf_static, 277, 15},	//100 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {9, 20, 0, 0, Smoke::mf_ctor, 10, 16},	//101 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {9, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//102 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {9, 1669, 0, 0, Smoke::mf_dtor, 0, 18 },	//103 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {10, 22, 0, 0, Smoke::mf_ctor, 13, 1},	//104 Akonadi::AgentInstance::AgentInstance()
    {10, 22, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//105 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {10, 1051, 0, 0, Smoke::mf_const, 388, 3},	//106 Akonadi::AgentInstance::isValid() const
    {10, 1622, 0, 0, Smoke::mf_const, 20, 4},	//107 Akonadi::AgentInstance::type() const
    {10, 994, 0, 0, Smoke::mf_const, 277, 5},	//108 Akonadi::AgentInstance::identifier() const
    {10, 1148, 0, 0, Smoke::mf_const, 277, 6},	//109 Akonadi::AgentInstance::name() const
    {10, 1460, 8, 1, 0, 0, 7},	//110 Akonadi::AgentInstance::setName(const QString&)
    {10, 1582, 0, 0, Smoke::mf_const, 14, 8},	//111 Akonadi::AgentInstance::status() const
    {10, 1585, 0, 0, Smoke::mf_const, 277, 9},	//112 Akonadi::AgentInstance::statusMessage() const
    {10, 1184, 0, 0, Smoke::mf_const, 476, 10},	//113 Akonadi::AgentInstance::progress() const
    {10, 1047, 0, 0, Smoke::mf_const, 388, 11},	//114 Akonadi::AgentInstance::isOnline() const
    {10, 1421, 45, 1, 0, 0, 12},	//115 Akonadi::AgentInstance::setIsOnline(bool)
    {10, 821, 85, 1, 0, 0, 13},	//116 Akonadi::AgentInstance::configure(QWidget*)
    {10, 1597, 0, 0, 0, 0, 14},	//117 Akonadi::AgentInstance::synchronize()
    {10, 1605, 0, 0, 0, 0, 15},	//118 Akonadi::AgentInstance::synchronizeCollectionTree()
    {10, 1158, 83, 1, 0, 12, 16},	//119 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {10, 1160, 83, 1, Smoke::mf_const, 388, 17},	//120 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {10, 676, 0, 0, Smoke::mf_const, 0, 18},	//121 Akonadi::AgentInstance::abortCurrentTask() const
    {10, 1192, 0, 0, Smoke::mf_const, 0, 19},	//122 Akonadi::AgentInstance::reconfigure() const
    {10, 1221, 0, 0, Smoke::mf_const, 0, 20},	//123 Akonadi::AgentInstance::restart() const
    {10, 821, 0, 0, 0, 0, 21},	//124 Akonadi::AgentInstance::configure()
    {10, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 22},	//125 Akonadi::AgentInstance::Idle (enum)
    {10, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 23},	//126 Akonadi::AgentInstance::Running (enum)
    {10, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 24},	//127 Akonadi::AgentInstance::Broken (enum)
    {10, 1670, 0, 0, Smoke::mf_dtor, 0, 25 },	//128 Akonadi::AgentInstance::~AgentInstance()
    {11, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//129 Akonadi::AgentInstanceCreateJob::metaObject() const
    {11, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//130 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {11, 1614, 23, 2, Smoke::mf_static, 277, 3},	//131 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {11, 1618, 23, 2, Smoke::mf_static, 277, 4},	//132 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {11, 1614, 26, 3, Smoke::mf_static, 277, 5},	//133 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {11, 1618, 26, 3, Smoke::mf_static, 277, 6},	//134 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {11, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//135 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {11, 24, 87, 2, Smoke::mf_ctor, 15, 8},	//136 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {11, 24, 90, 2, Smoke::mf_ctor, 15, 9},	//137 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {11, 821, 85, 1, 0, 0, 10},	//138 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {11, 1017, 0, 0, Smoke::mf_const, 11, 11},	//139 Akonadi::AgentInstanceCreateJob::instance() const
    {11, 1572, 0, 0, Smoke::mf_virtual, 0, 12},	//140 Akonadi::AgentInstanceCreateJob::start()
    {11, 1614, 21, 1, Smoke::mf_static, 277, 13},	//141 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {11, 1618, 21, 1, Smoke::mf_static, 277, 14},	//142 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {11, 24, 93, 1, Smoke::mf_ctor, 15, 15},	//143 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {11, 24, 8, 1, Smoke::mf_ctor, 15, 16},	//144 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {11, 821, 0, 0, 0, 0, 17},	//145 Akonadi::AgentInstanceCreateJob::configure()
    {11, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//146 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {11, 1671, 0, 0, Smoke::mf_dtor, 0, 19 },	//147 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {12, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//148 Akonadi::AgentInstanceModel::metaObject() const
    {12, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//149 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {12, 1614, 23, 2, Smoke::mf_static, 277, 3},	//150 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {12, 1618, 23, 2, Smoke::mf_static, 277, 4},	//151 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {12, 1614, 26, 3, Smoke::mf_static, 277, 5},	//152 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {12, 1618, 26, 3, Smoke::mf_static, 277, 6},	//153 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {12, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//154 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {12, 29, 78, 1, Smoke::mf_ctor, 16, 8},	//155 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {12, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 9},	//156 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {12, 1238, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 10},	//157 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {12, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//158 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {12, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//159 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {12, 1004, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//160 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {12, 1168, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 14},	//161 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {12, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 15},	//162 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {12, 1355, 108, 3, Smoke::mf_virtual, 388, 16},	//163 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {12, 1614, 21, 1, Smoke::mf_static, 277, 17},	//164 Akonadi::AgentInstanceModel::tr(const char*)
    {12, 1618, 21, 1, Smoke::mf_static, 277, 18},	//165 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {12, 29, 0, 0, Smoke::mf_ctor, 16, 19},	//166 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {12, 813, 0, 0, Smoke::mf_const, 476, 20},	//167 Akonadi::AgentInstanceModel::columnCount() const
    {12, 1238, 0, 0, Smoke::mf_const, 476, 21},	//168 Akonadi::AgentInstanceModel::rowCount() const
    {12, 866, 95, 1, Smoke::mf_const, 287, 22},	//169 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {12, 982, 112, 2, Smoke::mf_const, 287, 23},	//170 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {12, 1004, 115, 2, Smoke::mf_const, 261, 24},	//171 Akonadi::AgentInstanceModel::index(int, int) const
    {12, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 25},	//172 Akonadi::AgentInstanceModel::staticMetaObject() const
    {12, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//173 Akonadi::AgentInstanceModel::TypeRole (enum)
    {12, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//174 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {12, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 28},	//175 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {12, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 29},	//176 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {12, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//177 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {12, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 31},	//178 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {12, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 32},	//179 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {12, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 33},	//180 Akonadi::AgentInstanceModel::StatusRole (enum)
    {12, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 34},	//181 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {12, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 35},	//182 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {12, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 36},	//183 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {12, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 37},	//184 Akonadi::AgentInstanceModel::UserRole (enum)
    {12, 1672, 0, 0, Smoke::mf_dtor, 0, 38 },	//185 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {13, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//186 Akonadi::AgentInstanceWidget::metaObject() const
    {13, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//187 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {13, 1614, 23, 2, Smoke::mf_static, 277, 3},	//188 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {13, 1618, 23, 2, Smoke::mf_static, 277, 4},	//189 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {13, 1614, 26, 3, Smoke::mf_static, 277, 5},	//190 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {13, 1618, 26, 3, Smoke::mf_static, 277, 6},	//191 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {13, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//192 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {13, 31, 85, 1, Smoke::mf_ctor, 18, 8},	//193 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {13, 856, 0, 0, Smoke::mf_const, 11, 9},	//194 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {13, 1254, 0, 0, Smoke::mf_const, 247, 10},	//195 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {13, 717, 0, 0, Smoke::mf_const, 10, 11},	//196 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {13, 1648, 0, 0, Smoke::mf_const, 208, 12},	//197 Akonadi::AgentInstanceWidget::view() const
    {13, 858, 118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//198 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {13, 900, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//199 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {13, 1614, 21, 1, Smoke::mf_static, 277, 15},	//200 Akonadi::AgentInstanceWidget::tr(const char*)
    {13, 1618, 21, 1, Smoke::mf_static, 277, 16},	//201 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {13, 31, 0, 0, Smoke::mf_ctor, 18, 17},	//202 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {13, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//203 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {13, 1673, 0, 0, Smoke::mf_dtor, 0, 19 },	//204 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {14, 1123, 0, 0, Smoke::mf_const, 454, 1},	//205 Akonadi::AgentManager::metaObject() const
    {14, 1189, 21, 1, 0, 485, 2},	//206 Akonadi::AgentManager::qt_metacast(const char*)
    {14, 1614, 23, 2, Smoke::mf_static, 277, 3},	//207 Akonadi::AgentManager::tr(const char*, const char*)
    {14, 1618, 23, 2, Smoke::mf_static, 277, 4},	//208 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {14, 1614, 26, 3, Smoke::mf_static, 277, 5},	//209 Akonadi::AgentManager::tr(const char*, const char*, int)
    {14, 1618, 26, 3, Smoke::mf_static, 277, 6},	//210 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {14, 1187, 30, 3, 0, 476, 7},	//211 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {14, 1262, 0, 0, Smoke::mf_static, 19, 8},	//212 Akonadi::AgentManager::self()
    {14, 1629, 0, 0, Smoke::mf_const, 248, 9},	//213 Akonadi::AgentManager::types() const
    {14, 1622, 8, 1, Smoke::mf_const, 20, 10},	//214 Akonadi::AgentManager::type(const QString&) const
    {14, 1035, 0, 0, Smoke::mf_const, 247, 11},	//215 Akonadi::AgentManager::instances() const
    {14, 1017, 8, 1, Smoke::mf_const, 11, 12},	//216 Akonadi::AgentManager::instance(const QString&) const
    {14, 1207, 83, 1, 0, 0, 13},	//217 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {14, 1598, 61, 1, 0, 0, 14},	//218 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {14, 1598, 121, 2, 0, 0, 15},	//219 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&, bool)
    {14, 1624, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//220 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {14, 1627, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//221 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {14, 1019, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//222 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {14, 1029, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//223 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {14, 1031, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//224 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {14, 1027, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//225 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {14, 1023, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//226 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {14, 1021, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//227 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {14, 1033, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//228 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {14, 1025, 127, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//229 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {14, 1614, 21, 1, Smoke::mf_static, 277, 26},	//230 Akonadi::AgentManager::tr(const char*)
    {14, 1618, 21, 1, Smoke::mf_static, 277, 27},	//231 Akonadi::AgentManager::trUtf8(const char*)
    {14, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 28},	//232 Akonadi::AgentManager::staticMetaObject() const
    {14, 1674, 0, 0, Smoke::mf_dtor, 0, 29 },	//233 Akonadi::AgentManager::~AgentManager()
    {15, 33, 0, 0, Smoke::mf_ctor, 22, 1},	//234 Akonadi::AgentType::AgentType()
    {15, 33, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//235 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {15, 1051, 0, 0, Smoke::mf_const, 388, 3},	//236 Akonadi::AgentType::isValid() const
    {15, 994, 0, 0, Smoke::mf_const, 277, 4},	//237 Akonadi::AgentType::identifier() const
    {15, 1148, 0, 0, Smoke::mf_const, 277, 5},	//238 Akonadi::AgentType::name() const
    {15, 876, 0, 0, Smoke::mf_const, 277, 6},	//239 Akonadi::AgentType::description() const
    {15, 992, 0, 0, Smoke::mf_const, 277, 7},	//240 Akonadi::AgentType::iconName() const
    {15, 991, 0, 0, Smoke::mf_const, 240, 8},	//241 Akonadi::AgentType::icon() const
    {15, 1134, 0, 0, Smoke::mf_const, 278, 9},	//242 Akonadi::AgentType::mimeTypes() const
    {15, 751, 0, 0, Smoke::mf_const, 278, 10},	//243 Akonadi::AgentType::capabilities() const
    {15, 1158, 93, 1, 0, 21, 11},	//244 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {15, 1160, 93, 1, Smoke::mf_const, 388, 12},	//245 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {15, 1675, 0, 0, Smoke::mf_dtor, 0, 13 },	//246 Akonadi::AgentType::~AgentType()
    {16, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//247 Akonadi::AgentTypeDialog::metaObject() const
    {16, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//248 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {16, 1614, 23, 2, Smoke::mf_static, 277, 3},	//249 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {16, 1618, 23, 2, Smoke::mf_static, 277, 4},	//250 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {16, 1614, 26, 3, Smoke::mf_static, 277, 5},	//251 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {16, 1618, 26, 3, Smoke::mf_static, 277, 6},	//252 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {16, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//253 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 35, 85, 1, Smoke::mf_ctor, 23, 8},	//254 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {16, 721, 0, 0, Smoke::mf_const, 20, 9},	//255 Akonadi::AgentTypeDialog::agentType() const
    {16, 717, 0, 0, Smoke::mf_const, 10, 10},	//256 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {16, 898, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//257 Akonadi::AgentTypeDialog::done(int)
    {16, 1614, 21, 1, Smoke::mf_static, 277, 12},	//258 Akonadi::AgentTypeDialog::tr(const char*)
    {16, 1618, 21, 1, Smoke::mf_static, 277, 13},	//259 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {16, 35, 0, 0, Smoke::mf_ctor, 23, 14},	//260 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {16, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//261 Akonadi::AgentTypeDialog::staticMetaObject() const
    {16, 1676, 0, 0, Smoke::mf_dtor, 0, 16 },	//262 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {17, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//263 Akonadi::AgentTypeModel::metaObject() const
    {17, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//264 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {17, 1614, 23, 2, Smoke::mf_static, 277, 3},	//265 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {17, 1618, 23, 2, Smoke::mf_static, 277, 4},	//266 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {17, 1614, 26, 3, Smoke::mf_static, 277, 5},	//267 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {17, 1618, 26, 3, Smoke::mf_static, 277, 6},	//268 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {17, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//269 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 37, 78, 1, Smoke::mf_ctor, 24, 8},	//270 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {17, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 9},	//271 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {17, 1238, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 10},	//272 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {17, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//273 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {17, 1004, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 12},	//274 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {17, 1168, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//275 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {17, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 14},	//276 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {17, 1614, 21, 1, Smoke::mf_static, 277, 15},	//277 Akonadi::AgentTypeModel::tr(const char*)
    {17, 1618, 21, 1, Smoke::mf_static, 277, 16},	//278 Akonadi::AgentTypeModel::trUtf8(const char*)
    {17, 37, 0, 0, Smoke::mf_ctor, 24, 17},	//279 Akonadi::AgentTypeModel::AgentTypeModel()
    {17, 813, 0, 0, Smoke::mf_const, 476, 18},	//280 Akonadi::AgentTypeModel::columnCount() const
    {17, 1238, 0, 0, Smoke::mf_const, 476, 19},	//281 Akonadi::AgentTypeModel::rowCount() const
    {17, 866, 95, 1, Smoke::mf_const, 287, 20},	//282 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {17, 1004, 115, 2, Smoke::mf_const, 261, 21},	//283 Akonadi::AgentTypeModel::index(int, int) const
    {17, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//284 Akonadi::AgentTypeModel::staticMetaObject() const
    {17, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 23},	//285 Akonadi::AgentTypeModel::TypeRole (enum)
    {17, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 24},	//286 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {17, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 25},	//287 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {17, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 26},	//288 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {17, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 27},	//289 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {17, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 28},	//290 Akonadi::AgentTypeModel::UserRole (enum)
    {17, 1677, 0, 0, Smoke::mf_dtor, 0, 29 },	//291 Akonadi::AgentTypeModel::~AgentTypeModel()
    {18, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//292 Akonadi::AgentTypeWidget::metaObject() const
    {18, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//293 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {18, 1614, 23, 2, Smoke::mf_static, 277, 3},	//294 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {18, 1618, 23, 2, Smoke::mf_static, 277, 4},	//295 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {18, 1614, 26, 3, Smoke::mf_static, 277, 5},	//296 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {18, 1618, 26, 3, Smoke::mf_static, 277, 6},	//297 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {18, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//298 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {18, 39, 85, 1, Smoke::mf_ctor, 26, 8},	//299 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {18, 857, 0, 0, Smoke::mf_const, 20, 9},	//300 Akonadi::AgentTypeWidget::currentAgentType() const
    {18, 717, 0, 0, Smoke::mf_const, 10, 10},	//301 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {18, 858, 130, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//302 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {18, 687, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//303 Akonadi::AgentTypeWidget::activated()
    {18, 1614, 21, 1, Smoke::mf_static, 277, 13},	//304 Akonadi::AgentTypeWidget::tr(const char*)
    {18, 1618, 21, 1, Smoke::mf_static, 277, 14},	//305 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {18, 39, 0, 0, Smoke::mf_ctor, 26, 15},	//306 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {18, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//307 Akonadi::AgentTypeWidget::staticMetaObject() const
    {18, 1678, 0, 0, Smoke::mf_dtor, 0, 17 },	//308 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {19, 1622, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 215, 1},	//309 Akonadi::Attribute::type() const [pure virtual]
    {19, 774, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 2},	//310 Akonadi::Attribute::clone() const [pure virtual]
    {19, 1271, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 215, 3},	//311 Akonadi::Attribute::serialized() const [pure virtual]
    {19, 877, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//312 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {19, 51, 0, 0, Smoke::mf_ctor, 27, 5},	//313 Akonadi::Attribute::Attribute()
    {19, 51, 133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 6},	//314 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {19, 1679, 0, 0, Smoke::mf_dtor, 0, 7 },	//315 Akonadi::Attribute::~Attribute()
    {20, 848, 6, 1, Smoke::mf_static, 27, 1},	//316 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {20, 53, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 28, 2},	//317 Akonadi::AttributeFactory::AttributeFactory()
    {20, 53, 135, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 3},	//318 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {20, 1680, 0, 0, Smoke::mf_dtor, 0, 4 },	//319 Akonadi::AttributeFactory::~AttributeFactory()
    {21, 63, 0, 0, Smoke::mf_ctor, 31, 1},	//320 Akonadi::CachePolicy::CachePolicy()
    {21, 63, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//321 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {21, 1010, 0, 0, Smoke::mf_const, 388, 3},	//322 Akonadi::CachePolicy::inheritFromParent() const
    {21, 1417, 45, 1, 0, 0, 4},	//323 Akonadi::CachePolicy::setInheritFromParent(bool)
    {21, 1110, 0, 0, Smoke::mf_const, 278, 5},	//324 Akonadi::CachePolicy::localParts() const
    {21, 1444, 10, 1, 0, 0, 6},	//325 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {21, 744, 0, 0, Smoke::mf_const, 476, 7},	//326 Akonadi::CachePolicy::cacheTimeout() const
    {21, 1299, 41, 1, 0, 0, 8},	//327 Akonadi::CachePolicy::setCacheTimeout(int)
    {21, 1039, 0, 0, Smoke::mf_const, 476, 9},	//328 Akonadi::CachePolicy::intervalCheckTime() const
    {21, 1419, 41, 1, 0, 0, 10},	//329 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {21, 1596, 0, 0, Smoke::mf_const, 388, 11},	//330 Akonadi::CachePolicy::syncOnDemand() const
    {21, 1528, 45, 1, 0, 0, 12},	//331 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {21, 1158, 137, 1, 0, 30, 13},	//332 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {21, 1160, 137, 1, Smoke::mf_const, 388, 14},	//333 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {21, 1681, 0, 0, Smoke::mf_dtor, 0, 15 },	//334 Akonadi::CachePolicy::~CachePolicy()
    {22, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//335 Akonadi::ChangeRecorder::metaObject() const
    {22, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//336 Akonadi::ChangeRecorder::qt_metacast(const char*)
    {22, 1614, 23, 2, Smoke::mf_static, 277, 3},	//337 Akonadi::ChangeRecorder::tr(const char*, const char*)
    {22, 1618, 23, 2, Smoke::mf_static, 277, 4},	//338 Akonadi::ChangeRecorder::trUtf8(const char*, const char*)
    {22, 1614, 26, 3, Smoke::mf_static, 277, 5},	//339 Akonadi::ChangeRecorder::tr(const char*, const char*, int)
    {22, 1618, 26, 3, Smoke::mf_static, 277, 6},	//340 Akonadi::ChangeRecorder::trUtf8(const char*, const char*, int)
    {22, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//341 Akonadi::ChangeRecorder::qt_metacall(QMetaObject::Call, int, void**)
    {22, 75, 78, 1, Smoke::mf_ctor, 32, 8},	//342 Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    {22, 1331, 139, 1, 0, 0, 9},	//343 Akonadi::ChangeRecorder::setConfig(QSettings*)
    {22, 1044, 0, 0, Smoke::mf_const, 388, 10},	//344 Akonadi::ChangeRecorder::isEmpty() const
    {22, 758, 0, 0, 0, 0, 11},	//345 Akonadi::ChangeRecorder::changeProcessed()
    {22, 1306, 45, 1, 0, 0, 12},	//346 Akonadi::ChangeRecorder::setChangeRecordingEnabled(bool)
    {22, 1214, 0, 0, Smoke::mf_slot, 0, 13},	//347 Akonadi::ChangeRecorder::replayNext()
    {22, 760, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//348 Akonadi::ChangeRecorder::changesAdded()
    {22, 1151, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//349 Akonadi::ChangeRecorder::nothingToReplay()
    {22, 75, 141, 2, Smoke::mf_ctor|Smoke::mf_protected, 32, 16},	//350 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*, QObject*)
    {22, 1614, 21, 1, Smoke::mf_static, 277, 17},	//351 Akonadi::ChangeRecorder::tr(const char*)
    {22, 1618, 21, 1, Smoke::mf_static, 277, 18},	//352 Akonadi::ChangeRecorder::trUtf8(const char*)
    {22, 75, 0, 0, Smoke::mf_ctor, 32, 19},	//353 Akonadi::ChangeRecorder::ChangeRecorder()
    {22, 75, 144, 1, Smoke::mf_ctor|Smoke::mf_protected, 32, 20},	//354 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    {22, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 21},	//355 Akonadi::ChangeRecorder::staticMetaObject() const
    {22, 1682, 0, 0, Smoke::mf_dtor, 0, 22 },	//356 Akonadi::ChangeRecorder::~ChangeRecorder()
    {24, 81, 0, 0, Smoke::mf_ctor, 36, 1},	//357 Akonadi::Collection::Collection()
    {24, 81, 146, 1, Smoke::mf_ctor, 36, 2},	//358 Akonadi::Collection::Collection(long long)
    {24, 81, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 3},	//359 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {24, 972, 148, 1, Smoke::mf_static, 34, 4},	//360 Akonadi::Collection::fromUrl(const KUrl&)
    {24, 1148, 0, 0, Smoke::mf_const, 277, 5},	//361 Akonadi::Collection::name() const
    {24, 1460, 8, 1, 0, 0, 6},	//362 Akonadi::Collection::setName(const QString&)
    {24, 1234, 0, 0, Smoke::mf_const, 228, 7},	//363 Akonadi::Collection::rights() const
    {24, 1505, 150, 1, 0, 0, 8},	//364 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {24, 838, 0, 0, Smoke::mf_const, 278, 9},	//365 Akonadi::Collection::contentMimeTypes() const
    {24, 1345, 10, 1, 0, 0, 10},	//366 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {24, 1168, 0, 0, Smoke::mf_const, 479, 11},	//367 Akonadi::Collection::parent() const
    {24, 1470, 146, 1, 0, 0, 12},	//368 Akonadi::Collection::setParent(long long)
    {24, 1470, 61, 1, 0, 0, 13},	//369 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {24, 1171, 0, 0, Smoke::mf_const, 277, 14},	//370 Akonadi::Collection::parentRemoteId() const
    {24, 1475, 8, 1, 0, 0, 15},	//371 Akonadi::Collection::setParentRemoteId(const QString&)
    {24, 1236, 0, 0, Smoke::mf_static, 34, 16},	//372 Akonadi::Collection::root()
    {24, 1127, 0, 0, Smoke::mf_static, 277, 17},	//373 Akonadi::Collection::mimeType()
    {24, 1217, 0, 0, Smoke::mf_const, 277, 18},	//374 Akonadi::Collection::resource() const
    {24, 1498, 8, 1, 0, 0, 19},	//375 Akonadi::Collection::setResource(const QString&)
    {24, 743, 0, 0, Smoke::mf_const, 29, 20},	//376 Akonadi::Collection::cachePolicy() const
    {24, 1297, 137, 1, 0, 0, 21},	//377 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {24, 1581, 0, 0, Smoke::mf_const, 64, 22},	//378 Akonadi::Collection::statistics() const
    {24, 1522, 152, 1, 0, 0, 23},	//379 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {24, 1639, 0, 0, Smoke::mf_const, 203, 24},	//380 Akonadi::Collection::url() const
    {24, 1639, 154, 1, Smoke::mf_const, 203, 25},	//381 Akonadi::Collection::url(Akonadi::Collection::UrlType) const
    {24, 1052, 0, 0, Smoke::mf_const, 388, 26},	//382 Akonadi::Collection::isVirtual() const
    {24, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 27},	//383 Akonadi::Collection::ReadOnly (enum)
    {24, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 28},	//384 Akonadi::Collection::CanChangeItem (enum)
    {24, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 29},	//385 Akonadi::Collection::CanCreateItem (enum)
    {24, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 30},	//386 Akonadi::Collection::CanDeleteItem (enum)
    {24, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 31},	//387 Akonadi::Collection::CanChangeCollection (enum)
    {24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 32},	//388 Akonadi::Collection::CanCreateCollection (enum)
    {24, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 33},	//389 Akonadi::Collection::CanDeleteCollection (enum)
    {24, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 34},	//390 Akonadi::Collection::CanLinkItem (enum)
    {24, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 35},	//391 Akonadi::Collection::CanUnlinkItem (enum)
    {24, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 36},	//392 Akonadi::Collection::AllRights (enum)
    {24, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 37},	//393 Akonadi::Collection::UrlShort (enum)
    {24, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 38},	//394 Akonadi::Collection::UrlWithName (enum)
    {24, 1683, 0, 0, Smoke::mf_dtor, 0, 39 },	//395 Akonadi::Collection::~Collection()
    {25, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//396 Akonadi::CollectionComboBox::metaObject() const
    {25, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//397 Akonadi::CollectionComboBox::qt_metacast(const char*)
    {25, 1614, 23, 2, Smoke::mf_static, 277, 3},	//398 Akonadi::CollectionComboBox::tr(const char*, const char*)
    {25, 1618, 23, 2, Smoke::mf_static, 277, 4},	//399 Akonadi::CollectionComboBox::trUtf8(const char*, const char*)
    {25, 1614, 26, 3, Smoke::mf_static, 277, 5},	//400 Akonadi::CollectionComboBox::tr(const char*, const char*, int)
    {25, 1618, 26, 3, Smoke::mf_static, 277, 6},	//401 Akonadi::CollectionComboBox::trUtf8(const char*, const char*, int)
    {25, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//402 Akonadi::CollectionComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {25, 85, 85, 1, Smoke::mf_ctor, 41, 8},	//403 Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    {25, 85, 156, 2, Smoke::mf_ctor, 41, 9},	//404 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*, QWidget*)
    {25, 1450, 10, 1, 0, 0, 10},	//405 Akonadi::CollectionComboBox::setMimeTypeFilter(const QStringList&)
    {25, 1129, 0, 0, Smoke::mf_const, 278, 11},	//406 Akonadi::CollectionComboBox::mimeTypeFilter() const
    {25, 1274, 150, 1, 0, 0, 12},	//407 Akonadi::CollectionComboBox::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {25, 682, 0, 0, Smoke::mf_const, 228, 13},	//408 Akonadi::CollectionComboBox::accessRightsFilter() const
    {25, 1360, 61, 1, 0, 0, 14},	//409 Akonadi::CollectionComboBox::setDefaultCollection(const Akonadi::Collection&)
    {25, 861, 0, 0, Smoke::mf_const, 34, 15},	//410 Akonadi::CollectionComboBox::currentCollection() const
    {25, 858, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//411 Akonadi::CollectionComboBox::currentChanged(const Akonadi::Collection&)
    {25, 1614, 21, 1, Smoke::mf_static, 277, 17},	//412 Akonadi::CollectionComboBox::tr(const char*)
    {25, 1618, 21, 1, Smoke::mf_static, 277, 18},	//413 Akonadi::CollectionComboBox::trUtf8(const char*)
    {25, 85, 0, 0, Smoke::mf_ctor, 41, 19},	//414 Akonadi::CollectionComboBox::CollectionComboBox()
    {25, 85, 159, 1, Smoke::mf_ctor, 41, 20},	//415 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    {25, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 21},	//416 Akonadi::CollectionComboBox::staticMetaObject() const
    {25, 1684, 0, 0, Smoke::mf_dtor, 0, 22 },	//417 Akonadi::CollectionComboBox::~CollectionComboBox()
    {26, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//418 Akonadi::CollectionCopyJob::metaObject() const
    {26, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//419 Akonadi::CollectionCopyJob::qt_metacast(const char*)
    {26, 1614, 23, 2, Smoke::mf_static, 277, 3},	//420 Akonadi::CollectionCopyJob::tr(const char*, const char*)
    {26, 1618, 23, 2, Smoke::mf_static, 277, 4},	//421 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*)
    {26, 1614, 26, 3, Smoke::mf_static, 277, 5},	//422 Akonadi::CollectionCopyJob::tr(const char*, const char*, int)
    {26, 1618, 26, 3, Smoke::mf_static, 277, 6},	//423 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*, int)
    {26, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//424 Akonadi::CollectionCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {26, 88, 161, 3, Smoke::mf_ctor, 42, 8},	//425 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {26, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//426 Akonadi::CollectionCopyJob::doStart()
    {26, 1614, 21, 1, Smoke::mf_static, 277, 10},	//427 Akonadi::CollectionCopyJob::tr(const char*)
    {26, 1618, 21, 1, Smoke::mf_static, 277, 11},	//428 Akonadi::CollectionCopyJob::trUtf8(const char*)
    {26, 88, 58, 2, Smoke::mf_ctor, 42, 12},	//429 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {26, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//430 Akonadi::CollectionCopyJob::staticMetaObject() const
    {26, 1685, 0, 0, Smoke::mf_dtor, 0, 14 },	//431 Akonadi::CollectionCopyJob::~CollectionCopyJob()
    {27, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//432 Akonadi::CollectionCreateJob::metaObject() const
    {27, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//433 Akonadi::CollectionCreateJob::qt_metacast(const char*)
    {27, 1614, 23, 2, Smoke::mf_static, 277, 3},	//434 Akonadi::CollectionCreateJob::tr(const char*, const char*)
    {27, 1618, 23, 2, Smoke::mf_static, 277, 4},	//435 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*)
    {27, 1614, 26, 3, Smoke::mf_static, 277, 5},	//436 Akonadi::CollectionCreateJob::tr(const char*, const char*, int)
    {27, 1618, 26, 3, Smoke::mf_static, 277, 6},	//437 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*, int)
    {27, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//438 Akonadi::CollectionCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {27, 91, 165, 2, Smoke::mf_ctor, 43, 8},	//439 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&, QObject*)
    {27, 777, 0, 0, Smoke::mf_const, 34, 9},	//440 Akonadi::CollectionCreateJob::collection() const
    {27, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//441 Akonadi::CollectionCreateJob::doStart()
    {27, 889, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//442 Akonadi::CollectionCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {27, 1614, 21, 1, Smoke::mf_static, 277, 12},	//443 Akonadi::CollectionCreateJob::tr(const char*)
    {27, 1618, 21, 1, Smoke::mf_static, 277, 13},	//444 Akonadi::CollectionCreateJob::trUtf8(const char*)
    {27, 91, 61, 1, Smoke::mf_ctor, 43, 14},	//445 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&)
    {27, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//446 Akonadi::CollectionCreateJob::staticMetaObject() const
    {27, 1686, 0, 0, Smoke::mf_dtor, 0, 16 },	//447 Akonadi::CollectionCreateJob::~CollectionCreateJob()
    {28, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//448 Akonadi::CollectionDeleteJob::metaObject() const
    {28, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//449 Akonadi::CollectionDeleteJob::qt_metacast(const char*)
    {28, 1614, 23, 2, Smoke::mf_static, 277, 3},	//450 Akonadi::CollectionDeleteJob::tr(const char*, const char*)
    {28, 1618, 23, 2, Smoke::mf_static, 277, 4},	//451 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*)
    {28, 1614, 26, 3, Smoke::mf_static, 277, 5},	//452 Akonadi::CollectionDeleteJob::tr(const char*, const char*, int)
    {28, 1618, 26, 3, Smoke::mf_static, 277, 6},	//453 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*, int)
    {28, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//454 Akonadi::CollectionDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {28, 94, 165, 2, Smoke::mf_ctor, 44, 8},	//455 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&, QObject*)
    {28, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//456 Akonadi::CollectionDeleteJob::doStart()
    {28, 1614, 21, 1, Smoke::mf_static, 277, 10},	//457 Akonadi::CollectionDeleteJob::tr(const char*)
    {28, 1618, 21, 1, Smoke::mf_static, 277, 11},	//458 Akonadi::CollectionDeleteJob::trUtf8(const char*)
    {28, 94, 61, 1, Smoke::mf_ctor, 44, 12},	//459 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&)
    {28, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//460 Akonadi::CollectionDeleteJob::staticMetaObject() const
    {28, 1687, 0, 0, Smoke::mf_dtor, 0, 14 },	//461 Akonadi::CollectionDeleteJob::~CollectionDeleteJob()
    {29, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//462 Akonadi::CollectionDialog::metaObject() const
    {29, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//463 Akonadi::CollectionDialog::qt_metacast(const char*)
    {29, 1614, 23, 2, Smoke::mf_static, 277, 3},	//464 Akonadi::CollectionDialog::tr(const char*, const char*)
    {29, 1618, 23, 2, Smoke::mf_static, 277, 4},	//465 Akonadi::CollectionDialog::trUtf8(const char*, const char*)
    {29, 1614, 26, 3, Smoke::mf_static, 277, 5},	//466 Akonadi::CollectionDialog::tr(const char*, const char*, int)
    {29, 1618, 26, 3, Smoke::mf_static, 277, 6},	//467 Akonadi::CollectionDialog::trUtf8(const char*, const char*, int)
    {29, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//468 Akonadi::CollectionDialog::qt_metacall(QMetaObject::Call, int, void**)
    {29, 98, 85, 1, Smoke::mf_ctor, 45, 8},	//469 Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    {29, 98, 156, 2, Smoke::mf_ctor, 45, 9},	//470 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*, QWidget*)
    {29, 98, 171, 3, Smoke::mf_ctor, 45, 10},	//471 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*)
    {29, 1450, 10, 1, 0, 0, 11},	//472 Akonadi::CollectionDialog::setMimeTypeFilter(const QStringList&)
    {29, 1129, 0, 0, Smoke::mf_const, 278, 12},	//473 Akonadi::CollectionDialog::mimeTypeFilter() const
    {29, 1274, 150, 1, 0, 0, 13},	//474 Akonadi::CollectionDialog::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {29, 682, 0, 0, Smoke::mf_const, 228, 14},	//475 Akonadi::CollectionDialog::accessRightsFilter() const
    {29, 1362, 8, 1, 0, 0, 15},	//476 Akonadi::CollectionDialog::setDescription(const QString&)
    {29, 1360, 61, 1, 0, 0, 16},	//477 Akonadi::CollectionDialog::setDefaultCollection(const Akonadi::Collection&)
    {29, 1511, 175, 1, 0, 0, 17},	//478 Akonadi::CollectionDialog::setSelectionMode(QAbstractItemView::SelectionMode)
    {29, 1261, 0, 0, Smoke::mf_const, 212, 18},	//479 Akonadi::CollectionDialog::selectionMode() const
    {29, 1255, 0, 0, Smoke::mf_const, 34, 19},	//480 Akonadi::CollectionDialog::selectedCollection() const
    {29, 1256, 0, 0, Smoke::mf_const, 251, 20},	//481 Akonadi::CollectionDialog::selectedCollections() const
    {29, 753, 177, 1, 0, 0, 21},	//482 Akonadi::CollectionDialog::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 1614, 21, 1, Smoke::mf_static, 277, 22},	//483 Akonadi::CollectionDialog::tr(const char*)
    {29, 1618, 21, 1, Smoke::mf_static, 277, 23},	//484 Akonadi::CollectionDialog::trUtf8(const char*)
    {29, 98, 0, 0, Smoke::mf_ctor, 45, 24},	//485 Akonadi::CollectionDialog::CollectionDialog()
    {29, 98, 159, 1, Smoke::mf_ctor, 45, 25},	//486 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    {29, 98, 177, 1, Smoke::mf_ctor, 45, 26},	//487 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 98, 179, 2, Smoke::mf_ctor, 45, 27},	//488 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*)
    {29, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 28},	//489 Akonadi::CollectionDialog::staticMetaObject() const
    {29, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 29},	//490 Akonadi::CollectionDialog::None (enum)
    {29, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 30},	//491 Akonadi::CollectionDialog::AllowToCreateNewChildCollection (enum)
    {29, 1688, 0, 0, Smoke::mf_dtor, 0, 31 },	//492 Akonadi::CollectionDialog::~CollectionDialog()
    {30, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//493 Akonadi::CollectionFetchJob::metaObject() const
    {30, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//494 Akonadi::CollectionFetchJob::qt_metacast(const char*)
    {30, 1614, 23, 2, Smoke::mf_static, 277, 3},	//495 Akonadi::CollectionFetchJob::tr(const char*, const char*)
    {30, 1618, 23, 2, Smoke::mf_static, 277, 4},	//496 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*)
    {30, 1614, 26, 3, Smoke::mf_static, 277, 5},	//497 Akonadi::CollectionFetchJob::tr(const char*, const char*, int)
    {30, 1618, 26, 3, Smoke::mf_static, 277, 6},	//498 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*, int)
    {30, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//499 Akonadi::CollectionFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {30, 104, 182, 3, Smoke::mf_ctor, 47, 8},	//500 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 104, 186, 2, Smoke::mf_ctor, 47, 9},	//501 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, QObject*)
    {30, 104, 189, 3, Smoke::mf_ctor, 47, 10},	//502 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 104, 193, 3, Smoke::mf_ctor, 47, 11},	//503 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 804, 0, 0, Smoke::mf_const, 251, 12},	//504 Akonadi::CollectionFetchJob::collections() const
    {30, 1498, 8, 1, 0, 0, 13},	//505 Akonadi::CollectionFetchJob::setResource(const QString&)
    {30, 1001, 45, 1, 0, 0, 14},	//506 Akonadi::CollectionFetchJob::includeUnsubscribed(bool)
    {30, 999, 45, 1, 0, 0, 15},	//507 Akonadi::CollectionFetchJob::includeStatistics(bool)
    {30, 1381, 197, 1, 0, 0, 16},	//508 Akonadi::CollectionFetchJob::setFetchScope(const Akonadi::CollectionFetchScope&)
    {30, 959, 0, 0, 0, 49, 17},	//509 Akonadi::CollectionFetchJob::fetchScope()
    {30, 806, 199, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//510 Akonadi::CollectionFetchJob::collectionsReceived(const Akonadi::Collection::List&)
    {30, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//511 Akonadi::CollectionFetchJob::doStart()
    {30, 889, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//512 Akonadi::CollectionFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {30, 1566, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//513 Akonadi::CollectionFetchJob::slotResult(KJob*)
    {30, 1614, 21, 1, Smoke::mf_static, 277, 22},	//514 Akonadi::CollectionFetchJob::tr(const char*)
    {30, 1618, 21, 1, Smoke::mf_static, 277, 23},	//515 Akonadi::CollectionFetchJob::trUtf8(const char*)
    {30, 104, 61, 1, Smoke::mf_ctor, 47, 24},	//516 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&)
    {30, 104, 203, 2, Smoke::mf_ctor, 47, 25},	//517 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type)
    {30, 104, 206, 1, Smoke::mf_ctor, 47, 26},	//518 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    {30, 104, 208, 2, Smoke::mf_ctor, 47, 27},	//519 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type)
    {30, 104, 211, 1, Smoke::mf_ctor, 47, 28},	//520 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&)
    {30, 104, 213, 2, Smoke::mf_ctor, 47, 29},	//521 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type)
    {30, 1001, 0, 0, 0, 0, 30},	//522 Akonadi::CollectionFetchJob::includeUnsubscribed()
    {30, 999, 0, 0, 0, 0, 31},	//523 Akonadi::CollectionFetchJob::includeStatistics()
    {30, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 32},	//524 Akonadi::CollectionFetchJob::staticMetaObject() const
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 33},	//525 Akonadi::CollectionFetchJob::Base (enum)
    {30, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 34},	//526 Akonadi::CollectionFetchJob::FirstLevel (enum)
    {30, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 35},	//527 Akonadi::CollectionFetchJob::Recursive (enum)
    {30, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 36},	//528 Akonadi::CollectionFetchJob::NonOverlappingRoots (enum)
    {30, 1689, 0, 0, Smoke::mf_dtor, 0, 37 },	//529 Akonadi::CollectionFetchJob::~CollectionFetchJob()
    {31, 112, 0, 0, Smoke::mf_ctor, 50, 1},	//530 Akonadi::CollectionFetchScope::CollectionFetchScope()
    {31, 112, 197, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 2},	//531 Akonadi::CollectionFetchScope::CollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {31, 1158, 197, 1, 0, 49, 3},	//532 Akonadi::CollectionFetchScope::operator=(const Akonadi::CollectionFetchScope&)
    {31, 1003, 0, 0, Smoke::mf_const, 388, 4},	//533 Akonadi::CollectionFetchScope::includeUnubscribed() const
    {31, 1001, 0, 0, Smoke::mf_const, 388, 5},	//534 Akonadi::CollectionFetchScope::includeUnsubscribed() const
    {31, 1413, 45, 1, 0, 0, 6},	//535 Akonadi::CollectionFetchScope::setIncludeUnsubscribed(bool)
    {31, 999, 0, 0, Smoke::mf_const, 388, 7},	//536 Akonadi::CollectionFetchScope::includeStatistics() const
    {31, 1411, 45, 1, 0, 0, 8},	//537 Akonadi::CollectionFetchScope::setIncludeStatistics(bool)
    {31, 1217, 0, 0, Smoke::mf_const, 277, 9},	//538 Akonadi::CollectionFetchScope::resource() const
    {31, 1498, 8, 1, 0, 0, 10},	//539 Akonadi::CollectionFetchScope::setResource(const QString&)
    {31, 1345, 10, 1, 0, 0, 11},	//540 Akonadi::CollectionFetchScope::setContentMimeTypes(const QStringList&)
    {31, 838, 0, 0, Smoke::mf_const, 278, 12},	//541 Akonadi::CollectionFetchScope::contentMimeTypes() const
    {31, 1284, 216, 1, 0, 0, 13},	//542 Akonadi::CollectionFetchScope::setAncestorRetrieval(Akonadi::CollectionFetchScope::AncestorRetrieval)
    {31, 726, 0, 0, Smoke::mf_const, 51, 14},	//543 Akonadi::CollectionFetchScope::ancestorRetrieval() const
    {31, 1044, 0, 0, Smoke::mf_const, 388, 15},	//544 Akonadi::CollectionFetchScope::isEmpty() const
    {31, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 16},	//545 Akonadi::CollectionFetchScope::None (enum)
    {31, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 17},	//546 Akonadi::CollectionFetchScope::Parent (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 18},	//547 Akonadi::CollectionFetchScope::All (enum)
    {31, 1690, 0, 0, Smoke::mf_dtor, 0, 19 },	//548 Akonadi::CollectionFetchScope::~CollectionFetchScope()
    {32, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//549 Akonadi::CollectionFilterProxyModel::metaObject() const
    {32, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//550 Akonadi::CollectionFilterProxyModel::qt_metacast(const char*)
    {32, 1614, 23, 2, Smoke::mf_static, 277, 3},	//551 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*)
    {32, 1618, 23, 2, Smoke::mf_static, 277, 4},	//552 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*)
    {32, 1614, 26, 3, Smoke::mf_static, 277, 5},	//553 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*, int)
    {32, 1618, 26, 3, Smoke::mf_static, 277, 6},	//554 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*, int)
    {32, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//555 Akonadi::CollectionFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {32, 114, 78, 1, Smoke::mf_ctor, 52, 8},	//556 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel(QObject*)
    {32, 703, 10, 1, 0, 0, 9},	//557 Akonadi::CollectionFilterProxyModel::addMimeTypeFilters(const QStringList&)
    {32, 701, 8, 1, 0, 0, 10},	//558 Akonadi::CollectionFilterProxyModel::addMimeTypeFilter(const QString&)
    {32, 1130, 0, 0, Smoke::mf_const, 278, 11},	//559 Akonadi::CollectionFilterProxyModel::mimeTypeFilters() const
    {32, 1369, 45, 1, 0, 0, 12},	//560 Akonadi::CollectionFilterProxyModel::setExcludeVirtualCollections(bool)
    {32, 767, 0, 0, 0, 0, 13},	//561 Akonadi::CollectionFilterProxyModel::clearFilters()
    {32, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 14},	//562 Akonadi::CollectionFilterProxyModel::flags(const QModelIndex&) const
    {32, 961, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 15},	//563 Akonadi::CollectionFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {32, 1614, 21, 1, Smoke::mf_static, 277, 16},	//564 Akonadi::CollectionFilterProxyModel::tr(const char*)
    {32, 1618, 21, 1, Smoke::mf_static, 277, 17},	//565 Akonadi::CollectionFilterProxyModel::trUtf8(const char*)
    {32, 114, 0, 0, Smoke::mf_ctor, 52, 18},	//566 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel()
    {32, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//567 Akonadi::CollectionFilterProxyModel::staticMetaObject() const
    {32, 1691, 0, 0, Smoke::mf_dtor, 0, 20 },	//568 Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel()
    {33, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//569 Akonadi::CollectionModel::metaObject() const
    {33, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//570 Akonadi::CollectionModel::qt_metacast(const char*)
    {33, 1614, 23, 2, Smoke::mf_static, 277, 3},	//571 Akonadi::CollectionModel::tr(const char*, const char*)
    {33, 1618, 23, 2, Smoke::mf_static, 277, 4},	//572 Akonadi::CollectionModel::trUtf8(const char*, const char*)
    {33, 1614, 26, 3, Smoke::mf_static, 277, 5},	//573 Akonadi::CollectionModel::tr(const char*, const char*, int)
    {33, 1618, 26, 3, Smoke::mf_static, 277, 6},	//574 Akonadi::CollectionModel::trUtf8(const char*, const char*, int)
    {33, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//575 Akonadi::CollectionModel::qt_metacall(QMetaObject::Call, int, void**)
    {33, 117, 78, 1, Smoke::mf_ctor, 53, 8},	//576 Akonadi::CollectionModel::CollectionModel(QObject*)
    {33, 949, 45, 1, 0, 0, 9},	//577 Akonadi::CollectionModel::fetchCollectionStatistics(bool)
    {33, 1001, 45, 1, 0, 0, 10},	//578 Akonadi::CollectionModel::includeUnsubscribed(bool)
    {33, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 11},	//579 Akonadi::CollectionModel::columnCount(const QModelIndex&) const
    {33, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//580 Akonadi::CollectionModel::data(const QModelIndex&, int) const
    {33, 1004, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//581 Akonadi::CollectionModel::index(int, int, const QModelIndex&) const
    {33, 1168, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 14},	//582 Akonadi::CollectionModel::parent(const QModelIndex&) const
    {33, 1238, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 15},	//583 Akonadi::CollectionModel::rowCount(const QModelIndex&) const
    {33, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 16},	//584 Akonadi::CollectionModel::headerData(int, Qt::Orientation, int) const
    {33, 1394, 218, 4, Smoke::mf_virtual, 388, 17},	//585 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 1355, 108, 3, Smoke::mf_virtual, 388, 18},	//586 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 19},	//587 Akonadi::CollectionModel::flags(const QModelIndex&) const
    {33, 1595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 20},	//588 Akonadi::CollectionModel::supportedDropActions() const
    {33, 1125, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 21},	//589 Akonadi::CollectionModel::mimeData(const QList<QModelIndex>&) const
    {33, 911, 225, 5, Smoke::mf_virtual, 388, 22},	//590 Akonadi::CollectionModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 23},	//591 Akonadi::CollectionModel::mimeTypes() const
    {33, 787, 231, 1, Smoke::mf_const|Smoke::mf_protected, 34, 24},	//592 Akonadi::CollectionModel::collectionForId(Akonadi::Collection::Id) const
    {33, 117, 233, 2, Smoke::mf_ctor|Smoke::mf_protected, 53, 25},	//593 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*, QObject*)
    {33, 1614, 21, 1, Smoke::mf_static, 277, 26},	//594 Akonadi::CollectionModel::tr(const char*)
    {33, 1618, 21, 1, Smoke::mf_static, 277, 27},	//595 Akonadi::CollectionModel::trUtf8(const char*)
    {33, 117, 0, 0, Smoke::mf_ctor, 53, 28},	//596 Akonadi::CollectionModel::CollectionModel()
    {33, 1001, 0, 0, 0, 0, 29},	//597 Akonadi::CollectionModel::includeUnsubscribed()
    {33, 813, 0, 0, Smoke::mf_const, 476, 30},	//598 Akonadi::CollectionModel::columnCount() const
    {33, 866, 95, 1, Smoke::mf_const, 287, 31},	//599 Akonadi::CollectionModel::data(const QModelIndex&) const
    {33, 1004, 115, 2, Smoke::mf_const, 261, 32},	//600 Akonadi::CollectionModel::index(int, int) const
    {33, 1238, 0, 0, Smoke::mf_const, 476, 33},	//601 Akonadi::CollectionModel::rowCount() const
    {33, 982, 112, 2, Smoke::mf_const, 287, 34},	//602 Akonadi::CollectionModel::headerData(int, Qt::Orientation) const
    {33, 1394, 236, 3, 0, 388, 35},	//603 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {33, 1355, 240, 2, 0, 388, 36},	//604 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&)
    {33, 117, 243, 1, Smoke::mf_ctor|Smoke::mf_protected, 53, 37},	//605 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    {33, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 38},	//606 Akonadi::CollectionModel::staticMetaObject() const
    {33, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//607 Akonadi::CollectionModel::OldCollectionIdRole (enum)
    {33, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//608 Akonadi::CollectionModel::OldCollectionRole (enum)
    {33, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//609 Akonadi::CollectionModel::CollectionIdRole (enum)
    {33, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//610 Akonadi::CollectionModel::CollectionRole (enum)
    {33, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//611 Akonadi::CollectionModel::UserRole (enum)
    {33, 1692, 0, 0, Smoke::mf_dtor, 0, 44 },	//612 Akonadi::CollectionModel::~CollectionModel()
    {35, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//613 Akonadi::CollectionModifyJob::metaObject() const
    {35, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//614 Akonadi::CollectionModifyJob::qt_metacast(const char*)
    {35, 1614, 23, 2, Smoke::mf_static, 277, 3},	//615 Akonadi::CollectionModifyJob::tr(const char*, const char*)
    {35, 1618, 23, 2, Smoke::mf_static, 277, 4},	//616 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*)
    {35, 1614, 26, 3, Smoke::mf_static, 277, 5},	//617 Akonadi::CollectionModifyJob::tr(const char*, const char*, int)
    {35, 1618, 26, 3, Smoke::mf_static, 277, 6},	//618 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*, int)
    {35, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//619 Akonadi::CollectionModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {35, 120, 165, 2, Smoke::mf_ctor, 56, 8},	//620 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&, QObject*)
    {35, 777, 0, 0, Smoke::mf_const, 34, 9},	//621 Akonadi::CollectionModifyJob::collection() const
    {35, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//622 Akonadi::CollectionModifyJob::doStart()
    {35, 1614, 21, 1, Smoke::mf_static, 277, 11},	//623 Akonadi::CollectionModifyJob::tr(const char*)
    {35, 1618, 21, 1, Smoke::mf_static, 277, 12},	//624 Akonadi::CollectionModifyJob::trUtf8(const char*)
    {35, 120, 61, 1, Smoke::mf_ctor, 56, 13},	//625 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&)
    {35, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 14},	//626 Akonadi::CollectionModifyJob::staticMetaObject() const
    {35, 1693, 0, 0, Smoke::mf_dtor, 0, 15 },	//627 Akonadi::CollectionModifyJob::~CollectionModifyJob()
    {36, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//628 Akonadi::CollectionMoveJob::metaObject() const
    {36, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//629 Akonadi::CollectionMoveJob::qt_metacast(const char*)
    {36, 1614, 23, 2, Smoke::mf_static, 277, 3},	//630 Akonadi::CollectionMoveJob::tr(const char*, const char*)
    {36, 1618, 23, 2, Smoke::mf_static, 277, 4},	//631 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*)
    {36, 1614, 26, 3, Smoke::mf_static, 277, 5},	//632 Akonadi::CollectionMoveJob::tr(const char*, const char*, int)
    {36, 1618, 26, 3, Smoke::mf_static, 277, 6},	//633 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*, int)
    {36, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//634 Akonadi::CollectionMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {36, 123, 161, 3, Smoke::mf_ctor, 57, 8},	//635 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {36, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//636 Akonadi::CollectionMoveJob::doStart()
    {36, 1614, 21, 1, Smoke::mf_static, 277, 10},	//637 Akonadi::CollectionMoveJob::tr(const char*)
    {36, 1618, 21, 1, Smoke::mf_static, 277, 11},	//638 Akonadi::CollectionMoveJob::trUtf8(const char*)
    {36, 123, 58, 2, Smoke::mf_ctor, 57, 12},	//639 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {36, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//640 Akonadi::CollectionMoveJob::staticMetaObject() const
    {36, 1694, 0, 0, Smoke::mf_dtor, 0, 14 },	//641 Akonadi::CollectionMoveJob::~CollectionMoveJob()
    {37, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//642 Akonadi::CollectionPropertiesDialog::metaObject() const
    {37, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//643 Akonadi::CollectionPropertiesDialog::qt_metacast(const char*)
    {37, 1614, 23, 2, Smoke::mf_static, 277, 3},	//644 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*)
    {37, 1618, 23, 2, Smoke::mf_static, 277, 4},	//645 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*)
    {37, 1614, 26, 3, Smoke::mf_static, 277, 5},	//646 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*, int)
    {37, 1618, 26, 3, Smoke::mf_static, 277, 6},	//647 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*, int)
    {37, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//648 Akonadi::CollectionPropertiesDialog::qt_metacall(QMetaObject::Call, int, void**)
    {37, 127, 245, 2, Smoke::mf_ctor, 58, 8},	//649 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, QWidget*)
    {37, 127, 248, 3, Smoke::mf_ctor, 58, 9},	//650 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&, QWidget*)
    {37, 1196, 252, 1, Smoke::mf_static, 0, 10},	//651 Akonadi::CollectionPropertiesDialog::registerPage(Akonadi::CollectionPropertiesPageFactory*)
    {37, 1643, 45, 1, Smoke::mf_static, 0, 11},	//652 Akonadi::CollectionPropertiesDialog::useDefaultPage(bool)
    {37, 870, 254, 1, Smoke::mf_static, 277, 12},	//653 Akonadi::CollectionPropertiesDialog::defaultPageObjectName(Akonadi::CollectionPropertiesDialog::DefaultPage)
    {37, 1614, 21, 1, Smoke::mf_static, 277, 13},	//654 Akonadi::CollectionPropertiesDialog::tr(const char*)
    {37, 1618, 21, 1, Smoke::mf_static, 277, 14},	//655 Akonadi::CollectionPropertiesDialog::trUtf8(const char*)
    {37, 127, 61, 1, Smoke::mf_ctor, 58, 15},	//656 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&)
    {37, 127, 256, 2, Smoke::mf_ctor, 58, 16},	//657 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&)
    {37, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//658 Akonadi::CollectionPropertiesDialog::staticMetaObject() const
    {37, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 18},	//659 Akonadi::CollectionPropertiesDialog::GeneralPage (enum)
    {37, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 19},	//660 Akonadi::CollectionPropertiesDialog::CachePage (enum)
    {37, 1695, 0, 0, Smoke::mf_dtor, 0, 20 },	//661 Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog()
    {38, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//662 Akonadi::CollectionPropertiesPage::metaObject() const
    {38, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//663 Akonadi::CollectionPropertiesPage::qt_metacast(const char*)
    {38, 1614, 23, 2, Smoke::mf_static, 277, 3},	//664 Akonadi::CollectionPropertiesPage::tr(const char*, const char*)
    {38, 1618, 23, 2, Smoke::mf_static, 277, 4},	//665 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*)
    {38, 1614, 26, 3, Smoke::mf_static, 277, 5},	//666 Akonadi::CollectionPropertiesPage::tr(const char*, const char*, int)
    {38, 1618, 26, 3, Smoke::mf_static, 277, 6},	//667 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*, int)
    {38, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//668 Akonadi::CollectionPropertiesPage::qt_metacall(QMetaObject::Call, int, void**)
    {38, 132, 85, 1, Smoke::mf_ctor, 60, 8},	//669 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage(QWidget*)
    {38, 1103, 61, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//670 Akonadi::CollectionPropertiesPage::load(const Akonadi::Collection&) [pure virtual]
    {38, 1242, 259, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//671 Akonadi::CollectionPropertiesPage::save(Akonadi::Collection&) [pure virtual]
    {38, 747, 61, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 11},	//672 Akonadi::CollectionPropertiesPage::canHandle(const Akonadi::Collection&) const
    {38, 1468, 8, 1, 0, 0, 12},	//673 Akonadi::CollectionPropertiesPage::setPageTitle(const QString&)
    {38, 1162, 0, 0, Smoke::mf_const, 277, 13},	//674 Akonadi::CollectionPropertiesPage::pageTitle() const
    {38, 1614, 21, 1, Smoke::mf_static, 277, 14},	//675 Akonadi::CollectionPropertiesPage::tr(const char*)
    {38, 1618, 21, 1, Smoke::mf_static, 277, 15},	//676 Akonadi::CollectionPropertiesPage::trUtf8(const char*)
    {38, 132, 0, 0, Smoke::mf_ctor, 60, 16},	//677 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage()
    {38, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//678 Akonadi::CollectionPropertiesPage::staticMetaObject() const
    {38, 1696, 0, 0, Smoke::mf_dtor, 0, 18 },	//679 Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage()
    {39, 853, 85, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 60, 1},	//680 Akonadi::CollectionPropertiesPageFactory::createWidget(QWidget*) const [pure virtual]
    {39, 134, 0, 0, Smoke::mf_ctor, 61, 2},	//681 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory()
    {39, 134, 261, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 3},	//682 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory(const Akonadi::CollectionPropertiesPageFactory&)
    {39, 853, 0, 0, Smoke::mf_const, 60, 4},	//683 Akonadi::CollectionPropertiesPageFactory::createWidget() const
    {39, 1697, 0, 0, Smoke::mf_dtor, 0, 5 },	//684 Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory()
    {40, 136, 0, 0, Smoke::mf_ctor, 62, 1},	//685 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute()
    {40, 136, 263, 2, Smoke::mf_ctor, 62, 2},	//686 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(long long, long long)
    {40, 1353, 146, 1, 0, 0, 3},	//687 Akonadi::CollectionQuotaAttribute::setCurrentValue(long long)
    {40, 1446, 146, 1, 0, 0, 4},	//688 Akonadi::CollectionQuotaAttribute::setMaximumValue(long long)
    {40, 863, 0, 0, Smoke::mf_const, 479, 5},	//689 Akonadi::CollectionQuotaAttribute::currentValue() const
    {40, 1122, 0, 0, Smoke::mf_const, 479, 6},	//690 Akonadi::CollectionQuotaAttribute::maximumValue() const
    {40, 1622, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 7},	//691 Akonadi::CollectionQuotaAttribute::type() const
    {40, 774, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 8},	//692 Akonadi::CollectionQuotaAttribute::clone() const
    {40, 1271, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//693 Akonadi::CollectionQuotaAttribute::serialized() const
    {40, 877, 6, 1, Smoke::mf_virtual, 0, 10},	//694 Akonadi::CollectionQuotaAttribute::deserialize(const QByteArray&)
    {40, 136, 266, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 11},	//695 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(const Akonadi::CollectionQuotaAttribute&)
    {40, 1698, 0, 0, Smoke::mf_dtor, 0, 12 },	//696 Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute()
    {41, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//697 Akonadi::CollectionRequester::metaObject() const
    {41, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//698 Akonadi::CollectionRequester::qt_metacast(const char*)
    {41, 1614, 23, 2, Smoke::mf_static, 277, 3},	//699 Akonadi::CollectionRequester::tr(const char*, const char*)
    {41, 1618, 23, 2, Smoke::mf_static, 277, 4},	//700 Akonadi::CollectionRequester::trUtf8(const char*, const char*)
    {41, 1614, 26, 3, Smoke::mf_static, 277, 5},	//701 Akonadi::CollectionRequester::tr(const char*, const char*, int)
    {41, 1618, 26, 3, Smoke::mf_static, 277, 6},	//702 Akonadi::CollectionRequester::trUtf8(const char*, const char*, int)
    {41, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//703 Akonadi::CollectionRequester::qt_metacall(QMetaObject::Call, int, void**)
    {41, 140, 85, 1, Smoke::mf_ctor, 63, 8},	//704 Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    {41, 140, 245, 2, Smoke::mf_ctor, 63, 9},	//705 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&, QWidget*)
    {41, 777, 0, 0, Smoke::mf_const, 34, 10},	//706 Akonadi::CollectionRequester::collection() const
    {41, 1450, 10, 1, 0, 0, 11},	//707 Akonadi::CollectionRequester::setMimeTypeFilter(const QStringList&)
    {41, 1129, 0, 0, Smoke::mf_const, 278, 12},	//708 Akonadi::CollectionRequester::mimeTypeFilter() const
    {41, 1274, 150, 1, 0, 0, 13},	//709 Akonadi::CollectionRequester::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {41, 682, 0, 0, Smoke::mf_const, 228, 14},	//710 Akonadi::CollectionRequester::accessRightsFilter() const
    {41, 753, 177, 1, 0, 0, 15},	//711 Akonadi::CollectionRequester::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {41, 1308, 61, 1, Smoke::mf_slot, 0, 16},	//712 Akonadi::CollectionRequester::setCollection(const Akonadi::Collection&)
    {41, 782, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//713 Akonadi::CollectionRequester::collectionChanged(const Akonadi::Collection&)
    {41, 1614, 21, 1, Smoke::mf_static, 277, 18},	//714 Akonadi::CollectionRequester::tr(const char*)
    {41, 1618, 21, 1, Smoke::mf_static, 277, 19},	//715 Akonadi::CollectionRequester::trUtf8(const char*)
    {41, 140, 0, 0, Smoke::mf_ctor, 63, 20},	//716 Akonadi::CollectionRequester::CollectionRequester()
    {41, 140, 61, 1, Smoke::mf_ctor, 63, 21},	//717 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    {41, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//718 Akonadi::CollectionRequester::staticMetaObject() const
    {41, 1699, 0, 0, Smoke::mf_dtor, 0, 23 },	//719 Akonadi::CollectionRequester::~CollectionRequester()
    {42, 144, 0, 0, Smoke::mf_ctor, 66, 1},	//720 Akonadi::CollectionStatistics::CollectionStatistics()
    {42, 144, 152, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 2},	//721 Akonadi::CollectionStatistics::CollectionStatistics(const Akonadi::CollectionStatistics&)
    {42, 841, 0, 0, Smoke::mf_const, 479, 3},	//722 Akonadi::CollectionStatistics::count() const
    {42, 1351, 146, 1, 0, 0, 4},	//723 Akonadi::CollectionStatistics::setCount(long long)
    {42, 1631, 0, 0, Smoke::mf_const, 479, 5},	//724 Akonadi::CollectionStatistics::unreadCount() const
    {42, 1540, 146, 1, 0, 0, 6},	//725 Akonadi::CollectionStatistics::setUnreadCount(long long)
    {42, 1559, 0, 0, Smoke::mf_const, 479, 7},	//726 Akonadi::CollectionStatistics::size() const
    {42, 1518, 146, 1, 0, 0, 8},	//727 Akonadi::CollectionStatistics::setSize(long long)
    {42, 1158, 152, 1, 0, 65, 9},	//728 Akonadi::CollectionStatistics::operator=(const Akonadi::CollectionStatistics&)
    {42, 1700, 0, 0, Smoke::mf_dtor, 0, 10 },	//729 Akonadi::CollectionStatistics::~CollectionStatistics()
    {43, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//730 Akonadi::CollectionStatisticsDelegate::metaObject() const
    {43, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//731 Akonadi::CollectionStatisticsDelegate::qt_metacast(const char*)
    {43, 1614, 23, 2, Smoke::mf_static, 277, 3},	//732 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*)
    {43, 1618, 23, 2, Smoke::mf_static, 277, 4},	//733 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*)
    {43, 1614, 26, 3, Smoke::mf_static, 277, 5},	//734 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*, int)
    {43, 1618, 26, 3, Smoke::mf_static, 277, 6},	//735 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*, int)
    {43, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//736 Akonadi::CollectionStatisticsDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {43, 146, 268, 1, Smoke::mf_ctor, 67, 8},	//737 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    {43, 146, 270, 1, Smoke::mf_ctor, 67, 9},	//738 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    {43, 1542, 45, 1, Smoke::mf_slot, 0, 10},	//739 Akonadi::CollectionStatisticsDelegate::setUnreadCountShown(bool)
    {43, 1632, 0, 0, Smoke::mf_const|Smoke::mf_slot, 388, 11},	//740 Akonadi::CollectionStatisticsDelegate::unreadCountShown() const
    {43, 1482, 45, 1, Smoke::mf_slot, 0, 12},	//741 Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled(bool)
    {43, 1185, 0, 0, Smoke::mf_const|Smoke::mf_slot, 388, 13},	//742 Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled() const
    {43, 1163, 272, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//743 Akonadi::CollectionStatisticsDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {43, 1011, 276, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//744 Akonadi::CollectionStatisticsDelegate::initStyleOption(QStyleOptionViewItem*, const QModelIndex&) const
    {43, 1614, 21, 1, Smoke::mf_static, 277, 16},	//745 Akonadi::CollectionStatisticsDelegate::tr(const char*)
    {43, 1618, 21, 1, Smoke::mf_static, 277, 17},	//746 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*)
    {43, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//747 Akonadi::CollectionStatisticsDelegate::staticMetaObject() const
    {43, 1701, 0, 0, Smoke::mf_dtor, 0, 19 },	//748 Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate()
    {44, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//749 Akonadi::CollectionStatisticsJob::metaObject() const
    {44, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//750 Akonadi::CollectionStatisticsJob::qt_metacast(const char*)
    {44, 1614, 23, 2, Smoke::mf_static, 277, 3},	//751 Akonadi::CollectionStatisticsJob::tr(const char*, const char*)
    {44, 1618, 23, 2, Smoke::mf_static, 277, 4},	//752 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*)
    {44, 1614, 26, 3, Smoke::mf_static, 277, 5},	//753 Akonadi::CollectionStatisticsJob::tr(const char*, const char*, int)
    {44, 1618, 26, 3, Smoke::mf_static, 277, 6},	//754 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*, int)
    {44, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//755 Akonadi::CollectionStatisticsJob::qt_metacall(QMetaObject::Call, int, void**)
    {44, 148, 165, 2, Smoke::mf_ctor, 68, 8},	//756 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&, QObject*)
    {44, 1581, 0, 0, Smoke::mf_const, 64, 9},	//757 Akonadi::CollectionStatisticsJob::statistics() const
    {44, 777, 0, 0, Smoke::mf_const, 34, 10},	//758 Akonadi::CollectionStatisticsJob::collection() const
    {44, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//759 Akonadi::CollectionStatisticsJob::doStart()
    {44, 889, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//760 Akonadi::CollectionStatisticsJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {44, 1614, 21, 1, Smoke::mf_static, 277, 13},	//761 Akonadi::CollectionStatisticsJob::tr(const char*)
    {44, 1618, 21, 1, Smoke::mf_static, 277, 14},	//762 Akonadi::CollectionStatisticsJob::trUtf8(const char*)
    {44, 148, 61, 1, Smoke::mf_ctor, 68, 15},	//763 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&)
    {44, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//764 Akonadi::CollectionStatisticsJob::staticMetaObject() const
    {44, 1702, 0, 0, Smoke::mf_dtor, 0, 17 },	//765 Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob()
    {45, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//766 Akonadi::CollectionStatisticsModel::metaObject() const
    {45, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//767 Akonadi::CollectionStatisticsModel::qt_metacast(const char*)
    {45, 1614, 23, 2, Smoke::mf_static, 277, 3},	//768 Akonadi::CollectionStatisticsModel::tr(const char*, const char*)
    {45, 1618, 23, 2, Smoke::mf_static, 277, 4},	//769 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*)
    {45, 1614, 26, 3, Smoke::mf_static, 277, 5},	//770 Akonadi::CollectionStatisticsModel::tr(const char*, const char*, int)
    {45, 1618, 26, 3, Smoke::mf_static, 277, 6},	//771 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*, int)
    {45, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//772 Akonadi::CollectionStatisticsModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 151, 78, 1, Smoke::mf_ctor, 69, 8},	//773 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel(QObject*)
    {45, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 9},	//774 Akonadi::CollectionStatisticsModel::columnCount(const QModelIndex&) const
    {45, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 10},	//775 Akonadi::CollectionStatisticsModel::data(const QModelIndex&, int) const
    {45, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//776 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation, int) const
    {45, 1614, 21, 1, Smoke::mf_static, 277, 12},	//777 Akonadi::CollectionStatisticsModel::tr(const char*)
    {45, 1618, 21, 1, Smoke::mf_static, 277, 13},	//778 Akonadi::CollectionStatisticsModel::trUtf8(const char*)
    {45, 151, 0, 0, Smoke::mf_ctor, 69, 14},	//779 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel()
    {45, 813, 0, 0, Smoke::mf_const, 476, 15},	//780 Akonadi::CollectionStatisticsModel::columnCount() const
    {45, 866, 95, 1, Smoke::mf_const, 287, 16},	//781 Akonadi::CollectionStatisticsModel::data(const QModelIndex&) const
    {45, 982, 112, 2, Smoke::mf_const, 287, 17},	//782 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation) const
    {45, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//783 Akonadi::CollectionStatisticsModel::staticMetaObject() const
    {45, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 19},	//784 Akonadi::CollectionStatisticsModel::UnreadRole (enum)
    {45, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 20},	//785 Akonadi::CollectionStatisticsModel::TotalRole (enum)
    {45, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 21},	//786 Akonadi::CollectionStatisticsModel::StatisticsRole (enum)
    {45, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 22},	//787 Akonadi::CollectionStatisticsModel::RecursiveUnreadRole (enum)
    {45, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 23},	//788 Akonadi::CollectionStatisticsModel::RecursiveTotalRole (enum)
    {45, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 24},	//789 Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole (enum)
    {45, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 25},	//790 Akonadi::CollectionStatisticsModel::SizeRole (enum)
    {45, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 26},	//791 Akonadi::CollectionStatisticsModel::RecursiveSizeRole (enum)
    {45, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 27},	//792 Akonadi::CollectionStatisticsModel::UserRole (enum)
    {45, 1703, 0, 0, Smoke::mf_dtor, 0, 28 },	//793 Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel()
    {46, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//794 Akonadi::CollectionView::metaObject() const
    {46, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//795 Akonadi::CollectionView::qt_metacast(const char*)
    {46, 1614, 23, 2, Smoke::mf_static, 277, 3},	//796 Akonadi::CollectionView::tr(const char*, const char*)
    {46, 1618, 23, 2, Smoke::mf_static, 277, 4},	//797 Akonadi::CollectionView::trUtf8(const char*, const char*)
    {46, 1614, 26, 3, Smoke::mf_static, 277, 5},	//798 Akonadi::CollectionView::tr(const char*, const char*, int)
    {46, 1618, 26, 3, Smoke::mf_static, 277, 6},	//799 Akonadi::CollectionView::trUtf8(const char*, const char*, int)
    {46, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//800 Akonadi::CollectionView::qt_metacall(QMetaObject::Call, int, void**)
    {46, 155, 85, 1, Smoke::mf_ctor, 71, 8},	//801 Akonadi::CollectionView::CollectionView(QWidget*)
    {46, 155, 279, 2, Smoke::mf_ctor, 71, 9},	//802 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    {46, 155, 282, 2, Smoke::mf_ctor, 71, 10},	//803 Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    {46, 1549, 285, 1, 0, 0, 11},	//804 Akonadi::CollectionView::setXmlGuiWindow(KXmlGuiWindow*)
    {46, 1547, 287, 1, 0, 0, 12},	//805 Akonadi::CollectionView::setXmlGuiClient(KXMLGUIClient*)
    {46, 1455, 159, 1, Smoke::mf_virtual, 0, 13},	//806 Akonadi::CollectionView::setModel(QAbstractItemModel*)
    {46, 772, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//807 Akonadi::CollectionView::clicked(const Akonadi::Collection&)
    {46, 858, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//808 Akonadi::CollectionView::currentChanged(const Akonadi::Collection&)
    {46, 858, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//809 Akonadi::CollectionView::currentChanged(const QModelIndex&, const QModelIndex&)
    {46, 905, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//810 Akonadi::CollectionView::dragMoveEvent(QDragMoveEvent*)
    {46, 903, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//811 Akonadi::CollectionView::dragLeaveEvent(QDragLeaveEvent*)
    {46, 909, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//812 Akonadi::CollectionView::dropEvent(QDropEvent*)
    {46, 839, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//813 Akonadi::CollectionView::contextMenuEvent(QContextMenuEvent*)
    {46, 1614, 21, 1, Smoke::mf_static, 277, 21},	//814 Akonadi::CollectionView::tr(const char*)
    {46, 1618, 21, 1, Smoke::mf_static, 277, 22},	//815 Akonadi::CollectionView::trUtf8(const char*)
    {46, 155, 0, 0, Smoke::mf_ctor, 71, 23},	//816 Akonadi::CollectionView::CollectionView()
    {46, 155, 285, 1, Smoke::mf_ctor, 71, 24},	//817 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    {46, 155, 287, 1, Smoke::mf_ctor, 71, 25},	//818 Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    {46, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 26},	//819 Akonadi::CollectionView::staticMetaObject() const
    {46, 1704, 0, 0, Smoke::mf_dtor, 0, 27 },	//820 Akonadi::CollectionView::~CollectionView()
    {47, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//821 Akonadi::ContactDefaultActions::metaObject() const
    {47, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//822 Akonadi::ContactDefaultActions::qt_metacast(const char*)
    {47, 1614, 23, 2, Smoke::mf_static, 277, 3},	//823 Akonadi::ContactDefaultActions::tr(const char*, const char*)
    {47, 1618, 23, 2, Smoke::mf_static, 277, 4},	//824 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*)
    {47, 1614, 26, 3, Smoke::mf_static, 277, 5},	//825 Akonadi::ContactDefaultActions::tr(const char*, const char*, int)
    {47, 1618, 26, 3, Smoke::mf_static, 277, 6},	//826 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*, int)
    {47, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//827 Akonadi::ContactDefaultActions::qt_metacall(QMetaObject::Call, int, void**)
    {47, 160, 78, 1, Smoke::mf_ctor, 72, 8},	//828 Akonadi::ContactDefaultActions::ContactDefaultActions(QObject*)
    {47, 826, 78, 1, 0, 0, 9},	//829 Akonadi::ContactDefaultActions::connectToView(QObject*)
    {47, 1557, 148, 1, Smoke::mf_slot, 0, 10},	//830 Akonadi::ContactDefaultActions::showUrl(const KUrl&)
    {47, 1263, 300, 2, Smoke::mf_slot, 0, 11},	//831 Akonadi::ContactDefaultActions::sendEmail(const QString&, const QString&)
    {47, 882, 303, 1, Smoke::mf_slot, 0, 12},	//832 Akonadi::ContactDefaultActions::dialPhoneNumber(const KABC::PhoneNumber&)
    {47, 1267, 303, 1, Smoke::mf_slot, 0, 13},	//833 Akonadi::ContactDefaultActions::sendSms(const KABC::PhoneNumber&)
    {47, 1551, 305, 1, Smoke::mf_slot, 0, 14},	//834 Akonadi::ContactDefaultActions::showAddress(const KABC::Address&)
    {47, 1614, 21, 1, Smoke::mf_static, 277, 15},	//835 Akonadi::ContactDefaultActions::tr(const char*)
    {47, 1618, 21, 1, Smoke::mf_static, 277, 16},	//836 Akonadi::ContactDefaultActions::trUtf8(const char*)
    {47, 160, 0, 0, Smoke::mf_ctor, 72, 17},	//837 Akonadi::ContactDefaultActions::ContactDefaultActions()
    {47, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//838 Akonadi::ContactDefaultActions::staticMetaObject() const
    {47, 1705, 0, 0, Smoke::mf_dtor, 0, 19 },	//839 Akonadi::ContactDefaultActions::~ContactDefaultActions()
    {48, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//840 Akonadi::ContactEditor::metaObject() const
    {48, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//841 Akonadi::ContactEditor::qt_metacast(const char*)
    {48, 1614, 23, 2, Smoke::mf_static, 277, 3},	//842 Akonadi::ContactEditor::tr(const char*, const char*)
    {48, 1618, 23, 2, Smoke::mf_static, 277, 4},	//843 Akonadi::ContactEditor::trUtf8(const char*, const char*)
    {48, 1614, 26, 3, Smoke::mf_static, 277, 5},	//844 Akonadi::ContactEditor::tr(const char*, const char*, int)
    {48, 1618, 26, 3, Smoke::mf_static, 277, 6},	//845 Akonadi::ContactEditor::trUtf8(const char*, const char*, int)
    {48, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//846 Akonadi::ContactEditor::qt_metacall(QMetaObject::Call, int, void**)
    {48, 162, 307, 2, Smoke::mf_ctor, 73, 8},	//847 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    {48, 162, 310, 3, Smoke::mf_ctor, 73, 9},	//848 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {48, 1343, 314, 1, 0, 0, 10},	//849 Akonadi::ContactEditor::setContactTemplate(const KABC::Addressee&)
    {48, 1358, 61, 1, 0, 0, 11},	//850 Akonadi::ContactEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {48, 1105, 56, 1, Smoke::mf_slot, 0, 12},	//851 Akonadi::ContactEditor::loadContact(const Akonadi::Item&)
    {48, 1244, 0, 0, Smoke::mf_slot, 388, 13},	//852 Akonadi::ContactEditor::saveContact()
    {48, 833, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//853 Akonadi::ContactEditor::contactStored(const Akonadi::Item&)
    {48, 931, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//854 Akonadi::ContactEditor::error(const QString&)
    {48, 1614, 21, 1, Smoke::mf_static, 277, 16},	//855 Akonadi::ContactEditor::tr(const char*)
    {48, 1618, 21, 1, Smoke::mf_static, 277, 17},	//856 Akonadi::ContactEditor::trUtf8(const char*)
    {48, 162, 316, 1, Smoke::mf_ctor, 73, 18},	//857 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode)
    {48, 162, 318, 2, Smoke::mf_ctor, 73, 19},	//858 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    {48, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 20},	//859 Akonadi::ContactEditor::staticMetaObject() const
    {48, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 21},	//860 Akonadi::ContactEditor::CreateMode (enum)
    {48, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 22},	//861 Akonadi::ContactEditor::EditMode (enum)
    {48, 1706, 0, 0, Smoke::mf_dtor, 0, 23 },	//862 Akonadi::ContactEditor::~ContactEditor()
    {49, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//863 Akonadi::ContactEditorDialog::metaObject() const
    {49, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//864 Akonadi::ContactEditorDialog::qt_metacast(const char*)
    {49, 1614, 23, 2, Smoke::mf_static, 277, 3},	//865 Akonadi::ContactEditorDialog::tr(const char*, const char*)
    {49, 1618, 23, 2, Smoke::mf_static, 277, 4},	//866 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*)
    {49, 1614, 26, 3, Smoke::mf_static, 277, 5},	//867 Akonadi::ContactEditorDialog::tr(const char*, const char*, int)
    {49, 1618, 26, 3, Smoke::mf_static, 277, 6},	//868 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*, int)
    {49, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//869 Akonadi::ContactEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {49, 166, 321, 2, Smoke::mf_ctor, 75, 8},	//870 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    {49, 166, 324, 3, Smoke::mf_ctor, 75, 9},	//871 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {49, 1333, 56, 1, 0, 0, 10},	//872 Akonadi::ContactEditorDialog::setContact(const Akonadi::Item&)
    {49, 1358, 61, 1, 0, 0, 11},	//873 Akonadi::ContactEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {49, 914, 0, 0, Smoke::mf_const, 73, 12},	//874 Akonadi::ContactEditorDialog::editor() const
    {49, 833, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//875 Akonadi::ContactEditorDialog::contactStored(const Akonadi::Item&)
    {49, 1614, 21, 1, Smoke::mf_static, 277, 14},	//876 Akonadi::ContactEditorDialog::tr(const char*)
    {49, 1618, 21, 1, Smoke::mf_static, 277, 15},	//877 Akonadi::ContactEditorDialog::trUtf8(const char*)
    {49, 166, 328, 1, Smoke::mf_ctor, 75, 16},	//878 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode)
    {49, 166, 330, 2, Smoke::mf_ctor, 75, 17},	//879 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    {49, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//880 Akonadi::ContactEditorDialog::staticMetaObject() const
    {49, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 19},	//881 Akonadi::ContactEditorDialog::CreateMode (enum)
    {49, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 20},	//882 Akonadi::ContactEditorDialog::EditMode (enum)
    {49, 1707, 0, 0, Smoke::mf_dtor, 0, 21 },	//883 Akonadi::ContactEditorDialog::~ContactEditorDialog()
    {50, 1612, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 277, 1},	//884 Akonadi::ContactEditorPagePlugin::title() const [pure virtual]
    {50, 1105, 314, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//885 Akonadi::ContactEditorPagePlugin::loadContact(const KABC::Addressee&) [pure virtual]
    {50, 1590, 333, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//886 Akonadi::ContactEditorPagePlugin::storeContact(KABC::Addressee&) const [pure virtual]
    {50, 1492, 45, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//887 Akonadi::ContactEditorPagePlugin::setReadOnly(bool) [pure virtual]
    {50, 170, 0, 0, Smoke::mf_ctor, 77, 5},	//888 Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin()
    {50, 1708, 0, 0, Smoke::mf_dtor, 0, 6 },	//889 Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin()
    {51, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//890 Akonadi::ContactGroupEditor::metaObject() const
    {51, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//891 Akonadi::ContactGroupEditor::qt_metacast(const char*)
    {51, 1614, 23, 2, Smoke::mf_static, 277, 3},	//892 Akonadi::ContactGroupEditor::tr(const char*, const char*)
    {51, 1618, 23, 2, Smoke::mf_static, 277, 4},	//893 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*)
    {51, 1614, 26, 3, Smoke::mf_static, 277, 5},	//894 Akonadi::ContactGroupEditor::tr(const char*, const char*, int)
    {51, 1618, 26, 3, Smoke::mf_static, 277, 6},	//895 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*, int)
    {51, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//896 Akonadi::ContactGroupEditor::qt_metacall(QMetaObject::Call, int, void**)
    {51, 171, 335, 2, Smoke::mf_ctor, 78, 8},	//897 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode, QWidget*)
    {51, 1341, 338, 1, 0, 0, 9},	//898 Akonadi::ContactGroupEditor::setContactGroupTemplate(const KABC::ContactGroup&)
    {51, 1358, 61, 1, 0, 0, 10},	//899 Akonadi::ContactGroupEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {51, 1107, 56, 1, Smoke::mf_slot, 0, 11},	//900 Akonadi::ContactGroupEditor::loadContactGroup(const Akonadi::Item&)
    {51, 1245, 0, 0, Smoke::mf_slot, 388, 12},	//901 Akonadi::ContactGroupEditor::saveContactGroup()
    {51, 830, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//902 Akonadi::ContactGroupEditor::contactGroupStored(const Akonadi::Item&)
    {51, 931, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//903 Akonadi::ContactGroupEditor::error(const QString&)
    {51, 1614, 21, 1, Smoke::mf_static, 277, 15},	//904 Akonadi::ContactGroupEditor::tr(const char*)
    {51, 1618, 21, 1, Smoke::mf_static, 277, 16},	//905 Akonadi::ContactGroupEditor::trUtf8(const char*)
    {51, 171, 340, 1, Smoke::mf_ctor, 78, 17},	//906 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode)
    {51, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//907 Akonadi::ContactGroupEditor::staticMetaObject() const
    {51, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 19},	//908 Akonadi::ContactGroupEditor::CreateMode (enum)
    {51, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 20},	//909 Akonadi::ContactGroupEditor::EditMode (enum)
    {51, 1709, 0, 0, Smoke::mf_dtor, 0, 21 },	//910 Akonadi::ContactGroupEditor::~ContactGroupEditor()
    {52, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//911 Akonadi::ContactGroupEditorDialog::metaObject() const
    {52, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//912 Akonadi::ContactGroupEditorDialog::qt_metacast(const char*)
    {52, 1614, 23, 2, Smoke::mf_static, 277, 3},	//913 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*)
    {52, 1618, 23, 2, Smoke::mf_static, 277, 4},	//914 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*)
    {52, 1614, 26, 3, Smoke::mf_static, 277, 5},	//915 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*, int)
    {52, 1618, 26, 3, Smoke::mf_static, 277, 6},	//916 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*, int)
    {52, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//917 Akonadi::ContactGroupEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {52, 174, 342, 2, Smoke::mf_ctor, 80, 8},	//918 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode, QWidget*)
    {52, 1337, 56, 1, 0, 0, 9},	//919 Akonadi::ContactGroupEditorDialog::setContactGroup(const Akonadi::Item&)
    {52, 1358, 61, 1, 0, 0, 10},	//920 Akonadi::ContactGroupEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {52, 914, 0, 0, Smoke::mf_const, 78, 11},	//921 Akonadi::ContactGroupEditorDialog::editor() const
    {52, 830, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//922 Akonadi::ContactGroupEditorDialog::contactGroupStored(const Akonadi::Item&)
    {52, 1563, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//923 Akonadi::ContactGroupEditorDialog::slotButtonClicked(int)
    {52, 1614, 21, 1, Smoke::mf_static, 277, 14},	//924 Akonadi::ContactGroupEditorDialog::tr(const char*)
    {52, 1618, 21, 1, Smoke::mf_static, 277, 15},	//925 Akonadi::ContactGroupEditorDialog::trUtf8(const char*)
    {52, 174, 345, 1, Smoke::mf_ctor, 80, 16},	//926 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode)
    {52, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//927 Akonadi::ContactGroupEditorDialog::staticMetaObject() const
    {52, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 18},	//928 Akonadi::ContactGroupEditorDialog::CreateMode (enum)
    {52, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 19},	//929 Akonadi::ContactGroupEditorDialog::EditMode (enum)
    {52, 1710, 0, 0, Smoke::mf_dtor, 0, 20 },	//930 Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog()
    {53, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//931 Akonadi::ContactGroupExpandJob::metaObject() const
    {53, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//932 Akonadi::ContactGroupExpandJob::qt_metacast(const char*)
    {53, 1614, 23, 2, Smoke::mf_static, 277, 3},	//933 Akonadi::ContactGroupExpandJob::tr(const char*, const char*)
    {53, 1618, 23, 2, Smoke::mf_static, 277, 4},	//934 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*)
    {53, 1614, 26, 3, Smoke::mf_static, 277, 5},	//935 Akonadi::ContactGroupExpandJob::tr(const char*, const char*, int)
    {53, 1618, 26, 3, Smoke::mf_static, 277, 6},	//936 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*, int)
    {53, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//937 Akonadi::ContactGroupExpandJob::qt_metacall(QMetaObject::Call, int, void**)
    {53, 177, 347, 2, Smoke::mf_ctor, 82, 8},	//938 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&, QObject*)
    {53, 177, 90, 2, Smoke::mf_ctor, 82, 9},	//939 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&, QObject*)
    {53, 835, 0, 0, Smoke::mf_const, 180, 10},	//940 Akonadi::ContactGroupExpandJob::contacts() const
    {53, 1572, 0, 0, Smoke::mf_virtual, 0, 11},	//941 Akonadi::ContactGroupExpandJob::start()
    {53, 1614, 21, 1, Smoke::mf_static, 277, 12},	//942 Akonadi::ContactGroupExpandJob::tr(const char*)
    {53, 1618, 21, 1, Smoke::mf_static, 277, 13},	//943 Akonadi::ContactGroupExpandJob::trUtf8(const char*)
    {53, 177, 338, 1, Smoke::mf_ctor, 82, 14},	//944 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&)
    {53, 177, 8, 1, Smoke::mf_ctor, 82, 15},	//945 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&)
    {53, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//946 Akonadi::ContactGroupExpandJob::staticMetaObject() const
    {53, 1711, 0, 0, Smoke::mf_dtor, 0, 17 },	//947 Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob()
    {54, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//948 Akonadi::ContactGroupSearchJob::metaObject() const
    {54, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//949 Akonadi::ContactGroupSearchJob::qt_metacast(const char*)
    {54, 1614, 23, 2, Smoke::mf_static, 277, 3},	//950 Akonadi::ContactGroupSearchJob::tr(const char*, const char*)
    {54, 1618, 23, 2, Smoke::mf_static, 277, 4},	//951 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*)
    {54, 1614, 26, 3, Smoke::mf_static, 277, 5},	//952 Akonadi::ContactGroupSearchJob::tr(const char*, const char*, int)
    {54, 1618, 26, 3, Smoke::mf_static, 277, 6},	//953 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*, int)
    {54, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//954 Akonadi::ContactGroupSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {54, 182, 78, 1, Smoke::mf_ctor, 83, 8},	//955 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob(QObject*)
    {54, 1484, 350, 2, 0, 0, 9},	//956 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&)
    {54, 1484, 353, 3, 0, 0, 10},	//957 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match)
    {54, 1441, 41, 1, 0, 0, 11},	//958 Akonadi::ContactGroupSearchJob::setLimit(int)
    {54, 832, 0, 0, Smoke::mf_const, 254, 12},	//959 Akonadi::ContactGroupSearchJob::contactGroups() const
    {54, 1614, 21, 1, Smoke::mf_static, 277, 13},	//960 Akonadi::ContactGroupSearchJob::tr(const char*)
    {54, 1618, 21, 1, Smoke::mf_static, 277, 14},	//961 Akonadi::ContactGroupSearchJob::trUtf8(const char*)
    {54, 182, 0, 0, Smoke::mf_ctor, 83, 15},	//962 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob()
    {54, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//963 Akonadi::ContactGroupSearchJob::staticMetaObject() const
    {54, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 17},	//964 Akonadi::ContactGroupSearchJob::Name (enum)
    {54, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 18},	//965 Akonadi::ContactGroupSearchJob::ExactMatch (enum)
    {54, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 19},	//966 Akonadi::ContactGroupSearchJob::StartsWithMatch (enum)
    {54, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 20},	//967 Akonadi::ContactGroupSearchJob::ContainsMatch (enum)
    {54, 1712, 0, 0, Smoke::mf_dtor, 0, 21 },	//968 Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob()
    {55, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//969 Akonadi::ContactGroupViewer::metaObject() const
    {55, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//970 Akonadi::ContactGroupViewer::qt_metacast(const char*)
    {55, 1614, 23, 2, Smoke::mf_static, 277, 3},	//971 Akonadi::ContactGroupViewer::tr(const char*, const char*)
    {55, 1618, 23, 2, Smoke::mf_static, 277, 4},	//972 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*)
    {55, 1614, 26, 3, Smoke::mf_static, 277, 5},	//973 Akonadi::ContactGroupViewer::tr(const char*, const char*, int)
    {55, 1618, 26, 3, Smoke::mf_static, 277, 6},	//974 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*, int)
    {55, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//975 Akonadi::ContactGroupViewer::qt_metacall(QMetaObject::Call, int, void**)
    {55, 184, 85, 1, Smoke::mf_ctor, 86, 8},	//976 Akonadi::ContactGroupViewer::ContactGroupViewer(QWidget*)
    {55, 829, 0, 0, Smoke::mf_const, 113, 9},	//977 Akonadi::ContactGroupViewer::contactGroup() const
    {55, 1339, 357, 1, 0, 0, 10},	//978 Akonadi::ContactGroupViewer::setContactGroupFormatter(Akonadi::AbstractContactGroupFormatter*)
    {55, 1337, 56, 1, Smoke::mf_slot, 0, 11},	//979 Akonadi::ContactGroupViewer::setContactGroup(const Akonadi::Item&)
    {55, 917, 300, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//980 Akonadi::ContactGroupViewer::emailClicked(const QString&, const QString&)
    {55, 1614, 21, 1, Smoke::mf_static, 277, 13},	//981 Akonadi::ContactGroupViewer::tr(const char*)
    {55, 1618, 21, 1, Smoke::mf_static, 277, 14},	//982 Akonadi::ContactGroupViewer::trUtf8(const char*)
    {55, 184, 0, 0, Smoke::mf_ctor, 86, 15},	//983 Akonadi::ContactGroupViewer::ContactGroupViewer()
    {55, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//984 Akonadi::ContactGroupViewer::staticMetaObject() const
    {55, 1713, 0, 0, Smoke::mf_dtor, 0, 17 },	//985 Akonadi::ContactGroupViewer::~ContactGroupViewer()
    {56, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//986 Akonadi::ContactGroupViewerDialog::metaObject() const
    {56, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//987 Akonadi::ContactGroupViewerDialog::qt_metacast(const char*)
    {56, 1614, 23, 2, Smoke::mf_static, 277, 3},	//988 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*)
    {56, 1618, 23, 2, Smoke::mf_static, 277, 4},	//989 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*)
    {56, 1614, 26, 3, Smoke::mf_static, 277, 5},	//990 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*, int)
    {56, 1618, 26, 3, Smoke::mf_static, 277, 6},	//991 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*, int)
    {56, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//992 Akonadi::ContactGroupViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {56, 186, 85, 1, Smoke::mf_ctor, 87, 8},	//993 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog(QWidget*)
    {56, 829, 0, 0, Smoke::mf_const, 113, 9},	//994 Akonadi::ContactGroupViewerDialog::contactGroup() const
    {56, 1650, 0, 0, Smoke::mf_const, 86, 10},	//995 Akonadi::ContactGroupViewerDialog::viewer() const
    {56, 1337, 56, 1, Smoke::mf_slot, 0, 11},	//996 Akonadi::ContactGroupViewerDialog::setContactGroup(const Akonadi::Item&)
    {56, 1614, 21, 1, Smoke::mf_static, 277, 12},	//997 Akonadi::ContactGroupViewerDialog::tr(const char*)
    {56, 1618, 21, 1, Smoke::mf_static, 277, 13},	//998 Akonadi::ContactGroupViewerDialog::trUtf8(const char*)
    {56, 186, 0, 0, Smoke::mf_ctor, 87, 14},	//999 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog()
    {56, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1000 Akonadi::ContactGroupViewerDialog::staticMetaObject() const
    {56, 1714, 0, 0, Smoke::mf_dtor, 0, 16 },	//1001 Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog()
    {57, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1002 Akonadi::ContactSearchJob::metaObject() const
    {57, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1003 Akonadi::ContactSearchJob::qt_metacast(const char*)
    {57, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1004 Akonadi::ContactSearchJob::tr(const char*, const char*)
    {57, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1005 Akonadi::ContactSearchJob::trUtf8(const char*, const char*)
    {57, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1006 Akonadi::ContactSearchJob::tr(const char*, const char*, int)
    {57, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1007 Akonadi::ContactSearchJob::trUtf8(const char*, const char*, int)
    {57, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1008 Akonadi::ContactSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {57, 188, 78, 1, Smoke::mf_ctor, 88, 8},	//1009 Akonadi::ContactSearchJob::ContactSearchJob(QObject*)
    {57, 1484, 359, 2, 0, 0, 9},	//1010 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&)
    {57, 1484, 362, 3, 0, 0, 10},	//1011 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match)
    {57, 1441, 41, 1, 0, 0, 11},	//1012 Akonadi::ContactSearchJob::setLimit(int)
    {57, 835, 0, 0, Smoke::mf_const, 180, 12},	//1013 Akonadi::ContactSearchJob::contacts() const
    {57, 1614, 21, 1, Smoke::mf_static, 277, 13},	//1014 Akonadi::ContactSearchJob::tr(const char*)
    {57, 1618, 21, 1, Smoke::mf_static, 277, 14},	//1015 Akonadi::ContactSearchJob::trUtf8(const char*)
    {57, 188, 0, 0, Smoke::mf_ctor, 88, 15},	//1016 Akonadi::ContactSearchJob::ContactSearchJob()
    {57, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//1017 Akonadi::ContactSearchJob::staticMetaObject() const
    {57, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 17},	//1018 Akonadi::ContactSearchJob::Name (enum)
    {57, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 18},	//1019 Akonadi::ContactSearchJob::Email (enum)
    {57, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 19},	//1020 Akonadi::ContactSearchJob::NickName (enum)
    {57, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 20},	//1021 Akonadi::ContactSearchJob::NameOrEmail (enum)
    {57, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 21},	//1022 Akonadi::ContactSearchJob::ContactUid (enum)
    {57, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 22},	//1023 Akonadi::ContactSearchJob::ExactMatch (enum)
    {57, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 23},	//1024 Akonadi::ContactSearchJob::StartsWithMatch (enum)
    {57, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 24},	//1025 Akonadi::ContactSearchJob::ContainsMatch (enum)
    {57, 1715, 0, 0, Smoke::mf_dtor, 0, 25 },	//1026 Akonadi::ContactSearchJob::~ContactSearchJob()
    {58, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1027 Akonadi::ContactViewer::metaObject() const
    {58, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1028 Akonadi::ContactViewer::qt_metacast(const char*)
    {58, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1029 Akonadi::ContactViewer::tr(const char*, const char*)
    {58, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1030 Akonadi::ContactViewer::trUtf8(const char*, const char*)
    {58, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1031 Akonadi::ContactViewer::tr(const char*, const char*, int)
    {58, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1032 Akonadi::ContactViewer::trUtf8(const char*, const char*, int)
    {58, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1033 Akonadi::ContactViewer::qt_metacall(QMetaObject::Call, int, void**)
    {58, 191, 85, 1, Smoke::mf_ctor, 91, 8},	//1034 Akonadi::ContactViewer::ContactViewer(QWidget*)
    {58, 828, 0, 0, Smoke::mf_const, 113, 9},	//1035 Akonadi::ContactViewer::contact() const
    {58, 1191, 0, 0, Smoke::mf_const, 178, 10},	//1036 Akonadi::ContactViewer::rawContact() const
    {58, 1335, 366, 1, 0, 0, 11},	//1037 Akonadi::ContactViewer::setContactFormatter(Akonadi::AbstractContactFormatter*)
    {58, 1333, 56, 1, Smoke::mf_slot, 0, 12},	//1038 Akonadi::ContactViewer::setContact(const Akonadi::Item&)
    {58, 1490, 314, 1, Smoke::mf_slot, 0, 13},	//1039 Akonadi::ContactViewer::setRawContact(const KABC::Addressee&)
    {58, 1641, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1040 Akonadi::ContactViewer::urlClicked(const KUrl&)
    {58, 917, 300, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1041 Akonadi::ContactViewer::emailClicked(const QString&, const QString&)
    {58, 1180, 303, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1042 Akonadi::ContactViewer::phoneNumberClicked(const KABC::PhoneNumber&)
    {58, 1568, 303, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1043 Akonadi::ContactViewer::smsClicked(const KABC::PhoneNumber&)
    {58, 713, 305, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1044 Akonadi::ContactViewer::addressClicked(const KABC::Address&)
    {58, 1614, 21, 1, Smoke::mf_static, 277, 19},	//1045 Akonadi::ContactViewer::tr(const char*)
    {58, 1618, 21, 1, Smoke::mf_static, 277, 20},	//1046 Akonadi::ContactViewer::trUtf8(const char*)
    {58, 191, 0, 0, Smoke::mf_ctor, 91, 21},	//1047 Akonadi::ContactViewer::ContactViewer()
    {58, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//1048 Akonadi::ContactViewer::staticMetaObject() const
    {58, 1716, 0, 0, Smoke::mf_dtor, 0, 23 },	//1049 Akonadi::ContactViewer::~ContactViewer()
    {59, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1050 Akonadi::ContactViewerDialog::metaObject() const
    {59, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1051 Akonadi::ContactViewerDialog::qt_metacast(const char*)
    {59, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1052 Akonadi::ContactViewerDialog::tr(const char*, const char*)
    {59, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1053 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*)
    {59, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1054 Akonadi::ContactViewerDialog::tr(const char*, const char*, int)
    {59, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1055 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*, int)
    {59, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1056 Akonadi::ContactViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 193, 85, 1, Smoke::mf_ctor, 92, 8},	//1057 Akonadi::ContactViewerDialog::ContactViewerDialog(QWidget*)
    {59, 828, 0, 0, Smoke::mf_const, 113, 9},	//1058 Akonadi::ContactViewerDialog::contact() const
    {59, 1650, 0, 0, Smoke::mf_const, 91, 10},	//1059 Akonadi::ContactViewerDialog::viewer() const
    {59, 1333, 56, 1, Smoke::mf_slot, 0, 11},	//1060 Akonadi::ContactViewerDialog::setContact(const Akonadi::Item&)
    {59, 1614, 21, 1, Smoke::mf_static, 277, 12},	//1061 Akonadi::ContactViewerDialog::tr(const char*)
    {59, 1618, 21, 1, Smoke::mf_static, 277, 13},	//1062 Akonadi::ContactViewerDialog::trUtf8(const char*)
    {59, 193, 0, 0, Smoke::mf_ctor, 92, 14},	//1063 Akonadi::ContactViewerDialog::ContactViewerDialog()
    {59, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1064 Akonadi::ContactViewerDialog::staticMetaObject() const
    {59, 1717, 0, 0, Smoke::mf_dtor, 0, 16 },	//1065 Akonadi::ContactViewerDialog::~ContactViewerDialog()
    {60, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1066 Akonadi::Control::metaObject() const
    {60, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1067 Akonadi::Control::qt_metacast(const char*)
    {60, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1068 Akonadi::Control::tr(const char*, const char*)
    {60, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1069 Akonadi::Control::trUtf8(const char*, const char*)
    {60, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1070 Akonadi::Control::tr(const char*, const char*, int)
    {60, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1071 Akonadi::Control::trUtf8(const char*, const char*, int)
    {60, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1072 Akonadi::Control::qt_metacall(QMetaObject::Call, int, void**)
    {60, 1572, 0, 0, Smoke::mf_static, 388, 8},	//1073 Akonadi::Control::start()
    {60, 1572, 85, 1, Smoke::mf_static, 388, 9},	//1074 Akonadi::Control::start(QWidget*)
    {60, 1586, 0, 0, Smoke::mf_static, 388, 10},	//1075 Akonadi::Control::stop()
    {60, 1586, 85, 1, Smoke::mf_static, 388, 11},	//1076 Akonadi::Control::stop(QWidget*)
    {60, 1221, 0, 0, Smoke::mf_static, 388, 12},	//1077 Akonadi::Control::restart()
    {60, 1221, 85, 1, Smoke::mf_static, 388, 13},	//1078 Akonadi::Control::restart(QWidget*)
    {60, 1660, 85, 1, Smoke::mf_static, 0, 14},	//1079 Akonadi::Control::widgetNeedsAkonadi(QWidget*)
    {60, 197, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 93, 15},	//1080 Akonadi::Control::Control()
    {60, 1614, 21, 1, Smoke::mf_static, 277, 16},	//1081 Akonadi::Control::tr(const char*)
    {60, 1618, 21, 1, Smoke::mf_static, 277, 17},	//1082 Akonadi::Control::trUtf8(const char*)
    {60, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//1083 Akonadi::Control::staticMetaObject() const
    {60, 1718, 0, 0, Smoke::mf_dtor, 0, 19 },	//1084 Akonadi::Control::~Control()
    {61, 1403, 146, 1, 0, 0, 1},	//1085 Akonadi::Entity::setId(long long)
    {61, 993, 0, 0, Smoke::mf_const, 479, 2},	//1086 Akonadi::Entity::id() const
    {61, 1494, 8, 1, 0, 0, 3},	//1087 Akonadi::Entity::setRemoteId(const QString&)
    {61, 1200, 0, 0, Smoke::mf_const, 277, 4},	//1088 Akonadi::Entity::remoteId() const
    {61, 1496, 8, 1, 0, 0, 5},	//1089 Akonadi::Entity::setRemoteRevision(const QString&)
    {61, 1201, 0, 0, Smoke::mf_const, 277, 6},	//1090 Akonadi::Entity::remoteRevision() const
    {61, 1051, 0, 0, Smoke::mf_const, 388, 7},	//1091 Akonadi::Entity::isValid() const
    {61, 1160, 368, 1, Smoke::mf_const, 388, 8},	//1092 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {61, 1154, 368, 1, Smoke::mf_const, 388, 9},	//1093 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {61, 1158, 368, 1, 0, 94, 10},	//1094 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {61, 1156, 368, 1, Smoke::mf_const, 388, 11},	//1095 Akonadi::Entity::operator<(const Akonadi::Entity&) const
    {61, 1170, 0, 0, Smoke::mf_const, 34, 12},	//1096 Akonadi::Entity::parentCollection() const
    {61, 1170, 0, 0, 0, 35, 13},	//1097 Akonadi::Entity::parentCollection()
    {61, 1473, 61, 1, 0, 0, 14},	//1098 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {61, 691, 370, 1, 0, 0, 15},	//1099 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {61, 1202, 6, 1, 0, 0, 16},	//1100 Akonadi::Entity::removeAttribute(const QByteArray&)
    {61, 975, 6, 1, Smoke::mf_const, 388, 17},	//1101 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {61, 732, 0, 0, Smoke::mf_const, 249, 18},	//1102 Akonadi::Entity::attributes() const
    {61, 765, 0, 0, 0, 0, 19},	//1103 Akonadi::Entity::clearAttributes()
    {61, 730, 6, 1, Smoke::mf_const, 27, 20},	//1104 Akonadi::Entity::attribute(const QByteArray&) const
    {61, 237, 368, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 95, 21},	//1105 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {61, 237, 372, 1, Smoke::mf_ctor|Smoke::mf_protected, 95, 22},	//1106 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {61, 865, 0, 0, Smoke::mf_protected, 101, 23},	//1107 Akonadi::Entity::d_func()
    {61, 865, 0, 0, Smoke::mf_const|Smoke::mf_protected, 411, 24},	//1108 Akonadi::Entity::d_func() const
    {61, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 25},	//1109 Akonadi::Entity::AddIfMissing (enum)
    {61, 1719, 0, 0, Smoke::mf_dtor, 0, 26 },	//1110 Akonadi::Entity::~Entity()
    {62, 239, 0, 0, Smoke::mf_ctor, 97, 1},	//1111 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute()
    {62, 1364, 8, 1, 0, 0, 2},	//1112 Akonadi::EntityDisplayAttribute::setDisplayName(const QString&)
    {62, 887, 0, 0, Smoke::mf_const, 277, 3},	//1113 Akonadi::EntityDisplayAttribute::displayName() const
    {62, 1401, 8, 1, 0, 0, 4},	//1114 Akonadi::EntityDisplayAttribute::setIconName(const QString&)
    {62, 991, 0, 0, Smoke::mf_const, 198, 5},	//1115 Akonadi::EntityDisplayAttribute::icon() const
    {62, 992, 0, 0, Smoke::mf_const, 277, 6},	//1116 Akonadi::EntityDisplayAttribute::iconName() const
    {62, 1278, 8, 1, 0, 0, 7},	//1117 Akonadi::EntityDisplayAttribute::setActiveIconName(const QString&)
    {62, 689, 0, 0, Smoke::mf_const, 198, 8},	//1118 Akonadi::EntityDisplayAttribute::activeIcon() const
    {62, 690, 0, 0, Smoke::mf_const, 277, 9},	//1119 Akonadi::EntityDisplayAttribute::activeIconName() const
    {62, 739, 0, 0, Smoke::mf_const, 218, 10},	//1120 Akonadi::EntityDisplayAttribute::backgroundColor() const
    {62, 1291, 374, 1, 0, 0, 11},	//1121 Akonadi::EntityDisplayAttribute::setBackgroundColor(const QColor&)
    {62, 1622, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 12},	//1122 Akonadi::EntityDisplayAttribute::type() const
    {62, 774, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 97, 13},	//1123 Akonadi::EntityDisplayAttribute::clone() const
    {62, 1271, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 14},	//1124 Akonadi::EntityDisplayAttribute::serialized() const
    {62, 877, 6, 1, Smoke::mf_virtual, 0, 15},	//1125 Akonadi::EntityDisplayAttribute::deserialize(const QByteArray&)
    {62, 239, 376, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 16},	//1126 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute(const Akonadi::EntityDisplayAttribute&)
    {62, 1720, 0, 0, Smoke::mf_dtor, 0, 17 },	//1127 Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute()
    {63, 241, 0, 0, Smoke::mf_ctor, 98, 1},	//1128 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute()
    {63, 1622, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 2},	//1129 Akonadi::EntityHiddenAttribute::type() const
    {63, 774, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 3},	//1130 Akonadi::EntityHiddenAttribute::clone() const
    {63, 1271, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 4},	//1131 Akonadi::EntityHiddenAttribute::serialized() const
    {63, 877, 6, 1, Smoke::mf_virtual, 0, 5},	//1132 Akonadi::EntityHiddenAttribute::deserialize(const QByteArray&)
    {63, 241, 378, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 6},	//1133 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute(const Akonadi::EntityHiddenAttribute&)
    {63, 1721, 0, 0, Smoke::mf_dtor, 0, 7 },	//1134 Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute()
    {64, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1135 Akonadi::EntityListView::metaObject() const
    {64, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1136 Akonadi::EntityListView::qt_metacast(const char*)
    {64, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1137 Akonadi::EntityListView::tr(const char*, const char*)
    {64, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1138 Akonadi::EntityListView::trUtf8(const char*, const char*)
    {64, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1139 Akonadi::EntityListView::tr(const char*, const char*, int)
    {64, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1140 Akonadi::EntityListView::trUtf8(const char*, const char*, int)
    {64, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1141 Akonadi::EntityListView::qt_metacall(QMetaObject::Call, int, void**)
    {64, 243, 85, 1, Smoke::mf_ctor, 99, 8},	//1142 Akonadi::EntityListView::EntityListView(QWidget*)
    {64, 243, 282, 2, Smoke::mf_ctor, 99, 9},	//1143 Akonadi::EntityListView::EntityListView(KXMLGUIClient*, QWidget*)
    {64, 1547, 287, 1, 0, 0, 10},	//1144 Akonadi::EntityListView::setXmlGuiClient(KXMLGUIClient*)
    {64, 1455, 159, 1, Smoke::mf_virtual, 0, 11},	//1145 Akonadi::EntityListView::setModel(QAbstractItemModel*)
    {64, 1366, 45, 1, 0, 0, 12},	//1146 Akonadi::EntityListView::setDropActionMenuEnabled(bool)
    {64, 1043, 0, 0, Smoke::mf_const, 388, 13},	//1147 Akonadi::EntityListView::isDropActionMenuEnabled() const
    {64, 772, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1148 Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    {64, 772, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1149 Akonadi::EntityListView::clicked(const Akonadi::Item&)
    {64, 900, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1150 Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    {64, 900, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1151 Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    {64, 858, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1152 Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    {64, 858, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1153 Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    {64, 858, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1154 Akonadi::EntityListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {64, 1574, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1155 Akonadi::EntityListView::startDrag(QFlags<Qt::DropAction>)
    {64, 909, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1156 Akonadi::EntityListView::dropEvent(QDropEvent*)
    {64, 905, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1157 Akonadi::EntityListView::dragMoveEvent(QDragMoveEvent*)
    {64, 839, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1158 Akonadi::EntityListView::contextMenuEvent(QContextMenuEvent*)
    {64, 1614, 21, 1, Smoke::mf_static, 277, 25},	//1159 Akonadi::EntityListView::tr(const char*)
    {64, 1618, 21, 1, Smoke::mf_static, 277, 26},	//1160 Akonadi::EntityListView::trUtf8(const char*)
    {64, 243, 0, 0, Smoke::mf_ctor, 99, 27},	//1161 Akonadi::EntityListView::EntityListView()
    {64, 243, 287, 1, Smoke::mf_ctor, 99, 28},	//1162 Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    {64, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 29},	//1163 Akonadi::EntityListView::staticMetaObject() const
    {64, 1722, 0, 0, Smoke::mf_dtor, 0, 30 },	//1164 Akonadi::EntityListView::~EntityListView()
    {65, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1165 Akonadi::EntityMimeTypeFilterModel::metaObject() const
    {65, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1166 Akonadi::EntityMimeTypeFilterModel::qt_metacast(const char*)
    {65, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1167 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*)
    {65, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1168 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*)
    {65, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1169 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*, int)
    {65, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1170 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*, int)
    {65, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1171 Akonadi::EntityMimeTypeFilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {65, 246, 78, 1, Smoke::mf_ctor, 100, 8},	//1172 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel(QObject*)
    {65, 707, 10, 1, 0, 0, 9},	//1173 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters(const QStringList&)
    {65, 699, 10, 1, 0, 0, 10},	//1174 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters(const QStringList&)
    {65, 705, 8, 1, 0, 0, 11},	//1175 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter(const QString&)
    {65, 697, 8, 1, 0, 0, 12},	//1176 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter(const QString&)
    {65, 1131, 0, 0, Smoke::mf_const, 278, 13},	//1177 Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters() const
    {65, 1128, 0, 0, Smoke::mf_const, 278, 14},	//1178 Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters() const
    {65, 767, 0, 0, 0, 0, 15},	//1179 Akonadi::EntityMimeTypeFilterModel::clearFilters()
    {65, 1397, 382, 1, 0, 0, 16},	//1180 Akonadi::EntityMimeTypeFilterModel::setHeaderGroup(Akonadi::EntityTreeModel::HeaderGroup)
    {65, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 17},	//1181 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation, int) const
    {65, 977, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 18},	//1182 Akonadi::EntityMimeTypeFilterModel::hasChildren(const QModelIndex&) const
    {65, 745, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 19},	//1183 Akonadi::EntityMimeTypeFilterModel::canFetchMore(const QModelIndex&) const
    {65, 1118, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 20},	//1184 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {65, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 21},	//1185 Akonadi::EntityMimeTypeFilterModel::columnCount(const QModelIndex&) const
    {65, 961, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 22},	//1186 Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow(int, const QModelIndex&) const
    {65, 1614, 21, 1, Smoke::mf_static, 277, 23},	//1187 Akonadi::EntityMimeTypeFilterModel::tr(const char*)
    {65, 1618, 21, 1, Smoke::mf_static, 277, 24},	//1188 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*)
    {65, 246, 0, 0, Smoke::mf_ctor, 100, 25},	//1189 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel()
    {65, 982, 112, 2, Smoke::mf_const, 287, 26},	//1190 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation) const
    {65, 977, 0, 0, Smoke::mf_const, 388, 27},	//1191 Akonadi::EntityMimeTypeFilterModel::hasChildren() const
    {65, 1118, 390, 3, Smoke::mf_const, 256, 28},	//1192 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&) const
    {65, 1118, 394, 4, Smoke::mf_const, 256, 29},	//1193 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int) const
    {65, 813, 0, 0, Smoke::mf_const, 476, 30},	//1194 Akonadi::EntityMimeTypeFilterModel::columnCount() const
    {65, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 31},	//1195 Akonadi::EntityMimeTypeFilterModel::staticMetaObject() const
    {65, 1723, 0, 0, Smoke::mf_dtor, 0, 32 },	//1196 Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel()
    {67, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1197 Akonadi::EntityTreeModel::metaObject() const
    {67, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1198 Akonadi::EntityTreeModel::qt_metacast(const char*)
    {67, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1199 Akonadi::EntityTreeModel::tr(const char*, const char*)
    {67, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1200 Akonadi::EntityTreeModel::trUtf8(const char*, const char*)
    {67, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1201 Akonadi::EntityTreeModel::tr(const char*, const char*, int)
    {67, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1202 Akonadi::EntityTreeModel::trUtf8(const char*, const char*, int)
    {67, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1203 Akonadi::EntityTreeModel::qt_metacall(QMetaObject::Call, int, void**)
    {67, 249, 399, 2, Smoke::mf_ctor, 102, 8},	//1204 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    {67, 1516, 45, 1, 0, 0, 9},	//1205 Akonadi::EntityTreeModel::setShowSystemEntities(bool)
    {67, 1607, 0, 0, Smoke::mf_const, 388, 10},	//1206 Akonadi::EntityTreeModel::systemEntitiesShown() const
    {67, 1001, 0, 0, Smoke::mf_const, 388, 11},	//1207 Akonadi::EntityTreeModel::includeUnsubscribed() const
    {67, 1413, 45, 1, 0, 0, 12},	//1208 Akonadi::EntityTreeModel::setIncludeUnsubscribed(bool)
    {67, 1431, 402, 1, 0, 0, 13},	//1209 Akonadi::EntityTreeModel::setItemPopulationStrategy(Akonadi::EntityTreeModel::ItemPopulationStrategy)
    {67, 1077, 0, 0, Smoke::mf_const, 106, 14},	//1210 Akonadi::EntityTreeModel::itemPopulationStrategy() const
    {67, 1409, 45, 1, 0, 0, 15},	//1211 Akonadi::EntityTreeModel::setIncludeRootCollection(bool)
    {67, 998, 0, 0, Smoke::mf_const, 388, 16},	//1212 Akonadi::EntityTreeModel::includeRootCollection() const
    {67, 1507, 8, 1, 0, 0, 17},	//1213 Akonadi::EntityTreeModel::setRootCollectionDisplayName(const QString&)
    {67, 1237, 0, 0, Smoke::mf_const, 277, 18},	//1214 Akonadi::EntityTreeModel::rootCollectionDisplayName() const
    {67, 1312, 404, 1, 0, 0, 19},	//1215 Akonadi::EntityTreeModel::setCollectionFetchStrategy(Akonadi::EntityTreeModel::CollectionFetchStrategy)
    {67, 786, 0, 0, Smoke::mf_const, 103, 20},	//1216 Akonadi::EntityTreeModel::collectionFetchStrategy() const
    {67, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 21},	//1217 Akonadi::EntityTreeModel::columnCount(const QModelIndex&) const
    {67, 1238, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 22},	//1218 Akonadi::EntityTreeModel::rowCount(const QModelIndex&) const
    {67, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 23},	//1219 Akonadi::EntityTreeModel::data(const QModelIndex&, int) const
    {67, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 24},	//1220 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation, int) const
    {67, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 25},	//1221 Akonadi::EntityTreeModel::flags(const QModelIndex&) const
    {67, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 26},	//1222 Akonadi::EntityTreeModel::mimeTypes() const
    {67, 1595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 27},	//1223 Akonadi::EntityTreeModel::supportedDropActions() const
    {67, 1125, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 28},	//1224 Akonadi::EntityTreeModel::mimeData(const QList<QModelIndex>&) const
    {67, 911, 225, 5, Smoke::mf_virtual, 388, 29},	//1225 Akonadi::EntityTreeModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {67, 1355, 108, 3, Smoke::mf_virtual, 388, 30},	//1226 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&, int)
    {67, 1004, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 31},	//1227 Akonadi::EntityTreeModel::index(int, int, const QModelIndex&) const
    {67, 1168, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 32},	//1228 Akonadi::EntityTreeModel::parent(const QModelIndex&) const
    {67, 745, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 33},	//1229 Akonadi::EntityTreeModel::canFetchMore(const QModelIndex&) const
    {67, 954, 95, 1, Smoke::mf_virtual, 0, 34},	//1230 Akonadi::EntityTreeModel::fetchMore(const QModelIndex&)
    {67, 977, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 35},	//1231 Akonadi::EntityTreeModel::hasChildren(const QModelIndex&) const
    {67, 1118, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 36},	//1232 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {67, 1137, 406, 2, Smoke::mf_static, 261, 37},	//1233 Akonadi::EntityTreeModel::modelIndexForCollection(const QAbstractItemModel*, const Akonadi::Collection&)
    {67, 1139, 409, 2, Smoke::mf_static, 256, 38},	//1234 Akonadi::EntityTreeModel::modelIndexesForItem(const QAbstractItemModel*, const Akonadi::Item&)
    {67, 764, 0, 0, Smoke::mf_protected, 0, 39},	//1235 Akonadi::EntityTreeModel::clearAndReset()
    {67, 924, 412, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 40},	//1236 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    {67, 924, 416, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 41},	//1237 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    {67, 927, 420, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 42},	//1238 Akonadi::EntityTreeModel::entityHeaderData(int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 922, 382, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 43},	//1239 Akonadi::EntityTreeModel::entityColumnCount(Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 929, 425, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 44},	//1240 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 929, 429, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 45},	//1241 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 865, 0, 0, Smoke::mf_protected, 108, 46},	//1242 Akonadi::EntityTreeModel::d_func()
    {67, 865, 0, 0, Smoke::mf_const|Smoke::mf_protected, 412, 47},	//1243 Akonadi::EntityTreeModel::d_func() const
    {67, 249, 433, 3, Smoke::mf_ctor|Smoke::mf_protected, 102, 48},	//1244 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*)
    {67, 1614, 21, 1, Smoke::mf_static, 277, 49},	//1245 Akonadi::EntityTreeModel::tr(const char*)
    {67, 1618, 21, 1, Smoke::mf_static, 277, 50},	//1246 Akonadi::EntityTreeModel::trUtf8(const char*)
    {67, 249, 437, 1, Smoke::mf_ctor, 102, 51},	//1247 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*)
    {67, 813, 0, 0, Smoke::mf_const, 476, 52},	//1248 Akonadi::EntityTreeModel::columnCount() const
    {67, 1238, 0, 0, Smoke::mf_const, 476, 53},	//1249 Akonadi::EntityTreeModel::rowCount() const
    {67, 866, 95, 1, Smoke::mf_const, 287, 54},	//1250 Akonadi::EntityTreeModel::data(const QModelIndex&) const
    {67, 982, 112, 2, Smoke::mf_const, 287, 55},	//1251 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation) const
    {67, 1355, 240, 2, 0, 388, 56},	//1252 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&)
    {67, 1004, 115, 2, Smoke::mf_const, 261, 57},	//1253 Akonadi::EntityTreeModel::index(int, int) const
    {67, 977, 0, 0, Smoke::mf_const, 388, 58},	//1254 Akonadi::EntityTreeModel::hasChildren() const
    {67, 1118, 390, 3, Smoke::mf_const, 256, 59},	//1255 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&) const
    {67, 1118, 394, 4, Smoke::mf_const, 256, 60},	//1256 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int) const
    {67, 924, 439, 2, Smoke::mf_const|Smoke::mf_protected, 287, 61},	//1257 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    {67, 924, 442, 2, Smoke::mf_const|Smoke::mf_protected, 287, 62},	//1258 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    {67, 249, 445, 2, Smoke::mf_ctor|Smoke::mf_protected, 102, 63},	//1259 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    {67, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 64},	//1260 Akonadi::EntityTreeModel::staticMetaObject() const
    {67, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 65},	//1261 Akonadi::EntityTreeModel::ItemIdRole (enum)
    {67, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 66},	//1262 Akonadi::EntityTreeModel::ItemRole (enum)
    {67, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 67},	//1263 Akonadi::EntityTreeModel::MimeTypeRole (enum)
    {67, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 68},	//1264 Akonadi::EntityTreeModel::CollectionIdRole (enum)
    {67, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 69},	//1265 Akonadi::EntityTreeModel::CollectionRole (enum)
    {67, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 70},	//1266 Akonadi::EntityTreeModel::RemoteIdRole (enum)
    {67, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 71},	//1267 Akonadi::EntityTreeModel::CollectionChildOrderRole (enum)
    {67, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 72},	//1268 Akonadi::EntityTreeModel::AmazingCompletionRole (enum)
    {67, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 73},	//1269 Akonadi::EntityTreeModel::ParentCollectionRole (enum)
    {67, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 74},	//1270 Akonadi::EntityTreeModel::ColumnCountRole (enum)
    {67, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 75},	//1271 Akonadi::EntityTreeModel::LoadedPartsRole (enum)
    {67, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 76},	//1272 Akonadi::EntityTreeModel::AvailablePartsRole (enum)
    {67, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 77},	//1273 Akonadi::EntityTreeModel::SessionRole (enum)
    {67, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 78},	//1274 Akonadi::EntityTreeModel::CollectionRefRole (enum)
    {67, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 79},	//1275 Akonadi::EntityTreeModel::CollectionDerefRole (enum)
    {67, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 80},	//1276 Akonadi::EntityTreeModel::PendingCutRole (enum)
    {67, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 81},	//1277 Akonadi::EntityTreeModel::EntityUrlRole (enum)
    {67, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 82},	//1278 Akonadi::EntityTreeModel::UnreadCountRole (enum)
    {67, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 83},	//1279 Akonadi::EntityTreeModel::FetchStateRole (enum)
    {67, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 84},	//1280 Akonadi::EntityTreeModel::CollectionSyncProgressRole (enum)
    {67, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 85},	//1281 Akonadi::EntityTreeModel::UserRole (enum)
    {67, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 86},	//1282 Akonadi::EntityTreeModel::TerminalUserRole (enum)
    {67, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 87},	//1283 Akonadi::EntityTreeModel::EndRole (enum)
    {67, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 88},	//1284 Akonadi::EntityTreeModel::IdleState (enum)
    {67, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 89},	//1285 Akonadi::EntityTreeModel::FetchingState (enum)
    {67, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 90},	//1286 Akonadi::EntityTreeModel::EntityTreeHeaders (enum)
    {67, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 91},	//1287 Akonadi::EntityTreeModel::CollectionTreeHeaders (enum)
    {67, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 92},	//1288 Akonadi::EntityTreeModel::ItemListHeaders (enum)
    {67, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 93},	//1289 Akonadi::EntityTreeModel::UserHeaders (enum)
    {67, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 94},	//1290 Akonadi::EntityTreeModel::EndHeaderGroup (enum)
    {67, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 95},	//1291 Akonadi::EntityTreeModel::NoItemPopulation (enum)
    {67, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 96},	//1292 Akonadi::EntityTreeModel::ImmediatePopulation (enum)
    {67, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 97},	//1293 Akonadi::EntityTreeModel::LazyPopulation (enum)
    {67, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 98},	//1294 Akonadi::EntityTreeModel::FetchNoCollections (enum)
    {67, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 99},	//1295 Akonadi::EntityTreeModel::FetchFirstLevelChildCollections (enum)
    {67, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 100},	//1296 Akonadi::EntityTreeModel::FetchCollectionsRecursive (enum)
    {67, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 101},	//1297 Akonadi::EntityTreeModel::InvisibleCollectionFetch (enum)
    {67, 1724, 0, 0, Smoke::mf_dtor, 0, 102 },	//1298 Akonadi::EntityTreeModel::~EntityTreeModel()
    {69, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1299 Akonadi::EntityTreeView::metaObject() const
    {69, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1300 Akonadi::EntityTreeView::qt_metacast(const char*)
    {69, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1301 Akonadi::EntityTreeView::tr(const char*, const char*)
    {69, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1302 Akonadi::EntityTreeView::trUtf8(const char*, const char*)
    {69, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1303 Akonadi::EntityTreeView::tr(const char*, const char*, int)
    {69, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1304 Akonadi::EntityTreeView::trUtf8(const char*, const char*, int)
    {69, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1305 Akonadi::EntityTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {69, 253, 85, 1, Smoke::mf_ctor, 109, 8},	//1306 Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    {69, 253, 282, 2, Smoke::mf_ctor, 109, 9},	//1307 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*, QWidget*)
    {69, 1547, 287, 1, 0, 0, 10},	//1308 Akonadi::EntityTreeView::setXmlGuiClient(KXMLGUIClient*)
    {69, 1455, 159, 1, Smoke::mf_virtual, 0, 11},	//1309 Akonadi::EntityTreeView::setModel(QAbstractItemModel*)
    {69, 1366, 45, 1, 0, 0, 12},	//1310 Akonadi::EntityTreeView::setDropActionMenuEnabled(bool)
    {69, 1043, 0, 0, Smoke::mf_const, 388, 13},	//1311 Akonadi::EntityTreeView::isDropActionMenuEnabled() const
    {69, 772, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1312 Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    {69, 772, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1313 Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    {69, 900, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1314 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    {69, 900, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1315 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    {69, 858, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1316 Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    {69, 858, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1317 Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    {69, 858, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1318 Akonadi::EntityTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {69, 1574, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1319 Akonadi::EntityTreeView::startDrag(QFlags<Qt::DropAction>)
    {69, 905, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1320 Akonadi::EntityTreeView::dragMoveEvent(QDragMoveEvent*)
    {69, 909, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1321 Akonadi::EntityTreeView::dropEvent(QDropEvent*)
    {69, 1610, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1322 Akonadi::EntityTreeView::timerEvent(QTimerEvent*)
    {69, 839, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1323 Akonadi::EntityTreeView::contextMenuEvent(QContextMenuEvent*)
    {69, 1614, 21, 1, Smoke::mf_static, 277, 26},	//1324 Akonadi::EntityTreeView::tr(const char*)
    {69, 1618, 21, 1, Smoke::mf_static, 277, 27},	//1325 Akonadi::EntityTreeView::trUtf8(const char*)
    {69, 253, 0, 0, Smoke::mf_ctor, 109, 28},	//1326 Akonadi::EntityTreeView::EntityTreeView()
    {69, 253, 287, 1, Smoke::mf_ctor, 109, 29},	//1327 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    {69, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 30},	//1328 Akonadi::EntityTreeView::staticMetaObject() const
    {69, 1725, 0, 0, Smoke::mf_dtor, 0, 31 },	//1329 Akonadi::EntityTreeView::~EntityTreeView()
    {70, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1330 Akonadi::EntityTreeViewStateSaver::metaObject() const
    {70, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1331 Akonadi::EntityTreeViewStateSaver::qt_metacast(const char*)
    {70, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1332 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*)
    {70, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1333 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*)
    {70, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1334 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*, int)
    {70, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1335 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*, int)
    {70, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1336 Akonadi::EntityTreeViewStateSaver::qt_metacall(QMetaObject::Call, int, void**)
    {70, 256, 270, 1, Smoke::mf_ctor, 110, 8},	//1337 Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver(QTreeView*)
    {70, 1246, 450, 1, Smoke::mf_const, 0, 9},	//1338 Akonadi::EntityTreeViewStateSaver::saveState(KConfigGroup&) const
    {70, 1223, 452, 1, Smoke::mf_const, 0, 10},	//1339 Akonadi::EntityTreeViewStateSaver::restoreState(const KConfigGroup&) const
    {70, 1614, 21, 1, Smoke::mf_static, 277, 11},	//1340 Akonadi::EntityTreeViewStateSaver::tr(const char*)
    {70, 1618, 21, 1, Smoke::mf_static, 277, 12},	//1341 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*)
    {70, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//1342 Akonadi::EntityTreeViewStateSaver::staticMetaObject() const
    {70, 1726, 0, 0, Smoke::mf_dtor, 0, 14 },	//1343 Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver()
    {71, 263, 21, 1, Smoke::mf_ctor, 111, 1},	//1344 Akonadi::Exception::Exception(const char*)
    {71, 263, 6, 1, Smoke::mf_ctor, 111, 2},	//1345 Akonadi::Exception::Exception(const QByteArray&)
    {71, 263, 8, 1, Smoke::mf_ctor, 111, 3},	//1346 Akonadi::Exception::Exception(const QString&)
    {71, 263, 454, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 4},	//1347 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {71, 1658, 0, 0, Smoke::mf_const, 472, 5},	//1348 Akonadi::Exception::what() const
    {71, 1622, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 6},	//1349 Akonadi::Exception::type() const
    {71, 1727, 0, 0, Smoke::mf_dtor, 0, 7 },	//1350 Akonadi::Exception::~Exception()
    {72, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1351 Akonadi::FavoriteCollectionsModel::metaObject() const
    {72, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1352 Akonadi::FavoriteCollectionsModel::qt_metacast(const char*)
    {72, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1353 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*)
    {72, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1354 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*)
    {72, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1355 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*, int)
    {72, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1356 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*, int)
    {72, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1357 Akonadi::FavoriteCollectionsModel::qt_metacall(QMetaObject::Call, int, void**)
    {72, 268, 456, 3, Smoke::mf_ctor, 112, 8},	//1358 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&, QObject*)
    {72, 804, 0, 0, Smoke::mf_const, 251, 9},	//1359 Akonadi::FavoriteCollectionsModel::collections() const
    {72, 789, 0, 0, Smoke::mf_const, 250, 10},	//1360 Akonadi::FavoriteCollectionsModel::collectionIds() const
    {72, 938, 61, 1, 0, 277, 11},	//1361 Akonadi::FavoriteCollectionsModel::favoriteLabel(const Akonadi::Collection&)
    {72, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//1362 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&, int) const
    {72, 1355, 108, 3, Smoke::mf_virtual, 388, 13},	//1363 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&, int)
    {72, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 14},	//1364 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation, int) const
    {72, 911, 225, 5, Smoke::mf_virtual, 388, 15},	//1365 Akonadi::FavoriteCollectionsModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {72, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 16},	//1366 Akonadi::FavoriteCollectionsModel::mimeTypes() const
    {72, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 17},	//1367 Akonadi::FavoriteCollectionsModel::flags(const QModelIndex&) const
    {72, 1325, 199, 1, Smoke::mf_slot, 0, 18},	//1368 Akonadi::FavoriteCollectionsModel::setCollections(const Akonadi::Collection::List&)
    {72, 695, 61, 1, Smoke::mf_slot, 0, 19},	//1369 Akonadi::FavoriteCollectionsModel::addCollection(const Akonadi::Collection&)
    {72, 1204, 61, 1, Smoke::mf_slot, 0, 20},	//1370 Akonadi::FavoriteCollectionsModel::removeCollection(const Akonadi::Collection&)
    {72, 1375, 460, 2, Smoke::mf_slot, 0, 21},	//1371 Akonadi::FavoriteCollectionsModel::setFavoriteLabel(const Akonadi::Collection&, const QString&)
    {72, 1614, 21, 1, Smoke::mf_static, 277, 22},	//1372 Akonadi::FavoriteCollectionsModel::tr(const char*)
    {72, 1618, 21, 1, Smoke::mf_static, 277, 23},	//1373 Akonadi::FavoriteCollectionsModel::trUtf8(const char*)
    {72, 268, 463, 2, Smoke::mf_ctor, 112, 24},	//1374 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&)
    {72, 866, 95, 1, Smoke::mf_const, 287, 25},	//1375 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&) const
    {72, 1355, 240, 2, 0, 388, 26},	//1376 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&)
    {72, 982, 112, 2, Smoke::mf_const, 287, 27},	//1377 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation) const
    {72, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 28},	//1378 Akonadi::FavoriteCollectionsModel::staticMetaObject() const
    {72, 1728, 0, 0, Smoke::mf_dtor, 0, 29 },	//1379 Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel()
    {73, 304, 0, 0, Smoke::mf_ctor, 115, 1},	//1380 Akonadi::Item::Item()
    {73, 304, 146, 1, Smoke::mf_ctor, 115, 2},	//1381 Akonadi::Item::Item(long long)
    {73, 304, 8, 1, Smoke::mf_ctor, 115, 3},	//1382 Akonadi::Item::Item(const QString&)
    {73, 304, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 115, 4},	//1383 Akonadi::Item::Item(const Akonadi::Item&)
    {73, 972, 148, 1, Smoke::mf_static, 113, 5},	//1384 Akonadi::Item::fromUrl(const KUrl&)
    {73, 965, 0, 0, Smoke::mf_const, 273, 6},	//1385 Akonadi::Item::flags() const
    {73, 1141, 0, 0, Smoke::mf_const, 222, 7},	//1386 Akonadi::Item::modificationTime() const
    {73, 1458, 466, 1, 0, 0, 8},	//1387 Akonadi::Item::setModificationTime(const QDateTime&)
    {73, 979, 6, 1, Smoke::mf_const, 388, 9},	//1388 Akonadi::Item::hasFlag(const QByteArray&) const
    {73, 1383, 6, 1, 0, 0, 10},	//1389 Akonadi::Item::setFlag(const QByteArray&)
    {73, 768, 6, 1, 0, 0, 11},	//1390 Akonadi::Item::clearFlag(const QByteArray&)
    {73, 1385, 468, 1, 0, 0, 12},	//1391 Akonadi::Item::setFlags(const QSet<QByteArray>&)
    {73, 770, 0, 0, 0, 0, 13},	//1392 Akonadi::Item::clearFlags()
    {73, 1477, 6, 1, 0, 0, 14},	//1393 Akonadi::Item::setPayloadFromData(const QByteArray&)
    {73, 1175, 0, 0, Smoke::mf_const, 215, 15},	//1394 Akonadi::Item::payloadData() const
    {73, 1109, 0, 0, Smoke::mf_const, 273, 16},	//1395 Akonadi::Item::loadedPayloadParts() const
    {73, 771, 0, 0, 0, 0, 17},	//1396 Akonadi::Item::clearPayload()
    {73, 1503, 41, 1, 0, 0, 18},	//1397 Akonadi::Item::setRevision(int)
    {73, 1233, 0, 0, Smoke::mf_const, 476, 19},	//1398 Akonadi::Item::revision() const
    {73, 1589, 0, 0, Smoke::mf_const, 479, 20},	//1399 Akonadi::Item::storageCollectionId() const
    {73, 1518, 146, 1, 0, 0, 21},	//1400 Akonadi::Item::setSize(long long)
    {73, 1559, 0, 0, Smoke::mf_const, 479, 22},	//1401 Akonadi::Item::size() const
    {73, 1448, 8, 1, 0, 0, 23},	//1402 Akonadi::Item::setMimeType(const QString&)
    {73, 1127, 0, 0, Smoke::mf_const, 277, 24},	//1403 Akonadi::Item::mimeType() const
    {73, 737, 0, 0, Smoke::mf_const, 290, 25},	//1404 Akonadi::Item::availablePayloadMetaTypeIds() const
    {73, 981, 0, 0, Smoke::mf_const, 388, 26},	//1405 Akonadi::Item::hasPayload() const
    {73, 1639, 470, 1, Smoke::mf_const, 203, 27},	//1406 Akonadi::Item::url(Akonadi::Item::UrlType) const
    {73, 738, 0, 0, Smoke::mf_const, 273, 28},	//1407 Akonadi::Item::availablePayloadParts() const
    {73, 727, 56, 1, 0, 0, 29},	//1408 Akonadi::Item::apply(const Akonadi::Item&)
    {73, 1639, 0, 0, Smoke::mf_const, 203, 30},	//1409 Akonadi::Item::url() const
    {73, 280, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 472, 31},	//1410 Akonadi::Item::FullPayload() const
    {73, 1389, 21, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 32},	//1411 Akonadi::Item::setFullPayload(const char*)
    {73, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 33},	//1412 Akonadi::Item::UrlShort (enum)
    {73, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 34},	//1413 Akonadi::Item::UrlWithMimeType (enum)
    {73, 1729, 0, 0, Smoke::mf_dtor, 0, 35 },	//1414 Akonadi::Item::~Item()
    {74, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1415 Akonadi::ItemCopyJob::metaObject() const
    {74, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1416 Akonadi::ItemCopyJob::qt_metacast(const char*)
    {74, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1417 Akonadi::ItemCopyJob::tr(const char*, const char*)
    {74, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1418 Akonadi::ItemCopyJob::trUtf8(const char*, const char*)
    {74, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1419 Akonadi::ItemCopyJob::tr(const char*, const char*, int)
    {74, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1420 Akonadi::ItemCopyJob::trUtf8(const char*, const char*, int)
    {74, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1421 Akonadi::ItemCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {74, 307, 472, 3, Smoke::mf_ctor, 118, 8},	//1422 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {74, 307, 476, 3, Smoke::mf_ctor, 118, 9},	//1423 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {74, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1424 Akonadi::ItemCopyJob::doStart()
    {74, 1614, 21, 1, Smoke::mf_static, 277, 11},	//1425 Akonadi::ItemCopyJob::tr(const char*)
    {74, 1618, 21, 1, Smoke::mf_static, 277, 12},	//1426 Akonadi::ItemCopyJob::trUtf8(const char*)
    {74, 307, 50, 2, Smoke::mf_ctor, 118, 13},	//1427 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&)
    {74, 307, 480, 2, Smoke::mf_ctor, 118, 14},	//1428 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {74, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1429 Akonadi::ItemCopyJob::staticMetaObject() const
    {74, 1730, 0, 0, Smoke::mf_dtor, 0, 16 },	//1430 Akonadi::ItemCopyJob::~ItemCopyJob()
    {75, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1431 Akonadi::ItemCreateJob::metaObject() const
    {75, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1432 Akonadi::ItemCreateJob::qt_metacast(const char*)
    {75, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1433 Akonadi::ItemCreateJob::tr(const char*, const char*)
    {75, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1434 Akonadi::ItemCreateJob::trUtf8(const char*, const char*)
    {75, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1435 Akonadi::ItemCreateJob::tr(const char*, const char*, int)
    {75, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1436 Akonadi::ItemCreateJob::trUtf8(const char*, const char*, int)
    {75, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1437 Akonadi::ItemCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {75, 312, 472, 3, Smoke::mf_ctor, 119, 8},	//1438 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {75, 1061, 0, 0, Smoke::mf_const, 113, 9},	//1439 Akonadi::ItemCreateJob::item() const
    {75, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1440 Akonadi::ItemCreateJob::doStart()
    {75, 889, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1441 Akonadi::ItemCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {75, 1614, 21, 1, Smoke::mf_static, 277, 12},	//1442 Akonadi::ItemCreateJob::tr(const char*)
    {75, 1618, 21, 1, Smoke::mf_static, 277, 13},	//1443 Akonadi::ItemCreateJob::trUtf8(const char*)
    {75, 312, 50, 2, Smoke::mf_ctor, 119, 14},	//1444 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&)
    {75, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1445 Akonadi::ItemCreateJob::staticMetaObject() const
    {75, 1731, 0, 0, Smoke::mf_dtor, 0, 16 },	//1446 Akonadi::ItemCreateJob::~ItemCreateJob()
    {76, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1447 Akonadi::ItemDeleteJob::metaObject() const
    {76, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1448 Akonadi::ItemDeleteJob::qt_metacast(const char*)
    {76, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1449 Akonadi::ItemDeleteJob::tr(const char*, const char*)
    {76, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1450 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*)
    {76, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1451 Akonadi::ItemDeleteJob::tr(const char*, const char*, int)
    {76, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1452 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*, int)
    {76, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1453 Akonadi::ItemDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {76, 315, 483, 2, Smoke::mf_ctor, 120, 8},	//1454 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    {76, 315, 486, 2, Smoke::mf_ctor, 120, 9},	//1455 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&, QObject*)
    {76, 315, 165, 2, Smoke::mf_ctor, 120, 10},	//1456 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    {76, 874, 0, 0, Smoke::mf_const, 253, 11},	//1457 Akonadi::ItemDeleteJob::deletedItems() const
    {76, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1458 Akonadi::ItemDeleteJob::doStart()
    {76, 1614, 21, 1, Smoke::mf_static, 277, 13},	//1459 Akonadi::ItemDeleteJob::tr(const char*)
    {76, 1618, 21, 1, Smoke::mf_static, 277, 14},	//1460 Akonadi::ItemDeleteJob::trUtf8(const char*)
    {76, 315, 56, 1, Smoke::mf_ctor, 120, 15},	//1461 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    {76, 315, 489, 1, Smoke::mf_ctor, 120, 16},	//1462 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&)
    {76, 315, 61, 1, Smoke::mf_ctor, 120, 17},	//1463 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    {76, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 18},	//1464 Akonadi::ItemDeleteJob::staticMetaObject() const
    {76, 1732, 0, 0, Smoke::mf_dtor, 0, 19 },	//1465 Akonadi::ItemDeleteJob::~ItemDeleteJob()
    {77, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1466 Akonadi::ItemFetchJob::metaObject() const
    {77, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1467 Akonadi::ItemFetchJob::qt_metacast(const char*)
    {77, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1468 Akonadi::ItemFetchJob::tr(const char*, const char*)
    {77, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1469 Akonadi::ItemFetchJob::trUtf8(const char*, const char*)
    {77, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1470 Akonadi::ItemFetchJob::tr(const char*, const char*, int)
    {77, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1471 Akonadi::ItemFetchJob::trUtf8(const char*, const char*, int)
    {77, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1472 Akonadi::ItemFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {77, 320, 165, 2, Smoke::mf_ctor, 121, 8},	//1473 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    {77, 320, 483, 2, Smoke::mf_ctor, 121, 9},	//1474 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    {77, 320, 486, 2, Smoke::mf_ctor, 121, 10},	//1475 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    {77, 320, 491, 2, Smoke::mf_ctor, 121, 11},	//1476 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&, QObject*)
    {77, 1087, 0, 0, Smoke::mf_const, 253, 12},	//1477 Akonadi::ItemFetchJob::items() const
    {77, 1381, 494, 1, 0, 0, 13},	//1478 Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    {77, 1381, 496, 1, 0, 0, 14},	//1479 Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {77, 959, 0, 0, 0, 122, 15},	//1480 Akonadi::ItemFetchJob::fetchScope()
    {77, 1308, 61, 1, 0, 0, 16},	//1481 Akonadi::ItemFetchJob::setCollection(const Akonadi::Collection&)
    {77, 1090, 498, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1482 Akonadi::ItemFetchJob::itemsReceived(const Akonadi::Item::List&)
    {77, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1483 Akonadi::ItemFetchJob::doStart()
    {77, 889, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1484 Akonadi::ItemFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {77, 1614, 21, 1, Smoke::mf_static, 277, 20},	//1485 Akonadi::ItemFetchJob::tr(const char*)
    {77, 1618, 21, 1, Smoke::mf_static, 277, 21},	//1486 Akonadi::ItemFetchJob::trUtf8(const char*)
    {77, 320, 61, 1, Smoke::mf_ctor, 121, 22},	//1487 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    {77, 320, 56, 1, Smoke::mf_ctor, 121, 23},	//1488 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    {77, 320, 489, 1, Smoke::mf_ctor, 121, 24},	//1489 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    {77, 320, 500, 1, Smoke::mf_ctor, 121, 25},	//1490 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&)
    {77, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 26},	//1491 Akonadi::ItemFetchJob::staticMetaObject() const
    {77, 1733, 0, 0, Smoke::mf_dtor, 0, 27 },	//1492 Akonadi::ItemFetchJob::~ItemFetchJob()
    {78, 325, 0, 0, Smoke::mf_ctor, 123, 1},	//1493 Akonadi::ItemFetchScope::ItemFetchScope()
    {78, 325, 496, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//1494 Akonadi::ItemFetchScope::ItemFetchScope(const Akonadi::ItemFetchScope&)
    {78, 1158, 496, 1, 0, 122, 3},	//1495 Akonadi::ItemFetchScope::operator=(const Akonadi::ItemFetchScope&)
    {78, 1176, 0, 0, Smoke::mf_const, 273, 4},	//1496 Akonadi::ItemFetchScope::payloadParts() const
    {78, 956, 502, 2, 0, 0, 5},	//1497 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&, bool)
    {78, 974, 0, 0, Smoke::mf_const, 388, 6},	//1498 Akonadi::ItemFetchScope::fullPayload() const
    {78, 951, 45, 1, 0, 0, 7},	//1499 Akonadi::ItemFetchScope::fetchFullPayload(bool)
    {78, 732, 0, 0, Smoke::mf_const, 273, 8},	//1500 Akonadi::ItemFetchScope::attributes() const
    {78, 942, 502, 2, 0, 0, 9},	//1501 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&, bool)
    {78, 723, 0, 0, Smoke::mf_const, 388, 10},	//1502 Akonadi::ItemFetchScope::allAttributes() const
    {78, 940, 45, 1, 0, 0, 11},	//1503 Akonadi::ItemFetchScope::fetchAllAttributes(bool)
    {78, 742, 0, 0, Smoke::mf_const, 388, 12},	//1504 Akonadi::ItemFetchScope::cacheOnly() const
    {78, 1295, 45, 1, 0, 0, 13},	//1505 Akonadi::ItemFetchScope::setCacheOnly(bool)
    {78, 1284, 505, 1, 0, 0, 14},	//1506 Akonadi::ItemFetchScope::setAncestorRetrieval(Akonadi::ItemFetchScope::AncestorRetrieval)
    {78, 726, 0, 0, Smoke::mf_const, 124, 15},	//1507 Akonadi::ItemFetchScope::ancestorRetrieval() const
    {78, 1379, 45, 1, 0, 0, 16},	//1508 Akonadi::ItemFetchScope::setFetchModificationTime(bool)
    {78, 953, 0, 0, Smoke::mf_const, 388, 17},	//1509 Akonadi::ItemFetchScope::fetchModificationTime() const
    {78, 1044, 0, 0, Smoke::mf_const, 388, 18},	//1510 Akonadi::ItemFetchScope::isEmpty() const
    {78, 956, 6, 1, 0, 0, 19},	//1511 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&)
    {78, 951, 0, 0, 0, 0, 20},	//1512 Akonadi::ItemFetchScope::fetchFullPayload()
    {78, 942, 6, 1, 0, 0, 21},	//1513 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&)
    {78, 940, 0, 0, 0, 0, 22},	//1514 Akonadi::ItemFetchScope::fetchAllAttributes()
    {78, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 23},	//1515 Akonadi::ItemFetchScope::None (enum)
    {78, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 24},	//1516 Akonadi::ItemFetchScope::Parent (enum)
    {78, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 25},	//1517 Akonadi::ItemFetchScope::All (enum)
    {78, 1734, 0, 0, Smoke::mf_dtor, 0, 26 },	//1518 Akonadi::ItemFetchScope::~ItemFetchScope()
    {79, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1519 Akonadi::ItemModel::metaObject() const
    {79, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1520 Akonadi::ItemModel::qt_metacast(const char*)
    {79, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1521 Akonadi::ItemModel::tr(const char*, const char*)
    {79, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1522 Akonadi::ItemModel::trUtf8(const char*, const char*)
    {79, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1523 Akonadi::ItemModel::tr(const char*, const char*, int)
    {79, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1524 Akonadi::ItemModel::trUtf8(const char*, const char*, int)
    {79, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1525 Akonadi::ItemModel::qt_metacall(QMetaObject::Call, int, void**)
    {79, 329, 78, 1, Smoke::mf_ctor, 125, 8},	//1526 Akonadi::ItemModel::ItemModel(QObject*)
    {79, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 9},	//1527 Akonadi::ItemModel::columnCount(const QModelIndex&) const
    {79, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 10},	//1528 Akonadi::ItemModel::data(const QModelIndex&, int) const
    {79, 1238, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 11},	//1529 Akonadi::ItemModel::rowCount(const QModelIndex&) const
    {79, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//1530 Akonadi::ItemModel::headerData(int, Qt::Orientation, int) const
    {79, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 13},	//1531 Akonadi::ItemModel::flags(const QModelIndex&) const
    {79, 1125, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 14},	//1532 Akonadi::ItemModel::mimeData(const QList<QModelIndex>&) const
    {79, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 15},	//1533 Akonadi::ItemModel::mimeTypes() const
    {79, 1595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 16},	//1534 Akonadi::ItemModel::supportedDropActions() const
    {79, 1381, 496, 1, 0, 0, 17},	//1535 Akonadi::ItemModel::setFetchScope(const Akonadi::ItemFetchScope&)
    {79, 959, 0, 0, 0, 122, 18},	//1536 Akonadi::ItemModel::fetchScope()
    {79, 1069, 95, 1, Smoke::mf_const, 113, 19},	//1537 Akonadi::ItemModel::itemForIndex(const QModelIndex&) const
    {79, 1008, 507, 2, Smoke::mf_const, 261, 20},	//1538 Akonadi::ItemModel::indexForItem(const Akonadi::Item&, const int) const
    {79, 911, 225, 5, Smoke::mf_virtual, 388, 21},	//1539 Akonadi::ItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {79, 777, 0, 0, Smoke::mf_const, 34, 22},	//1540 Akonadi::ItemModel::collection() const
    {79, 1308, 61, 1, Smoke::mf_slot, 0, 23},	//1541 Akonadi::ItemModel::setCollection(const Akonadi::Collection&)
    {79, 782, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1542 Akonadi::ItemModel::collectionChanged(const Akonadi::Collection&)
    {79, 1272, 0, 0, Smoke::mf_const|Smoke::mf_protected, 162, 25},	//1543 Akonadi::ItemModel::session() const
    {79, 1614, 21, 1, Smoke::mf_static, 277, 26},	//1544 Akonadi::ItemModel::tr(const char*)
    {79, 1618, 21, 1, Smoke::mf_static, 277, 27},	//1545 Akonadi::ItemModel::trUtf8(const char*)
    {79, 329, 0, 0, Smoke::mf_ctor, 125, 28},	//1546 Akonadi::ItemModel::ItemModel()
    {79, 813, 0, 0, Smoke::mf_const, 476, 29},	//1547 Akonadi::ItemModel::columnCount() const
    {79, 866, 95, 1, Smoke::mf_const, 287, 30},	//1548 Akonadi::ItemModel::data(const QModelIndex&) const
    {79, 1238, 0, 0, Smoke::mf_const, 476, 31},	//1549 Akonadi::ItemModel::rowCount() const
    {79, 982, 112, 2, Smoke::mf_const, 287, 32},	//1550 Akonadi::ItemModel::headerData(int, Qt::Orientation) const
    {79, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 33},	//1551 Akonadi::ItemModel::staticMetaObject() const
    {79, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 34},	//1552 Akonadi::ItemModel::Id (enum)
    {79, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 35},	//1553 Akonadi::ItemModel::RemoteId (enum)
    {79, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 36},	//1554 Akonadi::ItemModel::MimeType (enum)
    {79, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 37},	//1555 Akonadi::ItemModel::IdRole (enum)
    {79, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 38},	//1556 Akonadi::ItemModel::ItemRole (enum)
    {79, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 39},	//1557 Akonadi::ItemModel::MimeTypeRole (enum)
    {79, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 40},	//1558 Akonadi::ItemModel::UserRole (enum)
    {79, 1735, 0, 0, Smoke::mf_dtor, 0, 41 },	//1559 Akonadi::ItemModel::~ItemModel()
    {80, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1560 Akonadi::ItemModifyJob::metaObject() const
    {80, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1561 Akonadi::ItemModifyJob::qt_metacast(const char*)
    {80, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1562 Akonadi::ItemModifyJob::tr(const char*, const char*)
    {80, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1563 Akonadi::ItemModifyJob::trUtf8(const char*, const char*)
    {80, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1564 Akonadi::ItemModifyJob::tr(const char*, const char*, int)
    {80, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1565 Akonadi::ItemModifyJob::trUtf8(const char*, const char*, int)
    {80, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1566 Akonadi::ItemModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {80, 331, 483, 2, Smoke::mf_ctor, 128, 8},	//1567 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&, QObject*)
    {80, 331, 486, 2, Smoke::mf_ctor, 128, 9},	//1568 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&, QObject*)
    {80, 1407, 45, 1, 0, 0, 10},	//1569 Akonadi::ItemModifyJob::setIgnorePayload(bool)
    {80, 995, 0, 0, Smoke::mf_const, 388, 11},	//1570 Akonadi::ItemModifyJob::ignorePayload() const
    {80, 885, 0, 0, 0, 0, 12},	//1571 Akonadi::ItemModifyJob::disableRevisionCheck()
    {80, 1061, 0, 0, Smoke::mf_const, 113, 13},	//1572 Akonadi::ItemModifyJob::item() const
    {80, 1087, 0, 0, Smoke::mf_const, 253, 14},	//1573 Akonadi::ItemModifyJob::items() const
    {80, 884, 0, 0, 0, 0, 15},	//1574 Akonadi::ItemModifyJob::disableAutomaticConflictHandling()
    {80, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1575 Akonadi::ItemModifyJob::doStart()
    {80, 889, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//1576 Akonadi::ItemModifyJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {80, 1614, 21, 1, Smoke::mf_static, 277, 18},	//1577 Akonadi::ItemModifyJob::tr(const char*)
    {80, 1618, 21, 1, Smoke::mf_static, 277, 19},	//1578 Akonadi::ItemModifyJob::trUtf8(const char*)
    {80, 331, 56, 1, Smoke::mf_ctor, 128, 20},	//1579 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&)
    {80, 331, 489, 1, Smoke::mf_ctor, 128, 21},	//1580 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&)
    {80, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 22},	//1581 Akonadi::ItemModifyJob::staticMetaObject() const
    {80, 1736, 0, 0, Smoke::mf_dtor, 0, 23 },	//1582 Akonadi::ItemModifyJob::~ItemModifyJob()
    {81, 336, 0, 0, Smoke::mf_ctor, 129, 1},	//1583 Akonadi::ItemMonitor::ItemMonitor()
    {81, 1423, 56, 1, 0, 0, 2},	//1584 Akonadi::ItemMonitor::setItem(const Akonadi::Item&)
    {81, 1061, 0, 0, Smoke::mf_const, 113, 3},	//1585 Akonadi::ItemMonitor::item() const
    {81, 1064, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 4},	//1586 Akonadi::ItemMonitor::itemChanged(const Akonadi::Item&)
    {81, 1078, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 5},	//1587 Akonadi::ItemMonitor::itemRemoved()
    {81, 1381, 496, 1, Smoke::mf_protected, 0, 6},	//1588 Akonadi::ItemMonitor::setFetchScope(const Akonadi::ItemFetchScope&)
    {81, 959, 0, 0, Smoke::mf_protected, 122, 7},	//1589 Akonadi::ItemMonitor::fetchScope()
    {81, 1737, 0, 0, Smoke::mf_dtor, 0, 8 },	//1590 Akonadi::ItemMonitor::~ItemMonitor()
    {82, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1591 Akonadi::ItemMoveJob::metaObject() const
    {82, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1592 Akonadi::ItemMoveJob::qt_metacast(const char*)
    {82, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1593 Akonadi::ItemMoveJob::tr(const char*, const char*)
    {82, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1594 Akonadi::ItemMoveJob::trUtf8(const char*, const char*)
    {82, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1595 Akonadi::ItemMoveJob::tr(const char*, const char*, int)
    {82, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1596 Akonadi::ItemMoveJob::trUtf8(const char*, const char*, int)
    {82, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1597 Akonadi::ItemMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {82, 337, 472, 3, Smoke::mf_ctor, 130, 8},	//1598 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {82, 337, 476, 3, Smoke::mf_ctor, 130, 9},	//1599 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {82, 880, 0, 0, Smoke::mf_const, 34, 10},	//1600 Akonadi::ItemMoveJob::destinationCollection() const
    {82, 1087, 0, 0, Smoke::mf_const, 253, 11},	//1601 Akonadi::ItemMoveJob::items() const
    {82, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1602 Akonadi::ItemMoveJob::doStart()
    {82, 1614, 21, 1, Smoke::mf_static, 277, 13},	//1603 Akonadi::ItemMoveJob::tr(const char*)
    {82, 1618, 21, 1, Smoke::mf_static, 277, 14},	//1604 Akonadi::ItemMoveJob::trUtf8(const char*)
    {82, 337, 50, 2, Smoke::mf_ctor, 130, 15},	//1605 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&)
    {82, 337, 480, 2, Smoke::mf_ctor, 130, 16},	//1606 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {82, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 17},	//1607 Akonadi::ItemMoveJob::staticMetaObject() const
    {82, 1738, 0, 0, Smoke::mf_dtor, 0, 18 },	//1608 Akonadi::ItemMoveJob::~ItemMoveJob()
    {83, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1609 Akonadi::ItemSearchJob::metaObject() const
    {83, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1610 Akonadi::ItemSearchJob::qt_metacast(const char*)
    {83, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1611 Akonadi::ItemSearchJob::tr(const char*, const char*)
    {83, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1612 Akonadi::ItemSearchJob::trUtf8(const char*, const char*)
    {83, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1613 Akonadi::ItemSearchJob::tr(const char*, const char*, int)
    {83, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1614 Akonadi::ItemSearchJob::trUtf8(const char*, const char*, int)
    {83, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1615 Akonadi::ItemSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {83, 343, 90, 2, Smoke::mf_ctor, 131, 8},	//1616 Akonadi::ItemSearchJob::ItemSearchJob(const QString&, QObject*)
    {83, 1484, 8, 1, 0, 0, 9},	//1617 Akonadi::ItemSearchJob::setQuery(const QString&)
    {83, 1381, 496, 1, 0, 0, 10},	//1618 Akonadi::ItemSearchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {83, 959, 0, 0, 0, 122, 11},	//1619 Akonadi::ItemSearchJob::fetchScope()
    {83, 1087, 0, 0, Smoke::mf_const, 253, 12},	//1620 Akonadi::ItemSearchJob::items() const
    {83, 722, 0, 0, Smoke::mf_static, 286, 13},	//1621 Akonadi::ItemSearchJob::akonadiItemIdUri()
    {83, 1090, 498, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1622 Akonadi::ItemSearchJob::itemsReceived(const Akonadi::Item::List&)
    {83, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1623 Akonadi::ItemSearchJob::doStart()
    {83, 889, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1624 Akonadi::ItemSearchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {83, 1614, 21, 1, Smoke::mf_static, 277, 17},	//1625 Akonadi::ItemSearchJob::tr(const char*)
    {83, 1618, 21, 1, Smoke::mf_static, 277, 18},	//1626 Akonadi::ItemSearchJob::trUtf8(const char*)
    {83, 343, 8, 1, Smoke::mf_ctor, 131, 19},	//1627 Akonadi::ItemSearchJob::ItemSearchJob(const QString&)
    {83, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 20},	//1628 Akonadi::ItemSearchJob::staticMetaObject() const
    {83, 1739, 0, 0, Smoke::mf_dtor, 0, 21 },	//1629 Akonadi::ItemSearchJob::~ItemSearchJob()
    {84, 877, 510, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 388, 1},	//1630 Akonadi::ItemSerializerPlugin::deserialize(Akonadi::Item&, const QByteArray&, QIODevice&, int) [pure virtual]
    {84, 1269, 515, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//1631 Akonadi::ItemSerializerPlugin::serialize(const Akonadi::Item&, const QByteArray&, QIODevice&, int&) [pure virtual]
    {84, 1173, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 3},	//1632 Akonadi::ItemSerializerPlugin::parts(const Akonadi::Item&) const
    {84, 346, 0, 0, Smoke::mf_ctor, 132, 4},	//1633 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin()
    {84, 346, 520, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 5},	//1634 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin(const Akonadi::ItemSerializerPlugin&)
    {84, 1740, 0, 0, Smoke::mf_dtor, 0, 6 },	//1635 Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin()
    {85, 727, 522, 2, Smoke::mf_virtual, 0, 1},	//1636 Akonadi::ItemSerializerPluginV2::apply(Akonadi::Item&, const Akonadi::Item&)
    {85, 735, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 2},	//1637 Akonadi::ItemSerializerPluginV2::availableParts(const Akonadi::Item&) const
    {85, 348, 0, 0, Smoke::mf_ctor, 133, 3},	//1638 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2()
    {85, 348, 525, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 4},	//1639 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2(const Akonadi::ItemSerializerPluginV2&)
    {85, 1741, 0, 0, Smoke::mf_dtor, 0, 5 },	//1640 Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2()
    {86, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1641 Akonadi::ItemSync::metaObject() const
    {86, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1642 Akonadi::ItemSync::qt_metacast(const char*)
    {86, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1643 Akonadi::ItemSync::tr(const char*, const char*)
    {86, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1644 Akonadi::ItemSync::trUtf8(const char*, const char*)
    {86, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1645 Akonadi::ItemSync::tr(const char*, const char*, int)
    {86, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1646 Akonadi::ItemSync::trUtf8(const char*, const char*, int)
    {86, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1647 Akonadi::ItemSync::qt_metacall(QMetaObject::Call, int, void**)
    {86, 350, 165, 2, Smoke::mf_ctor, 134, 8},	//1648 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&, QObject*)
    {86, 1391, 489, 1, 0, 0, 9},	//1649 Akonadi::ItemSync::setFullSyncItems(const QList<Akonadi::Item>&)
    {86, 1534, 41, 1, 0, 0, 10},	//1650 Akonadi::ItemSync::setTotalItems(int)
    {86, 1524, 45, 1, 0, 0, 11},	//1651 Akonadi::ItemSync::setStreamingEnabled(bool)
    {86, 875, 0, 0, 0, 0, 12},	//1652 Akonadi::ItemSync::deliveryDone()
    {86, 1415, 527, 2, 0, 0, 13},	//1653 Akonadi::ItemSync::setIncrementalSyncItems(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {86, 1381, 494, 1, 0, 0, 14},	//1654 Akonadi::ItemSync::setFetchScope(Akonadi::ItemFetchScope&)
    {86, 959, 0, 0, 0, 122, 15},	//1655 Akonadi::ItemSync::fetchScope()
    {86, 1235, 0, 0, 0, 0, 16},	//1656 Akonadi::ItemSync::rollback()
    {86, 1536, 530, 1, 0, 0, 17},	//1657 Akonadi::ItemSync::setTransactionMode(Akonadi::ItemSync::TransactionMode)
    {86, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1658 Akonadi::ItemSync::doStart()
    {86, 1566, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1659 Akonadi::ItemSync::slotResult(KJob*)
    {86, 1637, 532, 2, Smoke::mf_protected|Smoke::mf_virtual, 388, 20},	//1660 Akonadi::ItemSync::updateItem(const Akonadi::Item&, Akonadi::Item&)
    {86, 1614, 21, 1, Smoke::mf_static, 277, 21},	//1661 Akonadi::ItemSync::tr(const char*)
    {86, 1618, 21, 1, Smoke::mf_static, 277, 22},	//1662 Akonadi::ItemSync::trUtf8(const char*)
    {86, 350, 61, 1, Smoke::mf_ctor, 134, 23},	//1663 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&)
    {86, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 24},	//1664 Akonadi::ItemSync::staticMetaObject() const
    {86, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 25},	//1665 Akonadi::ItemSync::SingleTransaction (enum)
    {86, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 26},	//1666 Akonadi::ItemSync::MultipleTransactions (enum)
    {86, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 27},	//1667 Akonadi::ItemSync::NoTransaction (enum)
    {86, 1742, 0, 0, Smoke::mf_dtor, 0, 28 },	//1668 Akonadi::ItemSync::~ItemSync()
    {87, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1669 Akonadi::ItemView::metaObject() const
    {87, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1670 Akonadi::ItemView::qt_metacast(const char*)
    {87, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1671 Akonadi::ItemView::tr(const char*, const char*)
    {87, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1672 Akonadi::ItemView::trUtf8(const char*, const char*)
    {87, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1673 Akonadi::ItemView::tr(const char*, const char*, int)
    {87, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1674 Akonadi::ItemView::trUtf8(const char*, const char*, int)
    {87, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1675 Akonadi::ItemView::qt_metacall(QMetaObject::Call, int, void**)
    {87, 353, 85, 1, Smoke::mf_ctor, 136, 8},	//1676 Akonadi::ItemView::ItemView(QWidget*)
    {87, 353, 279, 2, Smoke::mf_ctor, 136, 9},	//1677 Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    {87, 353, 282, 2, Smoke::mf_ctor, 136, 10},	//1678 Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    {87, 1549, 285, 1, 0, 0, 11},	//1679 Akonadi::ItemView::setXmlGuiWindow(KXmlGuiWindow*)
    {87, 1547, 287, 1, 0, 0, 12},	//1680 Akonadi::ItemView::setXmlGuiClient(KXMLGUIClient*)
    {87, 1455, 159, 1, Smoke::mf_virtual, 0, 13},	//1681 Akonadi::ItemView::setModel(QAbstractItemModel*)
    {87, 687, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1682 Akonadi::ItemView::activated(const Akonadi::Item&)
    {87, 858, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1683 Akonadi::ItemView::currentChanged(const Akonadi::Item&)
    {87, 772, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1684 Akonadi::ItemView::clicked(const Akonadi::Item&)
    {87, 900, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1685 Akonadi::ItemView::doubleClicked(const Akonadi::Item&)
    {87, 858, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1686 Akonadi::ItemView::currentChanged(const QModelIndex&, const QModelIndex&)
    {87, 839, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1687 Akonadi::ItemView::contextMenuEvent(QContextMenuEvent*)
    {87, 1614, 21, 1, Smoke::mf_static, 277, 20},	//1688 Akonadi::ItemView::tr(const char*)
    {87, 1618, 21, 1, Smoke::mf_static, 277, 21},	//1689 Akonadi::ItemView::trUtf8(const char*)
    {87, 353, 0, 0, Smoke::mf_ctor, 136, 22},	//1690 Akonadi::ItemView::ItemView()
    {87, 353, 285, 1, Smoke::mf_ctor, 136, 23},	//1691 Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    {87, 353, 287, 1, Smoke::mf_ctor, 136, 24},	//1692 Akonadi::ItemView::ItemView(KXMLGUIClient*)
    {87, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 25},	//1693 Akonadi::ItemView::staticMetaObject() const
    {87, 1743, 0, 0, Smoke::mf_dtor, 0, 26 },	//1694 Akonadi::ItemView::~ItemView()
    {88, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1695 Akonadi::Job::metaObject() const
    {88, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1696 Akonadi::Job::qt_metacast(const char*)
    {88, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1697 Akonadi::Job::tr(const char*, const char*)
    {88, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1698 Akonadi::Job::trUtf8(const char*, const char*)
    {88, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1699 Akonadi::Job::tr(const char*, const char*, int)
    {88, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1700 Akonadi::Job::trUtf8(const char*, const char*, int)
    {88, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1701 Akonadi::Job::qt_metacall(QMetaObject::Call, int, void**)
    {88, 356, 78, 1, Smoke::mf_ctor, 137, 8},	//1702 Akonadi::Job::Job(QObject*)
    {88, 1572, 0, 0, Smoke::mf_virtual, 0, 9},	//1703 Akonadi::Job::start()
    {88, 933, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 10},	//1704 Akonadi::Job::errorString() const
    {88, 679, 535, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1705 Akonadi::Job::aboutToStart(Akonadi::Job*)
    {88, 1664, 535, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1706 Akonadi::Job::writeFinished(Akonadi::Job*)
    {88, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1707 Akonadi::Job::doStart() [pure virtual]
    {88, 889, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1708 Akonadi::Job::doHandleResponse(const QByteArray&, const QByteArray&)
    {88, 709, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 15},	//1709 Akonadi::Job::addSubjob(KJob*)
    {88, 1210, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 16},	//1710 Akonadi::Job::removeSubjob(KJob*)
    {88, 892, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 388, 17},	//1711 Akonadi::Job::doKill()
    {88, 919, 0, 0, Smoke::mf_protected, 0, 18},	//1712 Akonadi::Job::emitWriteFinished()
    {88, 1566, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1713 Akonadi::Job::slotResult(KJob*)
    {88, 356, 537, 2, Smoke::mf_ctor|Smoke::mf_protected, 137, 20},	//1714 Akonadi::Job::Job(Akonadi::JobPrivate*, QObject*)
    {88, 1614, 21, 1, Smoke::mf_static, 277, 21},	//1715 Akonadi::Job::tr(const char*)
    {88, 1618, 21, 1, Smoke::mf_static, 277, 22},	//1716 Akonadi::Job::trUtf8(const char*)
    {88, 356, 0, 0, Smoke::mf_ctor, 137, 23},	//1717 Akonadi::Job::Job()
    {88, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 24},	//1718 Akonadi::Job::staticMetaObject() const
    {88, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 25},	//1719 Akonadi::Job::ConnectionFailed (enum)
    {88, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 26},	//1720 Akonadi::Job::ProtocolVersionMismatch (enum)
    {88, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 27},	//1721 Akonadi::Job::UserCanceled (enum)
    {88, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 28},	//1722 Akonadi::Job::Unknown (enum)
    {88, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 29},	//1723 Akonadi::Job::UserError (enum)
    {88, 1744, 0, 0, Smoke::mf_dtor, 0, 30 },	//1724 Akonadi::Job::~Job()
    {90, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1725 Akonadi::LinkJob::metaObject() const
    {90, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1726 Akonadi::LinkJob::qt_metacast(const char*)
    {90, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1727 Akonadi::LinkJob::tr(const char*, const char*)
    {90, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1728 Akonadi::LinkJob::trUtf8(const char*, const char*)
    {90, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1729 Akonadi::LinkJob::tr(const char*, const char*, int)
    {90, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1730 Akonadi::LinkJob::trUtf8(const char*, const char*, int)
    {90, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1731 Akonadi::LinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 383, 540, 3, Smoke::mf_ctor, 140, 8},	//1732 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {90, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//1733 Akonadi::LinkJob::doStart()
    {90, 1614, 21, 1, Smoke::mf_static, 277, 10},	//1734 Akonadi::LinkJob::tr(const char*)
    {90, 1618, 21, 1, Smoke::mf_static, 277, 11},	//1735 Akonadi::LinkJob::trUtf8(const char*)
    {90, 383, 544, 2, Smoke::mf_ctor, 140, 12},	//1736 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {90, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//1737 Akonadi::LinkJob::staticMetaObject() const
    {90, 1745, 0, 0, Smoke::mf_dtor, 0, 14 },	//1738 Akonadi::LinkJob::~LinkJob()
    {91, 392, 0, 0, Smoke::mf_ctor, 141, 1},	//1739 Akonadi::MessageFolderAttribute::MessageFolderAttribute()
    {91, 392, 547, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//1740 Akonadi::MessageFolderAttribute::MessageFolderAttribute(const Akonadi::MessageFolderAttribute&)
    {91, 1048, 0, 0, Smoke::mf_const, 388, 3},	//1741 Akonadi::MessageFolderAttribute::isOutboundFolder() const
    {91, 1466, 45, 1, 0, 0, 4},	//1742 Akonadi::MessageFolderAttribute::setOutboundFolder(bool)
    {91, 1622, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 5},	//1743 Akonadi::MessageFolderAttribute::type() const
    {91, 774, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 141, 6},	//1744 Akonadi::MessageFolderAttribute::clone() const
    {91, 1271, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 7},	//1745 Akonadi::MessageFolderAttribute::serialized() const
    {91, 877, 6, 1, Smoke::mf_virtual, 0, 8},	//1746 Akonadi::MessageFolderAttribute::deserialize(const QByteArray&)
    {91, 1746, 0, 0, Smoke::mf_dtor, 0, 9 },	//1747 Akonadi::MessageFolderAttribute::~MessageFolderAttribute()
    {92, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1748 Akonadi::MessageModel::metaObject() const
    {92, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1749 Akonadi::MessageModel::qt_metacast(const char*)
    {92, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1750 Akonadi::MessageModel::tr(const char*, const char*)
    {92, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1751 Akonadi::MessageModel::trUtf8(const char*, const char*)
    {92, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1752 Akonadi::MessageModel::tr(const char*, const char*, int)
    {92, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1753 Akonadi::MessageModel::trUtf8(const char*, const char*, int)
    {92, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1754 Akonadi::MessageModel::qt_metacall(QMetaObject::Call, int, void**)
    {92, 394, 78, 1, Smoke::mf_ctor, 142, 8},	//1755 Akonadi::MessageModel::MessageModel(QObject*)
    {92, 1238, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 9},	//1756 Akonadi::MessageModel::rowCount(const QModelIndex&) const
    {92, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 10},	//1757 Akonadi::MessageModel::columnCount(const QModelIndex&) const
    {92, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 11},	//1758 Akonadi::MessageModel::data(const QModelIndex&, int) const
    {92, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 12},	//1759 Akonadi::MessageModel::headerData(int, Qt::Orientation, int) const
    {92, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 13},	//1760 Akonadi::MessageModel::mimeTypes() const
    {92, 1614, 21, 1, Smoke::mf_static, 277, 14},	//1761 Akonadi::MessageModel::tr(const char*)
    {92, 1618, 21, 1, Smoke::mf_static, 277, 15},	//1762 Akonadi::MessageModel::trUtf8(const char*)
    {92, 394, 0, 0, Smoke::mf_ctor, 142, 16},	//1763 Akonadi::MessageModel::MessageModel()
    {92, 1238, 0, 0, Smoke::mf_const, 476, 17},	//1764 Akonadi::MessageModel::rowCount() const
    {92, 813, 0, 0, Smoke::mf_const, 476, 18},	//1765 Akonadi::MessageModel::columnCount() const
    {92, 866, 95, 1, Smoke::mf_const, 287, 19},	//1766 Akonadi::MessageModel::data(const QModelIndex&) const
    {92, 982, 112, 2, Smoke::mf_const, 287, 20},	//1767 Akonadi::MessageModel::headerData(int, Qt::Orientation) const
    {92, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 21},	//1768 Akonadi::MessageModel::staticMetaObject() const
    {92, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 22},	//1769 Akonadi::MessageModel::Subject (enum)
    {92, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 23},	//1770 Akonadi::MessageModel::Sender (enum)
    {92, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 24},	//1771 Akonadi::MessageModel::Receiver (enum)
    {92, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 25},	//1772 Akonadi::MessageModel::Date (enum)
    {92, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 26},	//1773 Akonadi::MessageModel::Size (enum)
    {92, 1747, 0, 0, Smoke::mf_dtor, 0, 27 },	//1774 Akonadi::MessageModel::~MessageModel()
    {93, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1775 Akonadi::MessageThreaderProxyModel::metaObject() const
    {93, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1776 Akonadi::MessageThreaderProxyModel::qt_metacast(const char*)
    {93, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1777 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*)
    {93, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1778 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*)
    {93, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1779 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*, int)
    {93, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1780 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*, int)
    {93, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1781 Akonadi::MessageThreaderProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {93, 396, 78, 1, Smoke::mf_ctor, 144, 8},	//1782 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel(QObject*)
    {93, 1168, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 9},	//1783 Akonadi::MessageThreaderProxyModel::parent(const QModelIndex&) const
    {93, 1238, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 10},	//1784 Akonadi::MessageThreaderProxyModel::rowCount(const QModelIndex&) const
    {93, 1004, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 11},	//1785 Akonadi::MessageThreaderProxyModel::index(int, int, const QModelIndex&) const
    {93, 977, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 12},	//1786 Akonadi::MessageThreaderProxyModel::hasChildren(const QModelIndex&) const
    {93, 851, 549, 3, Smoke::mf_const, 261, 13},	//1787 Akonadi::MessageThreaderProxyModel::createIndex(int, int, unsigned int) const
    {93, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 14},	//1788 Akonadi::MessageThreaderProxyModel::columnCount(const QModelIndex&) const
    {93, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 15},	//1789 Akonadi::MessageThreaderProxyModel::mimeTypes() const
    {93, 1125, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 16},	//1790 Akonadi::MessageThreaderProxyModel::mimeData(const QList<QModelIndex>&) const
    {93, 1112, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 17},	//1791 Akonadi::MessageThreaderProxyModel::mapFromSource(const QModelIndex&) const
    {93, 1116, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 18},	//1792 Akonadi::MessageThreaderProxyModel::mapToSource(const QModelIndex&) const
    {93, 1520, 159, 1, Smoke::mf_virtual, 0, 19},	//1793 Akonadi::MessageThreaderProxyModel::setSourceModel(QAbstractItemModel*)
    {93, 1614, 21, 1, Smoke::mf_static, 277, 20},	//1794 Akonadi::MessageThreaderProxyModel::tr(const char*)
    {93, 1618, 21, 1, Smoke::mf_static, 277, 21},	//1795 Akonadi::MessageThreaderProxyModel::trUtf8(const char*)
    {93, 396, 0, 0, Smoke::mf_ctor, 144, 22},	//1796 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel()
    {93, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 23},	//1797 Akonadi::MessageThreaderProxyModel::staticMetaObject() const
    {93, 1748, 0, 0, Smoke::mf_dtor, 0, 24 },	//1798 Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel()
    {94, 398, 0, 0, Smoke::mf_ctor, 145, 1},	//1799 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute()
    {94, 398, 553, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 2},	//1800 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute(const Akonadi::MessageThreadingAttribute&)
    {94, 1179, 0, 0, Smoke::mf_const, 252, 3},	//1801 Akonadi::MessageThreadingAttribute::perfectParents() const
    {94, 1479, 500, 1, 0, 0, 4},	//1802 Akonadi::MessageThreadingAttribute::setPerfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1630, 0, 0, Smoke::mf_const, 252, 5},	//1803 Akonadi::MessageThreadingAttribute::unperfectParents() const
    {94, 1538, 500, 1, 0, 0, 6},	//1804 Akonadi::MessageThreadingAttribute::setUnperfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1593, 0, 0, Smoke::mf_const, 252, 7},	//1805 Akonadi::MessageThreadingAttribute::subjectParents() const
    {94, 1526, 500, 1, 0, 0, 8},	//1806 Akonadi::MessageThreadingAttribute::setSubjectParents(const QList<Akonadi::Item::Id>&)
    {94, 1622, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 9},	//1807 Akonadi::MessageThreadingAttribute::type() const
    {94, 774, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 10},	//1808 Akonadi::MessageThreadingAttribute::clone() const
    {94, 1271, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 11},	//1809 Akonadi::MessageThreadingAttribute::serialized() const
    {94, 877, 6, 1, Smoke::mf_virtual, 0, 12},	//1810 Akonadi::MessageThreadingAttribute::deserialize(const QByteArray&)
    {94, 1749, 0, 0, Smoke::mf_dtor, 0, 13 },	//1811 Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute()
    {95, 401, 0, 0, Smoke::mf_ctor, 147, 1},	//1812 Akonadi::MimeTypeChecker::MimeTypeChecker()
    {95, 401, 555, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 2},	//1813 Akonadi::MimeTypeChecker::MimeTypeChecker(const Akonadi::MimeTypeChecker&)
    {95, 1158, 555, 1, 0, 146, 3},	//1814 Akonadi::MimeTypeChecker::operator=(const Akonadi::MimeTypeChecker&)
    {95, 1655, 0, 0, Smoke::mf_const, 278, 4},	//1815 Akonadi::MimeTypeChecker::wantedMimeTypes() const
    {95, 1545, 10, 1, 0, 0, 5},	//1816 Akonadi::MimeTypeChecker::setWantedMimeTypes(const QStringList&)
    {95, 711, 8, 1, 0, 0, 6},	//1817 Akonadi::MimeTypeChecker::addWantedMimeType(const QString&)
    {95, 1212, 8, 1, 0, 0, 7},	//1818 Akonadi::MimeTypeChecker::removeWantedMimeType(const QString&)
    {95, 1056, 56, 1, Smoke::mf_const, 388, 8},	//1819 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&) const
    {95, 1053, 61, 1, Smoke::mf_const, 388, 9},	//1820 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&) const
    {95, 1059, 8, 1, Smoke::mf_const, 388, 10},	//1821 Akonadi::MimeTypeChecker::isWantedMimeType(const QString&) const
    {95, 836, 10, 1, Smoke::mf_const, 388, 11},	//1822 Akonadi::MimeTypeChecker::containsWantedMimeType(const QStringList&) const
    {95, 1056, 557, 2, Smoke::mf_static, 388, 12},	//1823 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&, const QString&)
    {95, 1053, 460, 2, Smoke::mf_static, 388, 13},	//1824 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&, const QString&)
    {95, 1750, 0, 0, Smoke::mf_dtor, 0, 14 },	//1825 Akonadi::MimeTypeChecker::~MimeTypeChecker()
    {96, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1826 Akonadi::Monitor::metaObject() const
    {96, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1827 Akonadi::Monitor::qt_metacast(const char*)
    {96, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1828 Akonadi::Monitor::tr(const char*, const char*)
    {96, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1829 Akonadi::Monitor::trUtf8(const char*, const char*)
    {96, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1830 Akonadi::Monitor::tr(const char*, const char*, int)
    {96, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1831 Akonadi::Monitor::trUtf8(const char*, const char*, int)
    {96, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1832 Akonadi::Monitor::qt_metacall(QMetaObject::Call, int, void**)
    {96, 406, 78, 1, Smoke::mf_ctor, 148, 8},	//1833 Akonadi::Monitor::Monitor(QObject*)
    {96, 1314, 121, 2, 0, 0, 9},	//1834 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&, bool)
    {96, 1428, 560, 2, 0, 0, 10},	//1835 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&, bool)
    {96, 1500, 502, 2, 0, 0, 11},	//1836 Akonadi::Monitor::setResourceMonitored(const QByteArray&, bool)
    {96, 1452, 563, 2, 0, 0, 12},	//1837 Akonadi::Monitor::setMimeTypeMonitored(const QString&, bool)
    {96, 1282, 45, 1, 0, 0, 13},	//1838 Akonadi::Monitor::setAllMonitored(bool)
    {96, 996, 566, 1, 0, 0, 14},	//1839 Akonadi::Monitor::ignoreSession(Akonadi::Session*)
    {96, 947, 45, 1, 0, 0, 15},	//1840 Akonadi::Monitor::fetchCollection(bool)
    {96, 949, 45, 1, 0, 0, 16},	//1841 Akonadi::Monitor::fetchCollectionStatistics(bool)
    {96, 1426, 496, 1, 0, 0, 17},	//1842 Akonadi::Monitor::setItemFetchScope(const Akonadi::ItemFetchScope&)
    {96, 945, 45, 1, 0, 0, 18},	//1843 Akonadi::Monitor::fetchChangedOnly(bool)
    {96, 1068, 0, 0, 0, 122, 19},	//1844 Akonadi::Monitor::itemFetchScope()
    {96, 1310, 197, 1, 0, 0, 20},	//1845 Akonadi::Monitor::setCollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {96, 785, 0, 0, 0, 49, 21},	//1846 Akonadi::Monitor::collectionFetchScope()
    {96, 805, 0, 0, Smoke::mf_const, 251, 22},	//1847 Akonadi::Monitor::collectionsMonitored() const
    {96, 1088, 0, 0, Smoke::mf_const, 252, 23},	//1848 Akonadi::Monitor::itemsMonitored() const
    {96, 1089, 0, 0, Smoke::mf_const, 289, 24},	//1849 Akonadi::Monitor::itemsMonitoredEx() const
    {96, 1135, 0, 0, Smoke::mf_const, 278, 25},	//1850 Akonadi::Monitor::mimeTypesMonitored() const
    {96, 1220, 0, 0, Smoke::mf_const, 255, 26},	//1851 Akonadi::Monitor::resourcesMonitored() const
    {96, 1042, 0, 0, Smoke::mf_const, 388, 27},	//1852 Akonadi::Monitor::isAllMonitored() const
    {96, 1514, 566, 1, 0, 0, 28},	//1853 Akonadi::Monitor::setSession(Akonadi::Session*)
    {96, 1272, 0, 0, Smoke::mf_const, 162, 29},	//1854 Akonadi::Monitor::session() const
    {96, 1064, 53, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1855 Akonadi::Monitor::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {96, 1075, 65, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1856 Akonadi::Monitor::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 1062, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1857 Akonadi::Monitor::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1078, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1858 Akonadi::Monitor::itemRemoved(const Akonadi::Item&)
    {96, 1071, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1859 Akonadi::Monitor::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1085, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1860 Akonadi::Monitor::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 778, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1861 Akonadi::Monitor::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 782, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1862 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&)
    {96, 782, 73, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1863 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {96, 792, 69, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1864 Akonadi::Monitor::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 794, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1865 Akonadi::Monitor::collectionRemoved(const Akonadi::Collection&)
    {96, 798, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1866 Akonadi::Monitor::collectionSubscribed(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 802, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1867 Akonadi::Monitor::collectionUnsubscribed(const Akonadi::Collection&)
    {96, 796, 568, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1868 Akonadi::Monitor::collectionStatisticsChanged(Akonadi::Collection::Id, const Akonadi::CollectionStatistics&)
    {96, 790, 121, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1869 Akonadi::Monitor::collectionMonitored(const Akonadi::Collection&, bool)
    {96, 1073, 560, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1870 Akonadi::Monitor::itemMonitored(const Akonadi::Item&, bool)
    {96, 1218, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1871 Akonadi::Monitor::resourceMonitored(const QByteArray&, bool)
    {96, 1132, 563, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1872 Akonadi::Monitor::mimeTypeMonitored(const QString&, bool)
    {96, 724, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1873 Akonadi::Monitor::allMonitored(bool)
    {96, 406, 571, 2, Smoke::mf_ctor|Smoke::mf_protected, 148, 49},	//1874 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*, QObject*)
    {96, 1614, 21, 1, Smoke::mf_static, 277, 50},	//1875 Akonadi::Monitor::tr(const char*)
    {96, 1618, 21, 1, Smoke::mf_static, 277, 51},	//1876 Akonadi::Monitor::trUtf8(const char*)
    {96, 406, 0, 0, Smoke::mf_ctor, 148, 52},	//1877 Akonadi::Monitor::Monitor()
    {96, 1314, 61, 1, 0, 0, 53},	//1878 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&)
    {96, 1428, 56, 1, 0, 0, 54},	//1879 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&)
    {96, 1500, 6, 1, 0, 0, 55},	//1880 Akonadi::Monitor::setResourceMonitored(const QByteArray&)
    {96, 1452, 8, 1, 0, 0, 56},	//1881 Akonadi::Monitor::setMimeTypeMonitored(const QString&)
    {96, 1282, 0, 0, 0, 0, 57},	//1882 Akonadi::Monitor::setAllMonitored()
    {96, 406, 574, 1, Smoke::mf_ctor|Smoke::mf_protected, 148, 58},	//1883 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    {96, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 59},	//1884 Akonadi::Monitor::staticMetaObject() const
    {96, 1751, 0, 0, Smoke::mf_dtor, 0, 60 },	//1885 Akonadi::Monitor::~Monitor()
    {98, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1886 Akonadi::PartFetcher::metaObject() const
    {98, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1887 Akonadi::PartFetcher::qt_metacast(const char*)
    {98, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1888 Akonadi::PartFetcher::tr(const char*, const char*)
    {98, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1889 Akonadi::PartFetcher::trUtf8(const char*, const char*)
    {98, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1890 Akonadi::PartFetcher::tr(const char*, const char*, int)
    {98, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1891 Akonadi::PartFetcher::trUtf8(const char*, const char*, int)
    {98, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1892 Akonadi::PartFetcher::qt_metacall(QMetaObject::Call, int, void**)
    {98, 464, 576, 3, Smoke::mf_ctor, 150, 8},	//1893 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&, QObject*)
    {98, 1572, 0, 0, Smoke::mf_virtual, 0, 9},	//1894 Akonadi::PartFetcher::start()
    {98, 1004, 0, 0, Smoke::mf_const, 261, 10},	//1895 Akonadi::PartFetcher::index() const
    {98, 1172, 0, 0, Smoke::mf_const, 215, 11},	//1896 Akonadi::PartFetcher::partName() const
    {98, 1061, 0, 0, Smoke::mf_const, 113, 12},	//1897 Akonadi::PartFetcher::item() const
    {98, 1614, 21, 1, Smoke::mf_static, 277, 13},	//1898 Akonadi::PartFetcher::tr(const char*)
    {98, 1618, 21, 1, Smoke::mf_static, 277, 14},	//1899 Akonadi::PartFetcher::trUtf8(const char*)
    {98, 464, 580, 2, Smoke::mf_ctor, 150, 15},	//1900 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&)
    {98, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//1901 Akonadi::PartFetcher::staticMetaObject() const
    {98, 1754, 0, 0, Smoke::mf_dtor, 0, 17 },	//1902 Akonadi::PartFetcher::~PartFetcher()
    {99, 774, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 151, 1},	//1903 Akonadi::PayloadBase::clone() const [pure virtual]
    {99, 1626, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 472, 2},	//1904 Akonadi::PayloadBase::typeName() const [pure virtual]
    {99, 468, 0, 0, Smoke::mf_ctor, 151, 3},	//1905 Akonadi::PayloadBase::PayloadBase()
    {99, 468, 583, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 4},	//1906 Akonadi::PayloadBase::PayloadBase(const Akonadi::PayloadBase&)
    {99, 1755, 0, 0, Smoke::mf_dtor, 0, 5 },	//1907 Akonadi::PayloadBase::~PayloadBase()
    {100, 470, 21, 1, Smoke::mf_ctor, 152, 1},	//1908 Akonadi::PayloadException::PayloadException(const char*)
    {100, 470, 6, 1, Smoke::mf_ctor, 152, 2},	//1909 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {100, 470, 8, 1, Smoke::mf_ctor, 152, 3},	//1910 Akonadi::PayloadException::PayloadException(const QString&)
    {100, 1622, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 4},	//1911 Akonadi::PayloadException::type() const
    {100, 470, 585, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 5},	//1912 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {100, 1756, 0, 0, Smoke::mf_dtor, 0, 6 },	//1913 Akonadi::PayloadException::~PayloadException()
    {101, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1914 Akonadi::PreprocessorBase::metaObject() const
    {101, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1915 Akonadi::PreprocessorBase::qt_metacast(const char*)
    {101, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1916 Akonadi::PreprocessorBase::tr(const char*, const char*)
    {101, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1917 Akonadi::PreprocessorBase::trUtf8(const char*, const char*)
    {101, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1918 Akonadi::PreprocessorBase::tr(const char*, const char*, int)
    {101, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1919 Akonadi::PreprocessorBase::trUtf8(const char*, const char*, int)
    {101, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1920 Akonadi::PreprocessorBase::qt_metacall(QMetaObject::Call, int, void**)
    {101, 1182, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 154, 8},	//1921 Akonadi::PreprocessorBase::processItem(const Akonadi::Item&) [pure virtual]
    {101, 963, 587, 1, 0, 0, 9},	//1922 Akonadi::PreprocessorBase::finishProcessing(Akonadi::PreprocessorBase::ProcessingResult)
    {101, 1381, 496, 1, 0, 0, 10},	//1923 Akonadi::PreprocessorBase::setFetchScope(const Akonadi::ItemFetchScope&)
    {101, 959, 0, 0, 0, 122, 11},	//1924 Akonadi::PreprocessorBase::fetchScope()
    {101, 479, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 153, 12},	//1925 Akonadi::PreprocessorBase::PreprocessorBase(const QString&)
    {101, 1614, 21, 1, Smoke::mf_static, 277, 13},	//1926 Akonadi::PreprocessorBase::tr(const char*)
    {101, 1618, 21, 1, Smoke::mf_static, 277, 14},	//1927 Akonadi::PreprocessorBase::trUtf8(const char*)
    {101, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 15},	//1928 Akonadi::PreprocessorBase::staticMetaObject() const
    {101, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 16},	//1929 Akonadi::PreprocessorBase::ProcessingCompleted (enum)
    {101, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 17},	//1930 Akonadi::PreprocessorBase::ProcessingDelayed (enum)
    {101, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 18},	//1931 Akonadi::PreprocessorBase::ProcessingFailed (enum)
    {101, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 19},	//1932 Akonadi::PreprocessorBase::ProcessingRefused (enum)
    {101, 1757, 0, 0, Smoke::mf_dtor, 0, 20 },	//1933 Akonadi::PreprocessorBase::~PreprocessorBase()
    {102, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1934 Akonadi::ResourceBase::metaObject() const
    {102, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1935 Akonadi::ResourceBase::qt_metacast(const char*)
    {102, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1936 Akonadi::ResourceBase::tr(const char*, const char*)
    {102, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1937 Akonadi::ResourceBase::trUtf8(const char*, const char*)
    {102, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1938 Akonadi::ResourceBase::tr(const char*, const char*, int)
    {102, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1939 Akonadi::ResourceBase::trUtf8(const char*, const char*, int)
    {102, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1940 Akonadi::ResourceBase::qt_metacall(QMetaObject::Call, int, void**)
    {102, 1460, 8, 1, 0, 0, 8},	//1941 Akonadi::ResourceBase::setName(const QString&)
    {102, 1148, 0, 0, Smoke::mf_const, 277, 9},	//1942 Akonadi::ResourceBase::name() const
    {102, 1289, 45, 1, 0, 0, 10},	//1943 Akonadi::ResourceBase::setAutomaticProgressReporting(bool)
    {102, 1149, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1944 Akonadi::ResourceBase::nameChanged(const QString&)
    {102, 1606, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1945 Akonadi::ResourceBase::synchronized()
    {102, 733, 589, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1946 Akonadi::ResourceBase::attributesSynchronized(qlonglong)
    {102, 801, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1947 Akonadi::ResourceBase::collectionTreeSynchronized()
    {102, 1227, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//1948 Akonadi::ResourceBase::retrieveCollections() [pure virtual]
    {102, 1225, 61, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//1949 Akonadi::ResourceBase::retrieveCollectionAttributes(const Akonadi::Collection&)
    {102, 1230, 61, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 17},	//1950 Akonadi::ResourceBase::retrieveItems(const Akonadi::Collection&) [pure virtual]
    {102, 1228, 53, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 388, 18},	//1951 Akonadi::ResourceBase::retrieveItem(const Akonadi::Item&, const QSet<QByteArray>&) [pure virtual]
    {102, 675, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 19},	//1952 Akonadi::ResourceBase::abortActivity()
    {102, 508, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 155, 20},	//1953 Akonadi::ResourceBase::ResourceBase(const QString&)
    {102, 1080, 56, 1, Smoke::mf_protected, 0, 21},	//1954 Akonadi::ResourceBase::itemRetrieved(const Akonadi::Item&)
    {102, 780, 61, 1, Smoke::mf_protected, 0, 22},	//1955 Akonadi::ResourceBase::collectionAttributesRetrieved(const Akonadi::Collection&)
    {102, 755, 56, 1, Smoke::mf_protected, 0, 23},	//1956 Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    {102, 755, 61, 1, Smoke::mf_protected, 0, 24},	//1957 Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    {102, 809, 206, 1, Smoke::mf_protected, 0, 25},	//1958 Akonadi::ResourceBase::collectionsRetrieved(const QList<Akonadi::Collection>&)
    {102, 811, 591, 2, Smoke::mf_protected, 0, 26},	//1959 Akonadi::ResourceBase::collectionsRetrievedIncremental(const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&)
    {102, 1321, 45, 1, Smoke::mf_protected, 0, 27},	//1960 Akonadi::ResourceBase::setCollectionStreamingEnabled(bool)
    {102, 808, 0, 0, Smoke::mf_protected, 0, 28},	//1961 Akonadi::ResourceBase::collectionsRetrievalDone()
    {102, 1093, 489, 1, Smoke::mf_protected, 0, 29},	//1962 Akonadi::ResourceBase::itemsRetrieved(const QList<Akonadi::Item>&)
    {102, 1534, 41, 1, Smoke::mf_protected, 0, 30},	//1963 Akonadi::ResourceBase::setTotalItems(int)
    {102, 1435, 45, 1, Smoke::mf_protected, 0, 31},	//1964 Akonadi::ResourceBase::setItemStreamingEnabled(bool)
    {102, 1439, 530, 1, Smoke::mf_protected, 0, 32},	//1965 Akonadi::ResourceBase::setItemTransactionMode(Akonadi::ItemSync::TransactionMode)
    {102, 1437, 496, 1, Smoke::mf_protected, 0, 33},	//1966 Akonadi::ResourceBase::setItemSynchronizationFetchScope(const Akonadi::ItemFetchScope&)
    {102, 1095, 527, 2, Smoke::mf_protected, 0, 34},	//1967 Akonadi::ResourceBase::itemsRetrievedIncremental(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {102, 1092, 0, 0, Smoke::mf_protected, 0, 35},	//1968 Akonadi::ResourceBase::itemsRetrievalDone()
    {102, 766, 0, 0, Smoke::mf_protected, 0, 36},	//1969 Akonadi::ResourceBase::clearCache()
    {102, 1040, 61, 1, Smoke::mf_protected, 0, 37},	//1970 Akonadi::ResourceBase::invalidateCache(const Akonadi::Collection&)
    {102, 861, 0, 0, Smoke::mf_const|Smoke::mf_protected, 34, 38},	//1971 Akonadi::ResourceBase::currentCollection() const
    {102, 862, 0, 0, Smoke::mf_const|Smoke::mf_protected, 113, 39},	//1972 Akonadi::ResourceBase::currentItem() const
    {102, 1597, 0, 0, Smoke::mf_protected, 0, 40},	//1973 Akonadi::ResourceBase::synchronize()
    {102, 1598, 146, 1, Smoke::mf_protected, 0, 41},	//1974 Akonadi::ResourceBase::synchronizeCollection(long long)
    {102, 1598, 594, 2, Smoke::mf_protected, 0, 42},	//1975 Akonadi::ResourceBase::synchronizeCollection(long long, bool)
    {102, 1603, 146, 1, Smoke::mf_protected, 0, 43},	//1976 Akonadi::ResourceBase::synchronizeCollectionAttributes(long long)
    {102, 1605, 0, 0, Smoke::mf_protected, 0, 44},	//1977 Akonadi::ResourceBase::synchronizeCollectionTree()
    {102, 749, 0, 0, Smoke::mf_protected, 0, 45},	//1978 Akonadi::ResourceBase::cancelTask()
    {102, 749, 8, 1, Smoke::mf_protected, 0, 46},	//1979 Akonadi::ResourceBase::cancelTask(const QString&)
    {102, 873, 0, 0, Smoke::mf_protected, 0, 47},	//1980 Akonadi::ResourceBase::deferTask()
    {102, 894, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//1981 Akonadi::ResourceBase::doSetOnline(bool)
    {102, 1399, 45, 1, Smoke::mf_protected, 0, 49},	//1982 Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled(bool)
    {102, 1248, 597, 4, Smoke::mf_protected, 0, 50},	//1983 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority)
    {102, 1609, 0, 0, Smoke::mf_protected, 0, 51},	//1984 Akonadi::ResourceBase::taskDone()
    {102, 1614, 21, 1, Smoke::mf_static, 277, 52},	//1985 Akonadi::ResourceBase::tr(const char*)
    {102, 1618, 21, 1, Smoke::mf_static, 277, 53},	//1986 Akonadi::ResourceBase::trUtf8(const char*)
    {102, 1248, 602, 3, Smoke::mf_protected, 0, 54},	//1987 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&)
    {102, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 55},	//1988 Akonadi::ResourceBase::staticMetaObject() const
    {102, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 56},	//1989 Akonadi::ResourceBase::Prepend (enum)
    {102, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 57},	//1990 Akonadi::ResourceBase::AfterChangeReplay (enum)
    {102, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 58},	//1991 Akonadi::ResourceBase::Append (enum)
    {102, 1758, 0, 0, Smoke::mf_dtor, 0, 59 },	//1992 Akonadi::ResourceBase::~ResourceBase()
    {103, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//1993 Akonadi::ResourceSynchronizationJob::metaObject() const
    {103, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//1994 Akonadi::ResourceSynchronizationJob::qt_metacast(const char*)
    {103, 1614, 23, 2, Smoke::mf_static, 277, 3},	//1995 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*)
    {103, 1618, 23, 2, Smoke::mf_static, 277, 4},	//1996 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*)
    {103, 1614, 26, 3, Smoke::mf_static, 277, 5},	//1997 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*, int)
    {103, 1618, 26, 3, Smoke::mf_static, 277, 6},	//1998 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*, int)
    {103, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//1999 Akonadi::ResourceSynchronizationJob::qt_metacall(QMetaObject::Call, int, void**)
    {103, 511, 606, 2, Smoke::mf_ctor, 157, 8},	//2000 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&, QObject*)
    {103, 800, 0, 0, Smoke::mf_const, 388, 9},	//2001 Akonadi::ResourceSynchronizationJob::collectionTreeOnly() const
    {103, 1323, 45, 1, 0, 0, 10},	//2002 Akonadi::ResourceSynchronizationJob::setCollectionTreeOnly(bool)
    {103, 1217, 0, 0, Smoke::mf_const, 11, 11},	//2003 Akonadi::ResourceSynchronizationJob::resource() const
    {103, 1572, 0, 0, Smoke::mf_virtual, 0, 12},	//2004 Akonadi::ResourceSynchronizationJob::start()
    {103, 1614, 21, 1, Smoke::mf_static, 277, 13},	//2005 Akonadi::ResourceSynchronizationJob::tr(const char*)
    {103, 1618, 21, 1, Smoke::mf_static, 277, 14},	//2006 Akonadi::ResourceSynchronizationJob::trUtf8(const char*)
    {103, 511, 83, 1, Smoke::mf_ctor, 157, 15},	//2007 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&)
    {103, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//2008 Akonadi::ResourceSynchronizationJob::staticMetaObject() const
    {103, 1759, 0, 0, Smoke::mf_dtor, 0, 17 },	//2009 Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob()
    {104, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2010 Akonadi::SearchCreateJob::metaObject() const
    {104, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//2011 Akonadi::SearchCreateJob::qt_metacast(const char*)
    {104, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2012 Akonadi::SearchCreateJob::tr(const char*, const char*)
    {104, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2013 Akonadi::SearchCreateJob::trUtf8(const char*, const char*)
    {104, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2014 Akonadi::SearchCreateJob::tr(const char*, const char*, int)
    {104, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2015 Akonadi::SearchCreateJob::trUtf8(const char*, const char*, int)
    {104, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//2016 Akonadi::SearchCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {104, 519, 609, 3, Smoke::mf_ctor, 158, 8},	//2017 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&, QObject*)
    {104, 1488, 8, 1, 0, 0, 9},	//2018 Akonadi::SearchCreateJob::setQueryLanguage(const QString&)
    {104, 855, 0, 0, Smoke::mf_const, 34, 10},	//2019 Akonadi::SearchCreateJob::createdCollection() const
    {104, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2020 Akonadi::SearchCreateJob::doStart()
    {104, 889, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//2021 Akonadi::SearchCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {104, 1614, 21, 1, Smoke::mf_static, 277, 13},	//2022 Akonadi::SearchCreateJob::tr(const char*)
    {104, 1618, 21, 1, Smoke::mf_static, 277, 14},	//2023 Akonadi::SearchCreateJob::trUtf8(const char*)
    {104, 519, 300, 2, Smoke::mf_ctor, 158, 15},	//2024 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&)
    {104, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 16},	//2025 Akonadi::SearchCreateJob::staticMetaObject() const
    {104, 1760, 0, 0, Smoke::mf_dtor, 0, 17 },	//2026 Akonadi::SearchCreateJob::~SearchCreateJob()
    {105, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2027 Akonadi::SelectionProxyModel::metaObject() const
    {105, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//2028 Akonadi::SelectionProxyModel::qt_metacast(const char*)
    {105, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2029 Akonadi::SelectionProxyModel::tr(const char*, const char*)
    {105, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2030 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*)
    {105, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2031 Akonadi::SelectionProxyModel::tr(const char*, const char*, int)
    {105, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2032 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*, int)
    {105, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//2033 Akonadi::SelectionProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {105, 526, 613, 2, Smoke::mf_ctor, 159, 8},	//2034 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*, QObject*)
    {105, 1614, 21, 1, Smoke::mf_static, 277, 9},	//2035 Akonadi::SelectionProxyModel::tr(const char*)
    {105, 1618, 21, 1, Smoke::mf_static, 277, 10},	//2036 Akonadi::SelectionProxyModel::trUtf8(const char*)
    {105, 526, 616, 1, Smoke::mf_ctor, 159, 11},	//2037 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*)
    {105, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2038 Akonadi::SelectionProxyModel::staticMetaObject() const
    {105, 1761, 0, 0, Smoke::mf_dtor, 0, 13 },	//2039 Akonadi::SelectionProxyModel::~SelectionProxyModel()
    {106, 1123, 0, 0, Smoke::mf_const, 454, 1},	//2040 Akonadi::ServerManager::metaObject() const
    {106, 1189, 21, 1, 0, 485, 2},	//2041 Akonadi::ServerManager::qt_metacast(const char*)
    {106, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2042 Akonadi::ServerManager::tr(const char*, const char*)
    {106, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2043 Akonadi::ServerManager::trUtf8(const char*, const char*)
    {106, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2044 Akonadi::ServerManager::tr(const char*, const char*, int)
    {106, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2045 Akonadi::ServerManager::trUtf8(const char*, const char*, int)
    {106, 1187, 30, 3, 0, 476, 7},	//2046 Akonadi::ServerManager::qt_metacall(QMetaObject::Call, int, void**)
    {106, 1572, 0, 0, Smoke::mf_static, 388, 8},	//2047 Akonadi::ServerManager::start()
    {106, 1586, 0, 0, Smoke::mf_static, 388, 9},	//2048 Akonadi::ServerManager::stop()
    {106, 1555, 85, 1, Smoke::mf_static, 0, 10},	//2049 Akonadi::ServerManager::showSelfTestDialog(QWidget*)
    {106, 1049, 0, 0, Smoke::mf_static, 388, 11},	//2050 Akonadi::ServerManager::isRunning()
    {106, 1577, 0, 0, Smoke::mf_static, 161, 12},	//2051 Akonadi::ServerManager::state()
    {106, 1262, 0, 0, Smoke::mf_static, 160, 13},	//2052 Akonadi::ServerManager::self()
    {106, 1576, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2053 Akonadi::ServerManager::started()
    {106, 1588, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2054 Akonadi::ServerManager::stopped()
    {106, 1578, 618, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2055 Akonadi::ServerManager::stateChanged(Akonadi::ServerManager::State)
    {106, 1614, 21, 1, Smoke::mf_static, 277, 17},	//2056 Akonadi::ServerManager::tr(const char*)
    {106, 1618, 21, 1, Smoke::mf_static, 277, 18},	//2057 Akonadi::ServerManager::trUtf8(const char*)
    {106, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//2058 Akonadi::ServerManager::staticMetaObject() const
    {106, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 20},	//2059 Akonadi::ServerManager::NotRunning (enum)
    {106, 546, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 21},	//2060 Akonadi::ServerManager::Starting (enum)
    {106, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 22},	//2061 Akonadi::ServerManager::Running (enum)
    {106, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 23},	//2062 Akonadi::ServerManager::Stopping (enum)
    {106, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 24},	//2063 Akonadi::ServerManager::Broken (enum)
    {106, 1762, 0, 0, Smoke::mf_dtor, 0, 25 },	//2064 Akonadi::ServerManager::~ServerManager()
    {107, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2065 Akonadi::Session::metaObject() const
    {107, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//2066 Akonadi::Session::qt_metacast(const char*)
    {107, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2067 Akonadi::Session::tr(const char*, const char*)
    {107, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2068 Akonadi::Session::trUtf8(const char*, const char*)
    {107, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2069 Akonadi::Session::tr(const char*, const char*, int)
    {107, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2070 Akonadi::Session::trUtf8(const char*, const char*, int)
    {107, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//2071 Akonadi::Session::qt_metacall(QMetaObject::Call, int, void**)
    {107, 530, 620, 2, Smoke::mf_ctor, 162, 8},	//2072 Akonadi::Session::Session(const QByteArray&, QObject*)
    {107, 1273, 0, 0, Smoke::mf_const, 215, 9},	//2073 Akonadi::Session::sessionId() const
    {107, 872, 0, 0, Smoke::mf_static, 162, 10},	//2074 Akonadi::Session::defaultSession()
    {107, 763, 0, 0, 0, 0, 11},	//2075 Akonadi::Session::clear()
    {107, 1193, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//2076 Akonadi::Session::reconnected()
    {107, 530, 623, 3, Smoke::mf_ctor|Smoke::mf_protected, 162, 13},	//2077 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&, QObject*)
    {107, 1614, 21, 1, Smoke::mf_static, 277, 14},	//2078 Akonadi::Session::tr(const char*)
    {107, 1618, 21, 1, Smoke::mf_static, 277, 15},	//2079 Akonadi::Session::trUtf8(const char*)
    {107, 530, 0, 0, Smoke::mf_ctor, 162, 16},	//2080 Akonadi::Session::Session()
    {107, 530, 6, 1, Smoke::mf_ctor, 162, 17},	//2081 Akonadi::Session::Session(const QByteArray&)
    {107, 530, 627, 1, Smoke::mf_ctor|Smoke::mf_protected, 162, 18},	//2082 Akonadi::Session::Session(Akonadi::SessionPrivate*)
    {107, 530, 629, 2, Smoke::mf_ctor|Smoke::mf_protected, 162, 19},	//2083 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    {107, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 20},	//2084 Akonadi::Session::staticMetaObject() const
    {107, 1763, 0, 0, Smoke::mf_dtor, 0, 21 },	//2085 Akonadi::Session::~Session()
    {109, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2086 Akonadi::StandardActionManager::metaObject() const
    {109, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//2087 Akonadi::StandardActionManager::qt_metacast(const char*)
    {109, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2088 Akonadi::StandardActionManager::tr(const char*, const char*)
    {109, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2089 Akonadi::StandardActionManager::trUtf8(const char*, const char*)
    {109, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2090 Akonadi::StandardActionManager::tr(const char*, const char*, int)
    {109, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2091 Akonadi::StandardActionManager::trUtf8(const char*, const char*, int)
    {109, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//2092 Akonadi::StandardActionManager::qt_metacall(QMetaObject::Call, int, void**)
    {109, 543, 632, 2, Smoke::mf_ctor, 164, 8},	//2093 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*, QWidget*)
    {109, 1319, 616, 1, 0, 0, 9},	//2094 Akonadi::StandardActionManager::setCollectionSelectionModel(QItemSelectionModel*)
    {109, 1433, 616, 1, 0, 0, 10},	//2095 Akonadi::StandardActionManager::setItemSelectionModel(QItemSelectionModel*)
    {109, 1373, 635, 1, 0, 0, 11},	//2096 Akonadi::StandardActionManager::setFavoriteCollectionsModel(Akonadi::FavoriteCollectionsModel*)
    {109, 1377, 616, 1, 0, 0, 12},	//2097 Akonadi::StandardActionManager::setFavoriteSelectionModel(QItemSelectionModel*)
    {109, 843, 637, 1, 0, 190, 13},	//2098 Akonadi::StandardActionManager::createAction(Akonadi::StandardActionManager::Type)
    {109, 847, 0, 0, 0, 0, 14},	//2099 Akonadi::StandardActionManager::createAllActions()
    {109, 683, 637, 1, Smoke::mf_const, 190, 15},	//2100 Akonadi::StandardActionManager::action(Akonadi::StandardActionManager::Type) const
    {109, 1276, 639, 2, 0, 0, 16},	//2101 Akonadi::StandardActionManager::setActionText(Akonadi::StandardActionManager::Type, const KLocalizedString&)
    {109, 1036, 642, 2, 0, 0, 17},	//2102 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type, bool)
    {109, 1256, 0, 0, Smoke::mf_const, 251, 18},	//2103 Akonadi::StandardActionManager::selectedCollections() const
    {109, 1258, 0, 0, Smoke::mf_const, 253, 19},	//2104 Akonadi::StandardActionManager::selectedItems() const
    {109, 1348, 645, 3, 0, 0, 20},	//2105 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&)
    {109, 1348, 649, 3, 0, 0, 21},	//2106 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&)
    {109, 1450, 10, 1, 0, 0, 22},	//2107 Akonadi::StandardActionManager::setMimeTypeFilter(const QStringList&)
    {109, 1301, 10, 1, 0, 0, 23},	//2108 Akonadi::StandardActionManager::setCapabilityFilter(const QStringList&)
    {109, 1317, 10, 1, 0, 0, 24},	//2109 Akonadi::StandardActionManager::setCollectionPropertiesPageNames(const QStringList&)
    {109, 845, 653, 2, 0, 0, 25},	//2110 Akonadi::StandardActionManager::createActionFolderMenu(QMenu*, Akonadi::StandardActionManager::Type)
    {109, 686, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2111 Akonadi::StandardActionManager::actionStateUpdated()
    {109, 1614, 21, 1, Smoke::mf_static, 277, 27},	//2112 Akonadi::StandardActionManager::tr(const char*)
    {109, 1618, 21, 1, Smoke::mf_static, 277, 28},	//2113 Akonadi::StandardActionManager::trUtf8(const char*)
    {109, 543, 656, 1, Smoke::mf_ctor, 164, 29},	//2114 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*)
    {109, 1036, 637, 1, 0, 0, 30},	//2115 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type)
    {109, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 31},	//2116 Akonadi::StandardActionManager::staticMetaObject() const
    {109, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 32},	//2117 Akonadi::StandardActionManager::CreateCollection (enum)
    {109, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 33},	//2118 Akonadi::StandardActionManager::CopyCollections (enum)
    {109, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 34},	//2119 Akonadi::StandardActionManager::DeleteCollections (enum)
    {109, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 35},	//2120 Akonadi::StandardActionManager::SynchronizeCollections (enum)
    {109, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 36},	//2121 Akonadi::StandardActionManager::CollectionProperties (enum)
    {109, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 37},	//2122 Akonadi::StandardActionManager::CopyItems (enum)
    {109, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 38},	//2123 Akonadi::StandardActionManager::Paste (enum)
    {109, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 39},	//2124 Akonadi::StandardActionManager::DeleteItems (enum)
    {109, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 40},	//2125 Akonadi::StandardActionManager::ManageLocalSubscriptions (enum)
    {109, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 41},	//2126 Akonadi::StandardActionManager::AddToFavoriteCollections (enum)
    {109, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 42},	//2127 Akonadi::StandardActionManager::RemoveFromFavoriteCollections (enum)
    {109, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 43},	//2128 Akonadi::StandardActionManager::RenameFavoriteCollection (enum)
    {109, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 44},	//2129 Akonadi::StandardActionManager::CopyCollectionToMenu (enum)
    {109, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 45},	//2130 Akonadi::StandardActionManager::CopyItemToMenu (enum)
    {109, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 46},	//2131 Akonadi::StandardActionManager::MoveItemToMenu (enum)
    {109, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 47},	//2132 Akonadi::StandardActionManager::MoveCollectionToMenu (enum)
    {109, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 48},	//2133 Akonadi::StandardActionManager::CutItems (enum)
    {109, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 49},	//2134 Akonadi::StandardActionManager::CutCollections (enum)
    {109, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 50},	//2135 Akonadi::StandardActionManager::CreateResource (enum)
    {109, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 51},	//2136 Akonadi::StandardActionManager::DeleteResources (enum)
    {109, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 52},	//2137 Akonadi::StandardActionManager::ResourceProperties (enum)
    {109, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 53},	//2138 Akonadi::StandardActionManager::SynchronizeResources (enum)
    {109, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 54},	//2139 Akonadi::StandardActionManager::ToggleWorkOffline (enum)
    {109, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 55},	//2140 Akonadi::StandardActionManager::CopyCollectionToDialog (enum)
    {109, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 56},	//2141 Akonadi::StandardActionManager::MoveCollectionToDialog (enum)
    {109, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 57},	//2142 Akonadi::StandardActionManager::CopyItemToDialog (enum)
    {109, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 58},	//2143 Akonadi::StandardActionManager::MoveItemToDialog (enum)
    {109, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 59},	//2144 Akonadi::StandardActionManager::SynchronizeCollectionsRecursive (enum)
    {109, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 60},	//2145 Akonadi::StandardActionManager::MoveCollectionsToTrash (enum)
    {109, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 61},	//2146 Akonadi::StandardActionManager::MoveItemsToTrash (enum)
    {109, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 62},	//2147 Akonadi::StandardActionManager::RestoreCollectionsFromTrash (enum)
    {109, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 63},	//2148 Akonadi::StandardActionManager::RestoreItemsFromTrash (enum)
    {109, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 64},	//2149 Akonadi::StandardActionManager::MoveToTrashRestoreCollection (enum)
    {109, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 65},	//2150 Akonadi::StandardActionManager::MoveToTrashRestoreCollectionAlternative (enum)
    {109, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 66},	//2151 Akonadi::StandardActionManager::MoveToTrashRestoreItem (enum)
    {109, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 67},	//2152 Akonadi::StandardActionManager::MoveToTrashRestoreItemAlternative (enum)
    {109, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 68},	//2153 Akonadi::StandardActionManager::SynchronizeFavoriteCollections (enum)
    {109, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 69},	//2154 Akonadi::StandardActionManager::LastType (enum)
    {109, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 70},	//2155 Akonadi::StandardActionManager::DialogTitle (enum)
    {109, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 71},	//2156 Akonadi::StandardActionManager::DialogText (enum)
    {109, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 72},	//2157 Akonadi::StandardActionManager::MessageBoxTitle (enum)
    {109, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 73},	//2158 Akonadi::StandardActionManager::MessageBoxText (enum)
    {109, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 74},	//2159 Akonadi::StandardActionManager::MessageBoxAlternativeText (enum)
    {109, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 75},	//2160 Akonadi::StandardActionManager::ErrorMessageTitle (enum)
    {109, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 76},	//2161 Akonadi::StandardActionManager::ErrorMessageText (enum)
    {109, 1764, 0, 0, Smoke::mf_dtor, 0, 77 },	//2162 Akonadi::StandardActionManager::~StandardActionManager()
    {110, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2163 Akonadi::StatisticsProxyModel::metaObject() const
    {110, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//2164 Akonadi::StatisticsProxyModel::qt_metacast(const char*)
    {110, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2165 Akonadi::StatisticsProxyModel::tr(const char*, const char*)
    {110, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2166 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*)
    {110, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2167 Akonadi::StatisticsProxyModel::tr(const char*, const char*, int)
    {110, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2168 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*, int)
    {110, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//2169 Akonadi::StatisticsProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {110, 549, 78, 1, Smoke::mf_ctor, 167, 8},	//2170 Akonadi::StatisticsProxyModel::StatisticsProxyModel(QObject*)
    {110, 1532, 45, 1, 0, 0, 9},	//2171 Akonadi::StatisticsProxyModel::setToolTipEnabled(bool)
    {110, 1050, 0, 0, Smoke::mf_const, 388, 10},	//2172 Akonadi::StatisticsProxyModel::isToolTipEnabled() const
    {110, 1371, 45, 1, 0, 0, 11},	//2173 Akonadi::StatisticsProxyModel::setExtraColumnsEnabled(bool)
    {110, 1045, 0, 0, Smoke::mf_const, 388, 12},	//2174 Akonadi::StatisticsProxyModel::isExtraColumnsEnabled() const
    {110, 1004, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 13},	//2175 Akonadi::StatisticsProxyModel::index(int, int, const QModelIndex&) const
    {110, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 14},	//2176 Akonadi::StatisticsProxyModel::data(const QModelIndex&, int) const
    {110, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 15},	//2177 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation, int) const
    {110, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 16},	//2178 Akonadi::StatisticsProxyModel::flags(const QModelIndex&) const
    {110, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 17},	//2179 Akonadi::StatisticsProxyModel::columnCount(const QModelIndex&) const
    {110, 1118, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 18},	//2180 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {110, 1520, 159, 1, Smoke::mf_virtual, 0, 19},	//2181 Akonadi::StatisticsProxyModel::setSourceModel(QAbstractItemModel*)
    {110, 824, 21, 1, Smoke::mf_virtual, 0, 20},	//2182 Akonadi::StatisticsProxyModel::connectNotify(const char*)
    {110, 1614, 21, 1, Smoke::mf_static, 277, 21},	//2183 Akonadi::StatisticsProxyModel::tr(const char*)
    {110, 1618, 21, 1, Smoke::mf_static, 277, 22},	//2184 Akonadi::StatisticsProxyModel::trUtf8(const char*)
    {110, 549, 0, 0, Smoke::mf_ctor, 167, 23},	//2185 Akonadi::StatisticsProxyModel::StatisticsProxyModel()
    {110, 1004, 115, 2, Smoke::mf_const, 261, 24},	//2186 Akonadi::StatisticsProxyModel::index(int, int) const
    {110, 866, 95, 1, Smoke::mf_const, 287, 25},	//2187 Akonadi::StatisticsProxyModel::data(const QModelIndex&) const
    {110, 982, 112, 2, Smoke::mf_const, 287, 26},	//2188 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation) const
    {110, 813, 0, 0, Smoke::mf_const, 476, 27},	//2189 Akonadi::StatisticsProxyModel::columnCount() const
    {110, 1118, 390, 3, Smoke::mf_const, 256, 28},	//2190 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&) const
    {110, 1118, 394, 4, Smoke::mf_const, 256, 29},	//2191 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int) const
    {110, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 30},	//2192 Akonadi::StatisticsProxyModel::staticMetaObject() const
    {110, 1765, 0, 0, Smoke::mf_dtor, 0, 31 },	//2193 Akonadi::StatisticsProxyModel::~StatisticsProxyModel()
    {111, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2194 Akonadi::TransactionBeginJob::metaObject() const
    {111, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//2195 Akonadi::TransactionBeginJob::qt_metacast(const char*)
    {111, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2196 Akonadi::TransactionBeginJob::tr(const char*, const char*)
    {111, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2197 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*)
    {111, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2198 Akonadi::TransactionBeginJob::tr(const char*, const char*, int)
    {111, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2199 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*, int)
    {111, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//2200 Akonadi::TransactionBeginJob::qt_metacall(QMetaObject::Call, int, void**)
    {111, 572, 78, 1, Smoke::mf_ctor, 168, 8},	//2201 Akonadi::TransactionBeginJob::TransactionBeginJob(QObject*)
    {111, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2202 Akonadi::TransactionBeginJob::doStart()
    {111, 1614, 21, 1, Smoke::mf_static, 277, 10},	//2203 Akonadi::TransactionBeginJob::tr(const char*)
    {111, 1618, 21, 1, Smoke::mf_static, 277, 11},	//2204 Akonadi::TransactionBeginJob::trUtf8(const char*)
    {111, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2205 Akonadi::TransactionBeginJob::staticMetaObject() const
    {111, 1766, 0, 0, Smoke::mf_dtor, 0, 13 },	//2206 Akonadi::TransactionBeginJob::~TransactionBeginJob()
    {112, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2207 Akonadi::TransactionCommitJob::metaObject() const
    {112, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//2208 Akonadi::TransactionCommitJob::qt_metacast(const char*)
    {112, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2209 Akonadi::TransactionCommitJob::tr(const char*, const char*)
    {112, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2210 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*)
    {112, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2211 Akonadi::TransactionCommitJob::tr(const char*, const char*, int)
    {112, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2212 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*, int)
    {112, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//2213 Akonadi::TransactionCommitJob::qt_metacall(QMetaObject::Call, int, void**)
    {112, 574, 78, 1, Smoke::mf_ctor, 169, 8},	//2214 Akonadi::TransactionCommitJob::TransactionCommitJob(QObject*)
    {112, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2215 Akonadi::TransactionCommitJob::doStart()
    {112, 1614, 21, 1, Smoke::mf_static, 277, 10},	//2216 Akonadi::TransactionCommitJob::tr(const char*)
    {112, 1618, 21, 1, Smoke::mf_static, 277, 11},	//2217 Akonadi::TransactionCommitJob::trUtf8(const char*)
    {112, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2218 Akonadi::TransactionCommitJob::staticMetaObject() const
    {112, 1767, 0, 0, Smoke::mf_dtor, 0, 13 },	//2219 Akonadi::TransactionCommitJob::~TransactionCommitJob()
    {113, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2220 Akonadi::TransactionRollbackJob::metaObject() const
    {113, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//2221 Akonadi::TransactionRollbackJob::qt_metacast(const char*)
    {113, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2222 Akonadi::TransactionRollbackJob::tr(const char*, const char*)
    {113, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2223 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*)
    {113, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2224 Akonadi::TransactionRollbackJob::tr(const char*, const char*, int)
    {113, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2225 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*, int)
    {113, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//2226 Akonadi::TransactionRollbackJob::qt_metacall(QMetaObject::Call, int, void**)
    {113, 576, 78, 1, Smoke::mf_ctor, 170, 8},	//2227 Akonadi::TransactionRollbackJob::TransactionRollbackJob(QObject*)
    {113, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2228 Akonadi::TransactionRollbackJob::doStart()
    {113, 1614, 21, 1, Smoke::mf_static, 277, 10},	//2229 Akonadi::TransactionRollbackJob::tr(const char*)
    {113, 1618, 21, 1, Smoke::mf_static, 277, 11},	//2230 Akonadi::TransactionRollbackJob::trUtf8(const char*)
    {113, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 12},	//2231 Akonadi::TransactionRollbackJob::staticMetaObject() const
    {113, 1768, 0, 0, Smoke::mf_dtor, 0, 13 },	//2232 Akonadi::TransactionRollbackJob::~TransactionRollbackJob()
    {114, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2233 Akonadi::TransactionSequence::metaObject() const
    {114, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//2234 Akonadi::TransactionSequence::qt_metacast(const char*)
    {114, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2235 Akonadi::TransactionSequence::tr(const char*, const char*)
    {114, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2236 Akonadi::TransactionSequence::trUtf8(const char*, const char*)
    {114, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2237 Akonadi::TransactionSequence::tr(const char*, const char*, int)
    {114, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2238 Akonadi::TransactionSequence::trUtf8(const char*, const char*, int)
    {114, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//2239 Akonadi::TransactionSequence::qt_metacall(QMetaObject::Call, int, void**)
    {114, 578, 78, 1, Smoke::mf_ctor, 171, 8},	//2240 Akonadi::TransactionSequence::TransactionSequence(QObject*)
    {114, 815, 0, 0, 0, 0, 9},	//2241 Akonadi::TransactionSequence::commit()
    {114, 1235, 0, 0, 0, 0, 10},	//2242 Akonadi::TransactionSequence::rollback()
    {114, 1405, 201, 1, 0, 0, 11},	//2243 Akonadi::TransactionSequence::setIgnoreJobFailure(KJob*)
    {114, 1287, 45, 1, 0, 0, 12},	//2244 Akonadi::TransactionSequence::setAutomaticCommittingEnabled(bool)
    {114, 709, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 13},	//2245 Akonadi::TransactionSequence::addSubjob(KJob*)
    {114, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//2246 Akonadi::TransactionSequence::doStart()
    {114, 1566, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//2247 Akonadi::TransactionSequence::slotResult(KJob*)
    {114, 1614, 21, 1, Smoke::mf_static, 277, 16},	//2248 Akonadi::TransactionSequence::tr(const char*)
    {114, 1618, 21, 1, Smoke::mf_static, 277, 17},	//2249 Akonadi::TransactionSequence::trUtf8(const char*)
    {114, 578, 0, 0, Smoke::mf_ctor, 171, 18},	//2250 Akonadi::TransactionSequence::TransactionSequence()
    {114, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 19},	//2251 Akonadi::TransactionSequence::staticMetaObject() const
    {114, 1769, 0, 0, Smoke::mf_dtor, 0, 20 },	//2252 Akonadi::TransactionSequence::~TransactionSequence()
    {115, 581, 0, 0, Smoke::mf_ctor, 172, 1},	//2253 Akonadi::TransportResourceBase::TransportResourceBase()
    {115, 1265, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//2254 Akonadi::TransportResourceBase::sendItem(const Akonadi::Item&) [pure virtual]
    {115, 1082, 658, 3, 0, 0, 3},	//2255 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&)
    {115, 581, 662, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 172, 4},	//2256 Akonadi::TransportResourceBase::TransportResourceBase(const Akonadi::TransportResourceBase&)
    {115, 1082, 664, 2, 0, 0, 5},	//2257 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult)
    {115, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 6},	//2258 Akonadi::TransportResourceBase::TransportSucceeded (enum)
    {115, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 7},	//2259 Akonadi::TransportResourceBase::TransportFailed (enum)
    {115, 1770, 0, 0, Smoke::mf_dtor, 0, 8 },	//2260 Akonadi::TransportResourceBase::~TransportResourceBase()
    {116, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 1},	//2261 Akonadi::UnlinkJob::metaObject() const
    {116, 1189, 21, 1, Smoke::mf_virtual, 485, 2},	//2262 Akonadi::UnlinkJob::qt_metacast(const char*)
    {116, 1614, 23, 2, Smoke::mf_static, 277, 3},	//2263 Akonadi::UnlinkJob::tr(const char*, const char*)
    {116, 1618, 23, 2, Smoke::mf_static, 277, 4},	//2264 Akonadi::UnlinkJob::trUtf8(const char*, const char*)
    {116, 1614, 26, 3, Smoke::mf_static, 277, 5},	//2265 Akonadi::UnlinkJob::tr(const char*, const char*, int)
    {116, 1618, 26, 3, Smoke::mf_static, 277, 6},	//2266 Akonadi::UnlinkJob::trUtf8(const char*, const char*, int)
    {116, 1187, 30, 3, Smoke::mf_virtual, 476, 7},	//2267 Akonadi::UnlinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {116, 588, 540, 3, Smoke::mf_ctor, 174, 8},	//2268 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {116, 896, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2269 Akonadi::UnlinkJob::doStart()
    {116, 1614, 21, 1, Smoke::mf_static, 277, 10},	//2270 Akonadi::UnlinkJob::tr(const char*)
    {116, 1618, 21, 1, Smoke::mf_static, 277, 11},	//2271 Akonadi::UnlinkJob::trUtf8(const char*)
    {116, 588, 544, 2, Smoke::mf_ctor, 174, 12},	//2272 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {116, 1580, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 453, 13},	//2273 Akonadi::UnlinkJob::staticMetaObject() const
    {116, 1771, 0, 0, Smoke::mf_dtor, 0, 14 },	//2274 Akonadi::UnlinkJob::~UnlinkJob()
    {131, 1286, 45, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//2275 KComboBox::setAutoCompletion(bool)
    {131, 1347, 45, 1, Smoke::mf_virtual, 0, 0},	//2276 KComboBox::setContextMenuEnabled(bool)
    {131, 935, 667, 2, Smoke::mf_virtual, 388, 0},	//2277 KComboBox::eventFilter(QObject*, QEvent*)
    {131, 1443, 670, 1, Smoke::mf_virtual, 0, 0},	//2278 KComboBox::setLineEdit(QLineEdit*)
    {131, 1328, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2279 KComboBox::setCompletedText(const QString&)
    {131, 1327, 672, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2280 KComboBox::setCompletedItems(const QStringList&, bool)
    {131, 1111, 8, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2281 KComboBox::makeCompletion(const QString&)
    {131, 1328, 563, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2282 KComboBox::setCompletedText(const QString&, bool)
    {131, 842, 675, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2283 KComboBox::create(unsigned long, bool, bool)
    {131, 1659, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2284 KComboBox::wheelEvent(QWheelEvent*)
    {131, 1136, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 276, 0},	//2285 KComboBox::minimumSizeHint() const
    {133, 1330, 681, 2, Smoke::mf_virtual, 0, 0},	//2286 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {133, 1393, 45, 1, Smoke::mf_virtual, 0, 0},	//2287 KCompletionBase::setHandleSignals(bool)
    {133, 1329, 684, 1, Smoke::mf_virtual, 0, 0},	//2288 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {133, 1652, 686, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2289 KCompletionBase::virtual_hook(int, void*)
    {135, 1565, 689, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2290 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {137, 1560, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2291 KDialog::sizeHint() const
    {137, 1136, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2292 KDialog::minimumSizeHint() const
    {137, 1303, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2293 KDialog::setCaption(const QString&)
    {137, 1303, 563, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2294 KDialog::setCaption(const QString&, bool)
    {137, 1481, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2295 KDialog::setPlainCaption(const QString&)
    {137, 986, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2296 KDialog::hideEvent(QHideEvent*)
    {137, 776, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2297 KDialog::closeEvent(QCloseEvent*)
    {137, 1097, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2298 KDialog::keyPressEvent(QKeyEvent*)
    {137, 1563, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2299 KDialog::slotButtonClicked(int)
    {138, 1560, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2300 KHBox::sizeHint() const
    {138, 1136, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2301 KHBox::minimumSizeHint() const
    {138, 761, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2302 KHBox::childEvent(QChildEvent*)
    {140, 892, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2303 KJob::doKill()
    {140, 897, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2304 KJob::doSuspend()
    {140, 893, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2305 KJob::doResume()
    {140, 933, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 277, 0},	//2306 KJob::errorString() const
    {140, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 5},	//2307 KJob::NoError (enum)
    {140, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 6},	//2308 KJob::KilledJobError (enum)
    {140, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 7},	//2309 KJob::UserDefinedError (enum)
    {143, 1520, 159, 1, Smoke::mf_virtual, 0, 0},	//2310 KSelectionProxyModel::setSourceModel(QAbstractItemModel*)
    {143, 1112, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2311 KSelectionProxyModel::mapFromSource(const QModelIndex&) const
    {143, 1116, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2312 KSelectionProxyModel::mapToSource(const QModelIndex&) const
    {143, 1114, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2313 KSelectionProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {143, 1115, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2314 KSelectionProxyModel::mapSelectionToSource(const QItemSelection&) const
    {143, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 0},	//2315 KSelectionProxyModel::flags(const QModelIndex&) const
    {143, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2316 KSelectionProxyModel::data(const QModelIndex&, int) const
    {143, 1238, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2317 KSelectionProxyModel::rowCount(const QModelIndex&) const
    {143, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2318 KSelectionProxyModel::headerData(int, Qt::Orientation, int) const
    {143, 1125, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//2319 KSelectionProxyModel::mimeData(const QList<QModelIndex>&) const
    {143, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//2320 KSelectionProxyModel::mimeTypes() const
    {143, 1595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2321 KSelectionProxyModel::supportedDropActions() const
    {143, 911, 225, 5, Smoke::mf_virtual, 388, 0},	//2322 KSelectionProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {143, 977, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2323 KSelectionProxyModel::hasChildren(const QModelIndex&) const
    {143, 1004, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2324 KSelectionProxyModel::index(int, int, const QModelIndex&) const
    {143, 1168, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2325 KSelectionProxyModel::parent(const QModelIndex&) const
    {143, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2326 KSelectionProxyModel::columnCount(const QModelIndex&) const
    {143, 1118, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//2327 KSelectionProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {148, 977, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2328 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {148, 1355, 108, 3, Smoke::mf_virtual, 388, 0},	//2329 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {148, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2330 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {148, 1394, 218, 4, Smoke::mf_virtual, 388, 0},	//2331 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {148, 1067, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 257, 0},	//2332 QAbstractItemModel::itemData(const QModelIndex&) const
    {148, 1425, 703, 2, Smoke::mf_virtual, 388, 0},	//2333 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {148, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//2334 QAbstractItemModel::mimeTypes() const
    {148, 1125, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//2335 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {148, 911, 225, 5, Smoke::mf_virtual, 388, 0},	//2336 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {148, 1595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2337 QAbstractItemModel::supportedDropActions() const
    {148, 1016, 104, 3, Smoke::mf_virtual, 388, 0},	//2338 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {148, 1015, 104, 3, Smoke::mf_virtual, 388, 0},	//2339 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {148, 1209, 104, 3, Smoke::mf_virtual, 388, 0},	//2340 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {148, 1206, 104, 3, Smoke::mf_virtual, 388, 0},	//2341 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {148, 954, 95, 1, Smoke::mf_virtual, 0, 0},	//2342 QAbstractItemModel::fetchMore(const QModelIndex&)
    {148, 745, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2343 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {148, 1570, 706, 2, Smoke::mf_virtual, 0, 0},	//2344 QAbstractItemModel::sort(int, Qt::SortOrder)
    {148, 741, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2345 QAbstractItemModel::buddy(const QModelIndex&) const
    {148, 1118, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//2346 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {148, 1571, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2347 QAbstractItemModel::span(const QModelIndex&) const
    {148, 1594, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 388, 0},	//2348 QAbstractItemModel::submit()
    {148, 1232, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2349 QAbstractItemModel::revert()
    {149, 1513, 616, 1, Smoke::mf_virtual, 0, 0},	//2350 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {149, 1099, 8, 1, Smoke::mf_virtual, 0, 0},	//2351 QAbstractItemView::keyboardSearch(const QString&)
    {149, 1562, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2352 QAbstractItemView::sizeHintForRow(int) const
    {149, 1561, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2353 QAbstractItemView::sizeHintForColumn(int) const
    {149, 1014, 709, 1, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2354 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {149, 1253, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2355 QAbstractItemView::selectAll()
    {149, 1633, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2356 QAbstractItemView::updateEditorData()
    {149, 1634, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2357 QAbstractItemView::updateEditorGeometries()
    {149, 1646, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2358 QAbstractItemView::verticalScrollbarAction(int)
    {149, 989, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2359 QAbstractItemView::horizontalScrollbarAction(int)
    {149, 1647, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2360 QAbstractItemView::verticalScrollbarValueChanged(int)
    {149, 990, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2361 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {149, 775, 711, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2362 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {149, 816, 85, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2363 QAbstractItemView::commitData(QWidget*)
    {149, 915, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2364 QAbstractItemView::editorDestroyed(QObject*)
    {149, 913, 714, 3, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2365 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {149, 1260, 718, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 232, 0},	//2366 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {149, 1574, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2367 QAbstractItemView::startDrag(QFlags<Qt::DropAction>)
    {149, 1649, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 281, 0},	//2368 QAbstractItemView::viewOptions() const
    {149, 968, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2369 QAbstractItemView::focusNextPrevChild(bool)
    {149, 934, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2370 QAbstractItemView::event(QEvent*)
    {149, 1651, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2371 QAbstractItemView::viewportEvent(QEvent*)
    {149, 1144, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2372 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {149, 1142, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2373 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {149, 902, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2374 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {149, 903, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2375 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {149, 909, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2376 QAbstractItemView::dropEvent(QDropEvent*)
    {149, 967, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2377 QAbstractItemView::focusInEvent(QFocusEvent*)
    {149, 969, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2378 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {149, 1097, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2379 QAbstractItemView::keyPressEvent(QKeyEvent*)
    {149, 1216, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2380 QAbstractItemView::resizeEvent(QResizeEvent*)
    {149, 1013, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2381 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {149, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 33},	//2382 QAbstractItemView::NoSelection (enum)
    {149, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 34},	//2383 QAbstractItemView::SingleSelection (enum)
    {149, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 35},	//2384 QAbstractItemView::MultiSelection (enum)
    {149, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 36},	//2385 QAbstractItemView::ExtendedSelection (enum)
    {149, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 37},	//2386 QAbstractItemView::ContiguousSelection (enum)
    {149, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 38},	//2387 QAbstractItemView::EnsureVisible (enum)
    {149, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 39},	//2388 QAbstractItemView::PositionAtTop (enum)
    {149, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 40},	//2389 QAbstractItemView::PositionAtBottom (enum)
    {149, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 41},	//2390 QAbstractItemView::PositionAtCenter (enum)
    {149, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 42},	//2391 QAbstractItemView::NoEditTriggers (enum)
    {149, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 43},	//2392 QAbstractItemView::CurrentChanged (enum)
    {149, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 44},	//2393 QAbstractItemView::DoubleClicked (enum)
    {149, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 45},	//2394 QAbstractItemView::SelectedClicked (enum)
    {149, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 46},	//2395 QAbstractItemView::EditKeyPressed (enum)
    {149, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 47},	//2396 QAbstractItemView::AnyKeyPressed (enum)
    {149, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 48},	//2397 QAbstractItemView::AllEditTriggers (enum)
    {149, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 49},	//2398 QAbstractItemView::MoveUp (enum)
    {149, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 50},	//2399 QAbstractItemView::MoveDown (enum)
    {149, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 51},	//2400 QAbstractItemView::MoveLeft (enum)
    {149, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 52},	//2401 QAbstractItemView::MoveRight (enum)
    {149, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 53},	//2402 QAbstractItemView::MoveHome (enum)
    {149, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 54},	//2403 QAbstractItemView::MoveEnd (enum)
    {149, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 55},	//2404 QAbstractItemView::MovePageUp (enum)
    {149, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 56},	//2405 QAbstractItemView::MovePageDown (enum)
    {149, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 57},	//2406 QAbstractItemView::MoveNext (enum)
    {149, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 58},	//2407 QAbstractItemView::MovePrevious (enum)
    {150, 1115, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2408 QAbstractProxyModel::mapSelectionToSource(const QItemSelection&) const
    {150, 1114, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2409 QAbstractProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {150, 1594, 0, 0, Smoke::mf_virtual, 388, 0},	//2410 QAbstractProxyModel::submit()
    {150, 1232, 0, 0, Smoke::mf_virtual, 0, 0},	//2411 QAbstractProxyModel::revert()
    {150, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2412 QAbstractProxyModel::data(const QModelIndex&, int) const
    {150, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2413 QAbstractProxyModel::headerData(int, Qt::Orientation, int) const
    {150, 1067, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 257, 0},	//2414 QAbstractProxyModel::itemData(const QModelIndex&) const
    {150, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 0},	//2415 QAbstractProxyModel::flags(const QModelIndex&) const
    {150, 1355, 108, 3, Smoke::mf_virtual, 388, 0},	//2416 QAbstractProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {150, 1425, 703, 2, Smoke::mf_virtual, 388, 0},	//2417 QAbstractProxyModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {150, 1394, 218, 4, Smoke::mf_virtual, 388, 0},	//2418 QAbstractProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {150, 741, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2419 QAbstractProxyModel::buddy(const QModelIndex&) const
    {150, 745, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2420 QAbstractProxyModel::canFetchMore(const QModelIndex&) const
    {150, 954, 95, 1, Smoke::mf_virtual, 0, 0},	//2421 QAbstractProxyModel::fetchMore(const QModelIndex&)
    {150, 1570, 706, 2, Smoke::mf_virtual, 0, 0},	//2422 QAbstractProxyModel::sort(int, Qt::SortOrder)
    {150, 1571, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2423 QAbstractProxyModel::span(const QModelIndex&) const
    {150, 1595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2424 QAbstractProxyModel::supportedDropActions() const
    {151, 1136, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2425 QAbstractScrollArea::minimumSizeHint() const
    {151, 1560, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2426 QAbstractScrollArea::sizeHint() const
    {151, 1659, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2427 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {152, 1004, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2428 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {159, 1560, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2429 QComboBox::sizeHint() const
    {159, 1554, 0, 0, Smoke::mf_virtual, 0, 0},	//2430 QComboBox::showPopup()
    {159, 987, 0, 0, Smoke::mf_virtual, 0, 0},	//2431 QComboBox::hidePopup()
    {159, 934, 721, 1, Smoke::mf_virtual, 388, 0},	//2432 QComboBox::event(QEvent*)
    {159, 967, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2433 QComboBox::focusInEvent(QFocusEvent*)
    {159, 969, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2434 QComboBox::focusOutEvent(QFocusEvent*)
    {159, 757, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2435 QComboBox::changeEvent(QEvent*)
    {159, 1216, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2436 QComboBox::resizeEvent(QResizeEvent*)
    {159, 1166, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2437 QComboBox::paintEvent(QPaintEvent*)
    {159, 1553, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2438 QComboBox::showEvent(QShowEvent*)
    {159, 986, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2439 QComboBox::hideEvent(QHideEvent*)
    {159, 1144, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2440 QComboBox::mousePressEvent(QMouseEvent*)
    {159, 1145, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2441 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {159, 1097, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2442 QComboBox::keyPressEvent(QKeyEvent*)
    {159, 1098, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2443 QComboBox::keyReleaseEvent(QKeyEvent*)
    {159, 839, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2444 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {159, 1013, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2445 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {159, 1014, 709, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 287, 0},	//2446 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {164, 1544, 45, 1, Smoke::mf_virtual, 0, 0},	//2447 QDialog::setVisible(bool)
    {164, 898, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2448 QDialog::done(int)
    {164, 681, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2449 QDialog::accept()
    {164, 1198, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2450 QDialog::reject()
    {164, 1553, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2451 QDialog::showEvent(QShowEvent*)
    {164, 1216, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2452 QDialog::resizeEvent(QResizeEvent*)
    {164, 839, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2453 QDialog::contextMenuEvent(QContextMenuEvent*)
    {164, 935, 667, 2, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2454 QDialog::eventFilter(QObject*, QEvent*)
    {172, 934, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2455 QFrame::event(QEvent*)
    {172, 1166, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2456 QFrame::paintEvent(QPaintEvent*)
    {172, 757, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2457 QFrame::changeEvent(QEvent*)
    {173, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 1},	//2458 QGlobalSpace::_CS_PATH (enum)
    {173, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 2},	//2459 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {173, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 3},	//2460 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {173, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 4},	//2461 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {173, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 5},	//2462 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {173, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 6},	//2463 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {173, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 7},	//2464 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {173, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 8},	//2465 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {173, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 9},	//2466 QGlobalSpace::_CS_LFS_LIBS (enum)
    {173, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 10},	//2467 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {173, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 11},	//2468 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {173, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 12},	//2469 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {173, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 13},	//2470 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {173, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 14},	//2471 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {173, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 15},	//2472 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {173, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 16},	//2473 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {173, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 17},	//2474 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {173, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 18},	//2475 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {173, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 19},	//2476 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {173, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 20},	//2477 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 21},	//2478 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {173, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 22},	//2479 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 23},	//2480 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {173, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 24},	//2481 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {173, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 25},	//2482 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {173, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 26},	//2483 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {173, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 27},	//2484 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 28},	//2485 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 29},	//2486 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {173, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 30},	//2487 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 31},	//2488 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {173, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 32},	//2489 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {173, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 33},	//2490 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {173, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 34},	//2491 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {173, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 35},	//2492 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {173, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 36},	//2493 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 37},	//2494 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {173, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 38},	//2495 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 39},	//2496 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {173, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 40},	//2497 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {173, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 41},	//2498 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {173, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 42},	//2499 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {173, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 43},	//2500 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 44},	//2501 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 45},	//2502 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {173, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 46},	//2503 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 47},	//2504 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {173, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 48},	//2505 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {173, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 49},	//2506 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {173, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 50},	//2507 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {173, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 51},	//2508 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {173, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 52},	//2509 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 53},	//2510 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {173, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 54},	//2511 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 55},	//2512 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {173, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 56},	//2513 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {173, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 57},	//2514 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {173, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 58},	//2515 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {173, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 59},	//2516 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 60},	//2517 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 61},	//2518 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {173, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 62},	//2519 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 63},	//2520 QGlobalSpace::_CS_V6_ENV (enum)
    {173, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 64},	//2521 QGlobalSpace::_CS_V7_ENV (enum)
    {173, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 383, 65},	//2522 QGlobalSpace::LicensedXml (enum)
    {173, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 66},	//2523 QGlobalSpace::QtDebugMsg (enum)
    {173, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 67},	//2524 QGlobalSpace::QtWarningMsg (enum)
    {173, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 68},	//2525 QGlobalSpace::QtCriticalMsg (enum)
    {173, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 69},	//2526 QGlobalSpace::QtFatalMsg (enum)
    {173, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 70},	//2527 QGlobalSpace::QtSystemMsg (enum)
    {173, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 374, 71},	//2528 QGlobalSpace::LicensedOpenGL (enum)
    {173, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 72},	//2529 QGlobalSpace::LicensedQt3Support (enum)
    {173, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 73},	//2530 QGlobalSpace::LicensedOpenVG (enum)
    {173, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 74},	//2531 QGlobalSpace::LicensedNetwork (enum)
    {173, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 75},	//2532 QGlobalSpace::LicensedSql (enum)
    {173, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 76},	//2533 QGlobalSpace::LicensedCore (enum)
    {173, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 381, 77},	//2534 QGlobalSpace::LicensedSvg (enum)
    {173, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 384, 78},	//2535 QGlobalSpace::LicensedXmlPatterns (enum)
    {173, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 79},	//2536 QGlobalSpace::LicensedGui (enum)
    {173, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 80},	//2537 QGlobalSpace::LicensedDeclarative (enum)
    {173, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 81},	//2538 QGlobalSpace::LicensedActiveQt (enum)
    {173, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 82},	//2539 QGlobalSpace::LicensedDBus (enum)
    {173, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 382, 83},	//2540 QGlobalSpace::LicensedTest (enum)
    {173, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 379, 84},	//2541 QGlobalSpace::LicensedScriptTools (enum)
    {173, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 376, 85},	//2542 QGlobalSpace::LicensedQt3SupportLight (enum)
    {173, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 86},	//2543 QGlobalSpace::__codecvt_ok (enum)
    {173, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 87},	//2544 QGlobalSpace::__codecvt_partial (enum)
    {173, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 88},	//2545 QGlobalSpace::__codecvt_error (enum)
    {173, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 387, 89},	//2546 QGlobalSpace::__codecvt_noconv (enum)
    {173, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 378, 90},	//2547 QGlobalSpace::LicensedScript (enum)
    {173, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 91},	//2548 QGlobalSpace::LicensedMultimedia (enum)
    {173, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 92},	//2549 QGlobalSpace::LicensedHelp (enum)
    {183, 1653, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2550 QListView::visualRect(const QModelIndex&) const
    {183, 1252, 737, 2, Smoke::mf_virtual, 0, 0},	//2551 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {183, 1007, 740, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2552 QListView::indexAt(const QPoint&) const
    {183, 891, 0, 0, Smoke::mf_virtual, 0, 0},	//2553 QListView::doItemsLayout()
    {183, 1215, 0, 0, Smoke::mf_virtual, 0, 0},	//2554 QListView::reset()
    {183, 1509, 95, 1, Smoke::mf_virtual, 0, 0},	//2555 QListView::setRootIndex(const QModelIndex&)
    {183, 934, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2556 QListView::event(QEvent*)
    {183, 1251, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2557 QListView::scrollContentsBy(int, int)
    {183, 869, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2558 QListView::dataChanged(const QModelIndex&, const QModelIndex&)
    {183, 1241, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2559 QListView::rowsInserted(const QModelIndex&, int, int)
    {183, 1240, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2560 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {183, 1143, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2561 QListView::mouseMoveEvent(QMouseEvent*)
    {183, 1145, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2562 QListView::mouseReleaseEvent(QMouseEvent*)
    {183, 1610, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2563 QListView::timerEvent(QTimerEvent*)
    {183, 1216, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2564 QListView::resizeEvent(QResizeEvent*)
    {183, 903, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2565 QListView::dragLeaveEvent(QDragLeaveEvent*)
    {183, 1649, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 281, 0},	//2566 QListView::viewOptions() const
    {183, 1166, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2567 QListView::paintEvent(QPaintEvent*)
    {183, 988, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2568 QListView::horizontalOffset() const
    {183, 1645, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2569 QListView::verticalOffset() const
    {183, 1146, 746, 2, Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//2570 QListView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {183, 1510, 749, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2571 QListView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {183, 1654, 701, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 271, 0},	//2572 QListView::visualRegionForSelection(const QItemSelection&) const
    {183, 1257, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//2573 QListView::selectedIndexes() const
    {183, 1636, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2574 QListView::updateGeometries()
    {183, 1046, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2575 QListView::isIndexHidden(const QModelIndex&) const
    {183, 1259, 752, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2576 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {191, 934, 721, 1, Smoke::mf_virtual, 388, 0},	//2577 QObject::event(QEvent*)
    {191, 935, 667, 2, Smoke::mf_virtual, 388, 0},	//2578 QObject::eventFilter(QObject*, QEvent*)
    {191, 1610, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2579 QObject::timerEvent(QTimerEvent*)
    {191, 761, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2580 QObject::childEvent(QChildEvent*)
    {191, 864, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2581 QObject::customEvent(QEvent*)
    {191, 824, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2582 QObject::connectNotify(const char*)
    {191, 886, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2583 QObject::disconnectNotify(const char*)
    {204, 1520, 159, 1, Smoke::mf_virtual, 0, 0},	//2584 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {204, 1116, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2585 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {204, 1112, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2586 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {204, 1115, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2587 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {204, 1114, 701, 1, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//2588 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {204, 961, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2589 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {204, 960, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2590 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {204, 1102, 289, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2591 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {204, 1004, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2592 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {204, 1168, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2593 QSortFilterProxyModel::parent(const QModelIndex&) const
    {204, 1238, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2594 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {204, 813, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2595 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {204, 977, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2596 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {204, 866, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2597 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {204, 1355, 108, 3, Smoke::mf_virtual, 388, 0},	//2598 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {204, 982, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2599 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {204, 1394, 218, 4, Smoke::mf_virtual, 388, 0},	//2600 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {204, 1125, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 260, 0},	//2601 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {204, 911, 225, 5, Smoke::mf_virtual, 388, 0},	//2602 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {204, 1016, 104, 3, Smoke::mf_virtual, 388, 0},	//2603 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {204, 1015, 104, 3, Smoke::mf_virtual, 388, 0},	//2604 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {204, 1209, 104, 3, Smoke::mf_virtual, 388, 0},	//2605 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {204, 1206, 104, 3, Smoke::mf_virtual, 388, 0},	//2606 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {204, 954, 95, 1, Smoke::mf_virtual, 0, 0},	//2607 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {204, 745, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 388, 0},	//2608 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {204, 965, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 234, 0},	//2609 QSortFilterProxyModel::flags(const QModelIndex&) const
    {204, 741, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2610 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {204, 1118, 384, 5, Smoke::mf_const|Smoke::mf_virtual, 256, 0},	//2611 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {204, 1571, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2612 QSortFilterProxyModel::span(const QModelIndex&) const
    {204, 1570, 706, 2, Smoke::mf_virtual, 0, 0},	//2613 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {204, 1134, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//2614 QSortFilterProxyModel::mimeTypes() const
    {204, 1595, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 233, 0},	//2615 QSortFilterProxyModel::supportedDropActions() const
    {207, 1560, 755, 2, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2616 QStyledItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {207, 850, 758, 3, Smoke::mf_const|Smoke::mf_virtual, 292, 0},	//2617 QStyledItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {207, 1368, 762, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2618 QStyledItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {207, 1457, 765, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2619 QStyledItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {207, 1635, 758, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2620 QStyledItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {207, 888, 769, 2, Smoke::mf_const|Smoke::mf_virtual, 277, 0},	//2621 QStyledItemDelegate::displayText(const QVariant&, const QLocale&) const
    {207, 935, 667, 2, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2622 QStyledItemDelegate::eventFilter(QObject*, QEvent*)
    {207, 916, 772, 4, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2623 QStyledItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {210, 1509, 95, 1, Smoke::mf_virtual, 0, 0},	//2624 QTreeView::setRootIndex(const QModelIndex&)
    {210, 1513, 616, 1, Smoke::mf_virtual, 0, 0},	//2625 QTreeView::setSelectionModel(QItemSelectionModel*)
    {210, 1099, 8, 1, Smoke::mf_virtual, 0, 0},	//2626 QTreeView::keyboardSearch(const QString&)
    {210, 1653, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2627 QTreeView::visualRect(const QModelIndex&) const
    {210, 1252, 737, 2, Smoke::mf_virtual, 0, 0},	//2628 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {210, 1007, 740, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//2629 QTreeView::indexAt(const QPoint&) const
    {210, 891, 0, 0, Smoke::mf_virtual, 0, 0},	//2630 QTreeView::doItemsLayout()
    {210, 1215, 0, 0, Smoke::mf_virtual, 0, 0},	//2631 QTreeView::reset()
    {210, 869, 289, 2, Smoke::mf_virtual, 0, 0},	//2632 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {210, 1253, 0, 0, Smoke::mf_virtual, 0, 0},	//2633 QTreeView::selectAll()
    {210, 1251, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2634 QTreeView::scrollContentsBy(int, int)
    {210, 1241, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2635 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {210, 1240, 742, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2636 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {210, 1146, 746, 2, Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//2637 QTreeView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {210, 988, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2638 QTreeView::horizontalOffset() const
    {210, 1645, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2639 QTreeView::verticalOffset() const
    {210, 1510, 749, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2640 QTreeView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {210, 1654, 701, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 271, 0},	//2641 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {210, 1257, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//2642 QTreeView::selectedIndexes() const
    {210, 1610, 448, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2643 QTreeView::timerEvent(QTimerEvent*)
    {210, 1166, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2644 QTreeView::paintEvent(QPaintEvent*)
    {210, 908, 272, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2645 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {210, 907, 777, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2646 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {210, 1144, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2647 QTreeView::mousePressEvent(QMouseEvent*)
    {210, 1145, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2648 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {210, 1142, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2649 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {210, 1143, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2650 QTreeView::mouseMoveEvent(QMouseEvent*)
    {210, 1097, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2651 QTreeView::keyPressEvent(QKeyEvent*)
    {210, 905, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2652 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {210, 1651, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2653 QTreeView::viewportEvent(QEvent*)
    {210, 1636, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2654 QTreeView::updateGeometries()
    {210, 1561, 41, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2655 QTreeView::sizeHintForColumn(int) const
    {210, 989, 41, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2656 QTreeView::horizontalScrollbarAction(int)
    {210, 1046, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2657 QTreeView::isIndexHidden(const QModelIndex&) const
    {210, 1259, 752, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2658 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {214, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 454, 0},	//2659 QWidget::metaObject() const
    {214, 1189, 21, 1, Smoke::mf_virtual, 485, 0},	//2660 QWidget::qt_metacast(const char*)
    {214, 1187, 30, 3, Smoke::mf_virtual, 476, 0},	//2661 QWidget::qt_metacall(QMetaObject::Call, int, void**)
    {214, 881, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2662 QWidget::devType() const
    {214, 1544, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2663 QWidget::setVisible(bool)
    {214, 1560, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 276, 0},	//2664 QWidget::sizeHint() const
    {214, 1136, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 276, 0},	//2665 QWidget::minimumSizeHint() const
    {214, 985, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 476, 0},	//2666 QWidget::heightForWidth(int) const
    {214, 1165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 266, 0},	//2667 QWidget::paintEngine() const
    {214, 934, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2668 QWidget::event(QEvent*)
    {214, 1144, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2669 QWidget::mousePressEvent(QMouseEvent*)
    {214, 1145, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2670 QWidget::mouseReleaseEvent(QMouseEvent*)
    {214, 1142, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2671 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {214, 1143, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2672 QWidget::mouseMoveEvent(QMouseEvent*)
    {214, 1659, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2673 QWidget::wheelEvent(QWheelEvent*)
    {214, 1097, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2674 QWidget::keyPressEvent(QKeyEvent*)
    {214, 1098, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2675 QWidget::keyReleaseEvent(QKeyEvent*)
    {214, 967, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2676 QWidget::focusInEvent(QFocusEvent*)
    {214, 969, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2677 QWidget::focusOutEvent(QFocusEvent*)
    {214, 921, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2678 QWidget::enterEvent(QEvent*)
    {214, 1101, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2679 QWidget::leaveEvent(QEvent*)
    {214, 1166, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2680 QWidget::paintEvent(QPaintEvent*)
    {214, 1147, 781, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2681 QWidget::moveEvent(QMoveEvent*)
    {214, 1216, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2682 QWidget::resizeEvent(QResizeEvent*)
    {214, 776, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2683 QWidget::closeEvent(QCloseEvent*)
    {214, 839, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2684 QWidget::contextMenuEvent(QContextMenuEvent*)
    {214, 1608, 783, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2685 QWidget::tabletEvent(QTabletEvent*)
    {214, 685, 785, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2686 QWidget::actionEvent(QActionEvent*)
    {214, 902, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2687 QWidget::dragEnterEvent(QDragEnterEvent*)
    {214, 905, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2688 QWidget::dragMoveEvent(QDragMoveEvent*)
    {214, 903, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2689 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {214, 909, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2690 QWidget::dropEvent(QDropEvent*)
    {214, 1553, 735, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2691 QWidget::showEvent(QShowEvent*)
    {214, 986, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2692 QWidget::hideEvent(QHideEvent*)
    {214, 1666, 787, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2693 QWidget::x11Event(_XEvent*)
    {214, 757, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2694 QWidget::changeEvent(QEvent*)
    {214, 1124, 789, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 476, 0},	//2695 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {214, 1013, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2696 QWidget::inputMethodEvent(QInputMethodEvent*)
    {214, 1014, 709, 1, Smoke::mf_const|Smoke::mf_virtual, 287, 0},	//2697 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {214, 968, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 388, 0},	//2698 QWidget::focusNextPrevChild(bool)
    {214, 1592, 791, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2699 QWidget::styleChange(QStyle&)
    {214, 920, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2700 QWidget::enabledChange(bool)
    {214, 1167, 793, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2701 QWidget::paletteChange(const QPalette&)
    {214, 970, 795, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2702 QWidget::fontChange(const QFont&)
    {214, 1663, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2703 QWidget::windowActivationChange(bool)
    {214, 1100, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2704 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    403,  // Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    415,  // Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    0,
    737,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    738,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    0,
    2081,  // Akonadi::Session::Session(const QByteArray&)
    2082,  // Akonadi::Session::Session(Akonadi::SessionPrivate*)
    0,
    2072,  // Akonadi::Session::Session(const QByteArray&, QObject*)
    2083,  // Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    0,
    1306,  // Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    1327,  // Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    0,
    1312,  // Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    1313,  // Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    0,
    1316,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    1317,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    0,
    1314,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    1315,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    0,
    1105,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    1106,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    1107,  // Akonadi::Entity::d_func()
    1108,  // Akonadi::Entity::d_func() const
    0,
    1096,  // Akonadi::Entity::parentCollection() const
    1097,  // Akonadi::Entity::parentCollection()
    0,
    1204,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    1259,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    0,
    1242,  // Akonadi::EntityTreeModel::d_func()
    1243,  // Akonadi::EntityTreeModel::d_func() const
    0,
    1257,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    1258,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    0,
    1236,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    1237,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    0,
    1240,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    1241,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    0,
    1833,  // Akonadi::Monitor::Monitor(QObject*)
    1883,  // Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    0,
    1345,  // Akonadi::Exception::Exception(const QByteArray&)
    1347,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    1344,  // Akonadi::Exception::Exception(const char*)
    1346,  // Akonadi::Exception::Exception(const QString&)
    0,
    1487,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    1488,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    0,
    1473,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    1474,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    0,
    1489,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    1490,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&)
    0,
    1475,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    1476,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&, QObject*)
    0,
    1478,  // Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    1479,  // Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    0,
    1142,  // Akonadi::EntityListView::EntityListView(QWidget*)
    1162,  // Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    0,
    1148,  // Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    1149,  // Akonadi::EntityListView::clicked(const Akonadi::Item&)
    0,
    1152,  // Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    1153,  // Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    0,
    1150,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    1151,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    0,
    847,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    858,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    342,  // Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    354,  // Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    0,
    1676,  // Akonadi::ItemView::ItemView(QWidget*)
    1691,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    1692,  // Akonadi::ItemView::ItemView(KXMLGUIClient*)
    0,
    1677,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    1678,  // Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    0,
    1909,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    1912,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    1908,  // Akonadi::PayloadException::PayloadException(const char*)
    1910,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    1956,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    1957,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    0,
    1381,  // Akonadi::Item::Item(long long)
    1382,  // Akonadi::Item::Item(const QString&)
    0,
    801,  // Akonadi::CollectionView::CollectionView(QWidget*)
    817,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    818,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    0,
    802,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    803,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    0,
    1461,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    1463,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    0,
    1454,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    1456,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    0,
    870,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    879,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    469,  // Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    486,  // Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    0,
    704,  // Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    717,  // Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    0,
    576,  // Akonadi::CollectionModel::CollectionModel(QObject*)
    605,  // Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    0,
    518,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    520,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&)
    0,
    519,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type)
    521,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type)
    0,
    502,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*)
    503,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 5, 15},	// Akonadi::AddressAttribute::AddressAttribute
    {4, 6, 14},	// Akonadi::AddressAttribute::AddressAttribute#
    {4, 7, 16},	// Akonadi::AddressAttribute::AddressAttribute$
    {4, 8, 17},	// Akonadi::AddressAttribute::AddressAttribute$?
    {4, 9, 18},	// Akonadi::AddressAttribute::AddressAttribute$??
    {4, 10, 1},	// Akonadi::AddressAttribute::AddressAttribute$???
    {4, 740, 12},	// Akonadi::AddressAttribute::bcc
    {4, 752, 10},	// Akonadi::AddressAttribute::cc
    {4, 774, 2},	// Akonadi::AddressAttribute::clone
    {4, 878, 5},	// Akonadi::AddressAttribute::deserialize#
    {4, 971, 6},	// Akonadi::AddressAttribute::from
    {4, 1271, 4},	// Akonadi::AddressAttribute::serialized
    {4, 1294, 13},	// Akonadi::AddressAttribute::setBcc?
    {4, 1305, 11},	// Akonadi::AddressAttribute::setCc?
    {4, 1388, 7},	// Akonadi::AddressAttribute::setFrom$
    {4, 1531, 9},	// Akonadi::AddressAttribute::setTo?
    {4, 1613, 8},	// Akonadi::AddressAttribute::to
    {4, 1622, 3},	// Akonadi::AddressAttribute::type
    {4, 1667, 19},	// Akonadi::AddressAttribute::~AddressAttribute
    {5, 18, 58},	// Akonadi::AgentBase::AgentBase#$
    {5, 19, 50},	// Akonadi::AgentBase::AgentBase$
    {5, 60, 66},	// Akonadi::AgentBase::Broken
    {5, 289, 64},	// Akonadi::AgentBase::Idle
    {5, 516, 65},	// Akonadi::AgentBase::Running
    {5, 677, 45},	// Akonadi::AgentBase::abortRequested
    {5, 678, 51},	// Akonadi::AgentBase::aboutToQuit
    {5, 716, 44},	// Akonadi::AgentBase::advancedStatus?
    {5, 718, 37},	// Akonadi::AgentBase::agentName
    {5, 720, 39},	// Akonadi::AgentBase::agentNameChanged$
    {5, 758, 54},	// Akonadi::AgentBase::changeProcessed
    {5, 759, 52},	// Akonadi::AgentBase::changeRecorder
    {5, 762, 34},	// Akonadi::AgentBase::cleanup
    {5, 817, 38},	// Akonadi::AgentBase::componentData
    {5, 818, 53},	// Akonadi::AgentBase::config
    {5, 819, 48},	// Akonadi::AgentBase::configurationDialogAccepted
    {5, 820, 49},	// Akonadi::AgentBase::configurationDialogRejected
    {5, 823, 31},	// Akonadi::AgentBase::configure$
    {5, 895, 59},	// Akonadi::AgentBase::doSetOnline$
    {5, 932, 43},	// Akonadi::AgentBase::error$
    {5, 994, 33},	// Akonadi::AgentBase::identifier
    {5, 1047, 55},	// Akonadi::AgentBase::isOnline
    {5, 1123, 20},	// Akonadi::AgentBase::metaObject
    {5, 1153, 47},	// Akonadi::AgentBase::onlineChanged$
    {5, 1178, 41},	// Akonadi::AgentBase::percent$
    {5, 1184, 29},	// Akonadi::AgentBase::progress
    {5, 1186, 30},	// Akonadi::AgentBase::progressMessage
    {5, 1188, 26},	// Akonadi::AgentBase::qt_metacall$$?
    {5, 1190, 21},	// Akonadi::AgentBase::qt_metacast$
    {5, 1195, 35},	// Akonadi::AgentBase::registerObserver#
    {5, 1199, 46},	// Akonadi::AgentBase::reloadConfiguration
    {5, 1281, 36},	// Akonadi::AgentBase::setAgentName$
    {5, 1463, 56},	// Akonadi::AgentBase::setNeedsNetwork$
    {5, 1465, 57},	// Akonadi::AgentBase::setOnline$
    {5, 1580, 63},	// Akonadi::AgentBase::staticMetaObject
    {5, 1582, 27},	// Akonadi::AgentBase::status
    {5, 1583, 62},	// Akonadi::AgentBase::status$
    {5, 1584, 40},	// Akonadi::AgentBase::status$$
    {5, 1585, 28},	// Akonadi::AgentBase::statusMessage
    {5, 1615, 60},	// Akonadi::AgentBase::tr$
    {5, 1616, 22},	// Akonadi::AgentBase::tr$$
    {5, 1617, 24},	// Akonadi::AgentBase::tr$$$
    {5, 1619, 61},	// Akonadi::AgentBase::trUtf8$
    {5, 1620, 23},	// Akonadi::AgentBase::trUtf8$$
    {5, 1621, 25},	// Akonadi::AgentBase::trUtf8$$$
    {5, 1657, 42},	// Akonadi::AgentBase::warning$
    {5, 1662, 32},	// Akonadi::AgentBase::winIdForDialogs
    {5, 1668, 67},	// Akonadi::AgentBase::~AgentBase
    {6, 451, 68},	// Akonadi::AgentBase::Observer::Observer
    {6, 452, 75},	// Akonadi::AgentBase::Observer::Observer#
    {6, 779, 72},	// Akonadi::AgentBase::Observer::collectionAdded##
    {6, 783, 73},	// Akonadi::AgentBase::Observer::collectionChanged#
    {6, 795, 74},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {6, 1063, 69},	// Akonadi::AgentBase::Observer::itemAdded##
    {6, 1066, 70},	// Akonadi::AgentBase::Observer::itemChanged#?
    {6, 1079, 71},	// Akonadi::AgentBase::Observer::itemRemoved#
    {6, 1752, 76},	// Akonadi::AgentBase::Observer::~Observer
    {7, 453, 83},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {7, 454, 84},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {7, 783, 77},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {7, 784, 82},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {7, 793, 81},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {7, 1072, 79},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {7, 1076, 78},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {7, 1086, 80},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {7, 1753, 85},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {9, 20, 101},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {9, 21, 93},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {9, 694, 95},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {9, 702, 94},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {9, 767, 96},	// Akonadi::AgentFilterProxyModel::clearFilters
    {9, 937, 97},	// Akonadi::AgentFilterProxyModel::excludeCapabilities$
    {9, 962, 98},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {9, 1123, 86},	// Akonadi::AgentFilterProxyModel::metaObject
    {9, 1188, 92},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {9, 1190, 87},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {9, 1580, 102},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {9, 1615, 99},	// Akonadi::AgentFilterProxyModel::tr$
    {9, 1616, 88},	// Akonadi::AgentFilterProxyModel::tr$$
    {9, 1617, 90},	// Akonadi::AgentFilterProxyModel::tr$$$
    {9, 1619, 100},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {9, 1620, 89},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {9, 1621, 91},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {9, 1669, 103},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {10, 22, 104},	// Akonadi::AgentInstance::AgentInstance
    {10, 23, 105},	// Akonadi::AgentInstance::AgentInstance#
    {10, 60, 127},	// Akonadi::AgentInstance::Broken
    {10, 289, 125},	// Akonadi::AgentInstance::Idle
    {10, 516, 126},	// Akonadi::AgentInstance::Running
    {10, 676, 121},	// Akonadi::AgentInstance::abortCurrentTask
    {10, 821, 124},	// Akonadi::AgentInstance::configure
    {10, 822, 116},	// Akonadi::AgentInstance::configure#
    {10, 994, 108},	// Akonadi::AgentInstance::identifier
    {10, 1047, 114},	// Akonadi::AgentInstance::isOnline
    {10, 1051, 106},	// Akonadi::AgentInstance::isValid
    {10, 1148, 109},	// Akonadi::AgentInstance::name
    {10, 1159, 119},	// Akonadi::AgentInstance::operator=#
    {10, 1161, 120},	// Akonadi::AgentInstance::operator==#
    {10, 1184, 113},	// Akonadi::AgentInstance::progress
    {10, 1192, 122},	// Akonadi::AgentInstance::reconfigure
    {10, 1221, 123},	// Akonadi::AgentInstance::restart
    {10, 1422, 115},	// Akonadi::AgentInstance::setIsOnline$
    {10, 1461, 110},	// Akonadi::AgentInstance::setName$
    {10, 1582, 111},	// Akonadi::AgentInstance::status
    {10, 1585, 112},	// Akonadi::AgentInstance::statusMessage
    {10, 1597, 117},	// Akonadi::AgentInstance::synchronize
    {10, 1605, 118},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {10, 1622, 107},	// Akonadi::AgentInstance::type
    {10, 1670, 128},	// Akonadi::AgentInstance::~AgentInstance
    {11, 25, 143},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {11, 26, 136},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {11, 27, 144},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {11, 28, 137},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {11, 821, 145},	// Akonadi::AgentInstanceCreateJob::configure
    {11, 822, 138},	// Akonadi::AgentInstanceCreateJob::configure#
    {11, 1017, 139},	// Akonadi::AgentInstanceCreateJob::instance
    {11, 1123, 129},	// Akonadi::AgentInstanceCreateJob::metaObject
    {11, 1188, 135},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {11, 1190, 130},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {11, 1572, 140},	// Akonadi::AgentInstanceCreateJob::start
    {11, 1580, 146},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {11, 1615, 141},	// Akonadi::AgentInstanceCreateJob::tr$
    {11, 1616, 131},	// Akonadi::AgentInstanceCreateJob::tr$$
    {11, 1617, 133},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {11, 1619, 142},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {11, 1620, 132},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {11, 1621, 134},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {11, 1671, 147},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {12, 29, 166},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {12, 30, 155},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {12, 74, 177},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {12, 216, 175},	// Akonadi::AgentInstanceModel::DescriptionRole
    {12, 299, 179},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {12, 300, 178},	// Akonadi::AgentInstanceModel::InstanceRole
    {12, 404, 176},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {12, 460, 183},	// Akonadi::AgentInstanceModel::OnlineRole
    {12, 486, 182},	// Akonadi::AgentInstanceModel::ProgressRole
    {12, 552, 181},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {12, 553, 180},	// Akonadi::AgentInstanceModel::StatusRole
    {12, 585, 174},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {12, 586, 173},	// Akonadi::AgentInstanceModel::TypeRole
    {12, 603, 184},	// Akonadi::AgentInstanceModel::UserRole
    {12, 813, 167},	// Akonadi::AgentInstanceModel::columnCount
    {12, 814, 156},	// Akonadi::AgentInstanceModel::columnCount#
    {12, 867, 169},	// Akonadi::AgentInstanceModel::data#
    {12, 868, 158},	// Akonadi::AgentInstanceModel::data#$
    {12, 966, 162},	// Akonadi::AgentInstanceModel::flags#
    {12, 983, 170},	// Akonadi::AgentInstanceModel::headerData$$
    {12, 984, 159},	// Akonadi::AgentInstanceModel::headerData$$$
    {12, 1005, 171},	// Akonadi::AgentInstanceModel::index$$
    {12, 1006, 160},	// Akonadi::AgentInstanceModel::index$$#
    {12, 1123, 148},	// Akonadi::AgentInstanceModel::metaObject
    {12, 1169, 161},	// Akonadi::AgentInstanceModel::parent#
    {12, 1188, 154},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {12, 1190, 149},	// Akonadi::AgentInstanceModel::qt_metacast$
    {12, 1238, 168},	// Akonadi::AgentInstanceModel::rowCount
    {12, 1239, 157},	// Akonadi::AgentInstanceModel::rowCount#
    {12, 1357, 163},	// Akonadi::AgentInstanceModel::setData##$
    {12, 1580, 172},	// Akonadi::AgentInstanceModel::staticMetaObject
    {12, 1615, 164},	// Akonadi::AgentInstanceModel::tr$
    {12, 1616, 150},	// Akonadi::AgentInstanceModel::tr$$
    {12, 1617, 152},	// Akonadi::AgentInstanceModel::tr$$$
    {12, 1619, 165},	// Akonadi::AgentInstanceModel::trUtf8$
    {12, 1620, 151},	// Akonadi::AgentInstanceModel::trUtf8$$
    {12, 1621, 153},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {12, 1672, 185},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {13, 31, 202},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {13, 32, 193},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {13, 717, 196},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {13, 856, 194},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {13, 860, 198},	// Akonadi::AgentInstanceWidget::currentChanged##
    {13, 901, 199},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {13, 1123, 186},	// Akonadi::AgentInstanceWidget::metaObject
    {13, 1188, 192},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {13, 1190, 187},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {13, 1254, 195},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {13, 1580, 203},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {13, 1615, 200},	// Akonadi::AgentInstanceWidget::tr$
    {13, 1616, 188},	// Akonadi::AgentInstanceWidget::tr$$
    {13, 1617, 190},	// Akonadi::AgentInstanceWidget::tr$$$
    {13, 1619, 201},	// Akonadi::AgentInstanceWidget::trUtf8$
    {13, 1620, 189},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {13, 1621, 191},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {13, 1648, 197},	// Akonadi::AgentInstanceWidget::view
    {13, 1673, 204},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {14, 1018, 216},	// Akonadi::AgentManager::instance$
    {14, 1020, 222},	// Akonadi::AgentManager::instanceAdded#
    {14, 1022, 227},	// Akonadi::AgentManager::instanceError#$
    {14, 1024, 226},	// Akonadi::AgentManager::instanceNameChanged#
    {14, 1026, 229},	// Akonadi::AgentManager::instanceOnline#$
    {14, 1028, 225},	// Akonadi::AgentManager::instanceProgressChanged#
    {14, 1030, 223},	// Akonadi::AgentManager::instanceRemoved#
    {14, 1032, 224},	// Akonadi::AgentManager::instanceStatusChanged#
    {14, 1034, 228},	// Akonadi::AgentManager::instanceWarning#$
    {14, 1035, 215},	// Akonadi::AgentManager::instances
    {14, 1123, 205},	// Akonadi::AgentManager::metaObject
    {14, 1188, 211},	// Akonadi::AgentManager::qt_metacall$$?
    {14, 1190, 206},	// Akonadi::AgentManager::qt_metacast$
    {14, 1208, 217},	// Akonadi::AgentManager::removeInstance#
    {14, 1262, 212},	// Akonadi::AgentManager::self
    {14, 1580, 232},	// Akonadi::AgentManager::staticMetaObject
    {14, 1599, 218},	// Akonadi::AgentManager::synchronizeCollection#
    {14, 1600, 219},	// Akonadi::AgentManager::synchronizeCollection#$
    {14, 1615, 230},	// Akonadi::AgentManager::tr$
    {14, 1616, 207},	// Akonadi::AgentManager::tr$$
    {14, 1617, 209},	// Akonadi::AgentManager::tr$$$
    {14, 1619, 231},	// Akonadi::AgentManager::trUtf8$
    {14, 1620, 208},	// Akonadi::AgentManager::trUtf8$$
    {14, 1621, 210},	// Akonadi::AgentManager::trUtf8$$$
    {14, 1623, 214},	// Akonadi::AgentManager::type$
    {14, 1625, 220},	// Akonadi::AgentManager::typeAdded#
    {14, 1628, 221},	// Akonadi::AgentManager::typeRemoved#
    {14, 1629, 213},	// Akonadi::AgentManager::types
    {14, 1674, 233},	// Akonadi::AgentManager::~AgentManager
    {15, 33, 234},	// Akonadi::AgentType::AgentType
    {15, 34, 235},	// Akonadi::AgentType::AgentType#
    {15, 751, 243},	// Akonadi::AgentType::capabilities
    {15, 876, 239},	// Akonadi::AgentType::description
    {15, 991, 241},	// Akonadi::AgentType::icon
    {15, 992, 240},	// Akonadi::AgentType::iconName
    {15, 994, 237},	// Akonadi::AgentType::identifier
    {15, 1051, 236},	// Akonadi::AgentType::isValid
    {15, 1134, 242},	// Akonadi::AgentType::mimeTypes
    {15, 1148, 238},	// Akonadi::AgentType::name
    {15, 1159, 244},	// Akonadi::AgentType::operator=#
    {15, 1161, 245},	// Akonadi::AgentType::operator==#
    {15, 1675, 246},	// Akonadi::AgentType::~AgentType
    {16, 35, 260},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {16, 36, 254},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {16, 717, 256},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {16, 721, 255},	// Akonadi::AgentTypeDialog::agentType
    {16, 899, 257},	// Akonadi::AgentTypeDialog::done$
    {16, 1123, 247},	// Akonadi::AgentTypeDialog::metaObject
    {16, 1188, 253},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {16, 1190, 248},	// Akonadi::AgentTypeDialog::qt_metacast$
    {16, 1580, 261},	// Akonadi::AgentTypeDialog::staticMetaObject
    {16, 1615, 258},	// Akonadi::AgentTypeDialog::tr$
    {16, 1616, 249},	// Akonadi::AgentTypeDialog::tr$$
    {16, 1617, 251},	// Akonadi::AgentTypeDialog::tr$$$
    {16, 1619, 259},	// Akonadi::AgentTypeDialog::trUtf8$
    {16, 1620, 250},	// Akonadi::AgentTypeDialog::trUtf8$$
    {16, 1621, 252},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {16, 1676, 262},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {17, 37, 279},	// Akonadi::AgentTypeModel::AgentTypeModel
    {17, 38, 270},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {17, 74, 289},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {17, 216, 287},	// Akonadi::AgentTypeModel::DescriptionRole
    {17, 288, 286},	// Akonadi::AgentTypeModel::IdentifierRole
    {17, 404, 288},	// Akonadi::AgentTypeModel::MimeTypesRole
    {17, 586, 285},	// Akonadi::AgentTypeModel::TypeRole
    {17, 603, 290},	// Akonadi::AgentTypeModel::UserRole
    {17, 813, 280},	// Akonadi::AgentTypeModel::columnCount
    {17, 814, 271},	// Akonadi::AgentTypeModel::columnCount#
    {17, 867, 282},	// Akonadi::AgentTypeModel::data#
    {17, 868, 273},	// Akonadi::AgentTypeModel::data#$
    {17, 966, 276},	// Akonadi::AgentTypeModel::flags#
    {17, 1005, 283},	// Akonadi::AgentTypeModel::index$$
    {17, 1006, 274},	// Akonadi::AgentTypeModel::index$$#
    {17, 1123, 263},	// Akonadi::AgentTypeModel::metaObject
    {17, 1169, 275},	// Akonadi::AgentTypeModel::parent#
    {17, 1188, 269},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {17, 1190, 264},	// Akonadi::AgentTypeModel::qt_metacast$
    {17, 1238, 281},	// Akonadi::AgentTypeModel::rowCount
    {17, 1239, 272},	// Akonadi::AgentTypeModel::rowCount#
    {17, 1580, 284},	// Akonadi::AgentTypeModel::staticMetaObject
    {17, 1615, 277},	// Akonadi::AgentTypeModel::tr$
    {17, 1616, 265},	// Akonadi::AgentTypeModel::tr$$
    {17, 1617, 267},	// Akonadi::AgentTypeModel::tr$$$
    {17, 1619, 278},	// Akonadi::AgentTypeModel::trUtf8$
    {17, 1620, 266},	// Akonadi::AgentTypeModel::trUtf8$$
    {17, 1621, 268},	// Akonadi::AgentTypeModel::trUtf8$$$
    {17, 1677, 291},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {18, 39, 306},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {18, 40, 299},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {18, 687, 303},	// Akonadi::AgentTypeWidget::activated
    {18, 717, 301},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {18, 857, 300},	// Akonadi::AgentTypeWidget::currentAgentType
    {18, 860, 302},	// Akonadi::AgentTypeWidget::currentChanged##
    {18, 1123, 292},	// Akonadi::AgentTypeWidget::metaObject
    {18, 1188, 298},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {18, 1190, 293},	// Akonadi::AgentTypeWidget::qt_metacast$
    {18, 1580, 307},	// Akonadi::AgentTypeWidget::staticMetaObject
    {18, 1615, 304},	// Akonadi::AgentTypeWidget::tr$
    {18, 1616, 294},	// Akonadi::AgentTypeWidget::tr$$
    {18, 1617, 296},	// Akonadi::AgentTypeWidget::tr$$$
    {18, 1619, 305},	// Akonadi::AgentTypeWidget::trUtf8$
    {18, 1620, 295},	// Akonadi::AgentTypeWidget::trUtf8$$
    {18, 1621, 297},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {18, 1678, 308},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {19, 51, 313},	// Akonadi::Attribute::Attribute
    {19, 52, 314},	// Akonadi::Attribute::Attribute#
    {19, 774, 310},	// Akonadi::Attribute::clone
    {19, 878, 312},	// Akonadi::Attribute::deserialize#
    {19, 1271, 311},	// Akonadi::Attribute::serialized
    {19, 1622, 309},	// Akonadi::Attribute::type
    {19, 1679, 315},	// Akonadi::Attribute::~Attribute
    {20, 53, 317},	// Akonadi::AttributeFactory::AttributeFactory
    {20, 54, 318},	// Akonadi::AttributeFactory::AttributeFactory#
    {20, 849, 316},	// Akonadi::AttributeFactory::createAttribute#
    {20, 1680, 319},	// Akonadi::AttributeFactory::~AttributeFactory
    {21, 63, 320},	// Akonadi::CachePolicy::CachePolicy
    {21, 64, 321},	// Akonadi::CachePolicy::CachePolicy#
    {21, 744, 326},	// Akonadi::CachePolicy::cacheTimeout
    {21, 1010, 322},	// Akonadi::CachePolicy::inheritFromParent
    {21, 1039, 328},	// Akonadi::CachePolicy::intervalCheckTime
    {21, 1110, 324},	// Akonadi::CachePolicy::localParts
    {21, 1159, 332},	// Akonadi::CachePolicy::operator=#
    {21, 1161, 333},	// Akonadi::CachePolicy::operator==#
    {21, 1300, 327},	// Akonadi::CachePolicy::setCacheTimeout$
    {21, 1418, 323},	// Akonadi::CachePolicy::setInheritFromParent$
    {21, 1420, 329},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {21, 1445, 325},	// Akonadi::CachePolicy::setLocalParts?
    {21, 1529, 331},	// Akonadi::CachePolicy::setSyncOnDemand$
    {21, 1596, 330},	// Akonadi::CachePolicy::syncOnDemand
    {21, 1681, 334},	// Akonadi::CachePolicy::~CachePolicy
    {22, 75, 353},	// Akonadi::ChangeRecorder::ChangeRecorder
    {22, 76, -88},	// Akonadi::ChangeRecorder::ChangeRecorder#
    {22, 77, 350},	// Akonadi::ChangeRecorder::ChangeRecorder##
    {22, 758, 345},	// Akonadi::ChangeRecorder::changeProcessed
    {22, 760, 348},	// Akonadi::ChangeRecorder::changesAdded
    {22, 1044, 344},	// Akonadi::ChangeRecorder::isEmpty
    {22, 1123, 335},	// Akonadi::ChangeRecorder::metaObject
    {22, 1151, 349},	// Akonadi::ChangeRecorder::nothingToReplay
    {22, 1188, 341},	// Akonadi::ChangeRecorder::qt_metacall$$?
    {22, 1190, 336},	// Akonadi::ChangeRecorder::qt_metacast$
    {22, 1214, 347},	// Akonadi::ChangeRecorder::replayNext
    {22, 1307, 346},	// Akonadi::ChangeRecorder::setChangeRecordingEnabled$
    {22, 1332, 343},	// Akonadi::ChangeRecorder::setConfig#
    {22, 1580, 355},	// Akonadi::ChangeRecorder::staticMetaObject
    {22, 1615, 351},	// Akonadi::ChangeRecorder::tr$
    {22, 1616, 337},	// Akonadi::ChangeRecorder::tr$$
    {22, 1617, 339},	// Akonadi::ChangeRecorder::tr$$$
    {22, 1619, 352},	// Akonadi::ChangeRecorder::trUtf8$
    {22, 1620, 338},	// Akonadi::ChangeRecorder::trUtf8$$
    {22, 1621, 340},	// Akonadi::ChangeRecorder::trUtf8$$$
    {22, 1682, 356},	// Akonadi::ChangeRecorder::~ChangeRecorder
    {24, 43, 392},	// Akonadi::Collection::AllRights
    {24, 65, 387},	// Akonadi::Collection::CanChangeCollection
    {24, 66, 384},	// Akonadi::Collection::CanChangeItem
    {24, 67, 388},	// Akonadi::Collection::CanCreateCollection
    {24, 68, 385},	// Akonadi::Collection::CanCreateItem
    {24, 69, 389},	// Akonadi::Collection::CanDeleteCollection
    {24, 70, 386},	// Akonadi::Collection::CanDeleteItem
    {24, 71, 390},	// Akonadi::Collection::CanLinkItem
    {24, 72, 391},	// Akonadi::Collection::CanUnlinkItem
    {24, 81, 357},	// Akonadi::Collection::Collection
    {24, 82, 359},	// Akonadi::Collection::Collection#
    {24, 83, 358},	// Akonadi::Collection::Collection$
    {24, 495, 383},	// Akonadi::Collection::ReadOnly
    {24, 593, 393},	// Akonadi::Collection::UrlShort
    {24, 595, 394},	// Akonadi::Collection::UrlWithName
    {24, 743, 376},	// Akonadi::Collection::cachePolicy
    {24, 838, 365},	// Akonadi::Collection::contentMimeTypes
    {24, 973, 360},	// Akonadi::Collection::fromUrl#
    {24, 1052, 382},	// Akonadi::Collection::isVirtual
    {24, 1127, 373},	// Akonadi::Collection::mimeType
    {24, 1148, 361},	// Akonadi::Collection::name
    {24, 1168, 367},	// Akonadi::Collection::parent
    {24, 1171, 370},	// Akonadi::Collection::parentRemoteId
    {24, 1217, 374},	// Akonadi::Collection::resource
    {24, 1234, 363},	// Akonadi::Collection::rights
    {24, 1236, 372},	// Akonadi::Collection::root
    {24, 1298, 377},	// Akonadi::Collection::setCachePolicy#
    {24, 1346, 366},	// Akonadi::Collection::setContentMimeTypes?
    {24, 1461, 362},	// Akonadi::Collection::setName$
    {24, 1471, 369},	// Akonadi::Collection::setParent#
    {24, 1472, 368},	// Akonadi::Collection::setParent$
    {24, 1476, 371},	// Akonadi::Collection::setParentRemoteId$
    {24, 1499, 375},	// Akonadi::Collection::setResource$
    {24, 1506, 364},	// Akonadi::Collection::setRights$
    {24, 1523, 379},	// Akonadi::Collection::setStatistics#
    {24, 1581, 378},	// Akonadi::Collection::statistics
    {24, 1639, 380},	// Akonadi::Collection::url
    {24, 1640, 381},	// Akonadi::Collection::url$
    {24, 1683, 395},	// Akonadi::Collection::~Collection
    {25, 85, 414},	// Akonadi::CollectionComboBox::CollectionComboBox
    {25, 86, -1},	// Akonadi::CollectionComboBox::CollectionComboBox#
    {25, 87, 404},	// Akonadi::CollectionComboBox::CollectionComboBox##
    {25, 682, 408},	// Akonadi::CollectionComboBox::accessRightsFilter
    {25, 859, 411},	// Akonadi::CollectionComboBox::currentChanged#
    {25, 861, 410},	// Akonadi::CollectionComboBox::currentCollection
    {25, 1123, 396},	// Akonadi::CollectionComboBox::metaObject
    {25, 1129, 406},	// Akonadi::CollectionComboBox::mimeTypeFilter
    {25, 1188, 402},	// Akonadi::CollectionComboBox::qt_metacall$$?
    {25, 1190, 397},	// Akonadi::CollectionComboBox::qt_metacast$
    {25, 1275, 407},	// Akonadi::CollectionComboBox::setAccessRightsFilter$
    {25, 1361, 409},	// Akonadi::CollectionComboBox::setDefaultCollection#
    {25, 1451, 405},	// Akonadi::CollectionComboBox::setMimeTypeFilter?
    {25, 1580, 416},	// Akonadi::CollectionComboBox::staticMetaObject
    {25, 1615, 412},	// Akonadi::CollectionComboBox::tr$
    {25, 1616, 398},	// Akonadi::CollectionComboBox::tr$$
    {25, 1617, 400},	// Akonadi::CollectionComboBox::tr$$$
    {25, 1619, 413},	// Akonadi::CollectionComboBox::trUtf8$
    {25, 1620, 399},	// Akonadi::CollectionComboBox::trUtf8$$
    {25, 1621, 401},	// Akonadi::CollectionComboBox::trUtf8$$$
    {25, 1684, 417},	// Akonadi::CollectionComboBox::~CollectionComboBox
    {26, 89, 429},	// Akonadi::CollectionCopyJob::CollectionCopyJob##
    {26, 90, 425},	// Akonadi::CollectionCopyJob::CollectionCopyJob###
    {26, 896, 426},	// Akonadi::CollectionCopyJob::doStart
    {26, 1123, 418},	// Akonadi::CollectionCopyJob::metaObject
    {26, 1188, 424},	// Akonadi::CollectionCopyJob::qt_metacall$$?
    {26, 1190, 419},	// Akonadi::CollectionCopyJob::qt_metacast$
    {26, 1580, 430},	// Akonadi::CollectionCopyJob::staticMetaObject
    {26, 1615, 427},	// Akonadi::CollectionCopyJob::tr$
    {26, 1616, 420},	// Akonadi::CollectionCopyJob::tr$$
    {26, 1617, 422},	// Akonadi::CollectionCopyJob::tr$$$
    {26, 1619, 428},	// Akonadi::CollectionCopyJob::trUtf8$
    {26, 1620, 421},	// Akonadi::CollectionCopyJob::trUtf8$$
    {26, 1621, 423},	// Akonadi::CollectionCopyJob::trUtf8$$$
    {26, 1685, 431},	// Akonadi::CollectionCopyJob::~CollectionCopyJob
    {27, 92, 445},	// Akonadi::CollectionCreateJob::CollectionCreateJob#
    {27, 93, 439},	// Akonadi::CollectionCreateJob::CollectionCreateJob##
    {27, 777, 440},	// Akonadi::CollectionCreateJob::collection
    {27, 890, 442},	// Akonadi::CollectionCreateJob::doHandleResponse##
    {27, 896, 441},	// Akonadi::CollectionCreateJob::doStart
    {27, 1123, 432},	// Akonadi::CollectionCreateJob::metaObject
    {27, 1188, 438},	// Akonadi::CollectionCreateJob::qt_metacall$$?
    {27, 1190, 433},	// Akonadi::CollectionCreateJob::qt_metacast$
    {27, 1580, 446},	// Akonadi::CollectionCreateJob::staticMetaObject
    {27, 1615, 443},	// Akonadi::CollectionCreateJob::tr$
    {27, 1616, 434},	// Akonadi::CollectionCreateJob::tr$$
    {27, 1617, 436},	// Akonadi::CollectionCreateJob::tr$$$
    {27, 1619, 444},	// Akonadi::CollectionCreateJob::trUtf8$
    {27, 1620, 435},	// Akonadi::CollectionCreateJob::trUtf8$$
    {27, 1621, 437},	// Akonadi::CollectionCreateJob::trUtf8$$$
    {27, 1686, 447},	// Akonadi::CollectionCreateJob::~CollectionCreateJob
    {28, 95, 459},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob#
    {28, 96, 455},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob##
    {28, 896, 456},	// Akonadi::CollectionDeleteJob::doStart
    {28, 1123, 448},	// Akonadi::CollectionDeleteJob::metaObject
    {28, 1188, 454},	// Akonadi::CollectionDeleteJob::qt_metacall$$?
    {28, 1190, 449},	// Akonadi::CollectionDeleteJob::qt_metacast$
    {28, 1580, 460},	// Akonadi::CollectionDeleteJob::staticMetaObject
    {28, 1615, 457},	// Akonadi::CollectionDeleteJob::tr$
    {28, 1616, 450},	// Akonadi::CollectionDeleteJob::tr$$
    {28, 1617, 452},	// Akonadi::CollectionDeleteJob::tr$$$
    {28, 1619, 458},	// Akonadi::CollectionDeleteJob::trUtf8$
    {28, 1620, 451},	// Akonadi::CollectionDeleteJob::trUtf8$$
    {28, 1621, 453},	// Akonadi::CollectionDeleteJob::trUtf8$$$
    {28, 1687, 461},	// Akonadi::CollectionDeleteJob::~CollectionDeleteJob
    {29, 44, 491},	// Akonadi::CollectionDialog::AllowToCreateNewChildCollection
    {29, 98, 485},	// Akonadi::CollectionDialog::CollectionDialog
    {29, 99, -126},	// Akonadi::CollectionDialog::CollectionDialog#
    {29, 100, 470},	// Akonadi::CollectionDialog::CollectionDialog##
    {29, 101, 487},	// Akonadi::CollectionDialog::CollectionDialog$
    {29, 102, 488},	// Akonadi::CollectionDialog::CollectionDialog$#
    {29, 103, 471},	// Akonadi::CollectionDialog::CollectionDialog$##
    {29, 449, 490},	// Akonadi::CollectionDialog::None
    {29, 682, 475},	// Akonadi::CollectionDialog::accessRightsFilter
    {29, 754, 482},	// Akonadi::CollectionDialog::changeCollectionDialogOptions$
    {29, 1123, 462},	// Akonadi::CollectionDialog::metaObject
    {29, 1129, 473},	// Akonadi::CollectionDialog::mimeTypeFilter
    {29, 1188, 468},	// Akonadi::CollectionDialog::qt_metacall$$?
    {29, 1190, 463},	// Akonadi::CollectionDialog::qt_metacast$
    {29, 1255, 480},	// Akonadi::CollectionDialog::selectedCollection
    {29, 1256, 481},	// Akonadi::CollectionDialog::selectedCollections
    {29, 1261, 479},	// Akonadi::CollectionDialog::selectionMode
    {29, 1275, 474},	// Akonadi::CollectionDialog::setAccessRightsFilter$
    {29, 1361, 477},	// Akonadi::CollectionDialog::setDefaultCollection#
    {29, 1363, 476},	// Akonadi::CollectionDialog::setDescription$
    {29, 1451, 472},	// Akonadi::CollectionDialog::setMimeTypeFilter?
    {29, 1512, 478},	// Akonadi::CollectionDialog::setSelectionMode$
    {29, 1580, 489},	// Akonadi::CollectionDialog::staticMetaObject
    {29, 1615, 483},	// Akonadi::CollectionDialog::tr$
    {29, 1616, 464},	// Akonadi::CollectionDialog::tr$$
    {29, 1617, 466},	// Akonadi::CollectionDialog::tr$$$
    {29, 1619, 484},	// Akonadi::CollectionDialog::trUtf8$
    {29, 1620, 465},	// Akonadi::CollectionDialog::trUtf8$$
    {29, 1621, 467},	// Akonadi::CollectionDialog::trUtf8$$$
    {29, 1688, 492},	// Akonadi::CollectionDialog::~CollectionDialog
    {30, 56, 525},	// Akonadi::CollectionFetchJob::Base
    {30, 105, 516},	// Akonadi::CollectionFetchJob::CollectionFetchJob#
    {30, 106, 517},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$
    {30, 107, 500},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$#
    {30, 108, -135},	// Akonadi::CollectionFetchJob::CollectionFetchJob?
    {30, 109, 501},	// Akonadi::CollectionFetchJob::CollectionFetchJob?#
    {30, 110, -138},	// Akonadi::CollectionFetchJob::CollectionFetchJob?$
    {30, 111, -141},	// Akonadi::CollectionFetchJob::CollectionFetchJob?$#
    {30, 277, 526},	// Akonadi::CollectionFetchJob::FirstLevel
    {30, 448, 528},	// Akonadi::CollectionFetchJob::NonOverlappingRoots
    {30, 497, 527},	// Akonadi::CollectionFetchJob::Recursive
    {30, 804, 504},	// Akonadi::CollectionFetchJob::collections
    {30, 807, 510},	// Akonadi::CollectionFetchJob::collectionsReceived?
    {30, 890, 512},	// Akonadi::CollectionFetchJob::doHandleResponse##
    {30, 896, 511},	// Akonadi::CollectionFetchJob::doStart
    {30, 959, 509},	// Akonadi::CollectionFetchJob::fetchScope
    {30, 999, 523},	// Akonadi::CollectionFetchJob::includeStatistics
    {30, 1000, 507},	// Akonadi::CollectionFetchJob::includeStatistics$
    {30, 1001, 522},	// Akonadi::CollectionFetchJob::includeUnsubscribed
    {30, 1002, 506},	// Akonadi::CollectionFetchJob::includeUnsubscribed$
    {30, 1123, 493},	// Akonadi::CollectionFetchJob::metaObject
    {30, 1188, 499},	// Akonadi::CollectionFetchJob::qt_metacall$$?
    {30, 1190, 494},	// Akonadi::CollectionFetchJob::qt_metacast$
    {30, 1382, 508},	// Akonadi::CollectionFetchJob::setFetchScope#
    {30, 1499, 505},	// Akonadi::CollectionFetchJob::setResource$
    {30, 1567, 513},	// Akonadi::CollectionFetchJob::slotResult#
    {30, 1580, 524},	// Akonadi::CollectionFetchJob::staticMetaObject
    {30, 1615, 514},	// Akonadi::CollectionFetchJob::tr$
    {30, 1616, 495},	// Akonadi::CollectionFetchJob::tr$$
    {30, 1617, 497},	// Akonadi::CollectionFetchJob::tr$$$
    {30, 1619, 515},	// Akonadi::CollectionFetchJob::trUtf8$
    {30, 1620, 496},	// Akonadi::CollectionFetchJob::trUtf8$$
    {30, 1621, 498},	// Akonadi::CollectionFetchJob::trUtf8$$$
    {30, 1689, 529},	// Akonadi::CollectionFetchJob::~CollectionFetchJob
    {31, 41, 547},	// Akonadi::CollectionFetchScope::All
    {31, 112, 530},	// Akonadi::CollectionFetchScope::CollectionFetchScope
    {31, 113, 531},	// Akonadi::CollectionFetchScope::CollectionFetchScope#
    {31, 449, 545},	// Akonadi::CollectionFetchScope::None
    {31, 462, 546},	// Akonadi::CollectionFetchScope::Parent
    {31, 726, 543},	// Akonadi::CollectionFetchScope::ancestorRetrieval
    {31, 838, 541},	// Akonadi::CollectionFetchScope::contentMimeTypes
    {31, 999, 536},	// Akonadi::CollectionFetchScope::includeStatistics
    {31, 1001, 534},	// Akonadi::CollectionFetchScope::includeUnsubscribed
    {31, 1003, 533},	// Akonadi::CollectionFetchScope::includeUnubscribed
    {31, 1044, 544},	// Akonadi::CollectionFetchScope::isEmpty
    {31, 1159, 532},	// Akonadi::CollectionFetchScope::operator=#
    {31, 1217, 538},	// Akonadi::CollectionFetchScope::resource
    {31, 1285, 542},	// Akonadi::CollectionFetchScope::setAncestorRetrieval$
    {31, 1346, 540},	// Akonadi::CollectionFetchScope::setContentMimeTypes?
    {31, 1412, 537},	// Akonadi::CollectionFetchScope::setIncludeStatistics$
    {31, 1414, 535},	// Akonadi::CollectionFetchScope::setIncludeUnsubscribed$
    {31, 1499, 539},	// Akonadi::CollectionFetchScope::setResource$
    {31, 1690, 548},	// Akonadi::CollectionFetchScope::~CollectionFetchScope
    {32, 114, 566},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel
    {32, 115, 556},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel#
    {32, 702, 558},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilter$
    {32, 704, 557},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilters?
    {32, 767, 561},	// Akonadi::CollectionFilterProxyModel::clearFilters
    {32, 962, 563},	// Akonadi::CollectionFilterProxyModel::filterAcceptsRow$#
    {32, 966, 562},	// Akonadi::CollectionFilterProxyModel::flags#
    {32, 1123, 549},	// Akonadi::CollectionFilterProxyModel::metaObject
    {32, 1130, 559},	// Akonadi::CollectionFilterProxyModel::mimeTypeFilters
    {32, 1188, 555},	// Akonadi::CollectionFilterProxyModel::qt_metacall$$?
    {32, 1190, 550},	// Akonadi::CollectionFilterProxyModel::qt_metacast$
    {32, 1370, 560},	// Akonadi::CollectionFilterProxyModel::setExcludeVirtualCollections$
    {32, 1580, 567},	// Akonadi::CollectionFilterProxyModel::staticMetaObject
    {32, 1615, 564},	// Akonadi::CollectionFilterProxyModel::tr$
    {32, 1616, 551},	// Akonadi::CollectionFilterProxyModel::tr$$
    {32, 1617, 553},	// Akonadi::CollectionFilterProxyModel::tr$$$
    {32, 1619, 565},	// Akonadi::CollectionFilterProxyModel::trUtf8$
    {32, 1620, 552},	// Akonadi::CollectionFilterProxyModel::trUtf8$$
    {32, 1621, 554},	// Akonadi::CollectionFilterProxyModel::trUtf8$$$
    {32, 1691, 568},	// Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel
    {33, 116, 609},	// Akonadi::CollectionModel::CollectionIdRole
    {33, 117, 596},	// Akonadi::CollectionModel::CollectionModel
    {33, 118, -132},	// Akonadi::CollectionModel::CollectionModel#
    {33, 119, 593},	// Akonadi::CollectionModel::CollectionModel##
    {33, 143, 610},	// Akonadi::CollectionModel::CollectionRole
    {33, 456, 607},	// Akonadi::CollectionModel::OldCollectionIdRole
    {33, 457, 608},	// Akonadi::CollectionModel::OldCollectionRole
    {33, 603, 611},	// Akonadi::CollectionModel::UserRole
    {33, 788, 592},	// Akonadi::CollectionModel::collectionForId?
    {33, 813, 598},	// Akonadi::CollectionModel::columnCount
    {33, 814, 579},	// Akonadi::CollectionModel::columnCount#
    {33, 867, 599},	// Akonadi::CollectionModel::data#
    {33, 868, 580},	// Akonadi::CollectionModel::data#$
    {33, 912, 590},	// Akonadi::CollectionModel::dropMimeData#$$$#
    {33, 950, 577},	// Akonadi::CollectionModel::fetchCollectionStatistics$
    {33, 966, 587},	// Akonadi::CollectionModel::flags#
    {33, 983, 602},	// Akonadi::CollectionModel::headerData$$
    {33, 984, 584},	// Akonadi::CollectionModel::headerData$$$
    {33, 1001, 597},	// Akonadi::CollectionModel::includeUnsubscribed
    {33, 1002, 578},	// Akonadi::CollectionModel::includeUnsubscribed$
    {33, 1005, 600},	// Akonadi::CollectionModel::index$$
    {33, 1006, 581},	// Akonadi::CollectionModel::index$$#
    {33, 1123, 569},	// Akonadi::CollectionModel::metaObject
    {33, 1126, 589},	// Akonadi::CollectionModel::mimeData?
    {33, 1134, 591},	// Akonadi::CollectionModel::mimeTypes
    {33, 1169, 582},	// Akonadi::CollectionModel::parent#
    {33, 1188, 575},	// Akonadi::CollectionModel::qt_metacall$$?
    {33, 1190, 570},	// Akonadi::CollectionModel::qt_metacast$
    {33, 1238, 601},	// Akonadi::CollectionModel::rowCount
    {33, 1239, 583},	// Akonadi::CollectionModel::rowCount#
    {33, 1356, 604},	// Akonadi::CollectionModel::setData##
    {33, 1357, 586},	// Akonadi::CollectionModel::setData##$
    {33, 1395, 603},	// Akonadi::CollectionModel::setHeaderData$$#
    {33, 1396, 585},	// Akonadi::CollectionModel::setHeaderData$$#$
    {33, 1580, 606},	// Akonadi::CollectionModel::staticMetaObject
    {33, 1595, 588},	// Akonadi::CollectionModel::supportedDropActions
    {33, 1615, 594},	// Akonadi::CollectionModel::tr$
    {33, 1616, 571},	// Akonadi::CollectionModel::tr$$
    {33, 1617, 573},	// Akonadi::CollectionModel::tr$$$
    {33, 1619, 595},	// Akonadi::CollectionModel::trUtf8$
    {33, 1620, 572},	// Akonadi::CollectionModel::trUtf8$$
    {33, 1621, 574},	// Akonadi::CollectionModel::trUtf8$$$
    {33, 1692, 612},	// Akonadi::CollectionModel::~CollectionModel
    {35, 121, 625},	// Akonadi::CollectionModifyJob::CollectionModifyJob#
    {35, 122, 620},	// Akonadi::CollectionModifyJob::CollectionModifyJob##
    {35, 777, 621},	// Akonadi::CollectionModifyJob::collection
    {35, 896, 622},	// Akonadi::CollectionModifyJob::doStart
    {35, 1123, 613},	// Akonadi::CollectionModifyJob::metaObject
    {35, 1188, 619},	// Akonadi::CollectionModifyJob::qt_metacall$$?
    {35, 1190, 614},	// Akonadi::CollectionModifyJob::qt_metacast$
    {35, 1580, 626},	// Akonadi::CollectionModifyJob::staticMetaObject
    {35, 1615, 623},	// Akonadi::CollectionModifyJob::tr$
    {35, 1616, 615},	// Akonadi::CollectionModifyJob::tr$$
    {35, 1617, 617},	// Akonadi::CollectionModifyJob::tr$$$
    {35, 1619, 624},	// Akonadi::CollectionModifyJob::trUtf8$
    {35, 1620, 616},	// Akonadi::CollectionModifyJob::trUtf8$$
    {35, 1621, 618},	// Akonadi::CollectionModifyJob::trUtf8$$$
    {35, 1693, 627},	// Akonadi::CollectionModifyJob::~CollectionModifyJob
    {36, 124, 639},	// Akonadi::CollectionMoveJob::CollectionMoveJob##
    {36, 125, 635},	// Akonadi::CollectionMoveJob::CollectionMoveJob###
    {36, 896, 636},	// Akonadi::CollectionMoveJob::doStart
    {36, 1123, 628},	// Akonadi::CollectionMoveJob::metaObject
    {36, 1188, 634},	// Akonadi::CollectionMoveJob::qt_metacall$$?
    {36, 1190, 629},	// Akonadi::CollectionMoveJob::qt_metacast$
    {36, 1580, 640},	// Akonadi::CollectionMoveJob::staticMetaObject
    {36, 1615, 637},	// Akonadi::CollectionMoveJob::tr$
    {36, 1616, 630},	// Akonadi::CollectionMoveJob::tr$$
    {36, 1617, 632},	// Akonadi::CollectionMoveJob::tr$$$
    {36, 1619, 638},	// Akonadi::CollectionMoveJob::trUtf8$
    {36, 1620, 631},	// Akonadi::CollectionMoveJob::trUtf8$$
    {36, 1621, 633},	// Akonadi::CollectionMoveJob::trUtf8$$$
    {36, 1694, 641},	// Akonadi::CollectionMoveJob::~CollectionMoveJob
    {37, 62, 660},	// Akonadi::CollectionPropertiesDialog::CachePage
    {37, 128, 656},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#
    {37, 129, 649},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog##
    {37, 130, 657},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?
    {37, 131, 650},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?#
    {37, 281, 659},	// Akonadi::CollectionPropertiesDialog::GeneralPage
    {37, 871, 653},	// Akonadi::CollectionPropertiesDialog::defaultPageObjectName$
    {37, 1123, 642},	// Akonadi::CollectionPropertiesDialog::metaObject
    {37, 1188, 648},	// Akonadi::CollectionPropertiesDialog::qt_metacall$$?
    {37, 1190, 643},	// Akonadi::CollectionPropertiesDialog::qt_metacast$
    {37, 1197, 651},	// Akonadi::CollectionPropertiesDialog::registerPage#
    {37, 1580, 658},	// Akonadi::CollectionPropertiesDialog::staticMetaObject
    {37, 1615, 654},	// Akonadi::CollectionPropertiesDialog::tr$
    {37, 1616, 644},	// Akonadi::CollectionPropertiesDialog::tr$$
    {37, 1617, 646},	// Akonadi::CollectionPropertiesDialog::tr$$$
    {37, 1619, 655},	// Akonadi::CollectionPropertiesDialog::trUtf8$
    {37, 1620, 645},	// Akonadi::CollectionPropertiesDialog::trUtf8$$
    {37, 1621, 647},	// Akonadi::CollectionPropertiesDialog::trUtf8$$$
    {37, 1644, 652},	// Akonadi::CollectionPropertiesDialog::useDefaultPage$
    {37, 1695, 661},	// Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog
    {38, 132, 677},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage
    {38, 133, 669},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage#
    {38, 748, 672},	// Akonadi::CollectionPropertiesPage::canHandle#
    {38, 1104, 670},	// Akonadi::CollectionPropertiesPage::load#
    {38, 1123, 662},	// Akonadi::CollectionPropertiesPage::metaObject
    {38, 1162, 674},	// Akonadi::CollectionPropertiesPage::pageTitle
    {38, 1188, 668},	// Akonadi::CollectionPropertiesPage::qt_metacall$$?
    {38, 1190, 663},	// Akonadi::CollectionPropertiesPage::qt_metacast$
    {38, 1243, 671},	// Akonadi::CollectionPropertiesPage::save#
    {38, 1469, 673},	// Akonadi::CollectionPropertiesPage::setPageTitle$
    {38, 1580, 678},	// Akonadi::CollectionPropertiesPage::staticMetaObject
    {38, 1615, 675},	// Akonadi::CollectionPropertiesPage::tr$
    {38, 1616, 664},	// Akonadi::CollectionPropertiesPage::tr$$
    {38, 1617, 666},	// Akonadi::CollectionPropertiesPage::tr$$$
    {38, 1619, 676},	// Akonadi::CollectionPropertiesPage::trUtf8$
    {38, 1620, 665},	// Akonadi::CollectionPropertiesPage::trUtf8$$
    {38, 1621, 667},	// Akonadi::CollectionPropertiesPage::trUtf8$$$
    {38, 1696, 679},	// Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage
    {39, 134, 681},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory
    {39, 135, 682},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory#
    {39, 853, 683},	// Akonadi::CollectionPropertiesPageFactory::createWidget
    {39, 854, 680},	// Akonadi::CollectionPropertiesPageFactory::createWidget#
    {39, 1697, 684},	// Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory
    {40, 136, 685},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute
    {40, 137, 695},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute#
    {40, 138, 686},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute$$
    {40, 774, 692},	// Akonadi::CollectionQuotaAttribute::clone
    {40, 863, 689},	// Akonadi::CollectionQuotaAttribute::currentValue
    {40, 878, 694},	// Akonadi::CollectionQuotaAttribute::deserialize#
    {40, 1122, 690},	// Akonadi::CollectionQuotaAttribute::maximumValue
    {40, 1271, 693},	// Akonadi::CollectionQuotaAttribute::serialized
    {40, 1354, 687},	// Akonadi::CollectionQuotaAttribute::setCurrentValue$
    {40, 1447, 688},	// Akonadi::CollectionQuotaAttribute::setMaximumValue$
    {40, 1622, 691},	// Akonadi::CollectionQuotaAttribute::type
    {40, 1698, 696},	// Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute
    {41, 140, 716},	// Akonadi::CollectionRequester::CollectionRequester
    {41, 141, -129},	// Akonadi::CollectionRequester::CollectionRequester#
    {41, 142, 705},	// Akonadi::CollectionRequester::CollectionRequester##
    {41, 682, 710},	// Akonadi::CollectionRequester::accessRightsFilter
    {41, 754, 711},	// Akonadi::CollectionRequester::changeCollectionDialogOptions$
    {41, 777, 706},	// Akonadi::CollectionRequester::collection
    {41, 783, 713},	// Akonadi::CollectionRequester::collectionChanged#
    {41, 1123, 697},	// Akonadi::CollectionRequester::metaObject
    {41, 1129, 708},	// Akonadi::CollectionRequester::mimeTypeFilter
    {41, 1188, 703},	// Akonadi::CollectionRequester::qt_metacall$$?
    {41, 1190, 698},	// Akonadi::CollectionRequester::qt_metacast$
    {41, 1275, 709},	// Akonadi::CollectionRequester::setAccessRightsFilter$
    {41, 1309, 712},	// Akonadi::CollectionRequester::setCollection#
    {41, 1451, 707},	// Akonadi::CollectionRequester::setMimeTypeFilter?
    {41, 1580, 718},	// Akonadi::CollectionRequester::staticMetaObject
    {41, 1615, 714},	// Akonadi::CollectionRequester::tr$
    {41, 1616, 699},	// Akonadi::CollectionRequester::tr$$
    {41, 1617, 701},	// Akonadi::CollectionRequester::tr$$$
    {41, 1619, 715},	// Akonadi::CollectionRequester::trUtf8$
    {41, 1620, 700},	// Akonadi::CollectionRequester::trUtf8$$
    {41, 1621, 702},	// Akonadi::CollectionRequester::trUtf8$$$
    {41, 1699, 719},	// Akonadi::CollectionRequester::~CollectionRequester
    {42, 144, 720},	// Akonadi::CollectionStatistics::CollectionStatistics
    {42, 145, 721},	// Akonadi::CollectionStatistics::CollectionStatistics#
    {42, 841, 722},	// Akonadi::CollectionStatistics::count
    {42, 1159, 728},	// Akonadi::CollectionStatistics::operator=#
    {42, 1352, 723},	// Akonadi::CollectionStatistics::setCount$
    {42, 1519, 727},	// Akonadi::CollectionStatistics::setSize$
    {42, 1541, 725},	// Akonadi::CollectionStatistics::setUnreadCount$
    {42, 1559, 726},	// Akonadi::CollectionStatistics::size
    {42, 1631, 724},	// Akonadi::CollectionStatistics::unreadCount
    {42, 1700, 729},	// Akonadi::CollectionStatistics::~CollectionStatistics
    {43, 147, -4},	// Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate#
    {43, 1012, 744},	// Akonadi::CollectionStatisticsDelegate::initStyleOption##
    {43, 1123, 730},	// Akonadi::CollectionStatisticsDelegate::metaObject
    {43, 1164, 743},	// Akonadi::CollectionStatisticsDelegate::paint###
    {43, 1185, 742},	// Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled
    {43, 1188, 736},	// Akonadi::CollectionStatisticsDelegate::qt_metacall$$?
    {43, 1190, 731},	// Akonadi::CollectionStatisticsDelegate::qt_metacast$
    {43, 1483, 741},	// Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled$
    {43, 1543, 739},	// Akonadi::CollectionStatisticsDelegate::setUnreadCountShown$
    {43, 1580, 747},	// Akonadi::CollectionStatisticsDelegate::staticMetaObject
    {43, 1615, 745},	// Akonadi::CollectionStatisticsDelegate::tr$
    {43, 1616, 732},	// Akonadi::CollectionStatisticsDelegate::tr$$
    {43, 1617, 734},	// Akonadi::CollectionStatisticsDelegate::tr$$$
    {43, 1619, 746},	// Akonadi::CollectionStatisticsDelegate::trUtf8$
    {43, 1620, 733},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$
    {43, 1621, 735},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$$
    {43, 1632, 740},	// Akonadi::CollectionStatisticsDelegate::unreadCountShown
    {43, 1701, 748},	// Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate
    {44, 149, 763},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob#
    {44, 150, 756},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob##
    {44, 777, 758},	// Akonadi::CollectionStatisticsJob::collection
    {44, 890, 760},	// Akonadi::CollectionStatisticsJob::doHandleResponse##
    {44, 896, 759},	// Akonadi::CollectionStatisticsJob::doStart
    {44, 1123, 749},	// Akonadi::CollectionStatisticsJob::metaObject
    {44, 1188, 755},	// Akonadi::CollectionStatisticsJob::qt_metacall$$?
    {44, 1190, 750},	// Akonadi::CollectionStatisticsJob::qt_metacast$
    {44, 1580, 764},	// Akonadi::CollectionStatisticsJob::staticMetaObject
    {44, 1581, 757},	// Akonadi::CollectionStatisticsJob::statistics
    {44, 1615, 761},	// Akonadi::CollectionStatisticsJob::tr$
    {44, 1616, 751},	// Akonadi::CollectionStatisticsJob::tr$$
    {44, 1617, 753},	// Akonadi::CollectionStatisticsJob::tr$$$
    {44, 1619, 762},	// Akonadi::CollectionStatisticsJob::trUtf8$
    {44, 1620, 752},	// Akonadi::CollectionStatisticsJob::trUtf8$$
    {44, 1621, 754},	// Akonadi::CollectionStatisticsJob::trUtf8$$$
    {44, 1702, 765},	// Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob
    {45, 151, 779},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel
    {45, 152, 773},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel#
    {45, 498, 791},	// Akonadi::CollectionStatisticsModel::RecursiveSizeRole
    {45, 499, 789},	// Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole
    {45, 500, 788},	// Akonadi::CollectionStatisticsModel::RecursiveTotalRole
    {45, 501, 787},	// Akonadi::CollectionStatisticsModel::RecursiveUnreadRole
    {45, 541, 790},	// Akonadi::CollectionStatisticsModel::SizeRole
    {45, 551, 786},	// Akonadi::CollectionStatisticsModel::StatisticsRole
    {45, 571, 785},	// Akonadi::CollectionStatisticsModel::TotalRole
    {45, 592, 784},	// Akonadi::CollectionStatisticsModel::UnreadRole
    {45, 603, 792},	// Akonadi::CollectionStatisticsModel::UserRole
    {45, 813, 780},	// Akonadi::CollectionStatisticsModel::columnCount
    {45, 814, 774},	// Akonadi::CollectionStatisticsModel::columnCount#
    {45, 867, 781},	// Akonadi::CollectionStatisticsModel::data#
    {45, 868, 775},	// Akonadi::CollectionStatisticsModel::data#$
    {45, 983, 782},	// Akonadi::CollectionStatisticsModel::headerData$$
    {45, 984, 776},	// Akonadi::CollectionStatisticsModel::headerData$$$
    {45, 1123, 766},	// Akonadi::CollectionStatisticsModel::metaObject
    {45, 1188, 772},	// Akonadi::CollectionStatisticsModel::qt_metacall$$?
    {45, 1190, 767},	// Akonadi::CollectionStatisticsModel::qt_metacast$
    {45, 1580, 783},	// Akonadi::CollectionStatisticsModel::staticMetaObject
    {45, 1615, 777},	// Akonadi::CollectionStatisticsModel::tr$
    {45, 1616, 768},	// Akonadi::CollectionStatisticsModel::tr$$
    {45, 1617, 770},	// Akonadi::CollectionStatisticsModel::tr$$$
    {45, 1619, 778},	// Akonadi::CollectionStatisticsModel::trUtf8$
    {45, 1620, 769},	// Akonadi::CollectionStatisticsModel::trUtf8$$
    {45, 1621, 771},	// Akonadi::CollectionStatisticsModel::trUtf8$$$
    {45, 1703, 793},	// Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel
    {46, 155, 816},	// Akonadi::CollectionView::CollectionView
    {46, 156, -110},	// Akonadi::CollectionView::CollectionView#
    {46, 157, -114},	// Akonadi::CollectionView::CollectionView##
    {46, 773, 807},	// Akonadi::CollectionView::clicked#
    {46, 840, 813},	// Akonadi::CollectionView::contextMenuEvent#
    {46, 859, 808},	// Akonadi::CollectionView::currentChanged#
    {46, 860, 809},	// Akonadi::CollectionView::currentChanged##
    {46, 904, 811},	// Akonadi::CollectionView::dragLeaveEvent#
    {46, 906, 810},	// Akonadi::CollectionView::dragMoveEvent#
    {46, 910, 812},	// Akonadi::CollectionView::dropEvent#
    {46, 1123, 794},	// Akonadi::CollectionView::metaObject
    {46, 1188, 800},	// Akonadi::CollectionView::qt_metacall$$?
    {46, 1190, 795},	// Akonadi::CollectionView::qt_metacast$
    {46, 1456, 806},	// Akonadi::CollectionView::setModel#
    {46, 1548, 805},	// Akonadi::CollectionView::setXmlGuiClient#
    {46, 1550, 804},	// Akonadi::CollectionView::setXmlGuiWindow#
    {46, 1580, 819},	// Akonadi::CollectionView::staticMetaObject
    {46, 1615, 814},	// Akonadi::CollectionView::tr$
    {46, 1616, 796},	// Akonadi::CollectionView::tr$$
    {46, 1617, 798},	// Akonadi::CollectionView::tr$$$
    {46, 1619, 815},	// Akonadi::CollectionView::trUtf8$
    {46, 1620, 797},	// Akonadi::CollectionView::trUtf8$$
    {46, 1621, 799},	// Akonadi::CollectionView::trUtf8$$$
    {46, 1704, 820},	// Akonadi::CollectionView::~CollectionView
    {47, 160, 837},	// Akonadi::ContactDefaultActions::ContactDefaultActions
    {47, 161, 828},	// Akonadi::ContactDefaultActions::ContactDefaultActions#
    {47, 827, 829},	// Akonadi::ContactDefaultActions::connectToView#
    {47, 883, 832},	// Akonadi::ContactDefaultActions::dialPhoneNumber#
    {47, 1123, 821},	// Akonadi::ContactDefaultActions::metaObject
    {47, 1188, 827},	// Akonadi::ContactDefaultActions::qt_metacall$$?
    {47, 1190, 822},	// Akonadi::ContactDefaultActions::qt_metacast$
    {47, 1264, 831},	// Akonadi::ContactDefaultActions::sendEmail$$
    {47, 1268, 833},	// Akonadi::ContactDefaultActions::sendSms#
    {47, 1552, 834},	// Akonadi::ContactDefaultActions::showAddress#
    {47, 1558, 830},	// Akonadi::ContactDefaultActions::showUrl#
    {47, 1580, 838},	// Akonadi::ContactDefaultActions::staticMetaObject
    {47, 1615, 835},	// Akonadi::ContactDefaultActions::tr$
    {47, 1616, 823},	// Akonadi::ContactDefaultActions::tr$$
    {47, 1617, 825},	// Akonadi::ContactDefaultActions::tr$$$
    {47, 1619, 836},	// Akonadi::ContactDefaultActions::trUtf8$
    {47, 1620, 824},	// Akonadi::ContactDefaultActions::trUtf8$$
    {47, 1621, 826},	// Akonadi::ContactDefaultActions::trUtf8$$$
    {47, 1705, 839},	// Akonadi::ContactDefaultActions::~ContactDefaultActions
    {48, 163, 857},	// Akonadi::ContactEditor::ContactEditor$
    {48, 164, -85},	// Akonadi::ContactEditor::ContactEditor$#
    {48, 165, 848},	// Akonadi::ContactEditor::ContactEditor$##
    {48, 205, 860},	// Akonadi::ContactEditor::CreateMode
    {48, 230, 861},	// Akonadi::ContactEditor::EditMode
    {48, 834, 853},	// Akonadi::ContactEditor::contactStored#
    {48, 932, 854},	// Akonadi::ContactEditor::error$
    {48, 1106, 851},	// Akonadi::ContactEditor::loadContact#
    {48, 1123, 840},	// Akonadi::ContactEditor::metaObject
    {48, 1188, 846},	// Akonadi::ContactEditor::qt_metacall$$?
    {48, 1190, 841},	// Akonadi::ContactEditor::qt_metacast$
    {48, 1244, 852},	// Akonadi::ContactEditor::saveContact
    {48, 1344, 849},	// Akonadi::ContactEditor::setContactTemplate#
    {48, 1359, 850},	// Akonadi::ContactEditor::setDefaultAddressBook#
    {48, 1580, 859},	// Akonadi::ContactEditor::staticMetaObject
    {48, 1615, 855},	// Akonadi::ContactEditor::tr$
    {48, 1616, 842},	// Akonadi::ContactEditor::tr$$
    {48, 1617, 844},	// Akonadi::ContactEditor::tr$$$
    {48, 1619, 856},	// Akonadi::ContactEditor::trUtf8$
    {48, 1620, 843},	// Akonadi::ContactEditor::trUtf8$$
    {48, 1621, 845},	// Akonadi::ContactEditor::trUtf8$$$
    {48, 1706, 862},	// Akonadi::ContactEditor::~ContactEditor
    {49, 167, 878},	// Akonadi::ContactEditorDialog::ContactEditorDialog$
    {49, 168, -123},	// Akonadi::ContactEditorDialog::ContactEditorDialog$#
    {49, 169, 871},	// Akonadi::ContactEditorDialog::ContactEditorDialog$##
    {49, 205, 881},	// Akonadi::ContactEditorDialog::CreateMode
    {49, 230, 882},	// Akonadi::ContactEditorDialog::EditMode
    {49, 834, 875},	// Akonadi::ContactEditorDialog::contactStored#
    {49, 914, 874},	// Akonadi::ContactEditorDialog::editor
    {49, 1123, 863},	// Akonadi::ContactEditorDialog::metaObject
    {49, 1188, 869},	// Akonadi::ContactEditorDialog::qt_metacall$$?
    {49, 1190, 864},	// Akonadi::ContactEditorDialog::qt_metacast$
    {49, 1334, 872},	// Akonadi::ContactEditorDialog::setContact#
    {49, 1359, 873},	// Akonadi::ContactEditorDialog::setDefaultAddressBook#
    {49, 1580, 880},	// Akonadi::ContactEditorDialog::staticMetaObject
    {49, 1615, 876},	// Akonadi::ContactEditorDialog::tr$
    {49, 1616, 865},	// Akonadi::ContactEditorDialog::tr$$
    {49, 1617, 867},	// Akonadi::ContactEditorDialog::tr$$$
    {49, 1619, 877},	// Akonadi::ContactEditorDialog::trUtf8$
    {49, 1620, 866},	// Akonadi::ContactEditorDialog::trUtf8$$
    {49, 1621, 868},	// Akonadi::ContactEditorDialog::trUtf8$$$
    {49, 1707, 883},	// Akonadi::ContactEditorDialog::~ContactEditorDialog
    {50, 170, 888},	// Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin
    {50, 1106, 885},	// Akonadi::ContactEditorPagePlugin::loadContact#
    {50, 1493, 887},	// Akonadi::ContactEditorPagePlugin::setReadOnly$
    {50, 1591, 886},	// Akonadi::ContactEditorPagePlugin::storeContact#
    {50, 1612, 884},	// Akonadi::ContactEditorPagePlugin::title
    {50, 1708, 889},	// Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin
    {51, 172, 906},	// Akonadi::ContactGroupEditor::ContactGroupEditor$
    {51, 173, 897},	// Akonadi::ContactGroupEditor::ContactGroupEditor$#
    {51, 205, 908},	// Akonadi::ContactGroupEditor::CreateMode
    {51, 230, 909},	// Akonadi::ContactGroupEditor::EditMode
    {51, 831, 902},	// Akonadi::ContactGroupEditor::contactGroupStored#
    {51, 932, 903},	// Akonadi::ContactGroupEditor::error$
    {51, 1108, 900},	// Akonadi::ContactGroupEditor::loadContactGroup#
    {51, 1123, 890},	// Akonadi::ContactGroupEditor::metaObject
    {51, 1188, 896},	// Akonadi::ContactGroupEditor::qt_metacall$$?
    {51, 1190, 891},	// Akonadi::ContactGroupEditor::qt_metacast$
    {51, 1245, 901},	// Akonadi::ContactGroupEditor::saveContactGroup
    {51, 1342, 898},	// Akonadi::ContactGroupEditor::setContactGroupTemplate#
    {51, 1359, 899},	// Akonadi::ContactGroupEditor::setDefaultAddressBook#
    {51, 1580, 907},	// Akonadi::ContactGroupEditor::staticMetaObject
    {51, 1615, 904},	// Akonadi::ContactGroupEditor::tr$
    {51, 1616, 892},	// Akonadi::ContactGroupEditor::tr$$
    {51, 1617, 894},	// Akonadi::ContactGroupEditor::tr$$$
    {51, 1619, 905},	// Akonadi::ContactGroupEditor::trUtf8$
    {51, 1620, 893},	// Akonadi::ContactGroupEditor::trUtf8$$
    {51, 1621, 895},	// Akonadi::ContactGroupEditor::trUtf8$$$
    {51, 1709, 910},	// Akonadi::ContactGroupEditor::~ContactGroupEditor
    {52, 175, 926},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$
    {52, 176, 918},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$#
    {52, 205, 928},	// Akonadi::ContactGroupEditorDialog::CreateMode
    {52, 230, 929},	// Akonadi::ContactGroupEditorDialog::EditMode
    {52, 831, 922},	// Akonadi::ContactGroupEditorDialog::contactGroupStored#
    {52, 914, 921},	// Akonadi::ContactGroupEditorDialog::editor
    {52, 1123, 911},	// Akonadi::ContactGroupEditorDialog::metaObject
    {52, 1188, 917},	// Akonadi::ContactGroupEditorDialog::qt_metacall$$?
    {52, 1190, 912},	// Akonadi::ContactGroupEditorDialog::qt_metacast$
    {52, 1338, 919},	// Akonadi::ContactGroupEditorDialog::setContactGroup#
    {52, 1359, 920},	// Akonadi::ContactGroupEditorDialog::setDefaultAddressBook#
    {52, 1564, 923},	// Akonadi::ContactGroupEditorDialog::slotButtonClicked$
    {52, 1580, 927},	// Akonadi::ContactGroupEditorDialog::staticMetaObject
    {52, 1615, 924},	// Akonadi::ContactGroupEditorDialog::tr$
    {52, 1616, 913},	// Akonadi::ContactGroupEditorDialog::tr$$
    {52, 1617, 915},	// Akonadi::ContactGroupEditorDialog::tr$$$
    {52, 1619, 925},	// Akonadi::ContactGroupEditorDialog::trUtf8$
    {52, 1620, 914},	// Akonadi::ContactGroupEditorDialog::trUtf8$$
    {52, 1621, 916},	// Akonadi::ContactGroupEditorDialog::trUtf8$$$
    {52, 1710, 930},	// Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog
    {53, 178, 944},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob#
    {53, 179, 938},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob##
    {53, 180, 945},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$
    {53, 181, 939},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$#
    {53, 835, 940},	// Akonadi::ContactGroupExpandJob::contacts
    {53, 1123, 931},	// Akonadi::ContactGroupExpandJob::metaObject
    {53, 1188, 937},	// Akonadi::ContactGroupExpandJob::qt_metacall$$?
    {53, 1190, 932},	// Akonadi::ContactGroupExpandJob::qt_metacast$
    {53, 1572, 941},	// Akonadi::ContactGroupExpandJob::start
    {53, 1580, 946},	// Akonadi::ContactGroupExpandJob::staticMetaObject
    {53, 1615, 942},	// Akonadi::ContactGroupExpandJob::tr$
    {53, 1616, 933},	// Akonadi::ContactGroupExpandJob::tr$$
    {53, 1617, 935},	// Akonadi::ContactGroupExpandJob::tr$$$
    {53, 1619, 943},	// Akonadi::ContactGroupExpandJob::trUtf8$
    {53, 1620, 934},	// Akonadi::ContactGroupExpandJob::trUtf8$$
    {53, 1621, 936},	// Akonadi::ContactGroupExpandJob::trUtf8$$$
    {53, 1711, 947},	// Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob
    {54, 182, 962},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob
    {54, 183, 955},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob#
    {54, 195, 967},	// Akonadi::ContactGroupSearchJob::ContainsMatch
    {54, 261, 965},	// Akonadi::ContactGroupSearchJob::ExactMatch
    {54, 431, 964},	// Akonadi::ContactGroupSearchJob::Name
    {54, 547, 966},	// Akonadi::ContactGroupSearchJob::StartsWithMatch
    {54, 832, 959},	// Akonadi::ContactGroupSearchJob::contactGroups
    {54, 1123, 948},	// Akonadi::ContactGroupSearchJob::metaObject
    {54, 1188, 954},	// Akonadi::ContactGroupSearchJob::qt_metacall$$?
    {54, 1190, 949},	// Akonadi::ContactGroupSearchJob::qt_metacast$
    {54, 1442, 958},	// Akonadi::ContactGroupSearchJob::setLimit$
    {54, 1486, 956},	// Akonadi::ContactGroupSearchJob::setQuery$$
    {54, 1487, 957},	// Akonadi::ContactGroupSearchJob::setQuery$$$
    {54, 1580, 963},	// Akonadi::ContactGroupSearchJob::staticMetaObject
    {54, 1615, 960},	// Akonadi::ContactGroupSearchJob::tr$
    {54, 1616, 950},	// Akonadi::ContactGroupSearchJob::tr$$
    {54, 1617, 952},	// Akonadi::ContactGroupSearchJob::tr$$$
    {54, 1619, 961},	// Akonadi::ContactGroupSearchJob::trUtf8$
    {54, 1620, 951},	// Akonadi::ContactGroupSearchJob::trUtf8$$
    {54, 1621, 953},	// Akonadi::ContactGroupSearchJob::trUtf8$$$
    {54, 1712, 968},	// Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob
    {55, 184, 983},	// Akonadi::ContactGroupViewer::ContactGroupViewer
    {55, 185, 976},	// Akonadi::ContactGroupViewer::ContactGroupViewer#
    {55, 829, 977},	// Akonadi::ContactGroupViewer::contactGroup
    {55, 918, 980},	// Akonadi::ContactGroupViewer::emailClicked$$
    {55, 1123, 969},	// Akonadi::ContactGroupViewer::metaObject
    {55, 1188, 975},	// Akonadi::ContactGroupViewer::qt_metacall$$?
    {55, 1190, 970},	// Akonadi::ContactGroupViewer::qt_metacast$
    {55, 1338, 979},	// Akonadi::ContactGroupViewer::setContactGroup#
    {55, 1340, 978},	// Akonadi::ContactGroupViewer::setContactGroupFormatter#
    {55, 1580, 984},	// Akonadi::ContactGroupViewer::staticMetaObject
    {55, 1615, 981},	// Akonadi::ContactGroupViewer::tr$
    {55, 1616, 971},	// Akonadi::ContactGroupViewer::tr$$
    {55, 1617, 973},	// Akonadi::ContactGroupViewer::tr$$$
    {55, 1619, 982},	// Akonadi::ContactGroupViewer::trUtf8$
    {55, 1620, 972},	// Akonadi::ContactGroupViewer::trUtf8$$
    {55, 1621, 974},	// Akonadi::ContactGroupViewer::trUtf8$$$
    {55, 1713, 985},	// Akonadi::ContactGroupViewer::~ContactGroupViewer
    {56, 186, 999},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog
    {56, 187, 993},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog#
    {56, 829, 994},	// Akonadi::ContactGroupViewerDialog::contactGroup
    {56, 1123, 986},	// Akonadi::ContactGroupViewerDialog::metaObject
    {56, 1188, 992},	// Akonadi::ContactGroupViewerDialog::qt_metacall$$?
    {56, 1190, 987},	// Akonadi::ContactGroupViewerDialog::qt_metacast$
    {56, 1338, 996},	// Akonadi::ContactGroupViewerDialog::setContactGroup#
    {56, 1580, 1000},	// Akonadi::ContactGroupViewerDialog::staticMetaObject
    {56, 1615, 997},	// Akonadi::ContactGroupViewerDialog::tr$
    {56, 1616, 988},	// Akonadi::ContactGroupViewerDialog::tr$$
    {56, 1617, 990},	// Akonadi::ContactGroupViewerDialog::tr$$$
    {56, 1619, 998},	// Akonadi::ContactGroupViewerDialog::trUtf8$
    {56, 1620, 989},	// Akonadi::ContactGroupViewerDialog::trUtf8$$
    {56, 1621, 991},	// Akonadi::ContactGroupViewerDialog::trUtf8$$$
    {56, 1650, 995},	// Akonadi::ContactGroupViewerDialog::viewer
    {56, 1714, 1001},	// Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog
    {57, 188, 1016},	// Akonadi::ContactSearchJob::ContactSearchJob
    {57, 189, 1009},	// Akonadi::ContactSearchJob::ContactSearchJob#
    {57, 190, 1022},	// Akonadi::ContactSearchJob::ContactUid
    {57, 195, 1025},	// Akonadi::ContactSearchJob::ContainsMatch
    {57, 232, 1019},	// Akonadi::ContactSearchJob::Email
    {57, 261, 1023},	// Akonadi::ContactSearchJob::ExactMatch
    {57, 431, 1018},	// Akonadi::ContactSearchJob::Name
    {57, 432, 1021},	// Akonadi::ContactSearchJob::NameOrEmail
    {57, 434, 1020},	// Akonadi::ContactSearchJob::NickName
    {57, 547, 1024},	// Akonadi::ContactSearchJob::StartsWithMatch
    {57, 835, 1013},	// Akonadi::ContactSearchJob::contacts
    {57, 1123, 1002},	// Akonadi::ContactSearchJob::metaObject
    {57, 1188, 1008},	// Akonadi::ContactSearchJob::qt_metacall$$?
    {57, 1190, 1003},	// Akonadi::ContactSearchJob::qt_metacast$
    {57, 1442, 1012},	// Akonadi::ContactSearchJob::setLimit$
    {57, 1486, 1010},	// Akonadi::ContactSearchJob::setQuery$$
    {57, 1487, 1011},	// Akonadi::ContactSearchJob::setQuery$$$
    {57, 1580, 1017},	// Akonadi::ContactSearchJob::staticMetaObject
    {57, 1615, 1014},	// Akonadi::ContactSearchJob::tr$
    {57, 1616, 1004},	// Akonadi::ContactSearchJob::tr$$
    {57, 1617, 1006},	// Akonadi::ContactSearchJob::tr$$$
    {57, 1619, 1015},	// Akonadi::ContactSearchJob::trUtf8$
    {57, 1620, 1005},	// Akonadi::ContactSearchJob::trUtf8$$
    {57, 1621, 1007},	// Akonadi::ContactSearchJob::trUtf8$$$
    {57, 1715, 1026},	// Akonadi::ContactSearchJob::~ContactSearchJob
    {58, 191, 1047},	// Akonadi::ContactViewer::ContactViewer
    {58, 192, 1034},	// Akonadi::ContactViewer::ContactViewer#
    {58, 714, 1044},	// Akonadi::ContactViewer::addressClicked#
    {58, 828, 1035},	// Akonadi::ContactViewer::contact
    {58, 918, 1041},	// Akonadi::ContactViewer::emailClicked$$
    {58, 1123, 1027},	// Akonadi::ContactViewer::metaObject
    {58, 1181, 1042},	// Akonadi::ContactViewer::phoneNumberClicked#
    {58, 1188, 1033},	// Akonadi::ContactViewer::qt_metacall$$?
    {58, 1190, 1028},	// Akonadi::ContactViewer::qt_metacast$
    {58, 1191, 1036},	// Akonadi::ContactViewer::rawContact
    {58, 1334, 1038},	// Akonadi::ContactViewer::setContact#
    {58, 1336, 1037},	// Akonadi::ContactViewer::setContactFormatter#
    {58, 1491, 1039},	// Akonadi::ContactViewer::setRawContact#
    {58, 1569, 1043},	// Akonadi::ContactViewer::smsClicked#
    {58, 1580, 1048},	// Akonadi::ContactViewer::staticMetaObject
    {58, 1615, 1045},	// Akonadi::ContactViewer::tr$
    {58, 1616, 1029},	// Akonadi::ContactViewer::tr$$
    {58, 1617, 1031},	// Akonadi::ContactViewer::tr$$$
    {58, 1619, 1046},	// Akonadi::ContactViewer::trUtf8$
    {58, 1620, 1030},	// Akonadi::ContactViewer::trUtf8$$
    {58, 1621, 1032},	// Akonadi::ContactViewer::trUtf8$$$
    {58, 1642, 1040},	// Akonadi::ContactViewer::urlClicked#
    {58, 1716, 1049},	// Akonadi::ContactViewer::~ContactViewer
    {59, 193, 1063},	// Akonadi::ContactViewerDialog::ContactViewerDialog
    {59, 194, 1057},	// Akonadi::ContactViewerDialog::ContactViewerDialog#
    {59, 828, 1058},	// Akonadi::ContactViewerDialog::contact
    {59, 1123, 1050},	// Akonadi::ContactViewerDialog::metaObject
    {59, 1188, 1056},	// Akonadi::ContactViewerDialog::qt_metacall$$?
    {59, 1190, 1051},	// Akonadi::ContactViewerDialog::qt_metacast$
    {59, 1334, 1060},	// Akonadi::ContactViewerDialog::setContact#
    {59, 1580, 1064},	// Akonadi::ContactViewerDialog::staticMetaObject
    {59, 1615, 1061},	// Akonadi::ContactViewerDialog::tr$
    {59, 1616, 1052},	// Akonadi::ContactViewerDialog::tr$$
    {59, 1617, 1054},	// Akonadi::ContactViewerDialog::tr$$$
    {59, 1619, 1062},	// Akonadi::ContactViewerDialog::trUtf8$
    {59, 1620, 1053},	// Akonadi::ContactViewerDialog::trUtf8$$
    {59, 1621, 1055},	// Akonadi::ContactViewerDialog::trUtf8$$$
    {59, 1650, 1059},	// Akonadi::ContactViewerDialog::viewer
    {59, 1717, 1065},	// Akonadi::ContactViewerDialog::~ContactViewerDialog
    {60, 197, 1080},	// Akonadi::Control::Control
    {60, 1123, 1066},	// Akonadi::Control::metaObject
    {60, 1188, 1072},	// Akonadi::Control::qt_metacall$$?
    {60, 1190, 1067},	// Akonadi::Control::qt_metacast$
    {60, 1221, 1077},	// Akonadi::Control::restart
    {60, 1222, 1078},	// Akonadi::Control::restart#
    {60, 1572, 1073},	// Akonadi::Control::start
    {60, 1573, 1074},	// Akonadi::Control::start#
    {60, 1580, 1083},	// Akonadi::Control::staticMetaObject
    {60, 1586, 1075},	// Akonadi::Control::stop
    {60, 1587, 1076},	// Akonadi::Control::stop#
    {60, 1615, 1081},	// Akonadi::Control::tr$
    {60, 1616, 1068},	// Akonadi::Control::tr$$
    {60, 1617, 1070},	// Akonadi::Control::tr$$$
    {60, 1619, 1082},	// Akonadi::Control::trUtf8$
    {60, 1620, 1069},	// Akonadi::Control::trUtf8$$
    {60, 1621, 1071},	// Akonadi::Control::trUtf8$$$
    {60, 1661, 1079},	// Akonadi::Control::widgetNeedsAkonadi#
    {60, 1718, 1084},	// Akonadi::Control::~Control
    {61, 3, 1109},	// Akonadi::Entity::AddIfMissing
    {61, 238, -25},	// Akonadi::Entity::Entity#
    {61, 692, 1099},	// Akonadi::Entity::addAttribute#
    {61, 731, 1104},	// Akonadi::Entity::attribute#
    {61, 732, 1102},	// Akonadi::Entity::attributes
    {61, 765, 1103},	// Akonadi::Entity::clearAttributes
    {61, 865, -28},	// Akonadi::Entity::d_func
    {61, 976, 1101},	// Akonadi::Entity::hasAttribute#
    {61, 993, 1086},	// Akonadi::Entity::id
    {61, 1051, 1091},	// Akonadi::Entity::isValid
    {61, 1155, 1093},	// Akonadi::Entity::operator!=#
    {61, 1157, 1095},	// Akonadi::Entity::operator<#
    {61, 1159, 1094},	// Akonadi::Entity::operator=#
    {61, 1161, 1092},	// Akonadi::Entity::operator==#
    {61, 1170, -31},	// Akonadi::Entity::parentCollection
    {61, 1200, 1088},	// Akonadi::Entity::remoteId
    {61, 1201, 1090},	// Akonadi::Entity::remoteRevision
    {61, 1203, 1100},	// Akonadi::Entity::removeAttribute#
    {61, 1404, 1085},	// Akonadi::Entity::setId$
    {61, 1474, 1098},	// Akonadi::Entity::setParentCollection#
    {61, 1495, 1087},	// Akonadi::Entity::setRemoteId$
    {61, 1497, 1089},	// Akonadi::Entity::setRemoteRevision$
    {61, 1719, 1110},	// Akonadi::Entity::~Entity
    {62, 239, 1111},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute
    {62, 240, 1126},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute#
    {62, 689, 1118},	// Akonadi::EntityDisplayAttribute::activeIcon
    {62, 690, 1119},	// Akonadi::EntityDisplayAttribute::activeIconName
    {62, 739, 1120},	// Akonadi::EntityDisplayAttribute::backgroundColor
    {62, 774, 1123},	// Akonadi::EntityDisplayAttribute::clone
    {62, 878, 1125},	// Akonadi::EntityDisplayAttribute::deserialize#
    {62, 887, 1113},	// Akonadi::EntityDisplayAttribute::displayName
    {62, 991, 1115},	// Akonadi::EntityDisplayAttribute::icon
    {62, 992, 1116},	// Akonadi::EntityDisplayAttribute::iconName
    {62, 1271, 1124},	// Akonadi::EntityDisplayAttribute::serialized
    {62, 1279, 1117},	// Akonadi::EntityDisplayAttribute::setActiveIconName$
    {62, 1292, 1121},	// Akonadi::EntityDisplayAttribute::setBackgroundColor#
    {62, 1365, 1112},	// Akonadi::EntityDisplayAttribute::setDisplayName$
    {62, 1402, 1114},	// Akonadi::EntityDisplayAttribute::setIconName$
    {62, 1622, 1122},	// Akonadi::EntityDisplayAttribute::type
    {62, 1720, 1127},	// Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute
    {63, 241, 1128},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute
    {63, 242, 1133},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute#
    {63, 774, 1130},	// Akonadi::EntityHiddenAttribute::clone
    {63, 878, 1132},	// Akonadi::EntityHiddenAttribute::deserialize#
    {63, 1271, 1131},	// Akonadi::EntityHiddenAttribute::serialized
    {63, 1622, 1129},	// Akonadi::EntityHiddenAttribute::type
    {63, 1721, 1134},	// Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute
    {64, 243, 1161},	// Akonadi::EntityListView::EntityListView
    {64, 244, -73},	// Akonadi::EntityListView::EntityListView#
    {64, 245, 1143},	// Akonadi::EntityListView::EntityListView##
    {64, 773, -76},	// Akonadi::EntityListView::clicked#
    {64, 840, 1158},	// Akonadi::EntityListView::contextMenuEvent#
    {64, 859, -79},	// Akonadi::EntityListView::currentChanged#
    {64, 860, 1154},	// Akonadi::EntityListView::currentChanged##
    {64, 901, -82},	// Akonadi::EntityListView::doubleClicked#
    {64, 906, 1157},	// Akonadi::EntityListView::dragMoveEvent#
    {64, 910, 1156},	// Akonadi::EntityListView::dropEvent#
    {64, 1043, 1147},	// Akonadi::EntityListView::isDropActionMenuEnabled
    {64, 1123, 1135},	// Akonadi::EntityListView::metaObject
    {64, 1188, 1141},	// Akonadi::EntityListView::qt_metacall$$?
    {64, 1190, 1136},	// Akonadi::EntityListView::qt_metacast$
    {64, 1367, 1146},	// Akonadi::EntityListView::setDropActionMenuEnabled$
    {64, 1456, 1145},	// Akonadi::EntityListView::setModel#
    {64, 1548, 1144},	// Akonadi::EntityListView::setXmlGuiClient#
    {64, 1575, 1155},	// Akonadi::EntityListView::startDrag$
    {64, 1580, 1163},	// Akonadi::EntityListView::staticMetaObject
    {64, 1615, 1159},	// Akonadi::EntityListView::tr$
    {64, 1616, 1137},	// Akonadi::EntityListView::tr$$
    {64, 1617, 1139},	// Akonadi::EntityListView::tr$$$
    {64, 1619, 1160},	// Akonadi::EntityListView::trUtf8$
    {64, 1620, 1138},	// Akonadi::EntityListView::trUtf8$$
    {64, 1621, 1140},	// Akonadi::EntityListView::trUtf8$$$
    {64, 1722, 1164},	// Akonadi::EntityListView::~EntityListView
    {65, 246, 1189},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel
    {65, 247, 1172},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel#
    {65, 698, 1176},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter$
    {65, 700, 1174},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters?
    {65, 706, 1175},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter$
    {65, 708, 1173},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters?
    {65, 746, 1183},	// Akonadi::EntityMimeTypeFilterModel::canFetchMore#
    {65, 767, 1179},	// Akonadi::EntityMimeTypeFilterModel::clearFilters
    {65, 813, 1194},	// Akonadi::EntityMimeTypeFilterModel::columnCount
    {65, 814, 1185},	// Akonadi::EntityMimeTypeFilterModel::columnCount#
    {65, 962, 1186},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow$#
    {65, 977, 1191},	// Akonadi::EntityMimeTypeFilterModel::hasChildren
    {65, 978, 1182},	// Akonadi::EntityMimeTypeFilterModel::hasChildren#
    {65, 983, 1190},	// Akonadi::EntityMimeTypeFilterModel::headerData$$
    {65, 984, 1181},	// Akonadi::EntityMimeTypeFilterModel::headerData$$$
    {65, 1119, 1192},	// Akonadi::EntityMimeTypeFilterModel::match#$#
    {65, 1120, 1193},	// Akonadi::EntityMimeTypeFilterModel::match#$#$
    {65, 1121, 1184},	// Akonadi::EntityMimeTypeFilterModel::match#$#$$
    {65, 1123, 1165},	// Akonadi::EntityMimeTypeFilterModel::metaObject
    {65, 1128, 1178},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters
    {65, 1131, 1177},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters
    {65, 1188, 1171},	// Akonadi::EntityMimeTypeFilterModel::qt_metacall$$?
    {65, 1190, 1166},	// Akonadi::EntityMimeTypeFilterModel::qt_metacast$
    {65, 1398, 1180},	// Akonadi::EntityMimeTypeFilterModel::setHeaderGroup$
    {65, 1580, 1195},	// Akonadi::EntityMimeTypeFilterModel::staticMetaObject
    {65, 1615, 1187},	// Akonadi::EntityMimeTypeFilterModel::tr$
    {65, 1616, 1167},	// Akonadi::EntityMimeTypeFilterModel::tr$$
    {65, 1617, 1169},	// Akonadi::EntityMimeTypeFilterModel::tr$$$
    {65, 1619, 1188},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$
    {65, 1620, 1168},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$
    {65, 1621, 1170},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$$
    {65, 1723, 1196},	// Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel
    {67, 45, 1268},	// Akonadi::EntityTreeModel::AmazingCompletionRole
    {67, 55, 1272},	// Akonadi::EntityTreeModel::AvailablePartsRole
    {67, 84, 1267},	// Akonadi::EntityTreeModel::CollectionChildOrderRole
    {67, 97, 1275},	// Akonadi::EntityTreeModel::CollectionDerefRole
    {67, 116, 1264},	// Akonadi::EntityTreeModel::CollectionIdRole
    {67, 139, 1274},	// Akonadi::EntityTreeModel::CollectionRefRole
    {67, 143, 1265},	// Akonadi::EntityTreeModel::CollectionRole
    {67, 153, 1280},	// Akonadi::EntityTreeModel::CollectionSyncProgressRole
    {67, 154, 1287},	// Akonadi::EntityTreeModel::CollectionTreeHeaders
    {67, 158, 1270},	// Akonadi::EntityTreeModel::ColumnCountRole
    {67, 234, 1290},	// Akonadi::EntityTreeModel::EndHeaderGroup
    {67, 235, 1283},	// Akonadi::EntityTreeModel::EndRole
    {67, 248, 1286},	// Akonadi::EntityTreeModel::EntityTreeHeaders
    {67, 250, 1247},	// Akonadi::EntityTreeModel::EntityTreeModel#
    {67, 251, -34},	// Akonadi::EntityTreeModel::EntityTreeModel##
    {67, 252, 1244},	// Akonadi::EntityTreeModel::EntityTreeModel###
    {67, 258, 1277},	// Akonadi::EntityTreeModel::EntityUrlRole
    {67, 271, 1296},	// Akonadi::EntityTreeModel::FetchCollectionsRecursive
    {67, 272, 1295},	// Akonadi::EntityTreeModel::FetchFirstLevelChildCollections
    {67, 273, 1294},	// Akonadi::EntityTreeModel::FetchNoCollections
    {67, 274, 1279},	// Akonadi::EntityTreeModel::FetchStateRole
    {67, 275, 1285},	// Akonadi::EntityTreeModel::FetchingState
    {67, 290, 1284},	// Akonadi::EntityTreeModel::IdleState
    {67, 292, 1292},	// Akonadi::EntityTreeModel::ImmediatePopulation
    {67, 303, 1297},	// Akonadi::EntityTreeModel::InvisibleCollectionFetch
    {67, 327, 1261},	// Akonadi::EntityTreeModel::ItemIdRole
    {67, 328, 1288},	// Akonadi::EntityTreeModel::ItemListHeaders
    {67, 342, 1262},	// Akonadi::EntityTreeModel::ItemRole
    {67, 362, 1293},	// Akonadi::EntityTreeModel::LazyPopulation
    {67, 387, 1271},	// Akonadi::EntityTreeModel::LoadedPartsRole
    {67, 403, 1263},	// Akonadi::EntityTreeModel::MimeTypeRole
    {67, 444, 1291},	// Akonadi::EntityTreeModel::NoItemPopulation
    {67, 463, 1269},	// Akonadi::EntityTreeModel::ParentCollectionRole
    {67, 473, 1276},	// Akonadi::EntityTreeModel::PendingCutRole
    {67, 504, 1266},	// Akonadi::EntityTreeModel::RemoteIdRole
    {67, 534, 1273},	// Akonadi::EntityTreeModel::SessionRole
    {67, 567, 1282},	// Akonadi::EntityTreeModel::TerminalUserRole
    {67, 591, 1278},	// Akonadi::EntityTreeModel::UnreadCountRole
    {67, 602, 1289},	// Akonadi::EntityTreeModel::UserHeaders
    {67, 603, 1281},	// Akonadi::EntityTreeModel::UserRole
    {67, 746, 1229},	// Akonadi::EntityTreeModel::canFetchMore#
    {67, 764, 1235},	// Akonadi::EntityTreeModel::clearAndReset
    {67, 786, 1216},	// Akonadi::EntityTreeModel::collectionFetchStrategy
    {67, 813, 1248},	// Akonadi::EntityTreeModel::columnCount
    {67, 814, 1217},	// Akonadi::EntityTreeModel::columnCount#
    {67, 865, -37},	// Akonadi::EntityTreeModel::d_func
    {67, 867, 1250},	// Akonadi::EntityTreeModel::data#
    {67, 868, 1219},	// Akonadi::EntityTreeModel::data#$
    {67, 912, 1225},	// Akonadi::EntityTreeModel::dropMimeData#$$$#
    {67, 923, 1239},	// Akonadi::EntityTreeModel::entityColumnCount$
    {67, 925, -40},	// Akonadi::EntityTreeModel::entityData#$
    {67, 926, -43},	// Akonadi::EntityTreeModel::entityData#$$
    {67, 928, 1238},	// Akonadi::EntityTreeModel::entityHeaderData$$$$
    {67, 930, -46},	// Akonadi::EntityTreeModel::entityMatch##$
    {67, 955, 1230},	// Akonadi::EntityTreeModel::fetchMore#
    {67, 966, 1221},	// Akonadi::EntityTreeModel::flags#
    {67, 977, 1254},	// Akonadi::EntityTreeModel::hasChildren
    {67, 978, 1231},	// Akonadi::EntityTreeModel::hasChildren#
    {67, 983, 1251},	// Akonadi::EntityTreeModel::headerData$$
    {67, 984, 1220},	// Akonadi::EntityTreeModel::headerData$$$
    {67, 998, 1212},	// Akonadi::EntityTreeModel::includeRootCollection
    {67, 1001, 1207},	// Akonadi::EntityTreeModel::includeUnsubscribed
    {67, 1005, 1253},	// Akonadi::EntityTreeModel::index$$
    {67, 1006, 1227},	// Akonadi::EntityTreeModel::index$$#
    {67, 1077, 1210},	// Akonadi::EntityTreeModel::itemPopulationStrategy
    {67, 1119, 1255},	// Akonadi::EntityTreeModel::match#$#
    {67, 1120, 1256},	// Akonadi::EntityTreeModel::match#$#$
    {67, 1121, 1232},	// Akonadi::EntityTreeModel::match#$#$$
    {67, 1123, 1197},	// Akonadi::EntityTreeModel::metaObject
    {67, 1126, 1224},	// Akonadi::EntityTreeModel::mimeData?
    {67, 1134, 1222},	// Akonadi::EntityTreeModel::mimeTypes
    {67, 1138, 1233},	// Akonadi::EntityTreeModel::modelIndexForCollection##
    {67, 1140, 1234},	// Akonadi::EntityTreeModel::modelIndexesForItem##
    {67, 1169, 1228},	// Akonadi::EntityTreeModel::parent#
    {67, 1188, 1203},	// Akonadi::EntityTreeModel::qt_metacall$$?
    {67, 1190, 1198},	// Akonadi::EntityTreeModel::qt_metacast$
    {67, 1237, 1214},	// Akonadi::EntityTreeModel::rootCollectionDisplayName
    {67, 1238, 1249},	// Akonadi::EntityTreeModel::rowCount
    {67, 1239, 1218},	// Akonadi::EntityTreeModel::rowCount#
    {67, 1313, 1215},	// Akonadi::EntityTreeModel::setCollectionFetchStrategy$
    {67, 1356, 1252},	// Akonadi::EntityTreeModel::setData##
    {67, 1357, 1226},	// Akonadi::EntityTreeModel::setData##$
    {67, 1410, 1211},	// Akonadi::EntityTreeModel::setIncludeRootCollection$
    {67, 1414, 1208},	// Akonadi::EntityTreeModel::setIncludeUnsubscribed$
    {67, 1432, 1209},	// Akonadi::EntityTreeModel::setItemPopulationStrategy$
    {67, 1508, 1213},	// Akonadi::EntityTreeModel::setRootCollectionDisplayName$
    {67, 1517, 1205},	// Akonadi::EntityTreeModel::setShowSystemEntities$
    {67, 1580, 1260},	// Akonadi::EntityTreeModel::staticMetaObject
    {67, 1595, 1223},	// Akonadi::EntityTreeModel::supportedDropActions
    {67, 1607, 1206},	// Akonadi::EntityTreeModel::systemEntitiesShown
    {67, 1615, 1245},	// Akonadi::EntityTreeModel::tr$
    {67, 1616, 1199},	// Akonadi::EntityTreeModel::tr$$
    {67, 1617, 1201},	// Akonadi::EntityTreeModel::tr$$$
    {67, 1619, 1246},	// Akonadi::EntityTreeModel::trUtf8$
    {67, 1620, 1200},	// Akonadi::EntityTreeModel::trUtf8$$
    {67, 1621, 1202},	// Akonadi::EntityTreeModel::trUtf8$$$
    {67, 1724, 1298},	// Akonadi::EntityTreeModel::~EntityTreeModel
    {69, 253, 1326},	// Akonadi::EntityTreeView::EntityTreeView
    {69, 254, -13},	// Akonadi::EntityTreeView::EntityTreeView#
    {69, 255, 1307},	// Akonadi::EntityTreeView::EntityTreeView##
    {69, 773, -16},	// Akonadi::EntityTreeView::clicked#
    {69, 840, 1323},	// Akonadi::EntityTreeView::contextMenuEvent#
    {69, 859, -19},	// Akonadi::EntityTreeView::currentChanged#
    {69, 860, 1318},	// Akonadi::EntityTreeView::currentChanged##
    {69, 901, -22},	// Akonadi::EntityTreeView::doubleClicked#
    {69, 906, 1320},	// Akonadi::EntityTreeView::dragMoveEvent#
    {69, 910, 1321},	// Akonadi::EntityTreeView::dropEvent#
    {69, 1043, 1311},	// Akonadi::EntityTreeView::isDropActionMenuEnabled
    {69, 1123, 1299},	// Akonadi::EntityTreeView::metaObject
    {69, 1188, 1305},	// Akonadi::EntityTreeView::qt_metacall$$?
    {69, 1190, 1300},	// Akonadi::EntityTreeView::qt_metacast$
    {69, 1367, 1310},	// Akonadi::EntityTreeView::setDropActionMenuEnabled$
    {69, 1456, 1309},	// Akonadi::EntityTreeView::setModel#
    {69, 1548, 1308},	// Akonadi::EntityTreeView::setXmlGuiClient#
    {69, 1575, 1319},	// Akonadi::EntityTreeView::startDrag$
    {69, 1580, 1328},	// Akonadi::EntityTreeView::staticMetaObject
    {69, 1611, 1322},	// Akonadi::EntityTreeView::timerEvent#
    {69, 1615, 1324},	// Akonadi::EntityTreeView::tr$
    {69, 1616, 1301},	// Akonadi::EntityTreeView::tr$$
    {69, 1617, 1303},	// Akonadi::EntityTreeView::tr$$$
    {69, 1619, 1325},	// Akonadi::EntityTreeView::trUtf8$
    {69, 1620, 1302},	// Akonadi::EntityTreeView::trUtf8$$
    {69, 1621, 1304},	// Akonadi::EntityTreeView::trUtf8$$$
    {69, 1725, 1329},	// Akonadi::EntityTreeView::~EntityTreeView
    {70, 257, 1337},	// Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver#
    {70, 1123, 1330},	// Akonadi::EntityTreeViewStateSaver::metaObject
    {70, 1188, 1336},	// Akonadi::EntityTreeViewStateSaver::qt_metacall$$?
    {70, 1190, 1331},	// Akonadi::EntityTreeViewStateSaver::qt_metacast$
    {70, 1224, 1339},	// Akonadi::EntityTreeViewStateSaver::restoreState#
    {70, 1247, 1338},	// Akonadi::EntityTreeViewStateSaver::saveState#
    {70, 1580, 1342},	// Akonadi::EntityTreeViewStateSaver::staticMetaObject
    {70, 1615, 1340},	// Akonadi::EntityTreeViewStateSaver::tr$
    {70, 1616, 1332},	// Akonadi::EntityTreeViewStateSaver::tr$$
    {70, 1617, 1334},	// Akonadi::EntityTreeViewStateSaver::tr$$$
    {70, 1619, 1341},	// Akonadi::EntityTreeViewStateSaver::trUtf8$
    {70, 1620, 1333},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$
    {70, 1621, 1335},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$$
    {70, 1726, 1343},	// Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver
    {71, 264, -52},	// Akonadi::Exception::Exception#
    {71, 265, -55},	// Akonadi::Exception::Exception$
    {71, 1622, 1349},	// Akonadi::Exception::type
    {71, 1658, 1348},	// Akonadi::Exception::what
    {71, 1727, 1350},	// Akonadi::Exception::~Exception
    {72, 269, 1374},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel##
    {72, 270, 1358},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel###
    {72, 696, 1369},	// Akonadi::FavoriteCollectionsModel::addCollection#
    {72, 789, 1360},	// Akonadi::FavoriteCollectionsModel::collectionIds
    {72, 804, 1359},	// Akonadi::FavoriteCollectionsModel::collections
    {72, 867, 1375},	// Akonadi::FavoriteCollectionsModel::data#
    {72, 868, 1362},	// Akonadi::FavoriteCollectionsModel::data#$
    {72, 912, 1365},	// Akonadi::FavoriteCollectionsModel::dropMimeData#$$$#
    {72, 939, 1361},	// Akonadi::FavoriteCollectionsModel::favoriteLabel#
    {72, 966, 1367},	// Akonadi::FavoriteCollectionsModel::flags#
    {72, 983, 1377},	// Akonadi::FavoriteCollectionsModel::headerData$$
    {72, 984, 1364},	// Akonadi::FavoriteCollectionsModel::headerData$$$
    {72, 1123, 1351},	// Akonadi::FavoriteCollectionsModel::metaObject
    {72, 1134, 1366},	// Akonadi::FavoriteCollectionsModel::mimeTypes
    {72, 1188, 1357},	// Akonadi::FavoriteCollectionsModel::qt_metacall$$?
    {72, 1190, 1352},	// Akonadi::FavoriteCollectionsModel::qt_metacast$
    {72, 1205, 1370},	// Akonadi::FavoriteCollectionsModel::removeCollection#
    {72, 1326, 1368},	// Akonadi::FavoriteCollectionsModel::setCollections?
    {72, 1356, 1376},	// Akonadi::FavoriteCollectionsModel::setData##
    {72, 1357, 1363},	// Akonadi::FavoriteCollectionsModel::setData##$
    {72, 1376, 1371},	// Akonadi::FavoriteCollectionsModel::setFavoriteLabel#$
    {72, 1580, 1378},	// Akonadi::FavoriteCollectionsModel::staticMetaObject
    {72, 1615, 1372},	// Akonadi::FavoriteCollectionsModel::tr$
    {72, 1616, 1353},	// Akonadi::FavoriteCollectionsModel::tr$$
    {72, 1617, 1355},	// Akonadi::FavoriteCollectionsModel::tr$$$
    {72, 1619, 1373},	// Akonadi::FavoriteCollectionsModel::trUtf8$
    {72, 1620, 1354},	// Akonadi::FavoriteCollectionsModel::trUtf8$$
    {72, 1621, 1356},	// Akonadi::FavoriteCollectionsModel::trUtf8$$$
    {72, 1728, 1379},	// Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel
    {73, 280, 1410},	// Akonadi::Item::FullPayload
    {73, 304, 1380},	// Akonadi::Item::Item
    {73, 305, 1383},	// Akonadi::Item::Item#
    {73, 306, -107},	// Akonadi::Item::Item$
    {73, 593, 1412},	// Akonadi::Item::UrlShort
    {73, 594, 1413},	// Akonadi::Item::UrlWithMimeType
    {73, 728, 1408},	// Akonadi::Item::apply#
    {73, 737, 1404},	// Akonadi::Item::availablePayloadMetaTypeIds
    {73, 738, 1407},	// Akonadi::Item::availablePayloadParts
    {73, 769, 1390},	// Akonadi::Item::clearFlag#
    {73, 770, 1392},	// Akonadi::Item::clearFlags
    {73, 771, 1396},	// Akonadi::Item::clearPayload
    {73, 965, 1385},	// Akonadi::Item::flags
    {73, 973, 1384},	// Akonadi::Item::fromUrl#
    {73, 980, 1388},	// Akonadi::Item::hasFlag#
    {73, 981, 1405},	// Akonadi::Item::hasPayload
    {73, 1109, 1395},	// Akonadi::Item::loadedPayloadParts
    {73, 1127, 1403},	// Akonadi::Item::mimeType
    {73, 1141, 1386},	// Akonadi::Item::modificationTime
    {73, 1175, 1394},	// Akonadi::Item::payloadData
    {73, 1233, 1398},	// Akonadi::Item::revision
    {73, 1384, 1389},	// Akonadi::Item::setFlag#
    {73, 1386, 1391},	// Akonadi::Item::setFlags?
    {73, 1390, 1411},	// Akonadi::Item::setFullPayload$
    {73, 1449, 1402},	// Akonadi::Item::setMimeType$
    {73, 1459, 1387},	// Akonadi::Item::setModificationTime#
    {73, 1478, 1393},	// Akonadi::Item::setPayloadFromData#
    {73, 1504, 1397},	// Akonadi::Item::setRevision$
    {73, 1519, 1400},	// Akonadi::Item::setSize$
    {73, 1559, 1401},	// Akonadi::Item::size
    {73, 1589, 1399},	// Akonadi::Item::storageCollectionId
    {73, 1639, 1409},	// Akonadi::Item::url
    {73, 1640, 1406},	// Akonadi::Item::url$
    {73, 1729, 1414},	// Akonadi::Item::~Item
    {74, 308, 1427},	// Akonadi::ItemCopyJob::ItemCopyJob##
    {74, 309, 1422},	// Akonadi::ItemCopyJob::ItemCopyJob###
    {74, 310, 1428},	// Akonadi::ItemCopyJob::ItemCopyJob?#
    {74, 311, 1423},	// Akonadi::ItemCopyJob::ItemCopyJob?##
    {74, 896, 1424},	// Akonadi::ItemCopyJob::doStart
    {74, 1123, 1415},	// Akonadi::ItemCopyJob::metaObject
    {74, 1188, 1421},	// Akonadi::ItemCopyJob::qt_metacall$$?
    {74, 1190, 1416},	// Akonadi::ItemCopyJob::qt_metacast$
    {74, 1580, 1429},	// Akonadi::ItemCopyJob::staticMetaObject
    {74, 1615, 1425},	// Akonadi::ItemCopyJob::tr$
    {74, 1616, 1417},	// Akonadi::ItemCopyJob::tr$$
    {74, 1617, 1419},	// Akonadi::ItemCopyJob::tr$$$
    {74, 1619, 1426},	// Akonadi::ItemCopyJob::trUtf8$
    {74, 1620, 1418},	// Akonadi::ItemCopyJob::trUtf8$$
    {74, 1621, 1420},	// Akonadi::ItemCopyJob::trUtf8$$$
    {74, 1730, 1430},	// Akonadi::ItemCopyJob::~ItemCopyJob
    {75, 313, 1444},	// Akonadi::ItemCreateJob::ItemCreateJob##
    {75, 314, 1438},	// Akonadi::ItemCreateJob::ItemCreateJob###
    {75, 890, 1441},	// Akonadi::ItemCreateJob::doHandleResponse##
    {75, 896, 1440},	// Akonadi::ItemCreateJob::doStart
    {75, 1061, 1439},	// Akonadi::ItemCreateJob::item
    {75, 1123, 1431},	// Akonadi::ItemCreateJob::metaObject
    {75, 1188, 1437},	// Akonadi::ItemCreateJob::qt_metacall$$?
    {75, 1190, 1432},	// Akonadi::ItemCreateJob::qt_metacast$
    {75, 1580, 1445},	// Akonadi::ItemCreateJob::staticMetaObject
    {75, 1615, 1442},	// Akonadi::ItemCreateJob::tr$
    {75, 1616, 1433},	// Akonadi::ItemCreateJob::tr$$
    {75, 1617, 1435},	// Akonadi::ItemCreateJob::tr$$$
    {75, 1619, 1443},	// Akonadi::ItemCreateJob::trUtf8$
    {75, 1620, 1434},	// Akonadi::ItemCreateJob::trUtf8$$
    {75, 1621, 1436},	// Akonadi::ItemCreateJob::trUtf8$$$
    {75, 1731, 1446},	// Akonadi::ItemCreateJob::~ItemCreateJob
    {76, 316, -117},	// Akonadi::ItemDeleteJob::ItemDeleteJob#
    {76, 317, -120},	// Akonadi::ItemDeleteJob::ItemDeleteJob##
    {76, 318, 1462},	// Akonadi::ItemDeleteJob::ItemDeleteJob?
    {76, 319, 1455},	// Akonadi::ItemDeleteJob::ItemDeleteJob?#
    {76, 874, 1457},	// Akonadi::ItemDeleteJob::deletedItems
    {76, 896, 1458},	// Akonadi::ItemDeleteJob::doStart
    {76, 1123, 1447},	// Akonadi::ItemDeleteJob::metaObject
    {76, 1188, 1453},	// Akonadi::ItemDeleteJob::qt_metacall$$?
    {76, 1190, 1448},	// Akonadi::ItemDeleteJob::qt_metacast$
    {76, 1580, 1464},	// Akonadi::ItemDeleteJob::staticMetaObject
    {76, 1615, 1459},	// Akonadi::ItemDeleteJob::tr$
    {76, 1616, 1449},	// Akonadi::ItemDeleteJob::tr$$
    {76, 1617, 1451},	// Akonadi::ItemDeleteJob::tr$$$
    {76, 1619, 1460},	// Akonadi::ItemDeleteJob::trUtf8$
    {76, 1620, 1450},	// Akonadi::ItemDeleteJob::trUtf8$$
    {76, 1621, 1452},	// Akonadi::ItemDeleteJob::trUtf8$$$
    {76, 1732, 1465},	// Akonadi::ItemDeleteJob::~ItemDeleteJob
    {77, 321, -58},	// Akonadi::ItemFetchJob::ItemFetchJob#
    {77, 322, -61},	// Akonadi::ItemFetchJob::ItemFetchJob##
    {77, 323, -64},	// Akonadi::ItemFetchJob::ItemFetchJob?
    {77, 324, -67},	// Akonadi::ItemFetchJob::ItemFetchJob?#
    {77, 890, 1484},	// Akonadi::ItemFetchJob::doHandleResponse##
    {77, 896, 1483},	// Akonadi::ItemFetchJob::doStart
    {77, 959, 1480},	// Akonadi::ItemFetchJob::fetchScope
    {77, 1087, 1477},	// Akonadi::ItemFetchJob::items
    {77, 1091, 1482},	// Akonadi::ItemFetchJob::itemsReceived?
    {77, 1123, 1466},	// Akonadi::ItemFetchJob::metaObject
    {77, 1188, 1472},	// Akonadi::ItemFetchJob::qt_metacall$$?
    {77, 1190, 1467},	// Akonadi::ItemFetchJob::qt_metacast$
    {77, 1309, 1481},	// Akonadi::ItemFetchJob::setCollection#
    {77, 1382, -70},	// Akonadi::ItemFetchJob::setFetchScope#
    {77, 1580, 1491},	// Akonadi::ItemFetchJob::staticMetaObject
    {77, 1615, 1485},	// Akonadi::ItemFetchJob::tr$
    {77, 1616, 1468},	// Akonadi::ItemFetchJob::tr$$
    {77, 1617, 1470},	// Akonadi::ItemFetchJob::tr$$$
    {77, 1619, 1486},	// Akonadi::ItemFetchJob::trUtf8$
    {77, 1620, 1469},	// Akonadi::ItemFetchJob::trUtf8$$
    {77, 1621, 1471},	// Akonadi::ItemFetchJob::trUtf8$$$
    {77, 1733, 1492},	// Akonadi::ItemFetchJob::~ItemFetchJob
    {78, 41, 1517},	// Akonadi::ItemFetchScope::All
    {78, 325, 1493},	// Akonadi::ItemFetchScope::ItemFetchScope
    {78, 326, 1494},	// Akonadi::ItemFetchScope::ItemFetchScope#
    {78, 449, 1515},	// Akonadi::ItemFetchScope::None
    {78, 462, 1516},	// Akonadi::ItemFetchScope::Parent
    {78, 723, 1502},	// Akonadi::ItemFetchScope::allAttributes
    {78, 726, 1507},	// Akonadi::ItemFetchScope::ancestorRetrieval
    {78, 732, 1500},	// Akonadi::ItemFetchScope::attributes
    {78, 742, 1504},	// Akonadi::ItemFetchScope::cacheOnly
    {78, 940, 1514},	// Akonadi::ItemFetchScope::fetchAllAttributes
    {78, 941, 1503},	// Akonadi::ItemFetchScope::fetchAllAttributes$
    {78, 943, 1513},	// Akonadi::ItemFetchScope::fetchAttribute#
    {78, 944, 1501},	// Akonadi::ItemFetchScope::fetchAttribute#$
    {78, 951, 1512},	// Akonadi::ItemFetchScope::fetchFullPayload
    {78, 952, 1499},	// Akonadi::ItemFetchScope::fetchFullPayload$
    {78, 953, 1509},	// Akonadi::ItemFetchScope::fetchModificationTime
    {78, 957, 1511},	// Akonadi::ItemFetchScope::fetchPayloadPart#
    {78, 958, 1497},	// Akonadi::ItemFetchScope::fetchPayloadPart#$
    {78, 974, 1498},	// Akonadi::ItemFetchScope::fullPayload
    {78, 1044, 1510},	// Akonadi::ItemFetchScope::isEmpty
    {78, 1159, 1495},	// Akonadi::ItemFetchScope::operator=#
    {78, 1176, 1496},	// Akonadi::ItemFetchScope::payloadParts
    {78, 1285, 1506},	// Akonadi::ItemFetchScope::setAncestorRetrieval$
    {78, 1296, 1505},	// Akonadi::ItemFetchScope::setCacheOnly$
    {78, 1380, 1508},	// Akonadi::ItemFetchScope::setFetchModificationTime$
    {78, 1734, 1518},	// Akonadi::ItemFetchScope::~ItemFetchScope
    {79, 286, 1552},	// Akonadi::ItemModel::Id
    {79, 287, 1555},	// Akonadi::ItemModel::IdRole
    {79, 329, 1546},	// Akonadi::ItemModel::ItemModel
    {79, 330, 1526},	// Akonadi::ItemModel::ItemModel#
    {79, 342, 1556},	// Akonadi::ItemModel::ItemRole
    {79, 400, 1554},	// Akonadi::ItemModel::MimeType
    {79, 403, 1557},	// Akonadi::ItemModel::MimeTypeRole
    {79, 503, 1553},	// Akonadi::ItemModel::RemoteId
    {79, 603, 1558},	// Akonadi::ItemModel::UserRole
    {79, 777, 1540},	// Akonadi::ItemModel::collection
    {79, 783, 1542},	// Akonadi::ItemModel::collectionChanged#
    {79, 813, 1547},	// Akonadi::ItemModel::columnCount
    {79, 814, 1527},	// Akonadi::ItemModel::columnCount#
    {79, 867, 1548},	// Akonadi::ItemModel::data#
    {79, 868, 1528},	// Akonadi::ItemModel::data#$
    {79, 912, 1539},	// Akonadi::ItemModel::dropMimeData#$$$#
    {79, 959, 1536},	// Akonadi::ItemModel::fetchScope
    {79, 966, 1531},	// Akonadi::ItemModel::flags#
    {79, 983, 1550},	// Akonadi::ItemModel::headerData$$
    {79, 984, 1530},	// Akonadi::ItemModel::headerData$$$
    {79, 1009, 1538},	// Akonadi::ItemModel::indexForItem#$
    {79, 1070, 1537},	// Akonadi::ItemModel::itemForIndex#
    {79, 1123, 1519},	// Akonadi::ItemModel::metaObject
    {79, 1126, 1532},	// Akonadi::ItemModel::mimeData?
    {79, 1134, 1533},	// Akonadi::ItemModel::mimeTypes
    {79, 1188, 1525},	// Akonadi::ItemModel::qt_metacall$$?
    {79, 1190, 1520},	// Akonadi::ItemModel::qt_metacast$
    {79, 1238, 1549},	// Akonadi::ItemModel::rowCount
    {79, 1239, 1529},	// Akonadi::ItemModel::rowCount#
    {79, 1272, 1543},	// Akonadi::ItemModel::session
    {79, 1309, 1541},	// Akonadi::ItemModel::setCollection#
    {79, 1382, 1535},	// Akonadi::ItemModel::setFetchScope#
    {79, 1580, 1551},	// Akonadi::ItemModel::staticMetaObject
    {79, 1595, 1534},	// Akonadi::ItemModel::supportedDropActions
    {79, 1615, 1544},	// Akonadi::ItemModel::tr$
    {79, 1616, 1521},	// Akonadi::ItemModel::tr$$
    {79, 1617, 1523},	// Akonadi::ItemModel::tr$$$
    {79, 1619, 1545},	// Akonadi::ItemModel::trUtf8$
    {79, 1620, 1522},	// Akonadi::ItemModel::trUtf8$$
    {79, 1621, 1524},	// Akonadi::ItemModel::trUtf8$$$
    {79, 1735, 1559},	// Akonadi::ItemModel::~ItemModel
    {80, 332, 1579},	// Akonadi::ItemModifyJob::ItemModifyJob#
    {80, 333, 1567},	// Akonadi::ItemModifyJob::ItemModifyJob##
    {80, 334, 1580},	// Akonadi::ItemModifyJob::ItemModifyJob?
    {80, 335, 1568},	// Akonadi::ItemModifyJob::ItemModifyJob?#
    {80, 884, 1574},	// Akonadi::ItemModifyJob::disableAutomaticConflictHandling
    {80, 885, 1571},	// Akonadi::ItemModifyJob::disableRevisionCheck
    {80, 890, 1576},	// Akonadi::ItemModifyJob::doHandleResponse##
    {80, 896, 1575},	// Akonadi::ItemModifyJob::doStart
    {80, 995, 1570},	// Akonadi::ItemModifyJob::ignorePayload
    {80, 1061, 1572},	// Akonadi::ItemModifyJob::item
    {80, 1087, 1573},	// Akonadi::ItemModifyJob::items
    {80, 1123, 1560},	// Akonadi::ItemModifyJob::metaObject
    {80, 1188, 1566},	// Akonadi::ItemModifyJob::qt_metacall$$?
    {80, 1190, 1561},	// Akonadi::ItemModifyJob::qt_metacast$
    {80, 1408, 1569},	// Akonadi::ItemModifyJob::setIgnorePayload$
    {80, 1580, 1581},	// Akonadi::ItemModifyJob::staticMetaObject
    {80, 1615, 1577},	// Akonadi::ItemModifyJob::tr$
    {80, 1616, 1562},	// Akonadi::ItemModifyJob::tr$$
    {80, 1617, 1564},	// Akonadi::ItemModifyJob::tr$$$
    {80, 1619, 1578},	// Akonadi::ItemModifyJob::trUtf8$
    {80, 1620, 1563},	// Akonadi::ItemModifyJob::trUtf8$$
    {80, 1621, 1565},	// Akonadi::ItemModifyJob::trUtf8$$$
    {80, 1736, 1582},	// Akonadi::ItemModifyJob::~ItemModifyJob
    {81, 336, 1583},	// Akonadi::ItemMonitor::ItemMonitor
    {81, 959, 1589},	// Akonadi::ItemMonitor::fetchScope
    {81, 1061, 1585},	// Akonadi::ItemMonitor::item
    {81, 1065, 1586},	// Akonadi::ItemMonitor::itemChanged#
    {81, 1078, 1587},	// Akonadi::ItemMonitor::itemRemoved
    {81, 1382, 1588},	// Akonadi::ItemMonitor::setFetchScope#
    {81, 1424, 1584},	// Akonadi::ItemMonitor::setItem#
    {81, 1737, 1590},	// Akonadi::ItemMonitor::~ItemMonitor
    {82, 338, 1605},	// Akonadi::ItemMoveJob::ItemMoveJob##
    {82, 339, 1598},	// Akonadi::ItemMoveJob::ItemMoveJob###
    {82, 340, 1606},	// Akonadi::ItemMoveJob::ItemMoveJob?#
    {82, 341, 1599},	// Akonadi::ItemMoveJob::ItemMoveJob?##
    {82, 880, 1600},	// Akonadi::ItemMoveJob::destinationCollection
    {82, 896, 1602},	// Akonadi::ItemMoveJob::doStart
    {82, 1087, 1601},	// Akonadi::ItemMoveJob::items
    {82, 1123, 1591},	// Akonadi::ItemMoveJob::metaObject
    {82, 1188, 1597},	// Akonadi::ItemMoveJob::qt_metacall$$?
    {82, 1190, 1592},	// Akonadi::ItemMoveJob::qt_metacast$
    {82, 1580, 1607},	// Akonadi::ItemMoveJob::staticMetaObject
    {82, 1615, 1603},	// Akonadi::ItemMoveJob::tr$
    {82, 1616, 1593},	// Akonadi::ItemMoveJob::tr$$
    {82, 1617, 1595},	// Akonadi::ItemMoveJob::tr$$$
    {82, 1619, 1604},	// Akonadi::ItemMoveJob::trUtf8$
    {82, 1620, 1594},	// Akonadi::ItemMoveJob::trUtf8$$
    {82, 1621, 1596},	// Akonadi::ItemMoveJob::trUtf8$$$
    {82, 1738, 1608},	// Akonadi::ItemMoveJob::~ItemMoveJob
    {83, 344, 1627},	// Akonadi::ItemSearchJob::ItemSearchJob$
    {83, 345, 1616},	// Akonadi::ItemSearchJob::ItemSearchJob$#
    {83, 722, 1621},	// Akonadi::ItemSearchJob::akonadiItemIdUri
    {83, 890, 1624},	// Akonadi::ItemSearchJob::doHandleResponse##
    {83, 896, 1623},	// Akonadi::ItemSearchJob::doStart
    {83, 959, 1619},	// Akonadi::ItemSearchJob::fetchScope
    {83, 1087, 1620},	// Akonadi::ItemSearchJob::items
    {83, 1091, 1622},	// Akonadi::ItemSearchJob::itemsReceived?
    {83, 1123, 1609},	// Akonadi::ItemSearchJob::metaObject
    {83, 1188, 1615},	// Akonadi::ItemSearchJob::qt_metacall$$?
    {83, 1190, 1610},	// Akonadi::ItemSearchJob::qt_metacast$
    {83, 1382, 1618},	// Akonadi::ItemSearchJob::setFetchScope#
    {83, 1485, 1617},	// Akonadi::ItemSearchJob::setQuery$
    {83, 1580, 1628},	// Akonadi::ItemSearchJob::staticMetaObject
    {83, 1615, 1625},	// Akonadi::ItemSearchJob::tr$
    {83, 1616, 1611},	// Akonadi::ItemSearchJob::tr$$
    {83, 1617, 1613},	// Akonadi::ItemSearchJob::tr$$$
    {83, 1619, 1626},	// Akonadi::ItemSearchJob::trUtf8$
    {83, 1620, 1612},	// Akonadi::ItemSearchJob::trUtf8$$
    {83, 1621, 1614},	// Akonadi::ItemSearchJob::trUtf8$$$
    {83, 1739, 1629},	// Akonadi::ItemSearchJob::~ItemSearchJob
    {84, 346, 1633},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin
    {84, 347, 1634},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin#
    {84, 879, 1630},	// Akonadi::ItemSerializerPlugin::deserialize###$
    {84, 1174, 1632},	// Akonadi::ItemSerializerPlugin::parts#
    {84, 1270, 1631},	// Akonadi::ItemSerializerPlugin::serialize###$
    {84, 1740, 1635},	// Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin
    {85, 348, 1638},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2
    {85, 349, 1639},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2#
    {85, 729, 1636},	// Akonadi::ItemSerializerPluginV2::apply##
    {85, 736, 1637},	// Akonadi::ItemSerializerPluginV2::availableParts#
    {85, 1741, 1640},	// Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2
    {86, 351, 1663},	// Akonadi::ItemSync::ItemSync#
    {86, 352, 1648},	// Akonadi::ItemSync::ItemSync##
    {86, 430, 1666},	// Akonadi::ItemSync::MultipleTransactions
    {86, 447, 1667},	// Akonadi::ItemSync::NoTransaction
    {86, 539, 1665},	// Akonadi::ItemSync::SingleTransaction
    {86, 875, 1652},	// Akonadi::ItemSync::deliveryDone
    {86, 896, 1658},	// Akonadi::ItemSync::doStart
    {86, 959, 1655},	// Akonadi::ItemSync::fetchScope
    {86, 1123, 1641},	// Akonadi::ItemSync::metaObject
    {86, 1188, 1647},	// Akonadi::ItemSync::qt_metacall$$?
    {86, 1190, 1642},	// Akonadi::ItemSync::qt_metacast$
    {86, 1235, 1656},	// Akonadi::ItemSync::rollback
    {86, 1382, 1654},	// Akonadi::ItemSync::setFetchScope#
    {86, 1392, 1649},	// Akonadi::ItemSync::setFullSyncItems?
    {86, 1416, 1653},	// Akonadi::ItemSync::setIncrementalSyncItems??
    {86, 1525, 1651},	// Akonadi::ItemSync::setStreamingEnabled$
    {86, 1535, 1650},	// Akonadi::ItemSync::setTotalItems$
    {86, 1537, 1657},	// Akonadi::ItemSync::setTransactionMode$
    {86, 1567, 1659},	// Akonadi::ItemSync::slotResult#
    {86, 1580, 1664},	// Akonadi::ItemSync::staticMetaObject
    {86, 1615, 1661},	// Akonadi::ItemSync::tr$
    {86, 1616, 1643},	// Akonadi::ItemSync::tr$$
    {86, 1617, 1645},	// Akonadi::ItemSync::tr$$$
    {86, 1619, 1662},	// Akonadi::ItemSync::trUtf8$
    {86, 1620, 1644},	// Akonadi::ItemSync::trUtf8$$
    {86, 1621, 1646},	// Akonadi::ItemSync::trUtf8$$$
    {86, 1638, 1660},	// Akonadi::ItemSync::updateItem##
    {86, 1742, 1668},	// Akonadi::ItemSync::~ItemSync
    {87, 353, 1690},	// Akonadi::ItemView::ItemView
    {87, 354, -91},	// Akonadi::ItemView::ItemView#
    {87, 355, -95},	// Akonadi::ItemView::ItemView##
    {87, 688, 1682},	// Akonadi::ItemView::activated#
    {87, 773, 1684},	// Akonadi::ItemView::clicked#
    {87, 840, 1687},	// Akonadi::ItemView::contextMenuEvent#
    {87, 859, 1683},	// Akonadi::ItemView::currentChanged#
    {87, 860, 1686},	// Akonadi::ItemView::currentChanged##
    {87, 901, 1685},	// Akonadi::ItemView::doubleClicked#
    {87, 1123, 1669},	// Akonadi::ItemView::metaObject
    {87, 1188, 1675},	// Akonadi::ItemView::qt_metacall$$?
    {87, 1190, 1670},	// Akonadi::ItemView::qt_metacast$
    {87, 1456, 1681},	// Akonadi::ItemView::setModel#
    {87, 1548, 1680},	// Akonadi::ItemView::setXmlGuiClient#
    {87, 1550, 1679},	// Akonadi::ItemView::setXmlGuiWindow#
    {87, 1580, 1693},	// Akonadi::ItemView::staticMetaObject
    {87, 1615, 1688},	// Akonadi::ItemView::tr$
    {87, 1616, 1671},	// Akonadi::ItemView::tr$$
    {87, 1617, 1673},	// Akonadi::ItemView::tr$$$
    {87, 1619, 1689},	// Akonadi::ItemView::trUtf8$
    {87, 1620, 1672},	// Akonadi::ItemView::trUtf8$$
    {87, 1621, 1674},	// Akonadi::ItemView::trUtf8$$$
    {87, 1743, 1694},	// Akonadi::ItemView::~ItemView
    {88, 159, 1719},	// Akonadi::Job::ConnectionFailed
    {88, 356, 1717},	// Akonadi::Job::Job
    {88, 357, 1702},	// Akonadi::Job::Job#
    {88, 358, 1714},	// Akonadi::Job::Job##
    {88, 487, 1720},	// Akonadi::Job::ProtocolVersionMismatch
    {88, 587, 1722},	// Akonadi::Job::Unknown
    {88, 599, 1721},	// Akonadi::Job::UserCanceled
    {88, 601, 1723},	// Akonadi::Job::UserError
    {88, 680, 1705},	// Akonadi::Job::aboutToStart#
    {88, 710, 1709},	// Akonadi::Job::addSubjob#
    {88, 890, 1708},	// Akonadi::Job::doHandleResponse##
    {88, 892, 1711},	// Akonadi::Job::doKill
    {88, 896, 1707},	// Akonadi::Job::doStart
    {88, 919, 1712},	// Akonadi::Job::emitWriteFinished
    {88, 933, 1704},	// Akonadi::Job::errorString
    {88, 1123, 1695},	// Akonadi::Job::metaObject
    {88, 1188, 1701},	// Akonadi::Job::qt_metacall$$?
    {88, 1190, 1696},	// Akonadi::Job::qt_metacast$
    {88, 1211, 1710},	// Akonadi::Job::removeSubjob#
    {88, 1567, 1713},	// Akonadi::Job::slotResult#
    {88, 1572, 1703},	// Akonadi::Job::start
    {88, 1580, 1718},	// Akonadi::Job::staticMetaObject
    {88, 1615, 1715},	// Akonadi::Job::tr$
    {88, 1616, 1697},	// Akonadi::Job::tr$$
    {88, 1617, 1699},	// Akonadi::Job::tr$$$
    {88, 1619, 1716},	// Akonadi::Job::trUtf8$
    {88, 1620, 1698},	// Akonadi::Job::trUtf8$$
    {88, 1621, 1700},	// Akonadi::Job::trUtf8$$$
    {88, 1665, 1706},	// Akonadi::Job::writeFinished#
    {88, 1744, 1724},	// Akonadi::Job::~Job
    {90, 384, 1736},	// Akonadi::LinkJob::LinkJob#?
    {90, 385, 1732},	// Akonadi::LinkJob::LinkJob#?#
    {90, 896, 1733},	// Akonadi::LinkJob::doStart
    {90, 1123, 1725},	// Akonadi::LinkJob::metaObject
    {90, 1188, 1731},	// Akonadi::LinkJob::qt_metacall$$?
    {90, 1190, 1726},	// Akonadi::LinkJob::qt_metacast$
    {90, 1580, 1737},	// Akonadi::LinkJob::staticMetaObject
    {90, 1615, 1734},	// Akonadi::LinkJob::tr$
    {90, 1616, 1727},	// Akonadi::LinkJob::tr$$
    {90, 1617, 1729},	// Akonadi::LinkJob::tr$$$
    {90, 1619, 1735},	// Akonadi::LinkJob::trUtf8$
    {90, 1620, 1728},	// Akonadi::LinkJob::trUtf8$$
    {90, 1621, 1730},	// Akonadi::LinkJob::trUtf8$$$
    {90, 1745, 1738},	// Akonadi::LinkJob::~LinkJob
    {91, 392, 1739},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute
    {91, 393, 1740},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute#
    {91, 774, 1744},	// Akonadi::MessageFolderAttribute::clone
    {91, 878, 1746},	// Akonadi::MessageFolderAttribute::deserialize#
    {91, 1048, 1741},	// Akonadi::MessageFolderAttribute::isOutboundFolder
    {91, 1271, 1745},	// Akonadi::MessageFolderAttribute::serialized
    {91, 1467, 1742},	// Akonadi::MessageFolderAttribute::setOutboundFolder$
    {91, 1622, 1743},	// Akonadi::MessageFolderAttribute::type
    {91, 1746, 1747},	// Akonadi::MessageFolderAttribute::~MessageFolderAttribute
    {92, 210, 1772},	// Akonadi::MessageModel::Date
    {92, 394, 1763},	// Akonadi::MessageModel::MessageModel
    {92, 395, 1755},	// Akonadi::MessageModel::MessageModel#
    {92, 496, 1771},	// Akonadi::MessageModel::Receiver
    {92, 529, 1770},	// Akonadi::MessageModel::Sender
    {92, 540, 1773},	// Akonadi::MessageModel::Size
    {92, 559, 1769},	// Akonadi::MessageModel::Subject
    {92, 813, 1765},	// Akonadi::MessageModel::columnCount
    {92, 814, 1757},	// Akonadi::MessageModel::columnCount#
    {92, 867, 1766},	// Akonadi::MessageModel::data#
    {92, 868, 1758},	// Akonadi::MessageModel::data#$
    {92, 983, 1767},	// Akonadi::MessageModel::headerData$$
    {92, 984, 1759},	// Akonadi::MessageModel::headerData$$$
    {92, 1123, 1748},	// Akonadi::MessageModel::metaObject
    {92, 1134, 1760},	// Akonadi::MessageModel::mimeTypes
    {92, 1188, 1754},	// Akonadi::MessageModel::qt_metacall$$?
    {92, 1190, 1749},	// Akonadi::MessageModel::qt_metacast$
    {92, 1238, 1764},	// Akonadi::MessageModel::rowCount
    {92, 1239, 1756},	// Akonadi::MessageModel::rowCount#
    {92, 1580, 1768},	// Akonadi::MessageModel::staticMetaObject
    {92, 1615, 1761},	// Akonadi::MessageModel::tr$
    {92, 1616, 1750},	// Akonadi::MessageModel::tr$$
    {92, 1617, 1752},	// Akonadi::MessageModel::tr$$$
    {92, 1619, 1762},	// Akonadi::MessageModel::trUtf8$
    {92, 1620, 1751},	// Akonadi::MessageModel::trUtf8$$
    {92, 1621, 1753},	// Akonadi::MessageModel::trUtf8$$$
    {92, 1747, 1774},	// Akonadi::MessageModel::~MessageModel
    {93, 396, 1796},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel
    {93, 397, 1782},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel#
    {93, 814, 1788},	// Akonadi::MessageThreaderProxyModel::columnCount#
    {93, 852, 1787},	// Akonadi::MessageThreaderProxyModel::createIndex$$$
    {93, 978, 1786},	// Akonadi::MessageThreaderProxyModel::hasChildren#
    {93, 1006, 1785},	// Akonadi::MessageThreaderProxyModel::index$$#
    {93, 1113, 1791},	// Akonadi::MessageThreaderProxyModel::mapFromSource#
    {93, 1117, 1792},	// Akonadi::MessageThreaderProxyModel::mapToSource#
    {93, 1123, 1775},	// Akonadi::MessageThreaderProxyModel::metaObject
    {93, 1126, 1790},	// Akonadi::MessageThreaderProxyModel::mimeData?
    {93, 1134, 1789},	// Akonadi::MessageThreaderProxyModel::mimeTypes
    {93, 1169, 1783},	// Akonadi::MessageThreaderProxyModel::parent#
    {93, 1188, 1781},	// Akonadi::MessageThreaderProxyModel::qt_metacall$$?
    {93, 1190, 1776},	// Akonadi::MessageThreaderProxyModel::qt_metacast$
    {93, 1239, 1784},	// Akonadi::MessageThreaderProxyModel::rowCount#
    {93, 1521, 1793},	// Akonadi::MessageThreaderProxyModel::setSourceModel#
    {93, 1580, 1797},	// Akonadi::MessageThreaderProxyModel::staticMetaObject
    {93, 1615, 1794},	// Akonadi::MessageThreaderProxyModel::tr$
    {93, 1616, 1777},	// Akonadi::MessageThreaderProxyModel::tr$$
    {93, 1617, 1779},	// Akonadi::MessageThreaderProxyModel::tr$$$
    {93, 1619, 1795},	// Akonadi::MessageThreaderProxyModel::trUtf8$
    {93, 1620, 1778},	// Akonadi::MessageThreaderProxyModel::trUtf8$$
    {93, 1621, 1780},	// Akonadi::MessageThreaderProxyModel::trUtf8$$$
    {93, 1748, 1798},	// Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel
    {94, 398, 1799},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute
    {94, 399, 1800},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute#
    {94, 774, 1808},	// Akonadi::MessageThreadingAttribute::clone
    {94, 878, 1810},	// Akonadi::MessageThreadingAttribute::deserialize#
    {94, 1179, 1801},	// Akonadi::MessageThreadingAttribute::perfectParents
    {94, 1271, 1809},	// Akonadi::MessageThreadingAttribute::serialized
    {94, 1480, 1802},	// Akonadi::MessageThreadingAttribute::setPerfectParents?
    {94, 1527, 1806},	// Akonadi::MessageThreadingAttribute::setSubjectParents?
    {94, 1539, 1804},	// Akonadi::MessageThreadingAttribute::setUnperfectParents?
    {94, 1593, 1805},	// Akonadi::MessageThreadingAttribute::subjectParents
    {94, 1622, 1807},	// Akonadi::MessageThreadingAttribute::type
    {94, 1630, 1803},	// Akonadi::MessageThreadingAttribute::unperfectParents
    {94, 1749, 1811},	// Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute
    {95, 401, 1812},	// Akonadi::MimeTypeChecker::MimeTypeChecker
    {95, 402, 1813},	// Akonadi::MimeTypeChecker::MimeTypeChecker#
    {95, 712, 1817},	// Akonadi::MimeTypeChecker::addWantedMimeType$
    {95, 837, 1822},	// Akonadi::MimeTypeChecker::containsWantedMimeType?
    {95, 1054, 1820},	// Akonadi::MimeTypeChecker::isWantedCollection#
    {95, 1055, 1824},	// Akonadi::MimeTypeChecker::isWantedCollection#$
    {95, 1057, 1819},	// Akonadi::MimeTypeChecker::isWantedItem#
    {95, 1058, 1823},	// Akonadi::MimeTypeChecker::isWantedItem#$
    {95, 1060, 1821},	// Akonadi::MimeTypeChecker::isWantedMimeType$
    {95, 1159, 1814},	// Akonadi::MimeTypeChecker::operator=#
    {95, 1213, 1818},	// Akonadi::MimeTypeChecker::removeWantedMimeType$
    {95, 1546, 1816},	// Akonadi::MimeTypeChecker::setWantedMimeTypes?
    {95, 1655, 1815},	// Akonadi::MimeTypeChecker::wantedMimeTypes
    {95, 1750, 1825},	// Akonadi::MimeTypeChecker::~MimeTypeChecker
    {96, 406, 1877},	// Akonadi::Monitor::Monitor
    {96, 407, -49},	// Akonadi::Monitor::Monitor#
    {96, 408, 1874},	// Akonadi::Monitor::Monitor##
    {96, 725, 1873},	// Akonadi::Monitor::allMonitored$
    {96, 779, 1861},	// Akonadi::Monitor::collectionAdded##
    {96, 783, 1862},	// Akonadi::Monitor::collectionChanged#
    {96, 784, 1863},	// Akonadi::Monitor::collectionChanged#?
    {96, 785, 1846},	// Akonadi::Monitor::collectionFetchScope
    {96, 791, 1869},	// Akonadi::Monitor::collectionMonitored#$
    {96, 793, 1864},	// Akonadi::Monitor::collectionMoved###
    {96, 795, 1865},	// Akonadi::Monitor::collectionRemoved#
    {96, 797, 1868},	// Akonadi::Monitor::collectionStatisticsChanged?#
    {96, 799, 1866},	// Akonadi::Monitor::collectionSubscribed##
    {96, 803, 1867},	// Akonadi::Monitor::collectionUnsubscribed#
    {96, 805, 1847},	// Akonadi::Monitor::collectionsMonitored
    {96, 946, 1843},	// Akonadi::Monitor::fetchChangedOnly$
    {96, 948, 1840},	// Akonadi::Monitor::fetchCollection$
    {96, 950, 1841},	// Akonadi::Monitor::fetchCollectionStatistics$
    {96, 997, 1839},	// Akonadi::Monitor::ignoreSession#
    {96, 1042, 1852},	// Akonadi::Monitor::isAllMonitored
    {96, 1063, 1857},	// Akonadi::Monitor::itemAdded##
    {96, 1066, 1855},	// Akonadi::Monitor::itemChanged#?
    {96, 1068, 1844},	// Akonadi::Monitor::itemFetchScope
    {96, 1072, 1859},	// Akonadi::Monitor::itemLinked##
    {96, 1074, 1870},	// Akonadi::Monitor::itemMonitored#$
    {96, 1076, 1856},	// Akonadi::Monitor::itemMoved###
    {96, 1079, 1858},	// Akonadi::Monitor::itemRemoved#
    {96, 1086, 1860},	// Akonadi::Monitor::itemUnlinked##
    {96, 1088, 1848},	// Akonadi::Monitor::itemsMonitored
    {96, 1089, 1849},	// Akonadi::Monitor::itemsMonitoredEx
    {96, 1123, 1826},	// Akonadi::Monitor::metaObject
    {96, 1133, 1872},	// Akonadi::Monitor::mimeTypeMonitored$$
    {96, 1135, 1850},	// Akonadi::Monitor::mimeTypesMonitored
    {96, 1188, 1832},	// Akonadi::Monitor::qt_metacall$$?
    {96, 1190, 1827},	// Akonadi::Monitor::qt_metacast$
    {96, 1219, 1871},	// Akonadi::Monitor::resourceMonitored#$
    {96, 1220, 1851},	// Akonadi::Monitor::resourcesMonitored
    {96, 1272, 1854},	// Akonadi::Monitor::session
    {96, 1282, 1882},	// Akonadi::Monitor::setAllMonitored
    {96, 1283, 1838},	// Akonadi::Monitor::setAllMonitored$
    {96, 1311, 1845},	// Akonadi::Monitor::setCollectionFetchScope#
    {96, 1315, 1878},	// Akonadi::Monitor::setCollectionMonitored#
    {96, 1316, 1834},	// Akonadi::Monitor::setCollectionMonitored#$
    {96, 1427, 1842},	// Akonadi::Monitor::setItemFetchScope#
    {96, 1429, 1879},	// Akonadi::Monitor::setItemMonitored#
    {96, 1430, 1835},	// Akonadi::Monitor::setItemMonitored#$
    {96, 1453, 1881},	// Akonadi::Monitor::setMimeTypeMonitored$
    {96, 1454, 1837},	// Akonadi::Monitor::setMimeTypeMonitored$$
    {96, 1501, 1880},	// Akonadi::Monitor::setResourceMonitored#
    {96, 1502, 1836},	// Akonadi::Monitor::setResourceMonitored#$
    {96, 1515, 1853},	// Akonadi::Monitor::setSession#
    {96, 1580, 1884},	// Akonadi::Monitor::staticMetaObject
    {96, 1615, 1875},	// Akonadi::Monitor::tr$
    {96, 1616, 1828},	// Akonadi::Monitor::tr$$
    {96, 1617, 1830},	// Akonadi::Monitor::tr$$$
    {96, 1619, 1876},	// Akonadi::Monitor::trUtf8$
    {96, 1620, 1829},	// Akonadi::Monitor::trUtf8$$
    {96, 1621, 1831},	// Akonadi::Monitor::trUtf8$$$
    {96, 1751, 1885},	// Akonadi::Monitor::~Monitor
    {98, 465, 1900},	// Akonadi::PartFetcher::PartFetcher##
    {98, 466, 1893},	// Akonadi::PartFetcher::PartFetcher###
    {98, 1004, 1895},	// Akonadi::PartFetcher::index
    {98, 1061, 1897},	// Akonadi::PartFetcher::item
    {98, 1123, 1886},	// Akonadi::PartFetcher::metaObject
    {98, 1172, 1896},	// Akonadi::PartFetcher::partName
    {98, 1188, 1892},	// Akonadi::PartFetcher::qt_metacall$$?
    {98, 1190, 1887},	// Akonadi::PartFetcher::qt_metacast$
    {98, 1572, 1894},	// Akonadi::PartFetcher::start
    {98, 1580, 1901},	// Akonadi::PartFetcher::staticMetaObject
    {98, 1615, 1898},	// Akonadi::PartFetcher::tr$
    {98, 1616, 1888},	// Akonadi::PartFetcher::tr$$
    {98, 1617, 1890},	// Akonadi::PartFetcher::tr$$$
    {98, 1619, 1899},	// Akonadi::PartFetcher::trUtf8$
    {98, 1620, 1889},	// Akonadi::PartFetcher::trUtf8$$
    {98, 1621, 1891},	// Akonadi::PartFetcher::trUtf8$$$
    {98, 1754, 1902},	// Akonadi::PartFetcher::~PartFetcher
    {99, 468, 1905},	// Akonadi::PayloadBase::PayloadBase
    {99, 469, 1906},	// Akonadi::PayloadBase::PayloadBase#
    {99, 774, 1903},	// Akonadi::PayloadBase::clone
    {99, 1626, 1904},	// Akonadi::PayloadBase::typeName
    {99, 1755, 1907},	// Akonadi::PayloadBase::~PayloadBase
    {100, 471, -98},	// Akonadi::PayloadException::PayloadException#
    {100, 472, -101},	// Akonadi::PayloadException::PayloadException$
    {100, 1622, 1911},	// Akonadi::PayloadException::type
    {100, 1756, 1913},	// Akonadi::PayloadException::~PayloadException
    {101, 480, 1925},	// Akonadi::PreprocessorBase::PreprocessorBase$
    {101, 482, 1929},	// Akonadi::PreprocessorBase::ProcessingCompleted
    {101, 483, 1930},	// Akonadi::PreprocessorBase::ProcessingDelayed
    {101, 484, 1931},	// Akonadi::PreprocessorBase::ProcessingFailed
    {101, 485, 1932},	// Akonadi::PreprocessorBase::ProcessingRefused
    {101, 959, 1924},	// Akonadi::PreprocessorBase::fetchScope
    {101, 964, 1922},	// Akonadi::PreprocessorBase::finishProcessing$
    {101, 1123, 1914},	// Akonadi::PreprocessorBase::metaObject
    {101, 1183, 1921},	// Akonadi::PreprocessorBase::processItem#
    {101, 1188, 1920},	// Akonadi::PreprocessorBase::qt_metacall$$?
    {101, 1190, 1915},	// Akonadi::PreprocessorBase::qt_metacast$
    {101, 1382, 1923},	// Akonadi::PreprocessorBase::setFetchScope#
    {101, 1580, 1928},	// Akonadi::PreprocessorBase::staticMetaObject
    {101, 1615, 1926},	// Akonadi::PreprocessorBase::tr$
    {101, 1616, 1916},	// Akonadi::PreprocessorBase::tr$$
    {101, 1617, 1918},	// Akonadi::PreprocessorBase::tr$$$
    {101, 1619, 1927},	// Akonadi::PreprocessorBase::trUtf8$
    {101, 1620, 1917},	// Akonadi::PreprocessorBase::trUtf8$$
    {101, 1621, 1919},	// Akonadi::PreprocessorBase::trUtf8$$$
    {101, 1757, 1933},	// Akonadi::PreprocessorBase::~PreprocessorBase
    {102, 16, 1990},	// Akonadi::ResourceBase::AfterChangeReplay
    {102, 49, 1991},	// Akonadi::ResourceBase::Append
    {102, 478, 1989},	// Akonadi::ResourceBase::Prepend
    {102, 509, 1953},	// Akonadi::ResourceBase::ResourceBase$
    {102, 675, 1952},	// Akonadi::ResourceBase::abortActivity
    {102, 734, 1946},	// Akonadi::ResourceBase::attributesSynchronized$
    {102, 749, 1978},	// Akonadi::ResourceBase::cancelTask
    {102, 750, 1979},	// Akonadi::ResourceBase::cancelTask$
    {102, 756, -104},	// Akonadi::ResourceBase::changeCommitted#
    {102, 766, 1969},	// Akonadi::ResourceBase::clearCache
    {102, 781, 1955},	// Akonadi::ResourceBase::collectionAttributesRetrieved#
    {102, 801, 1947},	// Akonadi::ResourceBase::collectionTreeSynchronized
    {102, 808, 1961},	// Akonadi::ResourceBase::collectionsRetrievalDone
    {102, 810, 1958},	// Akonadi::ResourceBase::collectionsRetrieved?
    {102, 812, 1959},	// Akonadi::ResourceBase::collectionsRetrievedIncremental??
    {102, 861, 1971},	// Akonadi::ResourceBase::currentCollection
    {102, 862, 1972},	// Akonadi::ResourceBase::currentItem
    {102, 873, 1980},	// Akonadi::ResourceBase::deferTask
    {102, 895, 1981},	// Akonadi::ResourceBase::doSetOnline$
    {102, 1041, 1970},	// Akonadi::ResourceBase::invalidateCache#
    {102, 1081, 1954},	// Akonadi::ResourceBase::itemRetrieved#
    {102, 1092, 1968},	// Akonadi::ResourceBase::itemsRetrievalDone
    {102, 1094, 1962},	// Akonadi::ResourceBase::itemsRetrieved?
    {102, 1096, 1967},	// Akonadi::ResourceBase::itemsRetrievedIncremental??
    {102, 1123, 1934},	// Akonadi::ResourceBase::metaObject
    {102, 1148, 1942},	// Akonadi::ResourceBase::name
    {102, 1150, 1944},	// Akonadi::ResourceBase::nameChanged$
    {102, 1188, 1940},	// Akonadi::ResourceBase::qt_metacall$$?
    {102, 1190, 1935},	// Akonadi::ResourceBase::qt_metacast$
    {102, 1226, 1949},	// Akonadi::ResourceBase::retrieveCollectionAttributes#
    {102, 1227, 1948},	// Akonadi::ResourceBase::retrieveCollections
    {102, 1229, 1951},	// Akonadi::ResourceBase::retrieveItem#?
    {102, 1231, 1950},	// Akonadi::ResourceBase::retrieveItems#
    {102, 1249, 1987},	// Akonadi::ResourceBase::scheduleCustomTask#$#
    {102, 1250, 1983},	// Akonadi::ResourceBase::scheduleCustomTask#$#$
    {102, 1290, 1943},	// Akonadi::ResourceBase::setAutomaticProgressReporting$
    {102, 1322, 1960},	// Akonadi::ResourceBase::setCollectionStreamingEnabled$
    {102, 1400, 1982},	// Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled$
    {102, 1436, 1964},	// Akonadi::ResourceBase::setItemStreamingEnabled$
    {102, 1438, 1966},	// Akonadi::ResourceBase::setItemSynchronizationFetchScope#
    {102, 1440, 1965},	// Akonadi::ResourceBase::setItemTransactionMode$
    {102, 1461, 1941},	// Akonadi::ResourceBase::setName$
    {102, 1535, 1963},	// Akonadi::ResourceBase::setTotalItems$
    {102, 1580, 1988},	// Akonadi::ResourceBase::staticMetaObject
    {102, 1597, 1973},	// Akonadi::ResourceBase::synchronize
    {102, 1601, 1974},	// Akonadi::ResourceBase::synchronizeCollection$
    {102, 1602, 1975},	// Akonadi::ResourceBase::synchronizeCollection$$
    {102, 1604, 1976},	// Akonadi::ResourceBase::synchronizeCollectionAttributes$
    {102, 1605, 1977},	// Akonadi::ResourceBase::synchronizeCollectionTree
    {102, 1606, 1945},	// Akonadi::ResourceBase::synchronized
    {102, 1609, 1984},	// Akonadi::ResourceBase::taskDone
    {102, 1615, 1985},	// Akonadi::ResourceBase::tr$
    {102, 1616, 1936},	// Akonadi::ResourceBase::tr$$
    {102, 1617, 1938},	// Akonadi::ResourceBase::tr$$$
    {102, 1619, 1986},	// Akonadi::ResourceBase::trUtf8$
    {102, 1620, 1937},	// Akonadi::ResourceBase::trUtf8$$
    {102, 1621, 1939},	// Akonadi::ResourceBase::trUtf8$$$
    {102, 1758, 1992},	// Akonadi::ResourceBase::~ResourceBase
    {103, 512, 2007},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob#
    {103, 513, 2000},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob##
    {103, 800, 2001},	// Akonadi::ResourceSynchronizationJob::collectionTreeOnly
    {103, 1123, 1993},	// Akonadi::ResourceSynchronizationJob::metaObject
    {103, 1188, 1999},	// Akonadi::ResourceSynchronizationJob::qt_metacall$$?
    {103, 1190, 1994},	// Akonadi::ResourceSynchronizationJob::qt_metacast$
    {103, 1217, 2003},	// Akonadi::ResourceSynchronizationJob::resource
    {103, 1324, 2002},	// Akonadi::ResourceSynchronizationJob::setCollectionTreeOnly$
    {103, 1572, 2004},	// Akonadi::ResourceSynchronizationJob::start
    {103, 1580, 2008},	// Akonadi::ResourceSynchronizationJob::staticMetaObject
    {103, 1615, 2005},	// Akonadi::ResourceSynchronizationJob::tr$
    {103, 1616, 1995},	// Akonadi::ResourceSynchronizationJob::tr$$
    {103, 1617, 1997},	// Akonadi::ResourceSynchronizationJob::tr$$$
    {103, 1619, 2006},	// Akonadi::ResourceSynchronizationJob::trUtf8$
    {103, 1620, 1996},	// Akonadi::ResourceSynchronizationJob::trUtf8$$
    {103, 1621, 1998},	// Akonadi::ResourceSynchronizationJob::trUtf8$$$
    {103, 1759, 2009},	// Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob
    {104, 520, 2024},	// Akonadi::SearchCreateJob::SearchCreateJob$$
    {104, 521, 2017},	// Akonadi::SearchCreateJob::SearchCreateJob$$#
    {104, 855, 2019},	// Akonadi::SearchCreateJob::createdCollection
    {104, 890, 2021},	// Akonadi::SearchCreateJob::doHandleResponse##
    {104, 896, 2020},	// Akonadi::SearchCreateJob::doStart
    {104, 1123, 2010},	// Akonadi::SearchCreateJob::metaObject
    {104, 1188, 2016},	// Akonadi::SearchCreateJob::qt_metacall$$?
    {104, 1190, 2011},	// Akonadi::SearchCreateJob::qt_metacast$
    {104, 1489, 2018},	// Akonadi::SearchCreateJob::setQueryLanguage$
    {104, 1580, 2025},	// Akonadi::SearchCreateJob::staticMetaObject
    {104, 1615, 2022},	// Akonadi::SearchCreateJob::tr$
    {104, 1616, 2012},	// Akonadi::SearchCreateJob::tr$$
    {104, 1617, 2014},	// Akonadi::SearchCreateJob::tr$$$
    {104, 1619, 2023},	// Akonadi::SearchCreateJob::trUtf8$
    {104, 1620, 2013},	// Akonadi::SearchCreateJob::trUtf8$$
    {104, 1621, 2015},	// Akonadi::SearchCreateJob::trUtf8$$$
    {104, 1760, 2026},	// Akonadi::SearchCreateJob::~SearchCreateJob
    {105, 527, 2037},	// Akonadi::SelectionProxyModel::SelectionProxyModel#
    {105, 528, 2034},	// Akonadi::SelectionProxyModel::SelectionProxyModel##
    {105, 1123, 2027},	// Akonadi::SelectionProxyModel::metaObject
    {105, 1188, 2033},	// Akonadi::SelectionProxyModel::qt_metacall$$?
    {105, 1190, 2028},	// Akonadi::SelectionProxyModel::qt_metacast$
    {105, 1580, 2038},	// Akonadi::SelectionProxyModel::staticMetaObject
    {105, 1615, 2035},	// Akonadi::SelectionProxyModel::tr$
    {105, 1616, 2029},	// Akonadi::SelectionProxyModel::tr$$
    {105, 1617, 2031},	// Akonadi::SelectionProxyModel::tr$$$
    {105, 1619, 2036},	// Akonadi::SelectionProxyModel::trUtf8$
    {105, 1620, 2030},	// Akonadi::SelectionProxyModel::trUtf8$$
    {105, 1621, 2032},	// Akonadi::SelectionProxyModel::trUtf8$$$
    {105, 1761, 2039},	// Akonadi::SelectionProxyModel::~SelectionProxyModel
    {106, 60, 2063},	// Akonadi::ServerManager::Broken
    {106, 450, 2059},	// Akonadi::ServerManager::NotRunning
    {106, 516, 2061},	// Akonadi::ServerManager::Running
    {106, 546, 2060},	// Akonadi::ServerManager::Starting
    {106, 554, 2062},	// Akonadi::ServerManager::Stopping
    {106, 1049, 2050},	// Akonadi::ServerManager::isRunning
    {106, 1123, 2040},	// Akonadi::ServerManager::metaObject
    {106, 1188, 2046},	// Akonadi::ServerManager::qt_metacall$$?
    {106, 1190, 2041},	// Akonadi::ServerManager::qt_metacast$
    {106, 1262, 2052},	// Akonadi::ServerManager::self
    {106, 1556, 2049},	// Akonadi::ServerManager::showSelfTestDialog#
    {106, 1572, 2047},	// Akonadi::ServerManager::start
    {106, 1576, 2053},	// Akonadi::ServerManager::started
    {106, 1577, 2051},	// Akonadi::ServerManager::state
    {106, 1579, 2055},	// Akonadi::ServerManager::stateChanged$
    {106, 1580, 2058},	// Akonadi::ServerManager::staticMetaObject
    {106, 1586, 2048},	// Akonadi::ServerManager::stop
    {106, 1588, 2054},	// Akonadi::ServerManager::stopped
    {106, 1615, 2056},	// Akonadi::ServerManager::tr$
    {106, 1616, 2042},	// Akonadi::ServerManager::tr$$
    {106, 1617, 2044},	// Akonadi::ServerManager::tr$$$
    {106, 1619, 2057},	// Akonadi::ServerManager::trUtf8$
    {106, 1620, 2043},	// Akonadi::ServerManager::trUtf8$$
    {106, 1621, 2045},	// Akonadi::ServerManager::trUtf8$$$
    {106, 1762, 2064},	// Akonadi::ServerManager::~ServerManager
    {107, 530, 2080},	// Akonadi::Session::Session
    {107, 531, -7},	// Akonadi::Session::Session#
    {107, 532, -10},	// Akonadi::Session::Session##
    {107, 533, 2077},	// Akonadi::Session::Session###
    {107, 763, 2075},	// Akonadi::Session::clear
    {107, 872, 2074},	// Akonadi::Session::defaultSession
    {107, 1123, 2065},	// Akonadi::Session::metaObject
    {107, 1188, 2071},	// Akonadi::Session::qt_metacall$$?
    {107, 1190, 2066},	// Akonadi::Session::qt_metacast$
    {107, 1193, 2076},	// Akonadi::Session::reconnected
    {107, 1273, 2073},	// Akonadi::Session::sessionId
    {107, 1580, 2084},	// Akonadi::Session::staticMetaObject
    {107, 1615, 2078},	// Akonadi::Session::tr$
    {107, 1616, 2067},	// Akonadi::Session::tr$$
    {107, 1617, 2069},	// Akonadi::Session::tr$$$
    {107, 1619, 2079},	// Akonadi::Session::trUtf8$
    {107, 1620, 2068},	// Akonadi::Session::trUtf8$$
    {107, 1621, 2070},	// Akonadi::Session::trUtf8$$$
    {107, 1763, 2085},	// Akonadi::Session::~Session
    {109, 4, 2126},	// Akonadi::StandardActionManager::AddToFavoriteCollections
    {109, 126, 2121},	// Akonadi::StandardActionManager::CollectionProperties
    {109, 198, 2140},	// Akonadi::StandardActionManager::CopyCollectionToDialog
    {109, 199, 2129},	// Akonadi::StandardActionManager::CopyCollectionToMenu
    {109, 200, 2118},	// Akonadi::StandardActionManager::CopyCollections
    {109, 201, 2142},	// Akonadi::StandardActionManager::CopyItemToDialog
    {109, 202, 2130},	// Akonadi::StandardActionManager::CopyItemToMenu
    {109, 203, 2122},	// Akonadi::StandardActionManager::CopyItems
    {109, 204, 2117},	// Akonadi::StandardActionManager::CreateCollection
    {109, 206, 2135},	// Akonadi::StandardActionManager::CreateResource
    {109, 208, 2134},	// Akonadi::StandardActionManager::CutCollections
    {109, 209, 2133},	// Akonadi::StandardActionManager::CutItems
    {109, 213, 2119},	// Akonadi::StandardActionManager::DeleteCollections
    {109, 214, 2124},	// Akonadi::StandardActionManager::DeleteItems
    {109, 215, 2136},	// Akonadi::StandardActionManager::DeleteResources
    {109, 218, 2156},	// Akonadi::StandardActionManager::DialogText
    {109, 219, 2155},	// Akonadi::StandardActionManager::DialogTitle
    {109, 259, 2161},	// Akonadi::StandardActionManager::ErrorMessageText
    {109, 260, 2160},	// Akonadi::StandardActionManager::ErrorMessageTitle
    {109, 361, 2154},	// Akonadi::StandardActionManager::LastType
    {109, 388, 2125},	// Akonadi::StandardActionManager::ManageLocalSubscriptions
    {109, 389, 2159},	// Akonadi::StandardActionManager::MessageBoxAlternativeText
    {109, 390, 2158},	// Akonadi::StandardActionManager::MessageBoxText
    {109, 391, 2157},	// Akonadi::StandardActionManager::MessageBoxTitle
    {109, 409, 2141},	// Akonadi::StandardActionManager::MoveCollectionToDialog
    {109, 410, 2132},	// Akonadi::StandardActionManager::MoveCollectionToMenu
    {109, 411, 2145},	// Akonadi::StandardActionManager::MoveCollectionsToTrash
    {109, 415, 2143},	// Akonadi::StandardActionManager::MoveItemToDialog
    {109, 416, 2131},	// Akonadi::StandardActionManager::MoveItemToMenu
    {109, 417, 2146},	// Akonadi::StandardActionManager::MoveItemsToTrash
    {109, 424, 2149},	// Akonadi::StandardActionManager::MoveToTrashRestoreCollection
    {109, 425, 2150},	// Akonadi::StandardActionManager::MoveToTrashRestoreCollectionAlternative
    {109, 426, 2151},	// Akonadi::StandardActionManager::MoveToTrashRestoreItem
    {109, 427, 2152},	// Akonadi::StandardActionManager::MoveToTrashRestoreItemAlternative
    {109, 467, 2123},	// Akonadi::StandardActionManager::Paste
    {109, 505, 2127},	// Akonadi::StandardActionManager::RemoveFromFavoriteCollections
    {109, 506, 2128},	// Akonadi::StandardActionManager::RenameFavoriteCollection
    {109, 510, 2137},	// Akonadi::StandardActionManager::ResourceProperties
    {109, 514, 2147},	// Akonadi::StandardActionManager::RestoreCollectionsFromTrash
    {109, 515, 2148},	// Akonadi::StandardActionManager::RestoreItemsFromTrash
    {109, 544, 2114},	// Akonadi::StandardActionManager::StandardActionManager#
    {109, 545, 2093},	// Akonadi::StandardActionManager::StandardActionManager##
    {109, 563, 2120},	// Akonadi::StandardActionManager::SynchronizeCollections
    {109, 564, 2144},	// Akonadi::StandardActionManager::SynchronizeCollectionsRecursive
    {109, 565, 2153},	// Akonadi::StandardActionManager::SynchronizeFavoriteCollections
    {109, 566, 2138},	// Akonadi::StandardActionManager::SynchronizeResources
    {109, 569, 2139},	// Akonadi::StandardActionManager::ToggleWorkOffline
    {109, 684, 2100},	// Akonadi::StandardActionManager::action$
    {109, 686, 2111},	// Akonadi::StandardActionManager::actionStateUpdated
    {109, 844, 2098},	// Akonadi::StandardActionManager::createAction$
    {109, 846, 2110},	// Akonadi::StandardActionManager::createActionFolderMenu#$
    {109, 847, 2099},	// Akonadi::StandardActionManager::createAllActions
    {109, 1037, 2115},	// Akonadi::StandardActionManager::interceptAction$
    {109, 1038, 2102},	// Akonadi::StandardActionManager::interceptAction$$
    {109, 1123, 2086},	// Akonadi::StandardActionManager::metaObject
    {109, 1188, 2092},	// Akonadi::StandardActionManager::qt_metacall$$?
    {109, 1190, 2087},	// Akonadi::StandardActionManager::qt_metacast$
    {109, 1256, 2103},	// Akonadi::StandardActionManager::selectedCollections
    {109, 1258, 2104},	// Akonadi::StandardActionManager::selectedItems
    {109, 1277, 2101},	// Akonadi::StandardActionManager::setActionText$#
    {109, 1302, 2108},	// Akonadi::StandardActionManager::setCapabilityFilter?
    {109, 1318, 2109},	// Akonadi::StandardActionManager::setCollectionPropertiesPageNames?
    {109, 1320, 2094},	// Akonadi::StandardActionManager::setCollectionSelectionModel#
    {109, 1349, 2106},	// Akonadi::StandardActionManager::setContextText$$#
    {109, 1350, 2105},	// Akonadi::StandardActionManager::setContextText$$$
    {109, 1374, 2096},	// Akonadi::StandardActionManager::setFavoriteCollectionsModel#
    {109, 1378, 2097},	// Akonadi::StandardActionManager::setFavoriteSelectionModel#
    {109, 1434, 2095},	// Akonadi::StandardActionManager::setItemSelectionModel#
    {109, 1451, 2107},	// Akonadi::StandardActionManager::setMimeTypeFilter?
    {109, 1580, 2116},	// Akonadi::StandardActionManager::staticMetaObject
    {109, 1615, 2112},	// Akonadi::StandardActionManager::tr$
    {109, 1616, 2088},	// Akonadi::StandardActionManager::tr$$
    {109, 1617, 2090},	// Akonadi::StandardActionManager::tr$$$
    {109, 1619, 2113},	// Akonadi::StandardActionManager::trUtf8$
    {109, 1620, 2089},	// Akonadi::StandardActionManager::trUtf8$$
    {109, 1621, 2091},	// Akonadi::StandardActionManager::trUtf8$$$
    {109, 1764, 2162},	// Akonadi::StandardActionManager::~StandardActionManager
    {110, 549, 2185},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel
    {110, 550, 2170},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel#
    {110, 813, 2189},	// Akonadi::StatisticsProxyModel::columnCount
    {110, 814, 2179},	// Akonadi::StatisticsProxyModel::columnCount#
    {110, 825, 2182},	// Akonadi::StatisticsProxyModel::connectNotify$
    {110, 867, 2187},	// Akonadi::StatisticsProxyModel::data#
    {110, 868, 2176},	// Akonadi::StatisticsProxyModel::data#$
    {110, 966, 2178},	// Akonadi::StatisticsProxyModel::flags#
    {110, 983, 2188},	// Akonadi::StatisticsProxyModel::headerData$$
    {110, 984, 2177},	// Akonadi::StatisticsProxyModel::headerData$$$
    {110, 1005, 2186},	// Akonadi::StatisticsProxyModel::index$$
    {110, 1006, 2175},	// Akonadi::StatisticsProxyModel::index$$#
    {110, 1045, 2174},	// Akonadi::StatisticsProxyModel::isExtraColumnsEnabled
    {110, 1050, 2172},	// Akonadi::StatisticsProxyModel::isToolTipEnabled
    {110, 1119, 2190},	// Akonadi::StatisticsProxyModel::match#$#
    {110, 1120, 2191},	// Akonadi::StatisticsProxyModel::match#$#$
    {110, 1121, 2180},	// Akonadi::StatisticsProxyModel::match#$#$$
    {110, 1123, 2163},	// Akonadi::StatisticsProxyModel::metaObject
    {110, 1188, 2169},	// Akonadi::StatisticsProxyModel::qt_metacall$$?
    {110, 1190, 2164},	// Akonadi::StatisticsProxyModel::qt_metacast$
    {110, 1372, 2173},	// Akonadi::StatisticsProxyModel::setExtraColumnsEnabled$
    {110, 1521, 2181},	// Akonadi::StatisticsProxyModel::setSourceModel#
    {110, 1533, 2171},	// Akonadi::StatisticsProxyModel::setToolTipEnabled$
    {110, 1580, 2192},	// Akonadi::StatisticsProxyModel::staticMetaObject
    {110, 1615, 2183},	// Akonadi::StatisticsProxyModel::tr$
    {110, 1616, 2165},	// Akonadi::StatisticsProxyModel::tr$$
    {110, 1617, 2167},	// Akonadi::StatisticsProxyModel::tr$$$
    {110, 1619, 2184},	// Akonadi::StatisticsProxyModel::trUtf8$
    {110, 1620, 2166},	// Akonadi::StatisticsProxyModel::trUtf8$$
    {110, 1621, 2168},	// Akonadi::StatisticsProxyModel::trUtf8$$$
    {110, 1765, 2193},	// Akonadi::StatisticsProxyModel::~StatisticsProxyModel
    {111, 573, 2201},	// Akonadi::TransactionBeginJob::TransactionBeginJob#
    {111, 896, 2202},	// Akonadi::TransactionBeginJob::doStart
    {111, 1123, 2194},	// Akonadi::TransactionBeginJob::metaObject
    {111, 1188, 2200},	// Akonadi::TransactionBeginJob::qt_metacall$$?
    {111, 1190, 2195},	// Akonadi::TransactionBeginJob::qt_metacast$
    {111, 1580, 2205},	// Akonadi::TransactionBeginJob::staticMetaObject
    {111, 1615, 2203},	// Akonadi::TransactionBeginJob::tr$
    {111, 1616, 2196},	// Akonadi::TransactionBeginJob::tr$$
    {111, 1617, 2198},	// Akonadi::TransactionBeginJob::tr$$$
    {111, 1619, 2204},	// Akonadi::TransactionBeginJob::trUtf8$
    {111, 1620, 2197},	// Akonadi::TransactionBeginJob::trUtf8$$
    {111, 1621, 2199},	// Akonadi::TransactionBeginJob::trUtf8$$$
    {111, 1766, 2206},	// Akonadi::TransactionBeginJob::~TransactionBeginJob
    {112, 575, 2214},	// Akonadi::TransactionCommitJob::TransactionCommitJob#
    {112, 896, 2215},	// Akonadi::TransactionCommitJob::doStart
    {112, 1123, 2207},	// Akonadi::TransactionCommitJob::metaObject
    {112, 1188, 2213},	// Akonadi::TransactionCommitJob::qt_metacall$$?
    {112, 1190, 2208},	// Akonadi::TransactionCommitJob::qt_metacast$
    {112, 1580, 2218},	// Akonadi::TransactionCommitJob::staticMetaObject
    {112, 1615, 2216},	// Akonadi::TransactionCommitJob::tr$
    {112, 1616, 2209},	// Akonadi::TransactionCommitJob::tr$$
    {112, 1617, 2211},	// Akonadi::TransactionCommitJob::tr$$$
    {112, 1619, 2217},	// Akonadi::TransactionCommitJob::trUtf8$
    {112, 1620, 2210},	// Akonadi::TransactionCommitJob::trUtf8$$
    {112, 1621, 2212},	// Akonadi::TransactionCommitJob::trUtf8$$$
    {112, 1767, 2219},	// Akonadi::TransactionCommitJob::~TransactionCommitJob
    {113, 577, 2227},	// Akonadi::TransactionRollbackJob::TransactionRollbackJob#
    {113, 896, 2228},	// Akonadi::TransactionRollbackJob::doStart
    {113, 1123, 2220},	// Akonadi::TransactionRollbackJob::metaObject
    {113, 1188, 2226},	// Akonadi::TransactionRollbackJob::qt_metacall$$?
    {113, 1190, 2221},	// Akonadi::TransactionRollbackJob::qt_metacast$
    {113, 1580, 2231},	// Akonadi::TransactionRollbackJob::staticMetaObject
    {113, 1615, 2229},	// Akonadi::TransactionRollbackJob::tr$
    {113, 1616, 2222},	// Akonadi::TransactionRollbackJob::tr$$
    {113, 1617, 2224},	// Akonadi::TransactionRollbackJob::tr$$$
    {113, 1619, 2230},	// Akonadi::TransactionRollbackJob::trUtf8$
    {113, 1620, 2223},	// Akonadi::TransactionRollbackJob::trUtf8$$
    {113, 1621, 2225},	// Akonadi::TransactionRollbackJob::trUtf8$$$
    {113, 1768, 2232},	// Akonadi::TransactionRollbackJob::~TransactionRollbackJob
    {114, 578, 2250},	// Akonadi::TransactionSequence::TransactionSequence
    {114, 579, 2240},	// Akonadi::TransactionSequence::TransactionSequence#
    {114, 710, 2245},	// Akonadi::TransactionSequence::addSubjob#
    {114, 815, 2241},	// Akonadi::TransactionSequence::commit
    {114, 896, 2246},	// Akonadi::TransactionSequence::doStart
    {114, 1123, 2233},	// Akonadi::TransactionSequence::metaObject
    {114, 1188, 2239},	// Akonadi::TransactionSequence::qt_metacall$$?
    {114, 1190, 2234},	// Akonadi::TransactionSequence::qt_metacast$
    {114, 1235, 2242},	// Akonadi::TransactionSequence::rollback
    {114, 1288, 2244},	// Akonadi::TransactionSequence::setAutomaticCommittingEnabled$
    {114, 1406, 2243},	// Akonadi::TransactionSequence::setIgnoreJobFailure#
    {114, 1567, 2247},	// Akonadi::TransactionSequence::slotResult#
    {114, 1580, 2251},	// Akonadi::TransactionSequence::staticMetaObject
    {114, 1615, 2248},	// Akonadi::TransactionSequence::tr$
    {114, 1616, 2235},	// Akonadi::TransactionSequence::tr$$
    {114, 1617, 2237},	// Akonadi::TransactionSequence::tr$$$
    {114, 1619, 2249},	// Akonadi::TransactionSequence::trUtf8$
    {114, 1620, 2236},	// Akonadi::TransactionSequence::trUtf8$$
    {114, 1621, 2238},	// Akonadi::TransactionSequence::trUtf8$$$
    {114, 1769, 2252},	// Akonadi::TransactionSequence::~TransactionSequence
    {115, 580, 2259},	// Akonadi::TransportResourceBase::TransportFailed
    {115, 581, 2253},	// Akonadi::TransportResourceBase::TransportResourceBase
    {115, 582, 2256},	// Akonadi::TransportResourceBase::TransportResourceBase#
    {115, 583, 2258},	// Akonadi::TransportResourceBase::TransportSucceeded
    {115, 1083, 2257},	// Akonadi::TransportResourceBase::itemSent#$
    {115, 1084, 2255},	// Akonadi::TransportResourceBase::itemSent#$$
    {115, 1266, 2254},	// Akonadi::TransportResourceBase::sendItem#
    {115, 1770, 2260},	// Akonadi::TransportResourceBase::~TransportResourceBase
    {116, 589, 2272},	// Akonadi::UnlinkJob::UnlinkJob#?
    {116, 590, 2268},	// Akonadi::UnlinkJob::UnlinkJob#?#
    {116, 896, 2269},	// Akonadi::UnlinkJob::doStart
    {116, 1123, 2261},	// Akonadi::UnlinkJob::metaObject
    {116, 1188, 2267},	// Akonadi::UnlinkJob::qt_metacall$$?
    {116, 1190, 2262},	// Akonadi::UnlinkJob::qt_metacast$
    {116, 1580, 2273},	// Akonadi::UnlinkJob::staticMetaObject
    {116, 1615, 2270},	// Akonadi::UnlinkJob::tr$
    {116, 1616, 2263},	// Akonadi::UnlinkJob::tr$$
    {116, 1617, 2265},	// Akonadi::UnlinkJob::tr$$$
    {116, 1619, 2271},	// Akonadi::UnlinkJob::trUtf8$
    {116, 1620, 2264},	// Akonadi::UnlinkJob::trUtf8$$
    {116, 1621, 2266},	// Akonadi::UnlinkJob::trUtf8$$$
    {116, 1771, 2274},	// Akonadi::UnlinkJob::~UnlinkJob
    {173, 364, 2538},	// QGlobalSpace::LicensedActiveQt
    {173, 365, 2533},	// QGlobalSpace::LicensedCore
    {173, 366, 2539},	// QGlobalSpace::LicensedDBus
    {173, 367, 2537},	// QGlobalSpace::LicensedDeclarative
    {173, 368, 2536},	// QGlobalSpace::LicensedGui
    {173, 369, 2549},	// QGlobalSpace::LicensedHelp
    {173, 370, 2548},	// QGlobalSpace::LicensedMultimedia
    {173, 371, 2531},	// QGlobalSpace::LicensedNetwork
    {173, 372, 2528},	// QGlobalSpace::LicensedOpenGL
    {173, 373, 2530},	// QGlobalSpace::LicensedOpenVG
    {173, 374, 2529},	// QGlobalSpace::LicensedQt3Support
    {173, 375, 2542},	// QGlobalSpace::LicensedQt3SupportLight
    {173, 376, 2547},	// QGlobalSpace::LicensedScript
    {173, 377, 2541},	// QGlobalSpace::LicensedScriptTools
    {173, 378, 2532},	// QGlobalSpace::LicensedSql
    {173, 379, 2534},	// QGlobalSpace::LicensedSvg
    {173, 380, 2540},	// QGlobalSpace::LicensedTest
    {173, 381, 2522},	// QGlobalSpace::LicensedXml
    {173, 382, 2535},	// QGlobalSpace::LicensedXmlPatterns
    {173, 488, 2525},	// QGlobalSpace::QtCriticalMsg
    {173, 489, 2523},	// QGlobalSpace::QtDebugMsg
    {173, 490, 2526},	// QGlobalSpace::QtFatalMsg
    {173, 491, 2527},	// QGlobalSpace::QtSystemMsg
    {173, 492, 2524},	// QGlobalSpace::QtWarningMsg
    {173, 607, 2460},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {173, 608, 2461},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {173, 609, 2468},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {173, 610, 2469},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {173, 611, 2470},	// QGlobalSpace::_CS_LFS64_LIBS
    {173, 612, 2471},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {173, 613, 2464},	// QGlobalSpace::_CS_LFS_CFLAGS
    {173, 614, 2465},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {173, 615, 2466},	// QGlobalSpace::_CS_LFS_LIBS
    {173, 616, 2467},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {173, 617, 2458},	// QGlobalSpace::_CS_PATH
    {173, 618, 2488},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {173, 619, 2489},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {173, 620, 2490},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {173, 621, 2491},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {173, 622, 2492},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {173, 623, 2493},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {173, 624, 2494},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {173, 625, 2495},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {173, 626, 2496},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {173, 627, 2497},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {173, 628, 2498},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {173, 629, 2499},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {173, 630, 2500},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {173, 631, 2501},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {173, 632, 2502},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {173, 633, 2503},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {173, 634, 2504},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {173, 635, 2505},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {173, 636, 2506},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {173, 637, 2507},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {173, 638, 2508},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {173, 639, 2509},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {173, 640, 2510},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {173, 641, 2511},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {173, 642, 2512},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {173, 643, 2513},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {173, 644, 2514},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {173, 645, 2515},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {173, 646, 2516},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {173, 647, 2517},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {173, 648, 2518},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {173, 649, 2519},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {173, 650, 2462},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {173, 651, 2520},	// QGlobalSpace::_CS_V6_ENV
    {173, 652, 2459},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {173, 653, 2521},	// QGlobalSpace::_CS_V7_ENV
    {173, 654, 2463},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {173, 655, 2472},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {173, 656, 2473},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {173, 657, 2474},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {173, 658, 2475},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {173, 659, 2476},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {173, 660, 2477},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {173, 661, 2478},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {173, 662, 2479},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {173, 663, 2480},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {173, 664, 2481},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {173, 665, 2482},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {173, 666, 2483},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {173, 667, 2484},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {173, 668, 2485},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {173, 669, 2486},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {173, 670, 2487},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {173, 671, 2545},	// QGlobalSpace::__codecvt_error
    {173, 672, 2546},	// QGlobalSpace::__codecvt_noconv
    {173, 673, 2543},	// QGlobalSpace::__codecvt_ok
    {173, 674, 2544},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 217,
        __smokeakonadi::methods, 2705,
        __smokeakonadi::methodMaps, 2318,
        __smokeakonadi::methodNames, 1771,
        __smokeakonadi::types, 487,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
